window.Gleam.initSearch([{"doc":"midas_sdk","title":"midas_sdk","content":"# midas_sdk\n\n[![Package Version](https://img.shields.io/hexpm/v/midas_sdk)](https://hex.pm/packages/midas_sdk)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/midas_sdk/)\n\nA set of SDK&#39;s for building tasks with midas.\nNote this is not meant to be an exhaustive set for any given usecase.\nInstead if functions as quick implemetations of scripts and automations,\nthis is the usecase midas wants to champion using Gleam for.\nThis package can also be used as examples for how to implement sdk&#39;s that work with midas.\n\n```sh\ngleam add midas_sdk@1\n```\n```gleam\nimport midas_sdk\n\npub fn main() {\n  // TODO: An example of the project in use\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/midas_sdk&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"midas/sdk/accu_weather/forecast","title":"DailyForecast","content":"pub type DailyForecast {\n  DailyForecast(\n    date: String,\n    sunrise: String,\n    sunset: String,\n    minimum_temperature: Float,\n    maximum_temperature: Float,\n    day: Detail,\n    night: Detail,\n  )\n}\n\nDailyForecast(\n  date: String,\n  sunrise: String,\n  sunset: String,\n  minimum_temperature: Float,\n  maximum_temperature: Float,\n  day: Detail,\n  night: Detail,\n)\n\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.DailyForecast\nmidas/sdk/accu_weather/forecast DailyForecast","url":"midas/sdk/accu_weather/forecast.html#DailyForecast"},{"doc":"midas/sdk/accu_weather/forecast","title":"Detail","content":"pub type Detail {\n  Detail(\n    precipitation_probability: Int,\n    wind_speed: Float,\n    wind_direction: String,\n  )\n}\n\nDetail(\n  precipitation_probability: Int,\n  wind_speed: Float,\n  wind_direction: String,\n)\n\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.Detail\nmidas/sdk/accu_weather/forecast Detail","url":"midas/sdk/accu_weather/forecast.html#Detail"},{"doc":"midas/sdk/accu_weather/forecast","title":"daily_forcast_decoder","content":"pub fn daily_forcast_decoder(\n  raw: Dynamic,\n) -&gt; Result(DailyForecast, List(DecodeError))\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.daily_forcast_decoder\nmidas/sdk/accu_weather/forecast daily_forcast_decoder","url":"midas/sdk/accu_weather/forecast.html#daily_forcast_decoder"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast","content":"pub fn five_day_forecast(\n  api_key: String,\n  location: String,\n) -&gt; Effect(List(DailyForecast))\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast\nmidas/sdk/accu_weather/forecast five_day_forecast","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast_request","content":"pub fn five_day_forecast_request(\n  api_key: String,\n  location: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast_request\nmidas/sdk/accu_weather/forecast five_day_forecast_request","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast_request"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast_response","content":"pub fn five_day_forecast_response(\n  response: Response(BitArray),\n) -&gt; Result(List(DailyForecast), Snag)\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast_response\nmidas/sdk/accu_weather/forecast five_day_forecast_response","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast_response"},{"doc":"midas/sdk/accu_weather/forecast","title":"midas/sdk/accu_weather/forecast","content":"","url":"midas/sdk/accu_weather/forecast.html"},{"doc":"midas/sdk/accu_weather/location","title":"stockholm","content":"pub const stockholm: String\n\nSynonyms:\nmidas/sdk/accu_weather/location.stockholm\nmidas/sdk/accu_weather/location stockholm","url":"midas/sdk/accu_weather/location.html#stockholm"},{"doc":"midas/sdk/accu_weather/location","title":"midas/sdk/accu_weather/location","content":"","url":"midas/sdk/accu_weather/location.html"},{"doc":"midas/sdk/netlify/schema","title":"AccessToken","content":"pub type AccessToken {\n  AccessToken(\n    user_email: Option(String),\n    created_at: Option(String),\n    user_id: Option(String),\n    id: Option(String),\n    access_token: Option(String),\n  )\n}\n\nAccessToken(\n  user_email: Option(String),\n  created_at: Option(String),\n  user_id: Option(String),\n  id: Option(String),\n  access_token: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccessToken\nmidas/sdk/netlify/schema AccessToken","url":"midas/sdk/netlify/schema.html#AccessToken"},{"doc":"midas/sdk/netlify/schema","title":"AccountAddMemberSetup","content":"pub type AccountAddMemberSetup {\n  AccountAddMemberSetup(\n    role: Option(String),\n    email: Option(String),\n  )\n}\n\nAccountAddMemberSetup(\n  role: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountAddMemberSetup\nmidas/sdk/netlify/schema AccountAddMemberSetup","url":"midas/sdk/netlify/schema.html#AccountAddMemberSetup"},{"doc":"midas/sdk/netlify/schema","title":"AccountMembership","content":"pub type AccountMembership {\n  AccountMembership(\n    type_id: Option(String),\n    payment_method_id: Option(String),\n    billing_period: Option(String),\n    roles_allowed: Option(List(String)),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    owner_ids: Option(List(String)),\n    billing_name: Option(String),\n    type_name: Option(String),\n    capabilities: Option(Nil),\n    updated_at: Option(String),\n    billing_email: Option(String),\n    type_: Option(String),\n    id: Option(String),\n    billing_details: Option(String),\n  )\n}\n\nAccountMembership(\n  type_id: Option(String),\n  payment_method_id: Option(String),\n  billing_period: Option(String),\n  roles_allowed: Option(List(String)),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  owner_ids: Option(List(String)),\n  billing_name: Option(String),\n  type_name: Option(String),\n  capabilities: Option(Nil),\n  updated_at: Option(String),\n  billing_email: Option(String),\n  type_: Option(String),\n  id: Option(String),\n  billing_details: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountMembership\nmidas/sdk/netlify/schema AccountMembership","url":"midas/sdk/netlify/schema.html#AccountMembership"},{"doc":"midas/sdk/netlify/schema","title":"AccountSetup","content":"pub type AccountSetup {\n  AccountSetup(\n    type_id: Option(String),\n    payment_method_id: Option(String),\n    period: Option(String),\n    name: Option(String),\n    extra_seats_block: Option(Int),\n  )\n}\n\nAccountSetup(\n  type_id: Option(String),\n  payment_method_id: Option(String),\n  period: Option(String),\n  name: Option(String),\n  extra_seats_block: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountSetup\nmidas/sdk/netlify/schema AccountSetup","url":"midas/sdk/netlify/schema.html#AccountSetup"},{"doc":"midas/sdk/netlify/schema","title":"AccountType","content":"pub type AccountType {\n  AccountType(\n    monthly_seats_addon_dollar_price: Option(Int),\n    yearly_seats_addon_dollar_price: Option(Int),\n    name: Option(String),\n    capabilities: Option(Nil),\n    monthly_dollar_price: Option(Int),\n    id: Option(String),\n    yearly_dollar_price: Option(Int),\n    description: Option(String),\n  )\n}\n\nAccountType(\n  monthly_seats_addon_dollar_price: Option(Int),\n  yearly_seats_addon_dollar_price: Option(Int),\n  name: Option(String),\n  capabilities: Option(Nil),\n  monthly_dollar_price: Option(Int),\n  id: Option(String),\n  yearly_dollar_price: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountType\nmidas/sdk/netlify/schema AccountType","url":"midas/sdk/netlify/schema.html#AccountType"},{"doc":"midas/sdk/netlify/schema","title":"AccountUpdateMemberSetup","content":"pub type AccountUpdateMemberSetup {\n  AccountUpdateMemberSetup(\n    site_ids: Option(List(String)),\n    role: Option(String),\n    site_access: Option(String),\n  )\n}\n\nAccountUpdateMemberSetup(\n  site_ids: Option(List(String)),\n  role: Option(String),\n  site_access: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountUpdateMemberSetup\nmidas/sdk/netlify/schema AccountUpdateMemberSetup","url":"midas/sdk/netlify/schema.html#AccountUpdateMemberSetup"},{"doc":"midas/sdk/netlify/schema","title":"AccountUpdateSetup","content":"pub type AccountUpdateSetup {\n  AccountUpdateSetup(\n    type_id: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    extra_seats_block: Option(Int),\n    billing_name: Option(String),\n    billing_email: Option(String),\n    billing_details: Option(String),\n  )\n}\n\nAccountUpdateSetup(\n  type_id: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  extra_seats_block: Option(Int),\n  billing_name: Option(String),\n  billing_email: Option(String),\n  billing_details: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountUpdateSetup\nmidas/sdk/netlify/schema AccountUpdateSetup","url":"midas/sdk/netlify/schema.html#AccountUpdateSetup"},{"doc":"midas/sdk/netlify/schema","title":"AccountUsageCapability","content":"pub type AccountUsageCapability {\n  AccountUsageCapability(\n    included: Option(Int),\n    used: Option(Int),\n  )\n}\n\nAccountUsageCapability(included: Option(Int), used: Option(Int))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AccountUsageCapability\nmidas/sdk/netlify/schema AccountUsageCapability","url":"midas/sdk/netlify/schema.html#AccountUsageCapability"},{"doc":"midas/sdk/netlify/schema","title":"Asset","content":"pub type Asset {\n  Asset(\n    content_type: Option(String),\n    size: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    creator_id: Option(String),\n    url: Option(String),\n    state: Option(String),\n    visibility: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    id: Option(String),\n    key: Option(String),\n  )\n}\n\nAsset(\n  content_type: Option(String),\n  size: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  creator_id: Option(String),\n  url: Option(String),\n  state: Option(String),\n  visibility: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  id: Option(String),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Asset\nmidas/sdk/netlify/schema Asset","url":"midas/sdk/netlify/schema.html#Asset"},{"doc":"midas/sdk/netlify/schema","title":"AssetForm","content":"pub type AssetForm {\n  AssetForm(url: Option(String), fields: Option(Nil))\n}\n\nAssetForm(url: Option(String), fields: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AssetForm\nmidas/sdk/netlify/schema AssetForm","url":"midas/sdk/netlify/schema.html#AssetForm"},{"doc":"midas/sdk/netlify/schema","title":"AssetPublicSignature","content":"pub type AssetPublicSignature {\n  AssetPublicSignature(url: Option(String))\n}\n\nAssetPublicSignature(url: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AssetPublicSignature\nmidas/sdk/netlify/schema AssetPublicSignature","url":"midas/sdk/netlify/schema.html#AssetPublicSignature"},{"doc":"midas/sdk/netlify/schema","title":"AssetSignature","content":"pub type AssetSignature {\n  AssetSignature(form: Option(Nil), asset: Option(Nil))\n}\n\nAssetSignature(form: Option(Nil), asset: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AssetSignature\nmidas/sdk/netlify/schema AssetSignature","url":"midas/sdk/netlify/schema.html#AssetSignature"},{"doc":"midas/sdk/netlify/schema","title":"AuditLog","content":"pub type AuditLog {\n  AuditLog(\n    account_id: Option(String),\n    payload: Option(Nil),\n    id: Option(String),\n  )\n}\n\nAuditLog(\n  account_id: Option(String),\n  payload: Option(Nil),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.AuditLog\nmidas/sdk/netlify/schema AuditLog","url":"midas/sdk/netlify/schema.html#AuditLog"},{"doc":"midas/sdk/netlify/schema","title":"Build","content":"pub type Build {\n  Build(\n    done: Option(Bool),\n    error: Option(String),\n    created_at: Option(String),\n    sha: Option(String),\n    deploy_id: Option(String),\n    id: Option(String),\n  )\n}\n\nBuild(\n  done: Option(Bool),\n  error: Option(String),\n  created_at: Option(String),\n  sha: Option(String),\n  deploy_id: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Build\nmidas/sdk/netlify/schema Build","url":"midas/sdk/netlify/schema.html#Build"},{"doc":"midas/sdk/netlify/schema","title":"BuildHook","content":"pub type BuildHook {\n  BuildHook(\n    branch: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    site_id: Option(String),\n    title: Option(String),\n    id: Option(String),\n  )\n}\n\nBuildHook(\n  branch: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  site_id: Option(String),\n  title: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildHook\nmidas/sdk/netlify/schema BuildHook","url":"midas/sdk/netlify/schema.html#BuildHook"},{"doc":"midas/sdk/netlify/schema","title":"BuildHookSetup","content":"pub type BuildHookSetup {\n  BuildHookSetup(branch: Option(String), title: Option(String))\n}\n\nBuildHookSetup(branch: Option(String), title: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildHookSetup\nmidas/sdk/netlify/schema BuildHookSetup","url":"midas/sdk/netlify/schema.html#BuildHookSetup"},{"doc":"midas/sdk/netlify/schema","title":"BuildLogMsg","content":"pub type BuildLogMsg {\n  BuildLogMsg(\n    section: Option(String),\n    message: Option(String),\n    error: Option(Bool),\n  )\n}\n\nBuildLogMsg(\n  section: Option(String),\n  message: Option(String),\n  error: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildLogMsg\nmidas/sdk/netlify/schema BuildLogMsg","url":"midas/sdk/netlify/schema.html#BuildLogMsg"},{"doc":"midas/sdk/netlify/schema","title":"BuildSetup","content":"pub type BuildSetup {\n  BuildSetup(clear_cache: Option(Bool), image: Option(String))\n}\n\nBuildSetup(clear_cache: Option(Bool), image: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildSetup\nmidas/sdk/netlify/schema BuildSetup","url":"midas/sdk/netlify/schema.html#BuildSetup"},{"doc":"midas/sdk/netlify/schema","title":"BuildStatus","content":"pub type BuildStatus {\n  BuildStatus(\n    active: Option(Int),\n    pending_concurrency: Option(Int),\n    enqueued: Option(Int),\n    build_count: Option(Int),\n    minutes: Option(Nil),\n  )\n}\n\nBuildStatus(\n  active: Option(Int),\n  pending_concurrency: Option(Int),\n  enqueued: Option(Int),\n  build_count: Option(Int),\n  minutes: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.BuildStatus\nmidas/sdk/netlify/schema BuildStatus","url":"midas/sdk/netlify/schema.html#BuildStatus"},{"doc":"midas/sdk/netlify/schema","title":"Deploy","content":"pub type Deploy {\n  Deploy(\n    draft: Option(Bool),\n    branch: Option(String),\n    review_id: Option(Float),\n    published_at: Option(String),\n    deploy_ssl_url: Option(String),\n    commit_url: Option(String),\n    review_url: Option(String),\n    created_at: Option(String),\n    locked: Option(Bool),\n    commit_ref: Option(String),\n    name: Option(String),\n    build_id: Option(String),\n    url: Option(String),\n    context: Option(String),\n    user_id: Option(String),\n    error_message: Option(String),\n    skipped: Option(Bool),\n    state: Option(String),\n    site_id: Option(String),\n    function_schedules: Option(Nil),\n    screenshot_url: Option(String),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    title: Option(String),\n    id: Option(String),\n    required_functions: Option(List(String)),\n    ssl_url: Option(String),\n    framework: Option(String),\n    admin_url: Option(String),\n    required: Option(List(String)),\n  )\n}\n\nDeploy(\n  draft: Option(Bool),\n  branch: Option(String),\n  review_id: Option(Float),\n  published_at: Option(String),\n  deploy_ssl_url: Option(String),\n  commit_url: Option(String),\n  review_url: Option(String),\n  created_at: Option(String),\n  locked: Option(Bool),\n  commit_ref: Option(String),\n  name: Option(String),\n  build_id: Option(String),\n  url: Option(String),\n  context: Option(String),\n  user_id: Option(String),\n  error_message: Option(String),\n  skipped: Option(Bool),\n  state: Option(String),\n  site_id: Option(String),\n  function_schedules: Option(Nil),\n  screenshot_url: Option(String),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  title: Option(String),\n  id: Option(String),\n  required_functions: Option(List(String)),\n  ssl_url: Option(String),\n  framework: Option(String),\n  admin_url: Option(String),\n  required: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Deploy\nmidas/sdk/netlify/schema Deploy","url":"midas/sdk/netlify/schema.html#Deploy"},{"doc":"midas/sdk/netlify/schema","title":"DeployFiles","content":"pub type DeployFiles {\n  DeployFiles(\n    draft: Option(Bool),\n    branch: Option(String),\n    functions_config: Option(Nil),\n    function_schedules: Option(Nil),\n    files: Option(Nil),\n    framework_version: Option(String),\n    functions: Option(Nil),\n    async: Option(Bool),\n    framework: Option(String),\n  )\n}\n\nDeployFiles(\n  draft: Option(Bool),\n  branch: Option(String),\n  functions_config: Option(Nil),\n  function_schedules: Option(Nil),\n  files: Option(Nil),\n  framework_version: Option(String),\n  functions: Option(Nil),\n  async: Option(Bool),\n  framework: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DeployFiles\nmidas/sdk/netlify/schema DeployFiles","url":"midas/sdk/netlify/schema.html#DeployFiles"},{"doc":"midas/sdk/netlify/schema","title":"DeployKey","content":"pub type DeployKey {\n  DeployKey(\n    public_key: Option(String),\n    created_at: Option(String),\n    id: Option(String),\n  )\n}\n\nDeployKey(\n  public_key: Option(String),\n  created_at: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DeployKey\nmidas/sdk/netlify/schema DeployKey","url":"midas/sdk/netlify/schema.html#DeployKey"},{"doc":"midas/sdk/netlify/schema","title":"DeployedBranch","content":"pub type DeployedBranch {\n  DeployedBranch(\n    name: Option(String),\n    slug: Option(String),\n    url: Option(String),\n    deploy_id: Option(String),\n    id: Option(String),\n    ssl_url: Option(String),\n  )\n}\n\nDeployedBranch(\n  name: Option(String),\n  slug: Option(String),\n  url: Option(String),\n  deploy_id: Option(String),\n  id: Option(String),\n  ssl_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DeployedBranch\nmidas/sdk/netlify/schema DeployedBranch","url":"midas/sdk/netlify/schema.html#DeployedBranch"},{"doc":"midas/sdk/netlify/schema","title":"DevServer","content":"pub type DevServer {\n  DevServer(\n    branch: Option(String),\n    live_at: Option(String),\n    created_at: Option(String),\n    error_at: Option(String),\n    url: Option(String),\n    done_at: Option(String),\n    state: Option(String),\n    starting_at: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    title: Option(String),\n    id: Option(String),\n  )\n}\n\nDevServer(\n  branch: Option(String),\n  live_at: Option(String),\n  created_at: Option(String),\n  error_at: Option(String),\n  url: Option(String),\n  done_at: Option(String),\n  state: Option(String),\n  starting_at: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  title: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DevServer\nmidas/sdk/netlify/schema DevServer","url":"midas/sdk/netlify/schema.html#DevServer"},{"doc":"midas/sdk/netlify/schema","title":"DevServerHook","content":"pub type DevServerHook {\n  DevServerHook(\n    branch: Option(String),\n    created_at: Option(String),\n    url: Option(String),\n    site_id: Option(String),\n    title: Option(String),\n    type_: Option(String),\n    id: Option(String),\n  )\n}\n\nDevServerHook(\n  branch: Option(String),\n  created_at: Option(String),\n  url: Option(String),\n  site_id: Option(String),\n  title: Option(String),\n  type_: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DevServerHook\nmidas/sdk/netlify/schema DevServerHook","url":"midas/sdk/netlify/schema.html#DevServerHook"},{"doc":"midas/sdk/netlify/schema","title":"DevServerHookSetup","content":"pub type DevServerHookSetup {\n  DevServerHookSetup(\n    branch: Option(String),\n    title: Option(String),\n    type_: Option(String),\n  )\n}\n\nDevServerHookSetup(\n  branch: Option(String),\n  title: Option(String),\n  type_: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DevServerHookSetup\nmidas/sdk/netlify/schema DevServerHookSetup","url":"midas/sdk/netlify/schema.html#DevServerHookSetup"},{"doc":"midas/sdk/netlify/schema","title":"DnsRecord","content":"pub type DnsRecord {\n  DnsRecord(\n    priority: Option(Int),\n    ttl: Option(Int),\n    flag: Option(Int),\n    value: Option(String),\n    hostname: Option(String),\n    site_id: Option(String),\n    dns_zone_id: Option(String),\n    type_: Option(String),\n    tag: Option(String),\n    id: Option(String),\n    managed: Option(Bool),\n  )\n}\n\nDnsRecord(\n  priority: Option(Int),\n  ttl: Option(Int),\n  flag: Option(Int),\n  value: Option(String),\n  hostname: Option(String),\n  site_id: Option(String),\n  dns_zone_id: Option(String),\n  type_: Option(String),\n  tag: Option(String),\n  id: Option(String),\n  managed: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsRecord\nmidas/sdk/netlify/schema DnsRecord","url":"midas/sdk/netlify/schema.html#DnsRecord"},{"doc":"midas/sdk/netlify/schema","title":"DnsRecordCreate","content":"pub type DnsRecordCreate {\n  DnsRecordCreate(\n    port: Option(Int),\n    priority: Option(Int),\n    ttl: Option(Int),\n    flag: Option(Int),\n    value: Option(String),\n    hostname: Option(String),\n    weight: Option(Int),\n    type_: Option(String),\n    tag: Option(String),\n  )\n}\n\nDnsRecordCreate(\n  port: Option(Int),\n  priority: Option(Int),\n  ttl: Option(Int),\n  flag: Option(Int),\n  value: Option(String),\n  hostname: Option(String),\n  weight: Option(Int),\n  type_: Option(String),\n  tag: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsRecordCreate\nmidas/sdk/netlify/schema DnsRecordCreate","url":"midas/sdk/netlify/schema.html#DnsRecordCreate"},{"doc":"midas/sdk/netlify/schema","title":"DnsRecords","content":"pub type DnsRecords {\n  DnsRecords\n}\n\nDnsRecords\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsRecords\nmidas/sdk/netlify/schema DnsRecords","url":"midas/sdk/netlify/schema.html#DnsRecords"},{"doc":"midas/sdk/netlify/schema","title":"DnsZone","content":"pub type DnsZone {\n  DnsZone(\n    records: Option(Nil),\n    domain: Option(String),\n    ipv6_enabled: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    errors: Option(List(String)),\n    account_id: Option(String),\n    dedicated: Option(Bool),\n    user_id: Option(String),\n    site_id: Option(String),\n    updated_at: Option(String),\n    dns_servers: Option(List(String)),\n    id: Option(String),\n    supported_record_types: Option(List(String)),\n    account_name: Option(String),\n    account_slug: Option(String),\n  )\n}\n\nDnsZone(\n  records: Option(Nil),\n  domain: Option(String),\n  ipv6_enabled: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  errors: Option(List(String)),\n  account_id: Option(String),\n  dedicated: Option(Bool),\n  user_id: Option(String),\n  site_id: Option(String),\n  updated_at: Option(String),\n  dns_servers: Option(List(String)),\n  id: Option(String),\n  supported_record_types: Option(List(String)),\n  account_name: Option(String),\n  account_slug: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsZone\nmidas/sdk/netlify/schema DnsZone","url":"midas/sdk/netlify/schema.html#DnsZone"},{"doc":"midas/sdk/netlify/schema","title":"DnsZoneSetup","content":"pub type DnsZoneSetup {\n  DnsZoneSetup(\n    name: Option(String),\n    site_id: Option(String),\n    account_slug: Option(String),\n  )\n}\n\nDnsZoneSetup(\n  name: Option(String),\n  site_id: Option(String),\n  account_slug: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsZoneSetup\nmidas/sdk/netlify/schema DnsZoneSetup","url":"midas/sdk/netlify/schema.html#DnsZoneSetup"},{"doc":"midas/sdk/netlify/schema","title":"DnsZones","content":"pub type DnsZones {\n  DnsZones\n}\n\nDnsZones\n\n\nSynonyms:\nmidas/sdk/netlify/schema.DnsZones\nmidas/sdk/netlify/schema DnsZones","url":"midas/sdk/netlify/schema.html#DnsZones"},{"doc":"midas/sdk/netlify/schema","title":"EnvVar","content":"pub type EnvVar {\n  EnvVar(\n    values: Option(Nil),\n    is_secret: Option(Bool),\n    updated_at: Option(String),\n    updated_by: Option(Nil),\n    scopes: Option(List(String)),\n    key: Option(String),\n  )\n}\n\nEnvVar(\n  values: Option(Nil),\n  is_secret: Option(Bool),\n  updated_at: Option(String),\n  updated_by: Option(Nil),\n  scopes: Option(List(String)),\n  key: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.EnvVar\nmidas/sdk/netlify/schema EnvVar","url":"midas/sdk/netlify/schema.html#EnvVar"},{"doc":"midas/sdk/netlify/schema","title":"EnvVarUser","content":"pub type EnvVarUser {\n  EnvVarUser(\n    avatar_url: Option(String),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nEnvVarUser(\n  avatar_url: Option(String),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.EnvVarUser\nmidas/sdk/netlify/schema EnvVarUser","url":"midas/sdk/netlify/schema.html#EnvVarUser"},{"doc":"midas/sdk/netlify/schema","title":"EnvVarValue","content":"pub type EnvVarValue {\n  EnvVarValue(\n    context: Option(String),\n    value: Option(String),\n    context_parameter: Option(String),\n    id: Option(String),\n  )\n}\n\nEnvVarValue(\n  context: Option(String),\n  value: Option(String),\n  context_parameter: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.EnvVarValue\nmidas/sdk/netlify/schema EnvVarValue","url":"midas/sdk/netlify/schema.html#EnvVarValue"},{"doc":"midas/sdk/netlify/schema","title":"Error","content":"pub type Error {\n  Error(message: Option(String), code: Option(Int))\n}\n\nError(message: Option(String), code: Option(Int))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Error\nmidas/sdk/netlify/schema Error","url":"midas/sdk/netlify/schema.html#Error"},{"doc":"midas/sdk/netlify/schema","title":"ExcludedFunctionRoute","content":"pub type ExcludedFunctionRoute {\n  ExcludedFunctionRoute(\n    literal: Option(String),\n    pattern: Option(String),\n    expression: Option(String),\n  )\n}\n\nExcludedFunctionRoute(\n  literal: Option(String),\n  pattern: Option(String),\n  expression: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.ExcludedFunctionRoute\nmidas/sdk/netlify/schema ExcludedFunctionRoute","url":"midas/sdk/netlify/schema.html#ExcludedFunctionRoute"},{"doc":"midas/sdk/netlify/schema","title":"File","content":"pub type File {\n  File(\n    size: Option(Int),\n    path: Option(String),\n    mime_type: Option(String),\n    sha: Option(String),\n    id: Option(String),\n  )\n}\n\nFile(\n  size: Option(Int),\n  path: Option(String),\n  mime_type: Option(String),\n  sha: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.File\nmidas/sdk/netlify/schema File","url":"midas/sdk/netlify/schema.html#File"},{"doc":"midas/sdk/netlify/schema","title":"Form","content":"pub type Form {\n  Form(\n    created_at: Option(String),\n    name: Option(String),\n    paths: Option(List(String)),\n    site_id: Option(String),\n    fields: Option(Nil),\n    id: Option(String),\n    submission_count: Option(Int),\n  )\n}\n\nForm(\n  created_at: Option(String),\n  name: Option(String),\n  paths: Option(List(String)),\n  site_id: Option(String),\n  fields: Option(Nil),\n  id: Option(String),\n  submission_count: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Form\nmidas/sdk/netlify/schema Form","url":"midas/sdk/netlify/schema.html#Form"},{"doc":"midas/sdk/netlify/schema","title":"Function","content":"pub type Function {\n  Function(\n    name: Option(String),\n    sha: Option(String),\n    id: Option(String),\n  )\n}\n\nFunction(\n  name: Option(String),\n  sha: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Function\nmidas/sdk/netlify/schema Function","url":"midas/sdk/netlify/schema.html#Function"},{"doc":"midas/sdk/netlify/schema","title":"FunctionConfig","content":"pub type FunctionConfig {\n  FunctionConfig(\n    priority: Option(Int),\n    display_name: Option(String),\n    routes: Option(Nil),\n    generator: Option(String),\n    traffic_rules: Option(Nil),\n    build_data: Option(Nil),\n    excluded_routes: Option(Nil),\n  )\n}\n\nFunctionConfig(\n  priority: Option(Int),\n  display_name: Option(String),\n  routes: Option(Nil),\n  generator: Option(String),\n  traffic_rules: Option(Nil),\n  build_data: Option(Nil),\n  excluded_routes: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.FunctionConfig\nmidas/sdk/netlify/schema FunctionConfig","url":"midas/sdk/netlify/schema.html#FunctionConfig"},{"doc":"midas/sdk/netlify/schema","title":"FunctionRoute","content":"pub type FunctionRoute {\n  FunctionRoute(\n    literal: Option(String),\n    pattern: Option(String),\n    methods: Option(List(String)),\n    expression: Option(String),\n    prefer_static: Option(Bool),\n  )\n}\n\nFunctionRoute(\n  literal: Option(String),\n  pattern: Option(String),\n  methods: Option(List(String)),\n  expression: Option(String),\n  prefer_static: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.FunctionRoute\nmidas/sdk/netlify/schema FunctionRoute","url":"midas/sdk/netlify/schema.html#FunctionRoute"},{"doc":"midas/sdk/netlify/schema","title":"FunctionSchedule","content":"pub type FunctionSchedule {\n  FunctionSchedule(name: Option(String), cron: Option(String))\n}\n\nFunctionSchedule(name: Option(String), cron: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.FunctionSchedule\nmidas/sdk/netlify/schema FunctionSchedule","url":"midas/sdk/netlify/schema.html#FunctionSchedule"},{"doc":"midas/sdk/netlify/schema","title":"Hook","content":"pub type Hook {\n  Hook(\n    created_at: Option(String),\n    data: Option(Nil),\n    site_id: Option(String),\n    updated_at: Option(String),\n    event: Option(String),\n    type_: Option(String),\n    id: Option(String),\n    disabled: Option(Bool),\n  )\n}\n\nHook(\n  created_at: Option(String),\n  data: Option(Nil),\n  site_id: Option(String),\n  updated_at: Option(String),\n  event: Option(String),\n  type_: Option(String),\n  id: Option(String),\n  disabled: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Hook\nmidas/sdk/netlify/schema Hook","url":"midas/sdk/netlify/schema.html#Hook"},{"doc":"midas/sdk/netlify/schema","title":"HookType","content":"pub type HookType {\n  HookType(\n    name: Option(String),\n    events: Option(List(String)),\n    fields: Option(Nil),\n  )\n}\n\nHookType(\n  name: Option(String),\n  events: Option(List(String)),\n  fields: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.HookType\nmidas/sdk/netlify/schema HookType","url":"midas/sdk/netlify/schema.html#HookType"},{"doc":"midas/sdk/netlify/schema","title":"Member","content":"pub type Member {\n  Member(\n    role: Option(String),\n    avatar: Option(String),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nMember(\n  role: Option(String),\n  avatar: Option(String),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Member\nmidas/sdk/netlify/schema Member","url":"midas/sdk/netlify/schema.html#Member"},{"doc":"midas/sdk/netlify/schema","title":"Metadata","content":"pub type Metadata {\n  Metadata\n}\n\nMetadata\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Metadata\nmidas/sdk/netlify/schema Metadata","url":"midas/sdk/netlify/schema.html#Metadata"},{"doc":"midas/sdk/netlify/schema","title":"PaymentMethod","content":"pub type PaymentMethod {\n  PaymentMethod(\n    method_name: Option(String),\n    created_at: Option(String),\n    data: Option(Nil),\n    state: Option(String),\n    updated_at: Option(String),\n    type_: Option(String),\n    id: Option(String),\n  )\n}\n\nPaymentMethod(\n  method_name: Option(String),\n  created_at: Option(String),\n  data: Option(Nil),\n  state: Option(String),\n  updated_at: Option(String),\n  type_: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.PaymentMethod\nmidas/sdk/netlify/schema PaymentMethod","url":"midas/sdk/netlify/schema.html#PaymentMethod"},{"doc":"midas/sdk/netlify/schema","title":"Plugin","content":"pub type Plugin {\n  Plugin(package: Option(String), pinned_version: Option(String))\n}\n\nPlugin(package: Option(String), pinned_version: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Plugin\nmidas/sdk/netlify/schema Plugin","url":"midas/sdk/netlify/schema.html#Plugin"},{"doc":"midas/sdk/netlify/schema","title":"PluginParams","content":"pub type PluginParams {\n  PluginParams(pinned_version: Option(String))\n}\n\nPluginParams(pinned_version: Option(String))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.PluginParams\nmidas/sdk/netlify/schema PluginParams","url":"midas/sdk/netlify/schema.html#PluginParams"},{"doc":"midas/sdk/netlify/schema","title":"PluginRun","content":"pub type PluginRun {\n  PluginRun(\n    package: Option(String),\n    summary: Option(String),\n    reporting_event: Option(String),\n    text: Option(String),\n    state: Option(String),\n    deploy_id: Option(String),\n    version: Option(String),\n    title: Option(String),\n  )\n}\n\nPluginRun(\n  package: Option(String),\n  summary: Option(String),\n  reporting_event: Option(String),\n  text: Option(String),\n  state: Option(String),\n  deploy_id: Option(String),\n  version: Option(String),\n  title: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.PluginRun\nmidas/sdk/netlify/schema PluginRun","url":"midas/sdk/netlify/schema.html#PluginRun"},{"doc":"midas/sdk/netlify/schema","title":"PluginRunData","content":"pub type PluginRunData {\n  PluginRunData(\n    package: Option(String),\n    summary: Option(String),\n    reporting_event: Option(String),\n    text: Option(String),\n    state: Option(String),\n    version: Option(String),\n    title: Option(String),\n  )\n}\n\nPluginRunData(\n  package: Option(String),\n  summary: Option(String),\n  reporting_event: Option(String),\n  text: Option(String),\n  state: Option(String),\n  version: Option(String),\n  title: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.PluginRunData\nmidas/sdk/netlify/schema PluginRunData","url":"midas/sdk/netlify/schema.html#PluginRunData"},{"doc":"midas/sdk/netlify/schema","title":"Purge","content":"pub type Purge {\n  Purge(\n    site_slug: Option(String),\n    site_id: Option(String),\n    cache_tags: Option(List(String)),\n  )\n}\n\nPurge(\n  site_slug: Option(String),\n  site_id: Option(String),\n  cache_tags: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Purge\nmidas/sdk/netlify/schema Purge","url":"midas/sdk/netlify/schema.html#Purge"},{"doc":"midas/sdk/netlify/schema","title":"RepoInfo","content":"pub type RepoInfo {\n  RepoInfo(\n    installation_id: Option(Int),\n    stop_builds: Option(Bool),\n    repo_url: Option(String),\n    allowed_branches: Option(List(String)),\n    public_repo: Option(Bool),\n    functions_dir: Option(String),\n    private_logs: Option(Bool),\n    dir: Option(String),\n    env: Option(Nil),\n    repo_branch: Option(String),\n    provider: Option(String),\n    repo_path: Option(String),\n    deploy_key_id: Option(String),\n    cmd: Option(String),\n    id: Option(Int),\n  )\n}\n\nRepoInfo(\n  installation_id: Option(Int),\n  stop_builds: Option(Bool),\n  repo_url: Option(String),\n  allowed_branches: Option(List(String)),\n  public_repo: Option(Bool),\n  functions_dir: Option(String),\n  private_logs: Option(Bool),\n  dir: Option(String),\n  env: Option(Nil),\n  repo_branch: Option(String),\n  provider: Option(String),\n  repo_path: Option(String),\n  deploy_key_id: Option(String),\n  cmd: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.RepoInfo\nmidas/sdk/netlify/schema RepoInfo","url":"midas/sdk/netlify/schema.html#RepoInfo"},{"doc":"midas/sdk/netlify/schema","title":"Service","content":"pub type Service {\n  Service(\n    environments: Option(List(String)),\n    created_at: Option(String),\n    name: Option(String),\n    slug: Option(String),\n    service_path: Option(String),\n    updated_at: Option(String),\n    tags: Option(List(String)),\n    icon: Option(String),\n    events: Option(Nil),\n    long_description: Option(String),\n    id: Option(String),\n    description: Option(String),\n    manifest_url: Option(String),\n  )\n}\n\nService(\n  environments: Option(List(String)),\n  created_at: Option(String),\n  name: Option(String),\n  slug: Option(String),\n  service_path: Option(String),\n  updated_at: Option(String),\n  tags: Option(List(String)),\n  icon: Option(String),\n  events: Option(Nil),\n  long_description: Option(String),\n  id: Option(String),\n  description: Option(String),\n  manifest_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Service\nmidas/sdk/netlify/schema Service","url":"midas/sdk/netlify/schema.html#Service"},{"doc":"midas/sdk/netlify/schema","title":"ServiceInstance","content":"pub type ServiceInstance {\n  ServiceInstance(\n    config: Option(Nil),\n    created_at: Option(String),\n    external_attributes: Option(Nil),\n    env: Option(Nil),\n    url: Option(String),\n    service_path: Option(String),\n    service_name: Option(String),\n    service_slug: Option(String),\n    snippets: Option(Nil),\n    updated_at: Option(String),\n    auth_url: Option(String),\n    id: Option(String),\n  )\n}\n\nServiceInstance(\n  config: Option(Nil),\n  created_at: Option(String),\n  external_attributes: Option(Nil),\n  env: Option(Nil),\n  url: Option(String),\n  service_path: Option(String),\n  service_name: Option(String),\n  service_slug: Option(String),\n  snippets: Option(Nil),\n  updated_at: Option(String),\n  auth_url: Option(String),\n  id: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.ServiceInstance\nmidas/sdk/netlify/schema ServiceInstance","url":"midas/sdk/netlify/schema.html#ServiceInstance"},{"doc":"midas/sdk/netlify/schema","title":"Site","content":"pub type Site {\n  Site(\n    domain_aliases: Option(List(String)),\n    deploy_preview_custom_domain: Option(String),\n    session_id: Option(String),\n    id_domain: Option(String),\n    notification_email: Option(String),\n    managed_dns: Option(Bool),\n    plan: Option(String),\n    build_image: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    ssl: Option(Bool),\n    account_id: Option(String),\n    url: Option(String),\n    user_id: Option(String),\n    processing_settings: Option(Nil),\n    state: Option(String),\n    custom_domain: Option(String),\n    build_settings: Option(Nil),\n    screenshot_url: Option(String),\n    capabilities: Option(Nil),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    branch_deploy_custom_domain: Option(String),\n    default_hooks_data: Option(Nil),\n    functions_region: Option(String),\n    published_deploy: Option(Nil),\n    force_ssl: Option(Bool),\n    prerender: Option(String),\n    id: Option(String),\n    deploy_hook: Option(String),\n    password: Option(String),\n    ssl_url: Option(String),\n    account_name: Option(String),\n    account_slug: Option(String),\n    git_provider: Option(String),\n    admin_url: Option(String),\n  )\n}\n\nSite(\n  domain_aliases: Option(List(String)),\n  deploy_preview_custom_domain: Option(String),\n  session_id: Option(String),\n  id_domain: Option(String),\n  notification_email: Option(String),\n  managed_dns: Option(Bool),\n  plan: Option(String),\n  build_image: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  ssl: Option(Bool),\n  account_id: Option(String),\n  url: Option(String),\n  user_id: Option(String),\n  processing_settings: Option(Nil),\n  state: Option(String),\n  custom_domain: Option(String),\n  build_settings: Option(Nil),\n  screenshot_url: Option(String),\n  capabilities: Option(Nil),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  branch_deploy_custom_domain: Option(String),\n  default_hooks_data: Option(Nil),\n  functions_region: Option(String),\n  published_deploy: Option(Nil),\n  force_ssl: Option(Bool),\n  prerender: Option(String),\n  id: Option(String),\n  deploy_hook: Option(String),\n  password: Option(String),\n  ssl_url: Option(String),\n  account_name: Option(String),\n  account_slug: Option(String),\n  git_provider: Option(String),\n  admin_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Site\nmidas/sdk/netlify/schema Site","url":"midas/sdk/netlify/schema.html#Site"},{"doc":"midas/sdk/netlify/schema","title":"SiteFunction","content":"pub type SiteFunction {\n  SiteFunction(\n    branch: Option(String),\n    created_at: Option(String),\n    provider: Option(String),\n    log_type: Option(String),\n    id: Option(String),\n    functions: Option(Nil),\n  )\n}\n\nSiteFunction(\n  branch: Option(String),\n  created_at: Option(String),\n  provider: Option(String),\n  log_type: Option(String),\n  id: Option(String),\n  functions: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SiteFunction\nmidas/sdk/netlify/schema SiteFunction","url":"midas/sdk/netlify/schema.html#SiteFunction"},{"doc":"midas/sdk/netlify/schema","title":"SiteSetup","content":"pub type SiteSetup {\n  SiteSetup(\n    domain_aliases: Option(List(String)),\n    deploy_preview_custom_domain: Option(String),\n    session_id: Option(String),\n    id_domain: Option(String),\n    notification_email: Option(String),\n    managed_dns: Option(Bool),\n    plan: Option(String),\n    build_image: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    ssl: Option(Bool),\n    account_id: Option(String),\n    url: Option(String),\n    user_id: Option(String),\n    processing_settings: Option(Nil),\n    state: Option(String),\n    custom_domain: Option(String),\n    repo: Option(Nil),\n    build_settings: Option(Nil),\n    screenshot_url: Option(String),\n    capabilities: Option(Nil),\n    deploy_url: Option(String),\n    updated_at: Option(String),\n    branch_deploy_custom_domain: Option(String),\n    default_hooks_data: Option(Nil),\n    functions_region: Option(String),\n    published_deploy: Option(Nil),\n    force_ssl: Option(Bool),\n    prerender: Option(String),\n    id: Option(String),\n    deploy_hook: Option(String),\n    password: Option(String),\n    ssl_url: Option(String),\n    account_name: Option(String),\n    account_slug: Option(String),\n    git_provider: Option(String),\n    admin_url: Option(String),\n  )\n}\n\nSiteSetup(\n  domain_aliases: Option(List(String)),\n  deploy_preview_custom_domain: Option(String),\n  session_id: Option(String),\n  id_domain: Option(String),\n  notification_email: Option(String),\n  managed_dns: Option(Bool),\n  plan: Option(String),\n  build_image: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  ssl: Option(Bool),\n  account_id: Option(String),\n  url: Option(String),\n  user_id: Option(String),\n  processing_settings: Option(Nil),\n  state: Option(String),\n  custom_domain: Option(String),\n  repo: Option(Nil),\n  build_settings: Option(Nil),\n  screenshot_url: Option(String),\n  capabilities: Option(Nil),\n  deploy_url: Option(String),\n  updated_at: Option(String),\n  branch_deploy_custom_domain: Option(String),\n  default_hooks_data: Option(Nil),\n  functions_region: Option(String),\n  published_deploy: Option(Nil),\n  force_ssl: Option(Bool),\n  prerender: Option(String),\n  id: Option(String),\n  deploy_hook: Option(String),\n  password: Option(String),\n  ssl_url: Option(String),\n  account_name: Option(String),\n  account_slug: Option(String),\n  git_provider: Option(String),\n  admin_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SiteSetup\nmidas/sdk/netlify/schema SiteSetup","url":"midas/sdk/netlify/schema.html#SiteSetup"},{"doc":"midas/sdk/netlify/schema","title":"SniCertificate","content":"pub type SniCertificate {\n  SniCertificate(\n    created_at: Option(String),\n    domains: Option(List(String)),\n    state: Option(String),\n    updated_at: Option(String),\n    expires_at: Option(String),\n  )\n}\n\nSniCertificate(\n  created_at: Option(String),\n  domains: Option(List(String)),\n  state: Option(String),\n  updated_at: Option(String),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SniCertificate\nmidas/sdk/netlify/schema SniCertificate","url":"midas/sdk/netlify/schema.html#SniCertificate"},{"doc":"midas/sdk/netlify/schema","title":"Snippet","content":"pub type Snippet {\n  Snippet(\n    general_position: Option(String),\n    general: Option(String),\n    site_id: Option(String),\n    goal: Option(String),\n    goal_position: Option(String),\n    title: Option(String),\n    id: Option(Int),\n  )\n}\n\nSnippet(\n  general_position: Option(String),\n  general: Option(String),\n  site_id: Option(String),\n  goal: Option(String),\n  goal_position: Option(String),\n  title: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Snippet\nmidas/sdk/netlify/schema Snippet","url":"midas/sdk/netlify/schema.html#Snippet"},{"doc":"midas/sdk/netlify/schema","title":"SplitTest","content":"pub type SplitTest {\n  SplitTest(\n    path: Option(String),\n    active: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    branches: Option(Nil),\n    site_id: Option(String),\n    updated_at: Option(String),\n    id: Option(String),\n    unpublished_at: Option(String),\n  )\n}\n\nSplitTest(\n  path: Option(String),\n  active: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  branches: Option(Nil),\n  site_id: Option(String),\n  updated_at: Option(String),\n  id: Option(String),\n  unpublished_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SplitTest\nmidas/sdk/netlify/schema SplitTest","url":"midas/sdk/netlify/schema.html#SplitTest"},{"doc":"midas/sdk/netlify/schema","title":"SplitTestSetup","content":"pub type SplitTestSetup {\n  SplitTestSetup(branch_tests: Option(Nil))\n}\n\nSplitTestSetup(branch_tests: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SplitTestSetup\nmidas/sdk/netlify/schema SplitTestSetup","url":"midas/sdk/netlify/schema.html#SplitTestSetup"},{"doc":"midas/sdk/netlify/schema","title":"SplitTests","content":"pub type SplitTests {\n  SplitTests\n}\n\nSplitTests\n\n\nSynonyms:\nmidas/sdk/netlify/schema.SplitTests\nmidas/sdk/netlify/schema SplitTests","url":"midas/sdk/netlify/schema.html#SplitTests"},{"doc":"midas/sdk/netlify/schema","title":"Submission","content":"pub type Submission {\n  Submission(\n    body: Option(String),\n    summary: Option(String),\n    number: Option(Int),\n    created_at: Option(String),\n    data: Option(Nil),\n    name: Option(String),\n    last_name: Option(String),\n    site_url: Option(String),\n    first_name: Option(String),\n    id: Option(String),\n    email: Option(String),\n    company: Option(String),\n  )\n}\n\nSubmission(\n  body: Option(String),\n  summary: Option(String),\n  number: Option(Int),\n  created_at: Option(String),\n  data: Option(Nil),\n  name: Option(String),\n  last_name: Option(String),\n  site_url: Option(String),\n  first_name: Option(String),\n  id: Option(String),\n  email: Option(String),\n  company: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Submission\nmidas/sdk/netlify/schema Submission","url":"midas/sdk/netlify/schema.html#Submission"},{"doc":"midas/sdk/netlify/schema","title":"Ticket","content":"pub type Ticket {\n  Ticket(\n    created_at: Option(String),\n    client_id: Option(String),\n    id: Option(String),\n    authorized: Option(Bool),\n  )\n}\n\nTicket(\n  created_at: Option(String),\n  client_id: Option(String),\n  id: Option(String),\n  authorized: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.Ticket\nmidas/sdk/netlify/schema Ticket","url":"midas/sdk/netlify/schema.html#Ticket"},{"doc":"midas/sdk/netlify/schema","title":"TrafficRulesAggregateConfig","content":"pub type TrafficRulesAggregateConfig {\n  TrafficRulesAggregateConfig(keys: Option(Nil))\n}\n\nTrafficRulesAggregateConfig(keys: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.TrafficRulesAggregateConfig\nmidas/sdk/netlify/schema TrafficRulesAggregateConfig","url":"midas/sdk/netlify/schema.html#TrafficRulesAggregateConfig"},{"doc":"midas/sdk/netlify/schema","title":"TrafficRulesConfig","content":"pub type TrafficRulesConfig {\n  TrafficRulesConfig(action: Option(Nil))\n}\n\nTrafficRulesConfig(action: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/netlify/schema.TrafficRulesConfig\nmidas/sdk/netlify/schema TrafficRulesConfig","url":"midas/sdk/netlify/schema.html#TrafficRulesConfig"},{"doc":"midas/sdk/netlify/schema","title":"TrafficRulesRateLimitConfig","content":"pub type TrafficRulesRateLimitConfig {\n  TrafficRulesRateLimitConfig(\n    window_limit: Option(Int),\n    algorithm: Option(String),\n    window_size: Option(Int),\n  )\n}\n\nTrafficRulesRateLimitConfig(\n  window_limit: Option(Int),\n  algorithm: Option(String),\n  window_size: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.TrafficRulesRateLimitConfig\nmidas/sdk/netlify/schema TrafficRulesRateLimitConfig","url":"midas/sdk/netlify/schema.html#TrafficRulesRateLimitConfig"},{"doc":"midas/sdk/netlify/schema","title":"User","content":"pub type User {\n  User(\n    last_login: Option(String),\n    avatar_url: Option(String),\n    created_at: Option(String),\n    login_providers: Option(List(String)),\n    affiliate_id: Option(String),\n    uid: Option(String),\n    onboarding_progress: Option(Nil),\n    site_count: Option(Int),\n    id: Option(String),\n    full_name: Option(String),\n    email: Option(String),\n  )\n}\n\nUser(\n  last_login: Option(String),\n  avatar_url: Option(String),\n  created_at: Option(String),\n  login_providers: Option(List(String)),\n  affiliate_id: Option(String),\n  uid: Option(String),\n  onboarding_progress: Option(Nil),\n  site_count: Option(Int),\n  id: Option(String),\n  full_name: Option(String),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/netlify/schema.User\nmidas/sdk/netlify/schema User","url":"midas/sdk/netlify/schema.html#User"},{"doc":"midas/sdk/netlify/schema","title":"access_token","content":"pub const access_token: AccessToken\n\nSynonyms:\nmidas/sdk/netlify/schema.access_token\nmidas/sdk/netlify/schema access_token","url":"midas/sdk/netlify/schema.html#access_token"},{"doc":"midas/sdk/netlify/schema","title":"account_add_member_setup","content":"pub const account_add_member_setup: AccountAddMemberSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.account_add_member_setup\nmidas/sdk/netlify/schema account_add_member_setup","url":"midas/sdk/netlify/schema.html#account_add_member_setup"},{"doc":"midas/sdk/netlify/schema","title":"account_membership","content":"pub const account_membership: AccountMembership\n\nSynonyms:\nmidas/sdk/netlify/schema.account_membership\nmidas/sdk/netlify/schema account_membership","url":"midas/sdk/netlify/schema.html#account_membership"},{"doc":"midas/sdk/netlify/schema","title":"account_setup","content":"pub const account_setup: AccountSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.account_setup\nmidas/sdk/netlify/schema account_setup","url":"midas/sdk/netlify/schema.html#account_setup"},{"doc":"midas/sdk/netlify/schema","title":"account_type","content":"pub const account_type: AccountType\n\nSynonyms:\nmidas/sdk/netlify/schema.account_type\nmidas/sdk/netlify/schema account_type","url":"midas/sdk/netlify/schema.html#account_type"},{"doc":"midas/sdk/netlify/schema","title":"account_update_member_setup","content":"pub const account_update_member_setup: AccountUpdateMemberSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_member_setup\nmidas/sdk/netlify/schema account_update_member_setup","url":"midas/sdk/netlify/schema.html#account_update_member_setup"},{"doc":"midas/sdk/netlify/schema","title":"account_update_setup","content":"pub const account_update_setup: AccountUpdateSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_setup\nmidas/sdk/netlify/schema account_update_setup","url":"midas/sdk/netlify/schema.html#account_update_setup"},{"doc":"midas/sdk/netlify/schema","title":"account_usage_capability","content":"pub const account_usage_capability: AccountUsageCapability\n\nSynonyms:\nmidas/sdk/netlify/schema.account_usage_capability\nmidas/sdk/netlify/schema account_usage_capability","url":"midas/sdk/netlify/schema.html#account_usage_capability"},{"doc":"midas/sdk/netlify/schema","title":"asset","content":"pub const asset: Asset\n\nSynonyms:\nmidas/sdk/netlify/schema.asset\nmidas/sdk/netlify/schema asset","url":"midas/sdk/netlify/schema.html#asset"},{"doc":"midas/sdk/netlify/schema","title":"asset_form","content":"pub const asset_form: AssetForm\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_form\nmidas/sdk/netlify/schema asset_form","url":"midas/sdk/netlify/schema.html#asset_form"},{"doc":"midas/sdk/netlify/schema","title":"asset_public_signature","content":"pub const asset_public_signature: AssetPublicSignature\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_public_signature\nmidas/sdk/netlify/schema asset_public_signature","url":"midas/sdk/netlify/schema.html#asset_public_signature"},{"doc":"midas/sdk/netlify/schema","title":"asset_signature","content":"pub const asset_signature: AssetSignature\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_signature\nmidas/sdk/netlify/schema asset_signature","url":"midas/sdk/netlify/schema.html#asset_signature"},{"doc":"midas/sdk/netlify/schema","title":"audit_log","content":"pub const audit_log: AuditLog\n\nSynonyms:\nmidas/sdk/netlify/schema.audit_log\nmidas/sdk/netlify/schema audit_log","url":"midas/sdk/netlify/schema.html#audit_log"},{"doc":"midas/sdk/netlify/schema","title":"build","content":"pub const build: Build\n\nSynonyms:\nmidas/sdk/netlify/schema.build\nmidas/sdk/netlify/schema build","url":"midas/sdk/netlify/schema.html#build"},{"doc":"midas/sdk/netlify/schema","title":"build_hook","content":"pub const build_hook: BuildHook\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook\nmidas/sdk/netlify/schema build_hook","url":"midas/sdk/netlify/schema.html#build_hook"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_setup","content":"pub const build_hook_setup: BuildHookSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_setup\nmidas/sdk/netlify/schema build_hook_setup","url":"midas/sdk/netlify/schema.html#build_hook_setup"},{"doc":"midas/sdk/netlify/schema","title":"build_log_msg","content":"pub const build_log_msg: BuildLogMsg\n\nSynonyms:\nmidas/sdk/netlify/schema.build_log_msg\nmidas/sdk/netlify/schema build_log_msg","url":"midas/sdk/netlify/schema.html#build_log_msg"},{"doc":"midas/sdk/netlify/schema","title":"build_setup","content":"pub const build_setup: BuildSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.build_setup\nmidas/sdk/netlify/schema build_setup","url":"midas/sdk/netlify/schema.html#build_setup"},{"doc":"midas/sdk/netlify/schema","title":"build_status","content":"pub const build_status: BuildStatus\n\nSynonyms:\nmidas/sdk/netlify/schema.build_status\nmidas/sdk/netlify/schema build_status","url":"midas/sdk/netlify/schema.html#build_status"},{"doc":"midas/sdk/netlify/schema","title":"deploy","content":"pub const deploy: Deploy\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy\nmidas/sdk/netlify/schema deploy","url":"midas/sdk/netlify/schema.html#deploy"},{"doc":"midas/sdk/netlify/schema","title":"deploy_files","content":"pub const deploy_files: DeployFiles\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_files\nmidas/sdk/netlify/schema deploy_files","url":"midas/sdk/netlify/schema.html#deploy_files"},{"doc":"midas/sdk/netlify/schema","title":"deploy_key","content":"pub const deploy_key: DeployKey\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_key\nmidas/sdk/netlify/schema deploy_key","url":"midas/sdk/netlify/schema.html#deploy_key"},{"doc":"midas/sdk/netlify/schema","title":"deployed_branch","content":"pub const deployed_branch: DeployedBranch\n\nSynonyms:\nmidas/sdk/netlify/schema.deployed_branch\nmidas/sdk/netlify/schema deployed_branch","url":"midas/sdk/netlify/schema.html#deployed_branch"},{"doc":"midas/sdk/netlify/schema","title":"dev_server","content":"pub const dev_server: DevServer\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server\nmidas/sdk/netlify/schema dev_server","url":"midas/sdk/netlify/schema.html#dev_server"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook","content":"pub const dev_server_hook: DevServerHook\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook\nmidas/sdk/netlify/schema dev_server_hook","url":"midas/sdk/netlify/schema.html#dev_server_hook"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_setup","content":"pub const dev_server_hook_setup: DevServerHookSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_setup\nmidas/sdk/netlify/schema dev_server_hook_setup","url":"midas/sdk/netlify/schema.html#dev_server_hook_setup"},{"doc":"midas/sdk/netlify/schema","title":"dns_record","content":"pub const dns_record: DnsRecord\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record\nmidas/sdk/netlify/schema dns_record","url":"midas/sdk/netlify/schema.html#dns_record"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_create","content":"pub const dns_record_create: DnsRecordCreate\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_create\nmidas/sdk/netlify/schema dns_record_create","url":"midas/sdk/netlify/schema.html#dns_record_create"},{"doc":"midas/sdk/netlify/schema","title":"dns_records","content":"pub const dns_records: List(a)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_records\nmidas/sdk/netlify/schema dns_records","url":"midas/sdk/netlify/schema.html#dns_records"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone","content":"pub const dns_zone: DnsZone\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone\nmidas/sdk/netlify/schema dns_zone","url":"midas/sdk/netlify/schema.html#dns_zone"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_setup","content":"pub const dns_zone_setup: DnsZoneSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_setup\nmidas/sdk/netlify/schema dns_zone_setup","url":"midas/sdk/netlify/schema.html#dns_zone_setup"},{"doc":"midas/sdk/netlify/schema","title":"dns_zones","content":"pub const dns_zones: List(a)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zones\nmidas/sdk/netlify/schema dns_zones","url":"midas/sdk/netlify/schema.html#dns_zones"},{"doc":"midas/sdk/netlify/schema","title":"env_var","content":"pub const env_var: EnvVar\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var\nmidas/sdk/netlify/schema env_var","url":"midas/sdk/netlify/schema.html#env_var"},{"doc":"midas/sdk/netlify/schema","title":"env_var_user","content":"pub const env_var_user: EnvVarUser\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_user\nmidas/sdk/netlify/schema env_var_user","url":"midas/sdk/netlify/schema.html#env_var_user"},{"doc":"midas/sdk/netlify/schema","title":"env_var_value","content":"pub const env_var_value: EnvVarValue\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_value\nmidas/sdk/netlify/schema env_var_value","url":"midas/sdk/netlify/schema.html#env_var_value"},{"doc":"midas/sdk/netlify/schema","title":"error","content":"pub const error: Error\n\nSynonyms:\nmidas/sdk/netlify/schema.error\nmidas/sdk/netlify/schema error","url":"midas/sdk/netlify/schema.html#error"},{"doc":"midas/sdk/netlify/schema","title":"excluded_function_route","content":"pub const excluded_function_route: ExcludedFunctionRoute\n\nSynonyms:\nmidas/sdk/netlify/schema.excluded_function_route\nmidas/sdk/netlify/schema excluded_function_route","url":"midas/sdk/netlify/schema.html#excluded_function_route"},{"doc":"midas/sdk/netlify/schema","title":"file","content":"pub const file: File\n\nSynonyms:\nmidas/sdk/netlify/schema.file\nmidas/sdk/netlify/schema file","url":"midas/sdk/netlify/schema.html#file"},{"doc":"midas/sdk/netlify/schema","title":"form","content":"pub const form: Form\n\nSynonyms:\nmidas/sdk/netlify/schema.form\nmidas/sdk/netlify/schema form","url":"midas/sdk/netlify/schema.html#form"},{"doc":"midas/sdk/netlify/schema","title":"function","content":"pub const function: Function\n\nSynonyms:\nmidas/sdk/netlify/schema.function\nmidas/sdk/netlify/schema function","url":"midas/sdk/netlify/schema.html#function"},{"doc":"midas/sdk/netlify/schema","title":"function_config","content":"pub const function_config: FunctionConfig\n\nSynonyms:\nmidas/sdk/netlify/schema.function_config\nmidas/sdk/netlify/schema function_config","url":"midas/sdk/netlify/schema.html#function_config"},{"doc":"midas/sdk/netlify/schema","title":"function_route","content":"pub const function_route: FunctionRoute\n\nSynonyms:\nmidas/sdk/netlify/schema.function_route\nmidas/sdk/netlify/schema function_route","url":"midas/sdk/netlify/schema.html#function_route"},{"doc":"midas/sdk/netlify/schema","title":"function_schedule","content":"pub const function_schedule: FunctionSchedule\n\nSynonyms:\nmidas/sdk/netlify/schema.function_schedule\nmidas/sdk/netlify/schema function_schedule","url":"midas/sdk/netlify/schema.html#function_schedule"},{"doc":"midas/sdk/netlify/schema","title":"hook","content":"pub const hook: Hook\n\nSynonyms:\nmidas/sdk/netlify/schema.hook\nmidas/sdk/netlify/schema hook","url":"midas/sdk/netlify/schema.html#hook"},{"doc":"midas/sdk/netlify/schema","title":"hook_type","content":"pub const hook_type: HookType\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_type\nmidas/sdk/netlify/schema hook_type","url":"midas/sdk/netlify/schema.html#hook_type"},{"doc":"midas/sdk/netlify/schema","title":"member","content":"pub const member: Member\n\nSynonyms:\nmidas/sdk/netlify/schema.member\nmidas/sdk/netlify/schema member","url":"midas/sdk/netlify/schema.html#member"},{"doc":"midas/sdk/netlify/schema","title":"metadata","content":"pub const metadata: Metadata\n\nSynonyms:\nmidas/sdk/netlify/schema.metadata\nmidas/sdk/netlify/schema metadata","url":"midas/sdk/netlify/schema.html#metadata"},{"doc":"midas/sdk/netlify/schema","title":"payment_method","content":"pub const payment_method: PaymentMethod\n\nSynonyms:\nmidas/sdk/netlify/schema.payment_method\nmidas/sdk/netlify/schema payment_method","url":"midas/sdk/netlify/schema.html#payment_method"},{"doc":"midas/sdk/netlify/schema","title":"plugin","content":"pub const plugin: Plugin\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin\nmidas/sdk/netlify/schema plugin","url":"midas/sdk/netlify/schema.html#plugin"},{"doc":"midas/sdk/netlify/schema","title":"plugin_params","content":"pub const plugin_params: PluginParams\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_params\nmidas/sdk/netlify/schema plugin_params","url":"midas/sdk/netlify/schema.html#plugin_params"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run","content":"pub const plugin_run: PluginRun\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run\nmidas/sdk/netlify/schema plugin_run","url":"midas/sdk/netlify/schema.html#plugin_run"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_data","content":"pub const plugin_run_data: PluginRunData\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_data\nmidas/sdk/netlify/schema plugin_run_data","url":"midas/sdk/netlify/schema.html#plugin_run_data"},{"doc":"midas/sdk/netlify/schema","title":"purge","content":"pub const purge: Purge\n\nSynonyms:\nmidas/sdk/netlify/schema.purge\nmidas/sdk/netlify/schema purge","url":"midas/sdk/netlify/schema.html#purge"},{"doc":"midas/sdk/netlify/schema","title":"repo_info","content":"pub const repo_info: RepoInfo\n\nSynonyms:\nmidas/sdk/netlify/schema.repo_info\nmidas/sdk/netlify/schema repo_info","url":"midas/sdk/netlify/schema.html#repo_info"},{"doc":"midas/sdk/netlify/schema","title":"service","content":"pub const service: Service\n\nSynonyms:\nmidas/sdk/netlify/schema.service\nmidas/sdk/netlify/schema service","url":"midas/sdk/netlify/schema.html#service"},{"doc":"midas/sdk/netlify/schema","title":"service_instance","content":"pub const service_instance: ServiceInstance\n\nSynonyms:\nmidas/sdk/netlify/schema.service_instance\nmidas/sdk/netlify/schema service_instance","url":"midas/sdk/netlify/schema.html#service_instance"},{"doc":"midas/sdk/netlify/schema","title":"site","content":"pub const site: Site\n\nSynonyms:\nmidas/sdk/netlify/schema.site\nmidas/sdk/netlify/schema site","url":"midas/sdk/netlify/schema.html#site"},{"doc":"midas/sdk/netlify/schema","title":"site_function","content":"pub const site_function: SiteFunction\n\nSynonyms:\nmidas/sdk/netlify/schema.site_function\nmidas/sdk/netlify/schema site_function","url":"midas/sdk/netlify/schema.html#site_function"},{"doc":"midas/sdk/netlify/schema","title":"site_setup","content":"pub const site_setup: SiteSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.site_setup\nmidas/sdk/netlify/schema site_setup","url":"midas/sdk/netlify/schema.html#site_setup"},{"doc":"midas/sdk/netlify/schema","title":"sni_certificate","content":"pub const sni_certificate: SniCertificate\n\nSynonyms:\nmidas/sdk/netlify/schema.sni_certificate\nmidas/sdk/netlify/schema sni_certificate","url":"midas/sdk/netlify/schema.html#sni_certificate"},{"doc":"midas/sdk/netlify/schema","title":"snippet","content":"pub const snippet: Snippet\n\nSynonyms:\nmidas/sdk/netlify/schema.snippet\nmidas/sdk/netlify/schema snippet","url":"midas/sdk/netlify/schema.html#snippet"},{"doc":"midas/sdk/netlify/schema","title":"split_test","content":"pub const split_test: SplitTest\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test\nmidas/sdk/netlify/schema split_test","url":"midas/sdk/netlify/schema.html#split_test"},{"doc":"midas/sdk/netlify/schema","title":"split_test_setup","content":"pub const split_test_setup: SplitTestSetup\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_setup\nmidas/sdk/netlify/schema split_test_setup","url":"midas/sdk/netlify/schema.html#split_test_setup"},{"doc":"midas/sdk/netlify/schema","title":"split_tests","content":"pub const split_tests: List(a)\n\nSynonyms:\nmidas/sdk/netlify/schema.split_tests\nmidas/sdk/netlify/schema split_tests","url":"midas/sdk/netlify/schema.html#split_tests"},{"doc":"midas/sdk/netlify/schema","title":"submission","content":"pub const submission: Submission\n\nSynonyms:\nmidas/sdk/netlify/schema.submission\nmidas/sdk/netlify/schema submission","url":"midas/sdk/netlify/schema.html#submission"},{"doc":"midas/sdk/netlify/schema","title":"ticket","content":"pub const ticket: Ticket\n\nSynonyms:\nmidas/sdk/netlify/schema.ticket\nmidas/sdk/netlify/schema ticket","url":"midas/sdk/netlify/schema.html#ticket"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_aggregate_config","content":"pub const traffic_rules_aggregate_config: TrafficRulesAggregateConfig\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_aggregate_config\nmidas/sdk/netlify/schema traffic_rules_aggregate_config","url":"midas/sdk/netlify/schema.html#traffic_rules_aggregate_config"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_config","content":"pub const traffic_rules_config: TrafficRulesConfig\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_config\nmidas/sdk/netlify/schema traffic_rules_config","url":"midas/sdk/netlify/schema.html#traffic_rules_config"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_rate_limit_config","content":"pub const traffic_rules_rate_limit_config: TrafficRulesRateLimitConfig\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_rate_limit_config\nmidas/sdk/netlify/schema traffic_rules_rate_limit_config","url":"midas/sdk/netlify/schema.html#traffic_rules_rate_limit_config"},{"doc":"midas/sdk/netlify/schema","title":"user","content":"pub const user: User\n\nSynonyms:\nmidas/sdk/netlify/schema.user\nmidas/sdk/netlify/schema user","url":"midas/sdk/netlify/schema.html#user"},{"doc":"midas/sdk/netlify/schema","title":"access_token_decoder","content":"pub fn access_token_decoder() -&gt; Decoder(AccessToken)\n\nSynonyms:\nmidas/sdk/netlify/schema.access_token_decoder\nmidas/sdk/netlify/schema access_token_decoder","url":"midas/sdk/netlify/schema.html#access_token_decoder"},{"doc":"midas/sdk/netlify/schema","title":"access_token_to_json","content":"pub fn access_token_to_json(data: AccessToken) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.access_token_to_json\nmidas/sdk/netlify/schema access_token_to_json","url":"midas/sdk/netlify/schema.html#access_token_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_add_member_setup_decoder","content":"pub fn account_add_member_setup_decoder() -&gt; Decoder(\n  AccountAddMemberSetup,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_add_member_setup_decoder\nmidas/sdk/netlify/schema account_add_member_setup_decoder","url":"midas/sdk/netlify/schema.html#account_add_member_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_add_member_setup_to_json","content":"pub fn account_add_member_setup_to_json(\n  data: AccountAddMemberSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_add_member_setup_to_json\nmidas/sdk/netlify/schema account_add_member_setup_to_json","url":"midas/sdk/netlify/schema.html#account_add_member_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_membership_decoder","content":"pub fn account_membership_decoder() -&gt; Decoder(AccountMembership)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_membership_decoder\nmidas/sdk/netlify/schema account_membership_decoder","url":"midas/sdk/netlify/schema.html#account_membership_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_membership_to_json","content":"pub fn account_membership_to_json(\n  data: AccountMembership,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_membership_to_json\nmidas/sdk/netlify/schema account_membership_to_json","url":"midas/sdk/netlify/schema.html#account_membership_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_setup_decoder","content":"pub fn account_setup_decoder() -&gt; Decoder(AccountSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_setup_decoder\nmidas/sdk/netlify/schema account_setup_decoder","url":"midas/sdk/netlify/schema.html#account_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_setup_to_json","content":"pub fn account_setup_to_json(data: AccountSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_setup_to_json\nmidas/sdk/netlify/schema account_setup_to_json","url":"midas/sdk/netlify/schema.html#account_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_type_decoder","content":"pub fn account_type_decoder() -&gt; Decoder(AccountType)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_type_decoder\nmidas/sdk/netlify/schema account_type_decoder","url":"midas/sdk/netlify/schema.html#account_type_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_type_to_json","content":"pub fn account_type_to_json(data: AccountType) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_type_to_json\nmidas/sdk/netlify/schema account_type_to_json","url":"midas/sdk/netlify/schema.html#account_type_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_update_member_setup_decoder","content":"pub fn account_update_member_setup_decoder() -&gt; Decoder(\n  AccountUpdateMemberSetup,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_member_setup_decoder\nmidas/sdk/netlify/schema account_update_member_setup_decoder","url":"midas/sdk/netlify/schema.html#account_update_member_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_update_member_setup_to_json","content":"pub fn account_update_member_setup_to_json(\n  data: AccountUpdateMemberSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_member_setup_to_json\nmidas/sdk/netlify/schema account_update_member_setup_to_json","url":"midas/sdk/netlify/schema.html#account_update_member_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_update_setup_decoder","content":"pub fn account_update_setup_decoder() -&gt; Decoder(\n  AccountUpdateSetup,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_setup_decoder\nmidas/sdk/netlify/schema account_update_setup_decoder","url":"midas/sdk/netlify/schema.html#account_update_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_update_setup_to_json","content":"pub fn account_update_setup_to_json(\n  data: AccountUpdateSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_update_setup_to_json\nmidas/sdk/netlify/schema account_update_setup_to_json","url":"midas/sdk/netlify/schema.html#account_update_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"account_usage_capability_decoder","content":"pub fn account_usage_capability_decoder() -&gt; Decoder(\n  AccountUsageCapability,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.account_usage_capability_decoder\nmidas/sdk/netlify/schema account_usage_capability_decoder","url":"midas/sdk/netlify/schema.html#account_usage_capability_decoder"},{"doc":"midas/sdk/netlify/schema","title":"account_usage_capability_to_json","content":"pub fn account_usage_capability_to_json(\n  data: AccountUsageCapability,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.account_usage_capability_to_json\nmidas/sdk/netlify/schema account_usage_capability_to_json","url":"midas/sdk/netlify/schema.html#account_usage_capability_to_json"},{"doc":"midas/sdk/netlify/schema","title":"asset_decoder","content":"pub fn asset_decoder() -&gt; Decoder(Asset)\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_decoder\nmidas/sdk/netlify/schema asset_decoder","url":"midas/sdk/netlify/schema.html#asset_decoder"},{"doc":"midas/sdk/netlify/schema","title":"asset_form_decoder","content":"pub fn asset_form_decoder() -&gt; Decoder(AssetForm)\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_form_decoder\nmidas/sdk/netlify/schema asset_form_decoder","url":"midas/sdk/netlify/schema.html#asset_form_decoder"},{"doc":"midas/sdk/netlify/schema","title":"asset_form_to_json","content":"pub fn asset_form_to_json(data: AssetForm) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_form_to_json\nmidas/sdk/netlify/schema asset_form_to_json","url":"midas/sdk/netlify/schema.html#asset_form_to_json"},{"doc":"midas/sdk/netlify/schema","title":"asset_public_signature_decoder","content":"pub fn asset_public_signature_decoder() -&gt; Decoder(\n  AssetPublicSignature,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_public_signature_decoder\nmidas/sdk/netlify/schema asset_public_signature_decoder","url":"midas/sdk/netlify/schema.html#asset_public_signature_decoder"},{"doc":"midas/sdk/netlify/schema","title":"asset_public_signature_to_json","content":"pub fn asset_public_signature_to_json(\n  data: AssetPublicSignature,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_public_signature_to_json\nmidas/sdk/netlify/schema asset_public_signature_to_json","url":"midas/sdk/netlify/schema.html#asset_public_signature_to_json"},{"doc":"midas/sdk/netlify/schema","title":"asset_signature_decoder","content":"pub fn asset_signature_decoder() -&gt; Decoder(AssetSignature)\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_signature_decoder\nmidas/sdk/netlify/schema asset_signature_decoder","url":"midas/sdk/netlify/schema.html#asset_signature_decoder"},{"doc":"midas/sdk/netlify/schema","title":"asset_signature_to_json","content":"pub fn asset_signature_to_json(data: AssetSignature) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_signature_to_json\nmidas/sdk/netlify/schema asset_signature_to_json","url":"midas/sdk/netlify/schema.html#asset_signature_to_json"},{"doc":"midas/sdk/netlify/schema","title":"asset_to_json","content":"pub fn asset_to_json(data: Asset) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.asset_to_json\nmidas/sdk/netlify/schema asset_to_json","url":"midas/sdk/netlify/schema.html#asset_to_json"},{"doc":"midas/sdk/netlify/schema","title":"audit_log_decoder","content":"pub fn audit_log_decoder() -&gt; Decoder(AuditLog)\n\nSynonyms:\nmidas/sdk/netlify/schema.audit_log_decoder\nmidas/sdk/netlify/schema audit_log_decoder","url":"midas/sdk/netlify/schema.html#audit_log_decoder"},{"doc":"midas/sdk/netlify/schema","title":"audit_log_to_json","content":"pub fn audit_log_to_json(data: AuditLog) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.audit_log_to_json\nmidas/sdk/netlify/schema audit_log_to_json","url":"midas/sdk/netlify/schema.html#audit_log_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_decoder","content":"pub fn build_decoder() -&gt; Decoder(Build)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_decoder\nmidas/sdk/netlify/schema build_decoder","url":"midas/sdk/netlify/schema.html#build_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_decoder","content":"pub fn build_hook_decoder() -&gt; Decoder(BuildHook)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_decoder\nmidas/sdk/netlify/schema build_hook_decoder","url":"midas/sdk/netlify/schema.html#build_hook_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_setup_decoder","content":"pub fn build_hook_setup_decoder() -&gt; Decoder(BuildHookSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_setup_decoder\nmidas/sdk/netlify/schema build_hook_setup_decoder","url":"midas/sdk/netlify/schema.html#build_hook_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_setup_to_json","content":"pub fn build_hook_setup_to_json(data: BuildHookSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_setup_to_json\nmidas/sdk/netlify/schema build_hook_setup_to_json","url":"midas/sdk/netlify/schema.html#build_hook_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_hook_to_json","content":"pub fn build_hook_to_json(data: BuildHook) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_hook_to_json\nmidas/sdk/netlify/schema build_hook_to_json","url":"midas/sdk/netlify/schema.html#build_hook_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_log_msg_decoder","content":"pub fn build_log_msg_decoder() -&gt; Decoder(BuildLogMsg)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_log_msg_decoder\nmidas/sdk/netlify/schema build_log_msg_decoder","url":"midas/sdk/netlify/schema.html#build_log_msg_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_log_msg_to_json","content":"pub fn build_log_msg_to_json(data: BuildLogMsg) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_log_msg_to_json\nmidas/sdk/netlify/schema build_log_msg_to_json","url":"midas/sdk/netlify/schema.html#build_log_msg_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_setup_decoder","content":"pub fn build_setup_decoder() -&gt; Decoder(BuildSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_setup_decoder\nmidas/sdk/netlify/schema build_setup_decoder","url":"midas/sdk/netlify/schema.html#build_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_setup_to_json","content":"pub fn build_setup_to_json(data: BuildSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_setup_to_json\nmidas/sdk/netlify/schema build_setup_to_json","url":"midas/sdk/netlify/schema.html#build_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_status_decoder","content":"pub fn build_status_decoder() -&gt; Decoder(BuildStatus)\n\nSynonyms:\nmidas/sdk/netlify/schema.build_status_decoder\nmidas/sdk/netlify/schema build_status_decoder","url":"midas/sdk/netlify/schema.html#build_status_decoder"},{"doc":"midas/sdk/netlify/schema","title":"build_status_to_json","content":"pub fn build_status_to_json(data: BuildStatus) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_status_to_json\nmidas/sdk/netlify/schema build_status_to_json","url":"midas/sdk/netlify/schema.html#build_status_to_json"},{"doc":"midas/sdk/netlify/schema","title":"build_to_json","content":"pub fn build_to_json(data: Build) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.build_to_json\nmidas/sdk/netlify/schema build_to_json","url":"midas/sdk/netlify/schema.html#build_to_json"},{"doc":"midas/sdk/netlify/schema","title":"deploy_decoder","content":"pub fn deploy_decoder() -&gt; Decoder(Deploy)\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_decoder\nmidas/sdk/netlify/schema deploy_decoder","url":"midas/sdk/netlify/schema.html#deploy_decoder"},{"doc":"midas/sdk/netlify/schema","title":"deploy_files_decoder","content":"pub fn deploy_files_decoder() -&gt; Decoder(DeployFiles)\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_files_decoder\nmidas/sdk/netlify/schema deploy_files_decoder","url":"midas/sdk/netlify/schema.html#deploy_files_decoder"},{"doc":"midas/sdk/netlify/schema","title":"deploy_files_to_json","content":"pub fn deploy_files_to_json(data: DeployFiles) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_files_to_json\nmidas/sdk/netlify/schema deploy_files_to_json","url":"midas/sdk/netlify/schema.html#deploy_files_to_json"},{"doc":"midas/sdk/netlify/schema","title":"deploy_key_decoder","content":"pub fn deploy_key_decoder() -&gt; Decoder(DeployKey)\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_key_decoder\nmidas/sdk/netlify/schema deploy_key_decoder","url":"midas/sdk/netlify/schema.html#deploy_key_decoder"},{"doc":"midas/sdk/netlify/schema","title":"deploy_key_to_json","content":"pub fn deploy_key_to_json(data: DeployKey) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_key_to_json\nmidas/sdk/netlify/schema deploy_key_to_json","url":"midas/sdk/netlify/schema.html#deploy_key_to_json"},{"doc":"midas/sdk/netlify/schema","title":"deploy_to_json","content":"pub fn deploy_to_json(data: Deploy) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.deploy_to_json\nmidas/sdk/netlify/schema deploy_to_json","url":"midas/sdk/netlify/schema.html#deploy_to_json"},{"doc":"midas/sdk/netlify/schema","title":"deployed_branch_decoder","content":"pub fn deployed_branch_decoder() -&gt; Decoder(DeployedBranch)\n\nSynonyms:\nmidas/sdk/netlify/schema.deployed_branch_decoder\nmidas/sdk/netlify/schema deployed_branch_decoder","url":"midas/sdk/netlify/schema.html#deployed_branch_decoder"},{"doc":"midas/sdk/netlify/schema","title":"deployed_branch_to_json","content":"pub fn deployed_branch_to_json(data: DeployedBranch) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.deployed_branch_to_json\nmidas/sdk/netlify/schema deployed_branch_to_json","url":"midas/sdk/netlify/schema.html#deployed_branch_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_decoder","content":"pub fn dev_server_decoder() -&gt; Decoder(DevServer)\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_decoder\nmidas/sdk/netlify/schema dev_server_decoder","url":"midas/sdk/netlify/schema.html#dev_server_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_decoder","content":"pub fn dev_server_hook_decoder() -&gt; Decoder(DevServerHook)\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_decoder\nmidas/sdk/netlify/schema dev_server_hook_decoder","url":"midas/sdk/netlify/schema.html#dev_server_hook_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_setup_decoder","content":"pub fn dev_server_hook_setup_decoder() -&gt; Decoder(\n  DevServerHookSetup,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_setup_decoder\nmidas/sdk/netlify/schema dev_server_hook_setup_decoder","url":"midas/sdk/netlify/schema.html#dev_server_hook_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_setup_to_json","content":"pub fn dev_server_hook_setup_to_json(\n  data: DevServerHookSetup,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_setup_to_json\nmidas/sdk/netlify/schema dev_server_hook_setup_to_json","url":"midas/sdk/netlify/schema.html#dev_server_hook_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_hook_to_json","content":"pub fn dev_server_hook_to_json(data: DevServerHook) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_hook_to_json\nmidas/sdk/netlify/schema dev_server_hook_to_json","url":"midas/sdk/netlify/schema.html#dev_server_hook_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dev_server_to_json","content":"pub fn dev_server_to_json(data: DevServer) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dev_server_to_json\nmidas/sdk/netlify/schema dev_server_to_json","url":"midas/sdk/netlify/schema.html#dev_server_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_create_decoder","content":"pub fn dns_record_create_decoder() -&gt; Decoder(DnsRecordCreate)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_create_decoder\nmidas/sdk/netlify/schema dns_record_create_decoder","url":"midas/sdk/netlify/schema.html#dns_record_create_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_create_to_json","content":"pub fn dns_record_create_to_json(data: DnsRecordCreate) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_create_to_json\nmidas/sdk/netlify/schema dns_record_create_to_json","url":"midas/sdk/netlify/schema.html#dns_record_create_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_decoder","content":"pub fn dns_record_decoder() -&gt; Decoder(DnsRecord)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_decoder\nmidas/sdk/netlify/schema dns_record_decoder","url":"midas/sdk/netlify/schema.html#dns_record_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_record_to_json","content":"pub fn dns_record_to_json(data: DnsRecord) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_record_to_json\nmidas/sdk/netlify/schema dns_record_to_json","url":"midas/sdk/netlify/schema.html#dns_record_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_records_decoder","content":"pub fn dns_records_decoder() -&gt; Decoder(List(DnsRecord))\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_records_decoder\nmidas/sdk/netlify/schema dns_records_decoder","url":"midas/sdk/netlify/schema.html#dns_records_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_decoder","content":"pub fn dns_zone_decoder() -&gt; Decoder(DnsZone)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_decoder\nmidas/sdk/netlify/schema dns_zone_decoder","url":"midas/sdk/netlify/schema.html#dns_zone_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_setup_decoder","content":"pub fn dns_zone_setup_decoder() -&gt; Decoder(DnsZoneSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_setup_decoder\nmidas/sdk/netlify/schema dns_zone_setup_decoder","url":"midas/sdk/netlify/schema.html#dns_zone_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_setup_to_json","content":"pub fn dns_zone_setup_to_json(data: DnsZoneSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_setup_to_json\nmidas/sdk/netlify/schema dns_zone_setup_to_json","url":"midas/sdk/netlify/schema.html#dns_zone_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_zone_to_json","content":"pub fn dns_zone_to_json(data: DnsZone) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zone_to_json\nmidas/sdk/netlify/schema dns_zone_to_json","url":"midas/sdk/netlify/schema.html#dns_zone_to_json"},{"doc":"midas/sdk/netlify/schema","title":"dns_zones_decoder","content":"pub fn dns_zones_decoder() -&gt; Decoder(List(DnsZone))\n\nSynonyms:\nmidas/sdk/netlify/schema.dns_zones_decoder\nmidas/sdk/netlify/schema dns_zones_decoder","url":"midas/sdk/netlify/schema.html#dns_zones_decoder"},{"doc":"midas/sdk/netlify/schema","title":"env_var_decoder","content":"pub fn env_var_decoder() -&gt; Decoder(EnvVar)\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_decoder\nmidas/sdk/netlify/schema env_var_decoder","url":"midas/sdk/netlify/schema.html#env_var_decoder"},{"doc":"midas/sdk/netlify/schema","title":"env_var_to_json","content":"pub fn env_var_to_json(data: EnvVar) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_to_json\nmidas/sdk/netlify/schema env_var_to_json","url":"midas/sdk/netlify/schema.html#env_var_to_json"},{"doc":"midas/sdk/netlify/schema","title":"env_var_user_decoder","content":"pub fn env_var_user_decoder() -&gt; Decoder(EnvVarUser)\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_user_decoder\nmidas/sdk/netlify/schema env_var_user_decoder","url":"midas/sdk/netlify/schema.html#env_var_user_decoder"},{"doc":"midas/sdk/netlify/schema","title":"env_var_user_to_json","content":"pub fn env_var_user_to_json(data: EnvVarUser) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_user_to_json\nmidas/sdk/netlify/schema env_var_user_to_json","url":"midas/sdk/netlify/schema.html#env_var_user_to_json"},{"doc":"midas/sdk/netlify/schema","title":"env_var_value_decoder","content":"pub fn env_var_value_decoder() -&gt; Decoder(EnvVarValue)\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_value_decoder\nmidas/sdk/netlify/schema env_var_value_decoder","url":"midas/sdk/netlify/schema.html#env_var_value_decoder"},{"doc":"midas/sdk/netlify/schema","title":"env_var_value_to_json","content":"pub fn env_var_value_to_json(data: EnvVarValue) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.env_var_value_to_json\nmidas/sdk/netlify/schema env_var_value_to_json","url":"midas/sdk/netlify/schema.html#env_var_value_to_json"},{"doc":"midas/sdk/netlify/schema","title":"error_decoder","content":"pub fn error_decoder() -&gt; Decoder(Error)\n\nSynonyms:\nmidas/sdk/netlify/schema.error_decoder\nmidas/sdk/netlify/schema error_decoder","url":"midas/sdk/netlify/schema.html#error_decoder"},{"doc":"midas/sdk/netlify/schema","title":"error_to_json","content":"pub fn error_to_json(data: Error) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.error_to_json\nmidas/sdk/netlify/schema error_to_json","url":"midas/sdk/netlify/schema.html#error_to_json"},{"doc":"midas/sdk/netlify/schema","title":"excluded_function_route_decoder","content":"pub fn excluded_function_route_decoder() -&gt; Decoder(\n  ExcludedFunctionRoute,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.excluded_function_route_decoder\nmidas/sdk/netlify/schema excluded_function_route_decoder","url":"midas/sdk/netlify/schema.html#excluded_function_route_decoder"},{"doc":"midas/sdk/netlify/schema","title":"excluded_function_route_to_json","content":"pub fn excluded_function_route_to_json(\n  data: ExcludedFunctionRoute,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.excluded_function_route_to_json\nmidas/sdk/netlify/schema excluded_function_route_to_json","url":"midas/sdk/netlify/schema.html#excluded_function_route_to_json"},{"doc":"midas/sdk/netlify/schema","title":"file_decoder","content":"pub fn file_decoder() -&gt; Decoder(File)\n\nSynonyms:\nmidas/sdk/netlify/schema.file_decoder\nmidas/sdk/netlify/schema file_decoder","url":"midas/sdk/netlify/schema.html#file_decoder"},{"doc":"midas/sdk/netlify/schema","title":"file_to_json","content":"pub fn file_to_json(data: File) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.file_to_json\nmidas/sdk/netlify/schema file_to_json","url":"midas/sdk/netlify/schema.html#file_to_json"},{"doc":"midas/sdk/netlify/schema","title":"form_decoder","content":"pub fn form_decoder() -&gt; Decoder(Form)\n\nSynonyms:\nmidas/sdk/netlify/schema.form_decoder\nmidas/sdk/netlify/schema form_decoder","url":"midas/sdk/netlify/schema.html#form_decoder"},{"doc":"midas/sdk/netlify/schema","title":"form_to_json","content":"pub fn form_to_json(data: Form) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.form_to_json\nmidas/sdk/netlify/schema form_to_json","url":"midas/sdk/netlify/schema.html#form_to_json"},{"doc":"midas/sdk/netlify/schema","title":"function_config_decoder","content":"pub fn function_config_decoder() -&gt; Decoder(FunctionConfig)\n\nSynonyms:\nmidas/sdk/netlify/schema.function_config_decoder\nmidas/sdk/netlify/schema function_config_decoder","url":"midas/sdk/netlify/schema.html#function_config_decoder"},{"doc":"midas/sdk/netlify/schema","title":"function_config_to_json","content":"pub fn function_config_to_json(data: FunctionConfig) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.function_config_to_json\nmidas/sdk/netlify/schema function_config_to_json","url":"midas/sdk/netlify/schema.html#function_config_to_json"},{"doc":"midas/sdk/netlify/schema","title":"function_decoder","content":"pub fn function_decoder() -&gt; Decoder(Function)\n\nSynonyms:\nmidas/sdk/netlify/schema.function_decoder\nmidas/sdk/netlify/schema function_decoder","url":"midas/sdk/netlify/schema.html#function_decoder"},{"doc":"midas/sdk/netlify/schema","title":"function_route_decoder","content":"pub fn function_route_decoder() -&gt; Decoder(FunctionRoute)\n\nSynonyms:\nmidas/sdk/netlify/schema.function_route_decoder\nmidas/sdk/netlify/schema function_route_decoder","url":"midas/sdk/netlify/schema.html#function_route_decoder"},{"doc":"midas/sdk/netlify/schema","title":"function_route_to_json","content":"pub fn function_route_to_json(data: FunctionRoute) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.function_route_to_json\nmidas/sdk/netlify/schema function_route_to_json","url":"midas/sdk/netlify/schema.html#function_route_to_json"},{"doc":"midas/sdk/netlify/schema","title":"function_schedule_decoder","content":"pub fn function_schedule_decoder() -&gt; Decoder(FunctionSchedule)\n\nSynonyms:\nmidas/sdk/netlify/schema.function_schedule_decoder\nmidas/sdk/netlify/schema function_schedule_decoder","url":"midas/sdk/netlify/schema.html#function_schedule_decoder"},{"doc":"midas/sdk/netlify/schema","title":"function_schedule_to_json","content":"pub fn function_schedule_to_json(data: FunctionSchedule) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.function_schedule_to_json\nmidas/sdk/netlify/schema function_schedule_to_json","url":"midas/sdk/netlify/schema.html#function_schedule_to_json"},{"doc":"midas/sdk/netlify/schema","title":"function_to_json","content":"pub fn function_to_json(data: Function) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.function_to_json\nmidas/sdk/netlify/schema function_to_json","url":"midas/sdk/netlify/schema.html#function_to_json"},{"doc":"midas/sdk/netlify/schema","title":"hook_decoder","content":"pub fn hook_decoder() -&gt; Decoder(Hook)\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_decoder\nmidas/sdk/netlify/schema hook_decoder","url":"midas/sdk/netlify/schema.html#hook_decoder"},{"doc":"midas/sdk/netlify/schema","title":"hook_to_json","content":"pub fn hook_to_json(data: Hook) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_to_json\nmidas/sdk/netlify/schema hook_to_json","url":"midas/sdk/netlify/schema.html#hook_to_json"},{"doc":"midas/sdk/netlify/schema","title":"hook_type_decoder","content":"pub fn hook_type_decoder() -&gt; Decoder(HookType)\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_type_decoder\nmidas/sdk/netlify/schema hook_type_decoder","url":"midas/sdk/netlify/schema.html#hook_type_decoder"},{"doc":"midas/sdk/netlify/schema","title":"hook_type_to_json","content":"pub fn hook_type_to_json(data: HookType) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.hook_type_to_json\nmidas/sdk/netlify/schema hook_type_to_json","url":"midas/sdk/netlify/schema.html#hook_type_to_json"},{"doc":"midas/sdk/netlify/schema","title":"member_decoder","content":"pub fn member_decoder() -&gt; Decoder(Member)\n\nSynonyms:\nmidas/sdk/netlify/schema.member_decoder\nmidas/sdk/netlify/schema member_decoder","url":"midas/sdk/netlify/schema.html#member_decoder"},{"doc":"midas/sdk/netlify/schema","title":"member_to_json","content":"pub fn member_to_json(data: Member) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.member_to_json\nmidas/sdk/netlify/schema member_to_json","url":"midas/sdk/netlify/schema.html#member_to_json"},{"doc":"midas/sdk/netlify/schema","title":"metadata_decoder","content":"pub fn metadata_decoder() -&gt; Decoder(Metadata)\n\nSynonyms:\nmidas/sdk/netlify/schema.metadata_decoder\nmidas/sdk/netlify/schema metadata_decoder","url":"midas/sdk/netlify/schema.html#metadata_decoder"},{"doc":"midas/sdk/netlify/schema","title":"metadata_to_json","content":"pub fn metadata_to_json(data: Metadata) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.metadata_to_json\nmidas/sdk/netlify/schema metadata_to_json","url":"midas/sdk/netlify/schema.html#metadata_to_json"},{"doc":"midas/sdk/netlify/schema","title":"payment_method_decoder","content":"pub fn payment_method_decoder() -&gt; Decoder(PaymentMethod)\n\nSynonyms:\nmidas/sdk/netlify/schema.payment_method_decoder\nmidas/sdk/netlify/schema payment_method_decoder","url":"midas/sdk/netlify/schema.html#payment_method_decoder"},{"doc":"midas/sdk/netlify/schema","title":"payment_method_to_json","content":"pub fn payment_method_to_json(data: PaymentMethod) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.payment_method_to_json\nmidas/sdk/netlify/schema payment_method_to_json","url":"midas/sdk/netlify/schema.html#payment_method_to_json"},{"doc":"midas/sdk/netlify/schema","title":"plugin_decoder","content":"pub fn plugin_decoder() -&gt; Decoder(Plugin)\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_decoder\nmidas/sdk/netlify/schema plugin_decoder","url":"midas/sdk/netlify/schema.html#plugin_decoder"},{"doc":"midas/sdk/netlify/schema","title":"plugin_params_decoder","content":"pub fn plugin_params_decoder() -&gt; Decoder(PluginParams)\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_params_decoder\nmidas/sdk/netlify/schema plugin_params_decoder","url":"midas/sdk/netlify/schema.html#plugin_params_decoder"},{"doc":"midas/sdk/netlify/schema","title":"plugin_params_to_json","content":"pub fn plugin_params_to_json(data: PluginParams) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_params_to_json\nmidas/sdk/netlify/schema plugin_params_to_json","url":"midas/sdk/netlify/schema.html#plugin_params_to_json"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_data_decoder","content":"pub fn plugin_run_data_decoder() -&gt; Decoder(PluginRunData)\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_data_decoder\nmidas/sdk/netlify/schema plugin_run_data_decoder","url":"midas/sdk/netlify/schema.html#plugin_run_data_decoder"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_data_to_json","content":"pub fn plugin_run_data_to_json(data: PluginRunData) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_data_to_json\nmidas/sdk/netlify/schema plugin_run_data_to_json","url":"midas/sdk/netlify/schema.html#plugin_run_data_to_json"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_decoder","content":"pub fn plugin_run_decoder() -&gt; Decoder(PluginRun)\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_decoder\nmidas/sdk/netlify/schema plugin_run_decoder","url":"midas/sdk/netlify/schema.html#plugin_run_decoder"},{"doc":"midas/sdk/netlify/schema","title":"plugin_run_to_json","content":"pub fn plugin_run_to_json(data: PluginRun) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_run_to_json\nmidas/sdk/netlify/schema plugin_run_to_json","url":"midas/sdk/netlify/schema.html#plugin_run_to_json"},{"doc":"midas/sdk/netlify/schema","title":"plugin_to_json","content":"pub fn plugin_to_json(data: Plugin) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.plugin_to_json\nmidas/sdk/netlify/schema plugin_to_json","url":"midas/sdk/netlify/schema.html#plugin_to_json"},{"doc":"midas/sdk/netlify/schema","title":"purge_decoder","content":"pub fn purge_decoder() -&gt; Decoder(Purge)\n\nSynonyms:\nmidas/sdk/netlify/schema.purge_decoder\nmidas/sdk/netlify/schema purge_decoder","url":"midas/sdk/netlify/schema.html#purge_decoder"},{"doc":"midas/sdk/netlify/schema","title":"purge_to_json","content":"pub fn purge_to_json(data: Purge) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.purge_to_json\nmidas/sdk/netlify/schema purge_to_json","url":"midas/sdk/netlify/schema.html#purge_to_json"},{"doc":"midas/sdk/netlify/schema","title":"repo_info_decoder","content":"pub fn repo_info_decoder() -&gt; Decoder(RepoInfo)\n\nSynonyms:\nmidas/sdk/netlify/schema.repo_info_decoder\nmidas/sdk/netlify/schema repo_info_decoder","url":"midas/sdk/netlify/schema.html#repo_info_decoder"},{"doc":"midas/sdk/netlify/schema","title":"repo_info_to_json","content":"pub fn repo_info_to_json(data: RepoInfo) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.repo_info_to_json\nmidas/sdk/netlify/schema repo_info_to_json","url":"midas/sdk/netlify/schema.html#repo_info_to_json"},{"doc":"midas/sdk/netlify/schema","title":"service_decoder","content":"pub fn service_decoder() -&gt; Decoder(Service)\n\nSynonyms:\nmidas/sdk/netlify/schema.service_decoder\nmidas/sdk/netlify/schema service_decoder","url":"midas/sdk/netlify/schema.html#service_decoder"},{"doc":"midas/sdk/netlify/schema","title":"service_instance_decoder","content":"pub fn service_instance_decoder() -&gt; Decoder(ServiceInstance)\n\nSynonyms:\nmidas/sdk/netlify/schema.service_instance_decoder\nmidas/sdk/netlify/schema service_instance_decoder","url":"midas/sdk/netlify/schema.html#service_instance_decoder"},{"doc":"midas/sdk/netlify/schema","title":"service_instance_to_json","content":"pub fn service_instance_to_json(data: ServiceInstance) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.service_instance_to_json\nmidas/sdk/netlify/schema service_instance_to_json","url":"midas/sdk/netlify/schema.html#service_instance_to_json"},{"doc":"midas/sdk/netlify/schema","title":"service_to_json","content":"pub fn service_to_json(data: Service) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.service_to_json\nmidas/sdk/netlify/schema service_to_json","url":"midas/sdk/netlify/schema.html#service_to_json"},{"doc":"midas/sdk/netlify/schema","title":"site_decoder","content":"pub fn site_decoder() -&gt; Decoder(Site)\n\nSynonyms:\nmidas/sdk/netlify/schema.site_decoder\nmidas/sdk/netlify/schema site_decoder","url":"midas/sdk/netlify/schema.html#site_decoder"},{"doc":"midas/sdk/netlify/schema","title":"site_function_decoder","content":"pub fn site_function_decoder() -&gt; Decoder(SiteFunction)\n\nSynonyms:\nmidas/sdk/netlify/schema.site_function_decoder\nmidas/sdk/netlify/schema site_function_decoder","url":"midas/sdk/netlify/schema.html#site_function_decoder"},{"doc":"midas/sdk/netlify/schema","title":"site_function_to_json","content":"pub fn site_function_to_json(data: SiteFunction) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.site_function_to_json\nmidas/sdk/netlify/schema site_function_to_json","url":"midas/sdk/netlify/schema.html#site_function_to_json"},{"doc":"midas/sdk/netlify/schema","title":"site_setup_decoder","content":"pub fn site_setup_decoder() -&gt; Decoder(SiteSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.site_setup_decoder\nmidas/sdk/netlify/schema site_setup_decoder","url":"midas/sdk/netlify/schema.html#site_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"site_setup_to_json","content":"pub fn site_setup_to_json(data: SiteSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.site_setup_to_json\nmidas/sdk/netlify/schema site_setup_to_json","url":"midas/sdk/netlify/schema.html#site_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"site_to_json","content":"pub fn site_to_json(data: Site) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.site_to_json\nmidas/sdk/netlify/schema site_to_json","url":"midas/sdk/netlify/schema.html#site_to_json"},{"doc":"midas/sdk/netlify/schema","title":"sni_certificate_decoder","content":"pub fn sni_certificate_decoder() -&gt; Decoder(SniCertificate)\n\nSynonyms:\nmidas/sdk/netlify/schema.sni_certificate_decoder\nmidas/sdk/netlify/schema sni_certificate_decoder","url":"midas/sdk/netlify/schema.html#sni_certificate_decoder"},{"doc":"midas/sdk/netlify/schema","title":"sni_certificate_to_json","content":"pub fn sni_certificate_to_json(data: SniCertificate) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.sni_certificate_to_json\nmidas/sdk/netlify/schema sni_certificate_to_json","url":"midas/sdk/netlify/schema.html#sni_certificate_to_json"},{"doc":"midas/sdk/netlify/schema","title":"snippet_decoder","content":"pub fn snippet_decoder() -&gt; Decoder(Snippet)\n\nSynonyms:\nmidas/sdk/netlify/schema.snippet_decoder\nmidas/sdk/netlify/schema snippet_decoder","url":"midas/sdk/netlify/schema.html#snippet_decoder"},{"doc":"midas/sdk/netlify/schema","title":"snippet_to_json","content":"pub fn snippet_to_json(data: Snippet) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.snippet_to_json\nmidas/sdk/netlify/schema snippet_to_json","url":"midas/sdk/netlify/schema.html#snippet_to_json"},{"doc":"midas/sdk/netlify/schema","title":"split_test_decoder","content":"pub fn split_test_decoder() -&gt; Decoder(SplitTest)\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_decoder\nmidas/sdk/netlify/schema split_test_decoder","url":"midas/sdk/netlify/schema.html#split_test_decoder"},{"doc":"midas/sdk/netlify/schema","title":"split_test_setup_decoder","content":"pub fn split_test_setup_decoder() -&gt; Decoder(SplitTestSetup)\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_setup_decoder\nmidas/sdk/netlify/schema split_test_setup_decoder","url":"midas/sdk/netlify/schema.html#split_test_setup_decoder"},{"doc":"midas/sdk/netlify/schema","title":"split_test_setup_to_json","content":"pub fn split_test_setup_to_json(data: SplitTestSetup) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_setup_to_json\nmidas/sdk/netlify/schema split_test_setup_to_json","url":"midas/sdk/netlify/schema.html#split_test_setup_to_json"},{"doc":"midas/sdk/netlify/schema","title":"split_test_to_json","content":"pub fn split_test_to_json(data: SplitTest) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.split_test_to_json\nmidas/sdk/netlify/schema split_test_to_json","url":"midas/sdk/netlify/schema.html#split_test_to_json"},{"doc":"midas/sdk/netlify/schema","title":"split_tests_decoder","content":"pub fn split_tests_decoder() -&gt; Decoder(List(SplitTest))\n\nSynonyms:\nmidas/sdk/netlify/schema.split_tests_decoder\nmidas/sdk/netlify/schema split_tests_decoder","url":"midas/sdk/netlify/schema.html#split_tests_decoder"},{"doc":"midas/sdk/netlify/schema","title":"submission_decoder","content":"pub fn submission_decoder() -&gt; Decoder(Submission)\n\nSynonyms:\nmidas/sdk/netlify/schema.submission_decoder\nmidas/sdk/netlify/schema submission_decoder","url":"midas/sdk/netlify/schema.html#submission_decoder"},{"doc":"midas/sdk/netlify/schema","title":"submission_to_json","content":"pub fn submission_to_json(data: Submission) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.submission_to_json\nmidas/sdk/netlify/schema submission_to_json","url":"midas/sdk/netlify/schema.html#submission_to_json"},{"doc":"midas/sdk/netlify/schema","title":"ticket_decoder","content":"pub fn ticket_decoder() -&gt; Decoder(Ticket)\n\nSynonyms:\nmidas/sdk/netlify/schema.ticket_decoder\nmidas/sdk/netlify/schema ticket_decoder","url":"midas/sdk/netlify/schema.html#ticket_decoder"},{"doc":"midas/sdk/netlify/schema","title":"ticket_to_json","content":"pub fn ticket_to_json(data: Ticket) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.ticket_to_json\nmidas/sdk/netlify/schema ticket_to_json","url":"midas/sdk/netlify/schema.html#ticket_to_json"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_aggregate_config_decoder","content":"pub fn traffic_rules_aggregate_config_decoder() -&gt; Decoder(\n  TrafficRulesAggregateConfig,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_aggregate_config_decoder\nmidas/sdk/netlify/schema traffic_rules_aggregate_config_decoder","url":"midas/sdk/netlify/schema.html#traffic_rules_aggregate_config_decoder"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_aggregate_config_to_json","content":"pub fn traffic_rules_aggregate_config_to_json(\n  data: TrafficRulesAggregateConfig,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_aggregate_config_to_json\nmidas/sdk/netlify/schema traffic_rules_aggregate_config_to_json","url":"midas/sdk/netlify/schema.html#traffic_rules_aggregate_config_to_json"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_config_decoder","content":"pub fn traffic_rules_config_decoder() -&gt; Decoder(\n  TrafficRulesConfig,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_config_decoder\nmidas/sdk/netlify/schema traffic_rules_config_decoder","url":"midas/sdk/netlify/schema.html#traffic_rules_config_decoder"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_config_to_json","content":"pub fn traffic_rules_config_to_json(\n  data: TrafficRulesConfig,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_config_to_json\nmidas/sdk/netlify/schema traffic_rules_config_to_json","url":"midas/sdk/netlify/schema.html#traffic_rules_config_to_json"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_rate_limit_config_decoder","content":"pub fn traffic_rules_rate_limit_config_decoder() -&gt; Decoder(\n  TrafficRulesRateLimitConfig,\n)\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_rate_limit_config_decoder\nmidas/sdk/netlify/schema traffic_rules_rate_limit_config_decoder","url":"midas/sdk/netlify/schema.html#traffic_rules_rate_limit_config_decoder"},{"doc":"midas/sdk/netlify/schema","title":"traffic_rules_rate_limit_config_to_json","content":"pub fn traffic_rules_rate_limit_config_to_json(\n  data: TrafficRulesRateLimitConfig,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.traffic_rules_rate_limit_config_to_json\nmidas/sdk/netlify/schema traffic_rules_rate_limit_config_to_json","url":"midas/sdk/netlify/schema.html#traffic_rules_rate_limit_config_to_json"},{"doc":"midas/sdk/netlify/schema","title":"user_decoder","content":"pub fn user_decoder() -&gt; Decoder(User)\n\nSynonyms:\nmidas/sdk/netlify/schema.user_decoder\nmidas/sdk/netlify/schema user_decoder","url":"midas/sdk/netlify/schema.html#user_decoder"},{"doc":"midas/sdk/netlify/schema","title":"user_to_json","content":"pub fn user_to_json(data: User) -&gt; Json\n\nSynonyms:\nmidas/sdk/netlify/schema.user_to_json\nmidas/sdk/netlify/schema user_to_json","url":"midas/sdk/netlify/schema.html#user_to_json"},{"doc":"midas/sdk/netlify/schema","title":"midas/sdk/netlify/schema","content":"","url":"midas/sdk/netlify/schema.html"},{"doc":"midas/sdk/utils","title":"append_path","content":"pub fn append_path(\n  request: Request(a),\n  path: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/utils.append_path\nmidas/sdk/utils append_path","url":"midas/sdk/utils.html#append_path"},{"doc":"midas/sdk/utils","title":"decode_bits","content":"pub fn decode_bits(\n  data: BitArray,\n  decoder: Decoder(a),\n) -&gt; Result(a, DecodeError)\n\nSynonyms:\nmidas/sdk/utils.decode_bits\nmidas/sdk/utils decode_bits","url":"midas/sdk/utils.html#decode_bits"},{"doc":"midas/sdk/utils","title":"json_to_bits","content":"pub fn json_to_bits(json: Json) -&gt; BitArray\n\nSynonyms:\nmidas/sdk/utils.json_to_bits\nmidas/sdk/utils json_to_bits","url":"midas/sdk/utils.html#json_to_bits"},{"doc":"midas/sdk/utils","title":"set_body","content":"pub fn set_body(\n  request: Request(a),\n  mime: String,\n  content: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/utils.set_body\nmidas/sdk/utils set_body","url":"midas/sdk/utils.html#set_body"},{"doc":"midas/sdk/utils","title":"set_method","content":"pub fn set_method(\n  request: Request(a),\n  method: Method,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/utils.set_method\nmidas/sdk/utils set_method","url":"midas/sdk/utils.html#set_method"},{"doc":"midas/sdk/utils","title":"set_query","content":"pub fn set_query(\n  request: Request(a),\n  query: List(#(String, Option(String))),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/utils.set_query\nmidas/sdk/utils set_query","url":"midas/sdk/utils.html#set_query"},{"doc":"midas/sdk/utils","title":"midas/sdk/utils","content":"","url":"midas/sdk/utils.html"},{"doc":"midas/sdk/dnsimple/operations","title":"accept_push_request","content":"pub fn accept_push_request(\n  base: Request(a),\n  account: Int,\n  push: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.accept_push_request\nmidas/sdk/dnsimple/operations accept_push_request","url":"midas/sdk/dnsimple/operations.html#accept_push_request"},{"doc":"midas/sdk/dnsimple/operations","title":"accept_push_response","content":"pub fn accept_push_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.accept_push_response\nmidas/sdk/dnsimple/operations accept_push_response","url":"midas/sdk/dnsimple/operations.html#accept_push_response"},{"doc":"midas/sdk/dnsimple/operations","title":"activate_zone_service_request","content":"pub fn activate_zone_service_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.activate_zone_service_request\nmidas/sdk/dnsimple/operations activate_zone_service_request","url":"midas/sdk/dnsimple/operations.html#activate_zone_service_request"},{"doc":"midas/sdk/dnsimple/operations","title":"activate_zone_service_response","content":"pub fn activate_zone_service_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.activate_zone_service_response\nmidas/sdk/dnsimple/operations activate_zone_service_response","url":"midas/sdk/dnsimple/operations.html#activate_zone_service_response"},{"doc":"midas/sdk/dnsimple/operations","title":"add_domain_collaborator_request","content":"pub fn add_domain_collaborator_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.add_domain_collaborator_request\nmidas/sdk/dnsimple/operations add_domain_collaborator_request","url":"midas/sdk/dnsimple/operations.html#add_domain_collaborator_request"},{"doc":"midas/sdk/dnsimple/operations","title":"add_domain_collaborator_response","content":"pub fn add_domain_collaborator_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.add_domain_collaborator_response\nmidas/sdk/dnsimple/operations add_domain_collaborator_response","url":"midas/sdk/dnsimple/operations.html#add_domain_collaborator_response"},{"doc":"midas/sdk/dnsimple/operations","title":"apply_service_to_domain_request","content":"pub fn apply_service_to_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  service: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.apply_service_to_domain_request\nmidas/sdk/dnsimple/operations apply_service_to_domain_request","url":"midas/sdk/dnsimple/operations.html#apply_service_to_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"apply_service_to_domain_response","content":"pub fn apply_service_to_domain_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.apply_service_to_domain_response\nmidas/sdk/dnsimple/operations apply_service_to_domain_response","url":"midas/sdk/dnsimple/operations.html#apply_service_to_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"apply_template_to_domain_request","content":"pub fn apply_template_to_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  template: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.apply_template_to_domain_request\nmidas/sdk/dnsimple/operations apply_template_to_domain_request","url":"midas/sdk/dnsimple/operations.html#apply_template_to_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"apply_template_to_domain_response","content":"pub fn apply_template_to_domain_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.apply_template_to_domain_response\nmidas/sdk/dnsimple/operations apply_template_to_domain_response","url":"midas/sdk/dnsimple/operations.html#apply_template_to_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"authorize_domain_transfer_out_request","content":"pub fn authorize_domain_transfer_out_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.authorize_domain_transfer_out_request\nmidas/sdk/dnsimple/operations authorize_domain_transfer_out_request","url":"midas/sdk/dnsimple/operations.html#authorize_domain_transfer_out_request"},{"doc":"midas/sdk/dnsimple/operations","title":"authorize_domain_transfer_out_response","content":"pub fn authorize_domain_transfer_out_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.authorize_domain_transfer_out_response\nmidas/sdk/dnsimple/operations authorize_domain_transfer_out_response","url":"midas/sdk/dnsimple/operations.html#authorize_domain_transfer_out_response"},{"doc":"midas/sdk/dnsimple/operations","title":"cancel_domain_transfer_request","content":"pub fn cancel_domain_transfer_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domaintransfer: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.cancel_domain_transfer_request\nmidas/sdk/dnsimple/operations cancel_domain_transfer_request","url":"midas/sdk/dnsimple/operations.html#cancel_domain_transfer_request"},{"doc":"midas/sdk/dnsimple/operations","title":"cancel_domain_transfer_response","content":"pub fn cancel_domain_transfer_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.cancel_domain_transfer_response\nmidas/sdk/dnsimple/operations cancel_domain_transfer_response","url":"midas/sdk/dnsimple/operations.html#cancel_domain_transfer_response"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_from_vanity_request","content":"pub fn change_domain_delegation_from_vanity_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_from_vanity_request\nmidas/sdk/dnsimple/operations change_domain_delegation_from_vanity_request","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_from_vanity_request"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_from_vanity_response","content":"pub fn change_domain_delegation_from_vanity_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_from_vanity_response\nmidas/sdk/dnsimple/operations change_domain_delegation_from_vanity_response","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_from_vanity_response"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_request","content":"pub fn change_domain_delegation_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_request\nmidas/sdk/dnsimple/operations change_domain_delegation_request","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_request"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_response","content":"pub fn change_domain_delegation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_response\nmidas/sdk/dnsimple/operations change_domain_delegation_response","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_response"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_to_vanity_request","content":"pub fn change_domain_delegation_to_vanity_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_to_vanity_request\nmidas/sdk/dnsimple/operations change_domain_delegation_to_vanity_request","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_to_vanity_request"},{"doc":"midas/sdk/dnsimple/operations","title":"change_domain_delegation_to_vanity_response","content":"pub fn change_domain_delegation_to_vanity_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.change_domain_delegation_to_vanity_response\nmidas/sdk/dnsimple/operations change_domain_delegation_to_vanity_response","url":"midas/sdk/dnsimple/operations.html#change_domain_delegation_to_vanity_response"},{"doc":"midas/sdk/dnsimple/operations","title":"check_domain_request","content":"pub fn check_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_domain_request\nmidas/sdk/dnsimple/operations check_domain_request","url":"midas/sdk/dnsimple/operations.html#check_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"check_domain_response","content":"pub fn check_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_domain_response\nmidas/sdk/dnsimple/operations check_domain_response","url":"midas/sdk/dnsimple/operations.html#check_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"check_registrant_change_request","content":"pub fn check_registrant_change_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_registrant_change_request\nmidas/sdk/dnsimple/operations check_registrant_change_request","url":"midas/sdk/dnsimple/operations.html#check_registrant_change_request"},{"doc":"midas/sdk/dnsimple/operations","title":"check_registrant_change_response","content":"pub fn check_registrant_change_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_registrant_change_response\nmidas/sdk/dnsimple/operations check_registrant_change_response","url":"midas/sdk/dnsimple/operations.html#check_registrant_change_response"},{"doc":"midas/sdk/dnsimple/operations","title":"check_zone_distribution_request","content":"pub fn check_zone_distribution_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_zone_distribution_request\nmidas/sdk/dnsimple/operations check_zone_distribution_request","url":"midas/sdk/dnsimple/operations.html#check_zone_distribution_request"},{"doc":"midas/sdk/dnsimple/operations","title":"check_zone_distribution_response","content":"pub fn check_zone_distribution_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_zone_distribution_response\nmidas/sdk/dnsimple/operations check_zone_distribution_response","url":"midas/sdk/dnsimple/operations.html#check_zone_distribution_response"},{"doc":"midas/sdk/dnsimple/operations","title":"check_zone_record_distribution_request","content":"pub fn check_zone_record_distribution_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_zone_record_distribution_request\nmidas/sdk/dnsimple/operations check_zone_record_distribution_request","url":"midas/sdk/dnsimple/operations.html#check_zone_record_distribution_request"},{"doc":"midas/sdk/dnsimple/operations","title":"check_zone_record_distribution_response","content":"pub fn check_zone_record_distribution_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.check_zone_record_distribution_response\nmidas/sdk/dnsimple/operations check_zone_record_distribution_response","url":"midas/sdk/dnsimple/operations.html#check_zone_record_distribution_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_contact_request","content":"pub fn create_contact_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_contact_request\nmidas/sdk/dnsimple/operations create_contact_request","url":"midas/sdk/dnsimple/operations.html#create_contact_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_contact_response","content":"pub fn create_contact_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_contact_response\nmidas/sdk/dnsimple/operations create_contact_response","url":"midas/sdk/dnsimple/operations.html#create_contact_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_domain_delegation_signer_record_request","content":"pub fn create_domain_delegation_signer_record_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_domain_delegation_signer_record_request\nmidas/sdk/dnsimple/operations create_domain_delegation_signer_record_request","url":"midas/sdk/dnsimple/operations.html#create_domain_delegation_signer_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_domain_delegation_signer_record_response","content":"pub fn create_domain_delegation_signer_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_domain_delegation_signer_record_response\nmidas/sdk/dnsimple/operations create_domain_delegation_signer_record_response","url":"midas/sdk/dnsimple/operations.html#create_domain_delegation_signer_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_domain_request","content":"pub fn create_domain_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_domain_request\nmidas/sdk/dnsimple/operations create_domain_request","url":"midas/sdk/dnsimple/operations.html#create_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_domain_response","content":"pub fn create_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_domain_response\nmidas/sdk/dnsimple/operations create_domain_response","url":"midas/sdk/dnsimple/operations.html#create_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_email_forward_request","content":"pub fn create_email_forward_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_email_forward_request\nmidas/sdk/dnsimple/operations create_email_forward_request","url":"midas/sdk/dnsimple/operations.html#create_email_forward_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_email_forward_response","content":"pub fn create_email_forward_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_email_forward_response\nmidas/sdk/dnsimple/operations create_email_forward_response","url":"midas/sdk/dnsimple/operations.html#create_email_forward_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_primary_server_request","content":"pub fn create_primary_server_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_primary_server_request\nmidas/sdk/dnsimple/operations create_primary_server_request","url":"midas/sdk/dnsimple/operations.html#create_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_primary_server_response","content":"pub fn create_primary_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_primary_server_response\nmidas/sdk/dnsimple/operations create_primary_server_response","url":"midas/sdk/dnsimple/operations.html#create_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_registrant_change_request","content":"pub fn create_registrant_change_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_registrant_change_request\nmidas/sdk/dnsimple/operations create_registrant_change_request","url":"midas/sdk/dnsimple/operations.html#create_registrant_change_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_registrant_change_response","content":"pub fn create_registrant_change_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_registrant_change_response\nmidas/sdk/dnsimple/operations create_registrant_change_response","url":"midas/sdk/dnsimple/operations.html#create_registrant_change_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_secondary_zone_request","content":"pub fn create_secondary_zone_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_secondary_zone_request\nmidas/sdk/dnsimple/operations create_secondary_zone_request","url":"midas/sdk/dnsimple/operations.html#create_secondary_zone_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_secondary_zone_response","content":"pub fn create_secondary_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_secondary_zone_response\nmidas/sdk/dnsimple/operations create_secondary_zone_response","url":"midas/sdk/dnsimple/operations.html#create_secondary_zone_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_template_record_request","content":"pub fn create_template_record_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_template_record_request\nmidas/sdk/dnsimple/operations create_template_record_request","url":"midas/sdk/dnsimple/operations.html#create_template_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_template_record_response","content":"pub fn create_template_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_template_record_response\nmidas/sdk/dnsimple/operations create_template_record_response","url":"midas/sdk/dnsimple/operations.html#create_template_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_template_request","content":"pub fn create_template_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_template_request\nmidas/sdk/dnsimple/operations create_template_request","url":"midas/sdk/dnsimple/operations.html#create_template_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_template_response","content":"pub fn create_template_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_template_response\nmidas/sdk/dnsimple/operations create_template_response","url":"midas/sdk/dnsimple/operations.html#create_template_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_webhook_request","content":"pub fn create_webhook_request(\n  base: Request(a),\n  account: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_webhook_request\nmidas/sdk/dnsimple/operations create_webhook_request","url":"midas/sdk/dnsimple/operations.html#create_webhook_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_webhook_response","content":"pub fn create_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_webhook_response\nmidas/sdk/dnsimple/operations create_webhook_response","url":"midas/sdk/dnsimple/operations.html#create_webhook_response"},{"doc":"midas/sdk/dnsimple/operations","title":"create_zone_record_request","content":"pub fn create_zone_record_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_zone_record_request\nmidas/sdk/dnsimple/operations create_zone_record_request","url":"midas/sdk/dnsimple/operations.html#create_zone_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"create_zone_record_response","content":"pub fn create_zone_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.create_zone_record_response\nmidas/sdk/dnsimple/operations create_zone_record_response","url":"midas/sdk/dnsimple/operations.html#create_zone_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"deactivate_zone_service_request","content":"pub fn deactivate_zone_service_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.deactivate_zone_service_request\nmidas/sdk/dnsimple/operations deactivate_zone_service_request","url":"midas/sdk/dnsimple/operations.html#deactivate_zone_service_request"},{"doc":"midas/sdk/dnsimple/operations","title":"deactivate_zone_service_response","content":"pub fn deactivate_zone_service_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.deactivate_zone_service_response\nmidas/sdk/dnsimple/operations deactivate_zone_service_response","url":"midas/sdk/dnsimple/operations.html#deactivate_zone_service_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_contact_request","content":"pub fn delete_contact_request(\n  base: Request(a),\n  account: Int,\n  contact: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_contact_request\nmidas/sdk/dnsimple/operations delete_contact_request","url":"midas/sdk/dnsimple/operations.html#delete_contact_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_contact_response","content":"pub fn delete_contact_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_contact_response\nmidas/sdk/dnsimple/operations delete_contact_response","url":"midas/sdk/dnsimple/operations.html#delete_contact_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_domain_delegation_signer_record_request","content":"pub fn delete_domain_delegation_signer_record_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  ds: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_domain_delegation_signer_record_request\nmidas/sdk/dnsimple/operations delete_domain_delegation_signer_record_request","url":"midas/sdk/dnsimple/operations.html#delete_domain_delegation_signer_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_domain_delegation_signer_record_response","content":"pub fn delete_domain_delegation_signer_record_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_domain_delegation_signer_record_response\nmidas/sdk/dnsimple/operations delete_domain_delegation_signer_record_response","url":"midas/sdk/dnsimple/operations.html#delete_domain_delegation_signer_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_domain_request","content":"pub fn delete_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_domain_request\nmidas/sdk/dnsimple/operations delete_domain_request","url":"midas/sdk/dnsimple/operations.html#delete_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_domain_response","content":"pub fn delete_domain_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_domain_response\nmidas/sdk/dnsimple/operations delete_domain_response","url":"midas/sdk/dnsimple/operations.html#delete_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_email_forward_request","content":"pub fn delete_email_forward_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  emailforward: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_email_forward_request\nmidas/sdk/dnsimple/operations delete_email_forward_request","url":"midas/sdk/dnsimple/operations.html#delete_email_forward_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_email_forward_response","content":"pub fn delete_email_forward_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_email_forward_response\nmidas/sdk/dnsimple/operations delete_email_forward_response","url":"midas/sdk/dnsimple/operations.html#delete_email_forward_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_registrant_change_request","content":"pub fn delete_registrant_change_request(\n  base: Request(a),\n  account: Int,\n  registrantchange: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_registrant_change_request\nmidas/sdk/dnsimple/operations delete_registrant_change_request","url":"midas/sdk/dnsimple/operations.html#delete_registrant_change_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_template_record_request","content":"pub fn delete_template_record_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  templaterecord: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_template_record_request\nmidas/sdk/dnsimple/operations delete_template_record_request","url":"midas/sdk/dnsimple/operations.html#delete_template_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_template_record_response","content":"pub fn delete_template_record_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_template_record_response\nmidas/sdk/dnsimple/operations delete_template_record_response","url":"midas/sdk/dnsimple/operations.html#delete_template_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_template_request","content":"pub fn delete_template_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_template_request\nmidas/sdk/dnsimple/operations delete_template_request","url":"midas/sdk/dnsimple/operations.html#delete_template_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_template_response","content":"pub fn delete_template_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_template_response\nmidas/sdk/dnsimple/operations delete_template_response","url":"midas/sdk/dnsimple/operations.html#delete_template_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_webhook_request","content":"pub fn delete_webhook_request(\n  base: Request(a),\n  account: Int,\n  webhook: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_webhook_request\nmidas/sdk/dnsimple/operations delete_webhook_request","url":"midas/sdk/dnsimple/operations.html#delete_webhook_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_webhook_response","content":"pub fn delete_webhook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_webhook_response\nmidas/sdk/dnsimple/operations delete_webhook_response","url":"midas/sdk/dnsimple/operations.html#delete_webhook_response"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_zone_record_request","content":"pub fn delete_zone_record_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_zone_record_request\nmidas/sdk/dnsimple/operations delete_zone_record_request","url":"midas/sdk/dnsimple/operations.html#delete_zone_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"delete_zone_record_response","content":"pub fn delete_zone_record_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.delete_zone_record_response\nmidas/sdk/dnsimple/operations delete_zone_record_response","url":"midas/sdk/dnsimple/operations.html#delete_zone_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_auto_renewal_request","content":"pub fn disable_domain_auto_renewal_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_auto_renewal_request\nmidas/sdk/dnsimple/operations disable_domain_auto_renewal_request","url":"midas/sdk/dnsimple/operations.html#disable_domain_auto_renewal_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_auto_renewal_response","content":"pub fn disable_domain_auto_renewal_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_auto_renewal_response\nmidas/sdk/dnsimple/operations disable_domain_auto_renewal_response","url":"midas/sdk/dnsimple/operations.html#disable_domain_auto_renewal_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_dnssec_request","content":"pub fn disable_domain_dnssec_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_dnssec_request\nmidas/sdk/dnsimple/operations disable_domain_dnssec_request","url":"midas/sdk/dnsimple/operations.html#disable_domain_dnssec_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_dnssec_response","content":"pub fn disable_domain_dnssec_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_dnssec_response\nmidas/sdk/dnsimple/operations disable_domain_dnssec_response","url":"midas/sdk/dnsimple/operations.html#disable_domain_dnssec_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_transfer_lock_request","content":"pub fn disable_domain_transfer_lock_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_transfer_lock_request\nmidas/sdk/dnsimple/operations disable_domain_transfer_lock_request","url":"midas/sdk/dnsimple/operations.html#disable_domain_transfer_lock_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_domain_transfer_lock_response","content":"pub fn disable_domain_transfer_lock_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_domain_transfer_lock_response\nmidas/sdk/dnsimple/operations disable_domain_transfer_lock_response","url":"midas/sdk/dnsimple/operations.html#disable_domain_transfer_lock_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_vanity_name_servers_request","content":"pub fn disable_vanity_name_servers_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_vanity_name_servers_request\nmidas/sdk/dnsimple/operations disable_vanity_name_servers_request","url":"midas/sdk/dnsimple/operations.html#disable_vanity_name_servers_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_vanity_name_servers_response","content":"pub fn disable_vanity_name_servers_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_vanity_name_servers_response\nmidas/sdk/dnsimple/operations disable_vanity_name_servers_response","url":"midas/sdk/dnsimple/operations.html#disable_vanity_name_servers_response"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_whois_privacy_request","content":"pub fn disable_whois_privacy_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_whois_privacy_request\nmidas/sdk/dnsimple/operations disable_whois_privacy_request","url":"midas/sdk/dnsimple/operations.html#disable_whois_privacy_request"},{"doc":"midas/sdk/dnsimple/operations","title":"disable_whois_privacy_response","content":"pub fn disable_whois_privacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.disable_whois_privacy_response\nmidas/sdk/dnsimple/operations disable_whois_privacy_response","url":"midas/sdk/dnsimple/operations.html#disable_whois_privacy_response"},{"doc":"midas/sdk/dnsimple/operations","title":"domain_renew_request","content":"pub fn domain_renew_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.domain_renew_request\nmidas/sdk/dnsimple/operations domain_renew_request","url":"midas/sdk/dnsimple/operations.html#domain_renew_request"},{"doc":"midas/sdk/dnsimple/operations","title":"domain_renew_response","content":"pub fn domain_renew_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.domain_renew_response\nmidas/sdk/dnsimple/operations domain_renew_response","url":"midas/sdk/dnsimple/operations.html#domain_renew_response"},{"doc":"midas/sdk/dnsimple/operations","title":"domain_restore_request","content":"pub fn domain_restore_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.domain_restore_request\nmidas/sdk/dnsimple/operations domain_restore_request","url":"midas/sdk/dnsimple/operations.html#domain_restore_request"},{"doc":"midas/sdk/dnsimple/operations","title":"domain_restore_response","content":"pub fn domain_restore_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.domain_restore_response\nmidas/sdk/dnsimple/operations domain_restore_response","url":"midas/sdk/dnsimple/operations.html#domain_restore_response"},{"doc":"midas/sdk/dnsimple/operations","title":"download_certificate_request","content":"pub fn download_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.download_certificate_request\nmidas/sdk/dnsimple/operations download_certificate_request","url":"midas/sdk/dnsimple/operations.html#download_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"download_certificate_response","content":"pub fn download_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.download_certificate_response\nmidas/sdk/dnsimple/operations download_certificate_response","url":"midas/sdk/dnsimple/operations.html#download_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_auto_renewal_request","content":"pub fn enable_domain_auto_renewal_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_auto_renewal_request\nmidas/sdk/dnsimple/operations enable_domain_auto_renewal_request","url":"midas/sdk/dnsimple/operations.html#enable_domain_auto_renewal_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_auto_renewal_response","content":"pub fn enable_domain_auto_renewal_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_auto_renewal_response\nmidas/sdk/dnsimple/operations enable_domain_auto_renewal_response","url":"midas/sdk/dnsimple/operations.html#enable_domain_auto_renewal_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_dnssec_request","content":"pub fn enable_domain_dnssec_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_dnssec_request\nmidas/sdk/dnsimple/operations enable_domain_dnssec_request","url":"midas/sdk/dnsimple/operations.html#enable_domain_dnssec_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_dnssec_response","content":"pub fn enable_domain_dnssec_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_dnssec_response\nmidas/sdk/dnsimple/operations enable_domain_dnssec_response","url":"midas/sdk/dnsimple/operations.html#enable_domain_dnssec_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_transfer_lock_request","content":"pub fn enable_domain_transfer_lock_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_transfer_lock_request\nmidas/sdk/dnsimple/operations enable_domain_transfer_lock_request","url":"midas/sdk/dnsimple/operations.html#enable_domain_transfer_lock_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_domain_transfer_lock_response","content":"pub fn enable_domain_transfer_lock_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_domain_transfer_lock_response\nmidas/sdk/dnsimple/operations enable_domain_transfer_lock_response","url":"midas/sdk/dnsimple/operations.html#enable_domain_transfer_lock_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_vanity_name_servers_request","content":"pub fn enable_vanity_name_servers_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_vanity_name_servers_request\nmidas/sdk/dnsimple/operations enable_vanity_name_servers_request","url":"midas/sdk/dnsimple/operations.html#enable_vanity_name_servers_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_vanity_name_servers_response","content":"pub fn enable_vanity_name_servers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_vanity_name_servers_response\nmidas/sdk/dnsimple/operations enable_vanity_name_servers_response","url":"midas/sdk/dnsimple/operations.html#enable_vanity_name_servers_response"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_whois_privacy_request","content":"pub fn enable_whois_privacy_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_whois_privacy_request\nmidas/sdk/dnsimple/operations enable_whois_privacy_request","url":"midas/sdk/dnsimple/operations.html#enable_whois_privacy_request"},{"doc":"midas/sdk/dnsimple/operations","title":"enable_whois_privacy_response","content":"pub fn enable_whois_privacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.enable_whois_privacy_response\nmidas/sdk/dnsimple/operations enable_whois_privacy_response","url":"midas/sdk/dnsimple/operations.html#enable_whois_privacy_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_certificate_private_key_request","content":"pub fn get_certificate_private_key_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_certificate_private_key_request\nmidas/sdk/dnsimple/operations get_certificate_private_key_request","url":"midas/sdk/dnsimple/operations.html#get_certificate_private_key_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_certificate_private_key_response","content":"pub fn get_certificate_private_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_certificate_private_key_response\nmidas/sdk/dnsimple/operations get_certificate_private_key_response","url":"midas/sdk/dnsimple/operations.html#get_certificate_private_key_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_certificate_request","content":"pub fn get_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_certificate_request\nmidas/sdk/dnsimple/operations get_certificate_request","url":"midas/sdk/dnsimple/operations.html#get_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_certificate_response","content":"pub fn get_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_certificate_response\nmidas/sdk/dnsimple/operations get_certificate_response","url":"midas/sdk/dnsimple/operations.html#get_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_contact_request","content":"pub fn get_contact_request(\n  base: Request(a),\n  account: Int,\n  contact: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_contact_request\nmidas/sdk/dnsimple/operations get_contact_request","url":"midas/sdk/dnsimple/operations.html#get_contact_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_contact_response","content":"pub fn get_contact_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_contact_response\nmidas/sdk/dnsimple/operations get_contact_response","url":"midas/sdk/dnsimple/operations.html#get_contact_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_delegation_request","content":"pub fn get_domain_delegation_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_delegation_request\nmidas/sdk/dnsimple/operations get_domain_delegation_request","url":"midas/sdk/dnsimple/operations.html#get_domain_delegation_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_delegation_response","content":"pub fn get_domain_delegation_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_delegation_response\nmidas/sdk/dnsimple/operations get_domain_delegation_response","url":"midas/sdk/dnsimple/operations.html#get_domain_delegation_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_delegation_signer_record_request","content":"pub fn get_domain_delegation_signer_record_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  ds: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_delegation_signer_record_request\nmidas/sdk/dnsimple/operations get_domain_delegation_signer_record_request","url":"midas/sdk/dnsimple/operations.html#get_domain_delegation_signer_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_delegation_signer_record_response","content":"pub fn get_domain_delegation_signer_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_delegation_signer_record_response\nmidas/sdk/dnsimple/operations get_domain_delegation_signer_record_response","url":"midas/sdk/dnsimple/operations.html#get_domain_delegation_signer_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_dnssec_request","content":"pub fn get_domain_dnssec_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_dnssec_request\nmidas/sdk/dnsimple/operations get_domain_dnssec_request","url":"midas/sdk/dnsimple/operations.html#get_domain_dnssec_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_dnssec_response","content":"pub fn get_domain_dnssec_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_dnssec_response\nmidas/sdk/dnsimple/operations get_domain_dnssec_response","url":"midas/sdk/dnsimple/operations.html#get_domain_dnssec_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_premium_price_request","content":"pub fn get_domain_premium_price_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  action action: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_premium_price_request\nmidas/sdk/dnsimple/operations get_domain_premium_price_request","url":"midas/sdk/dnsimple/operations.html#get_domain_premium_price_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_premium_price_response","content":"pub fn get_domain_premium_price_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_premium_price_response\nmidas/sdk/dnsimple/operations get_domain_premium_price_response","url":"midas/sdk/dnsimple/operations.html#get_domain_premium_price_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_prices_request","content":"pub fn get_domain_prices_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_prices_request\nmidas/sdk/dnsimple/operations get_domain_prices_request","url":"midas/sdk/dnsimple/operations.html#get_domain_prices_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_prices_response","content":"pub fn get_domain_prices_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_prices_response\nmidas/sdk/dnsimple/operations get_domain_prices_response","url":"midas/sdk/dnsimple/operations.html#get_domain_prices_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_registration_request","content":"pub fn get_domain_registration_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domainregistration: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_registration_request\nmidas/sdk/dnsimple/operations get_domain_registration_request","url":"midas/sdk/dnsimple/operations.html#get_domain_registration_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_registration_response","content":"pub fn get_domain_registration_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_registration_response\nmidas/sdk/dnsimple/operations get_domain_registration_response","url":"midas/sdk/dnsimple/operations.html#get_domain_registration_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_renewal_request","content":"pub fn get_domain_renewal_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domainrenewal: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_renewal_request\nmidas/sdk/dnsimple/operations get_domain_renewal_request","url":"midas/sdk/dnsimple/operations.html#get_domain_renewal_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_renewal_response","content":"pub fn get_domain_renewal_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_renewal_response\nmidas/sdk/dnsimple/operations get_domain_renewal_response","url":"midas/sdk/dnsimple/operations.html#get_domain_renewal_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_request","content":"pub fn get_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_request\nmidas/sdk/dnsimple/operations get_domain_request","url":"midas/sdk/dnsimple/operations.html#get_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_response","content":"pub fn get_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_response\nmidas/sdk/dnsimple/operations get_domain_response","url":"midas/sdk/dnsimple/operations.html#get_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_restore_request","content":"pub fn get_domain_restore_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domainrestore: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_restore_request\nmidas/sdk/dnsimple/operations get_domain_restore_request","url":"midas/sdk/dnsimple/operations.html#get_domain_restore_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_restore_response","content":"pub fn get_domain_restore_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_restore_response\nmidas/sdk/dnsimple/operations get_domain_restore_response","url":"midas/sdk/dnsimple/operations.html#get_domain_restore_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_transfer_lock_request","content":"pub fn get_domain_transfer_lock_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_transfer_lock_request\nmidas/sdk/dnsimple/operations get_domain_transfer_lock_request","url":"midas/sdk/dnsimple/operations.html#get_domain_transfer_lock_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_transfer_lock_response","content":"pub fn get_domain_transfer_lock_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_transfer_lock_response\nmidas/sdk/dnsimple/operations get_domain_transfer_lock_response","url":"midas/sdk/dnsimple/operations.html#get_domain_transfer_lock_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_transfer_request","content":"pub fn get_domain_transfer_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  domaintransfer: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_transfer_request\nmidas/sdk/dnsimple/operations get_domain_transfer_request","url":"midas/sdk/dnsimple/operations.html#get_domain_transfer_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_domain_transfer_response","content":"pub fn get_domain_transfer_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_domain_transfer_response\nmidas/sdk/dnsimple/operations get_domain_transfer_response","url":"midas/sdk/dnsimple/operations.html#get_domain_transfer_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_email_forward_request","content":"pub fn get_email_forward_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  emailforward: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_email_forward_request\nmidas/sdk/dnsimple/operations get_email_forward_request","url":"midas/sdk/dnsimple/operations.html#get_email_forward_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_email_forward_response","content":"pub fn get_email_forward_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_email_forward_response\nmidas/sdk/dnsimple/operations get_email_forward_response","url":"midas/sdk/dnsimple/operations.html#get_email_forward_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_primary_server_request","content":"pub fn get_primary_server_request(\n  base: Request(a),\n  account: Int,\n  primaryserver: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_primary_server_request\nmidas/sdk/dnsimple/operations get_primary_server_request","url":"midas/sdk/dnsimple/operations.html#get_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_primary_server_response","content":"pub fn get_primary_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_primary_server_response\nmidas/sdk/dnsimple/operations get_primary_server_response","url":"midas/sdk/dnsimple/operations.html#get_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_registrant_change_request","content":"pub fn get_registrant_change_request(\n  base: Request(a),\n  account: Int,\n  registrantchange: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_registrant_change_request\nmidas/sdk/dnsimple/operations get_registrant_change_request","url":"midas/sdk/dnsimple/operations.html#get_registrant_change_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_registrant_change_response","content":"pub fn get_registrant_change_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_registrant_change_response\nmidas/sdk/dnsimple/operations get_registrant_change_response","url":"midas/sdk/dnsimple/operations.html#get_registrant_change_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_service_request","content":"pub fn get_service_request(\n  base: Request(a),\n  service: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_service_request\nmidas/sdk/dnsimple/operations get_service_request","url":"midas/sdk/dnsimple/operations.html#get_service_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_service_response","content":"pub fn get_service_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_service_response\nmidas/sdk/dnsimple/operations get_service_response","url":"midas/sdk/dnsimple/operations.html#get_service_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_template_record_request","content":"pub fn get_template_record_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  templaterecord: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_template_record_request\nmidas/sdk/dnsimple/operations get_template_record_request","url":"midas/sdk/dnsimple/operations.html#get_template_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_template_record_response","content":"pub fn get_template_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_template_record_response\nmidas/sdk/dnsimple/operations get_template_record_response","url":"midas/sdk/dnsimple/operations.html#get_template_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_template_request","content":"pub fn get_template_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_template_request\nmidas/sdk/dnsimple/operations get_template_request","url":"midas/sdk/dnsimple/operations.html#get_template_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_template_response","content":"pub fn get_template_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_template_response\nmidas/sdk/dnsimple/operations get_template_response","url":"midas/sdk/dnsimple/operations.html#get_template_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_tld_extended_attributes_request","content":"pub fn get_tld_extended_attributes_request(\n  base: Request(a),\n  tld: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_tld_extended_attributes_request\nmidas/sdk/dnsimple/operations get_tld_extended_attributes_request","url":"midas/sdk/dnsimple/operations.html#get_tld_extended_attributes_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_tld_extended_attributes_response","content":"pub fn get_tld_extended_attributes_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_tld_extended_attributes_response\nmidas/sdk/dnsimple/operations get_tld_extended_attributes_response","url":"midas/sdk/dnsimple/operations.html#get_tld_extended_attributes_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_tld_request","content":"pub fn get_tld_request(\n  base: Request(a),\n  tld: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_tld_request\nmidas/sdk/dnsimple/operations get_tld_request","url":"midas/sdk/dnsimple/operations.html#get_tld_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_tld_response","content":"pub fn get_tld_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_tld_response\nmidas/sdk/dnsimple/operations get_tld_response","url":"midas/sdk/dnsimple/operations.html#get_tld_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_webhook_request","content":"pub fn get_webhook_request(\n  base: Request(a),\n  account: Int,\n  webhook: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_webhook_request\nmidas/sdk/dnsimple/operations get_webhook_request","url":"midas/sdk/dnsimple/operations.html#get_webhook_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_webhook_response","content":"pub fn get_webhook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_webhook_response\nmidas/sdk/dnsimple/operations get_webhook_response","url":"midas/sdk/dnsimple/operations.html#get_webhook_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_whois_privacy_request","content":"pub fn get_whois_privacy_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_whois_privacy_request\nmidas/sdk/dnsimple/operations get_whois_privacy_request","url":"midas/sdk/dnsimple/operations.html#get_whois_privacy_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_whois_privacy_response","content":"pub fn get_whois_privacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_whois_privacy_response\nmidas/sdk/dnsimple/operations get_whois_privacy_response","url":"midas/sdk/dnsimple/operations.html#get_whois_privacy_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_file_request","content":"pub fn get_zone_file_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_file_request\nmidas/sdk/dnsimple/operations get_zone_file_request","url":"midas/sdk/dnsimple/operations.html#get_zone_file_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_file_response","content":"pub fn get_zone_file_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_file_response\nmidas/sdk/dnsimple/operations get_zone_file_response","url":"midas/sdk/dnsimple/operations.html#get_zone_file_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_record_request","content":"pub fn get_zone_record_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_record_request\nmidas/sdk/dnsimple/operations get_zone_record_request","url":"midas/sdk/dnsimple/operations.html#get_zone_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_record_response","content":"pub fn get_zone_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_record_response\nmidas/sdk/dnsimple/operations get_zone_record_response","url":"midas/sdk/dnsimple/operations.html#get_zone_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_request","content":"pub fn get_zone_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_request\nmidas/sdk/dnsimple/operations get_zone_request","url":"midas/sdk/dnsimple/operations.html#get_zone_request"},{"doc":"midas/sdk/dnsimple/operations","title":"get_zone_response","content":"pub fn get_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.get_zone_response\nmidas/sdk/dnsimple/operations get_zone_response","url":"midas/sdk/dnsimple/operations.html#get_zone_response"},{"doc":"midas/sdk/dnsimple/operations","title":"initiate_domain_push_request","content":"pub fn initiate_domain_push_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.initiate_domain_push_request\nmidas/sdk/dnsimple/operations initiate_domain_push_request","url":"midas/sdk/dnsimple/operations.html#initiate_domain_push_request"},{"doc":"midas/sdk/dnsimple/operations","title":"initiate_domain_push_response","content":"pub fn initiate_domain_push_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.initiate_domain_push_response\nmidas/sdk/dnsimple/operations initiate_domain_push_response","url":"midas/sdk/dnsimple/operations.html#initiate_domain_push_response"},{"doc":"midas/sdk/dnsimple/operations","title":"issue_letsencrypt_certificate_request","content":"pub fn issue_letsencrypt_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  purchase_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.issue_letsencrypt_certificate_request\nmidas/sdk/dnsimple/operations issue_letsencrypt_certificate_request","url":"midas/sdk/dnsimple/operations.html#issue_letsencrypt_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"issue_letsencrypt_certificate_response","content":"pub fn issue_letsencrypt_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.issue_letsencrypt_certificate_response\nmidas/sdk/dnsimple/operations issue_letsencrypt_certificate_response","url":"midas/sdk/dnsimple/operations.html#issue_letsencrypt_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"issue_renewal_letsencrypt_certificate_request","content":"pub fn issue_renewal_letsencrypt_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n  renewal_id: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.issue_renewal_letsencrypt_certificate_request\nmidas/sdk/dnsimple/operations issue_renewal_letsencrypt_certificate_request","url":"midas/sdk/dnsimple/operations.html#issue_renewal_letsencrypt_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"issue_renewal_letsencrypt_certificate_response","content":"pub fn issue_renewal_letsencrypt_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.issue_renewal_letsencrypt_certificate_response\nmidas/sdk/dnsimple/operations issue_renewal_letsencrypt_certificate_response","url":"midas/sdk/dnsimple/operations.html#issue_renewal_letsencrypt_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"link_primary_server_request","content":"pub fn link_primary_server_request(\n  base: Request(a),\n  account: Int,\n  primaryserver: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.link_primary_server_request\nmidas/sdk/dnsimple/operations link_primary_server_request","url":"midas/sdk/dnsimple/operations.html#link_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"link_primary_server_response","content":"pub fn link_primary_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.link_primary_server_response\nmidas/sdk/dnsimple/operations link_primary_server_response","url":"midas/sdk/dnsimple/operations.html#link_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_accounts_request","content":"pub fn list_accounts_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_accounts_request\nmidas/sdk/dnsimple/operations list_accounts_request","url":"midas/sdk/dnsimple/operations.html#list_accounts_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_accounts_response","content":"pub fn list_accounts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_accounts_response\nmidas/sdk/dnsimple/operations list_accounts_response","url":"midas/sdk/dnsimple/operations.html#list_accounts_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_certificates_request","content":"pub fn list_certificates_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_certificates_request\nmidas/sdk/dnsimple/operations list_certificates_request","url":"midas/sdk/dnsimple/operations.html#list_certificates_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_certificates_response","content":"pub fn list_certificates_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_certificates_response\nmidas/sdk/dnsimple/operations list_certificates_response","url":"midas/sdk/dnsimple/operations.html#list_certificates_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_charges_request","content":"pub fn list_charges_request(\n  base: Request(a),\n  account: Int,\n  start_date start_date: Option(String),\n  end_date end_date: Option(String),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_charges_request\nmidas/sdk/dnsimple/operations list_charges_request","url":"midas/sdk/dnsimple/operations.html#list_charges_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_charges_response","content":"pub fn list_charges_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_charges_response\nmidas/sdk/dnsimple/operations list_charges_response","url":"midas/sdk/dnsimple/operations.html#list_charges_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_contacts_request","content":"pub fn list_contacts_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_contacts_request\nmidas/sdk/dnsimple/operations list_contacts_request","url":"midas/sdk/dnsimple/operations.html#list_contacts_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_contacts_response","content":"pub fn list_contacts_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_contacts_response\nmidas/sdk/dnsimple/operations list_contacts_response","url":"midas/sdk/dnsimple/operations.html#list_contacts_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_applied_services_request","content":"pub fn list_domain_applied_services_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_applied_services_request\nmidas/sdk/dnsimple/operations list_domain_applied_services_request","url":"midas/sdk/dnsimple/operations.html#list_domain_applied_services_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_applied_services_response","content":"pub fn list_domain_applied_services_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_applied_services_response\nmidas/sdk/dnsimple/operations list_domain_applied_services_response","url":"midas/sdk/dnsimple/operations.html#list_domain_applied_services_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_collaborators_request","content":"pub fn list_domain_collaborators_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_collaborators_request\nmidas/sdk/dnsimple/operations list_domain_collaborators_request","url":"midas/sdk/dnsimple/operations.html#list_domain_collaborators_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_collaborators_response","content":"pub fn list_domain_collaborators_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_collaborators_response\nmidas/sdk/dnsimple/operations list_domain_collaborators_response","url":"midas/sdk/dnsimple/operations.html#list_domain_collaborators_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_delegation_signer_records_request","content":"pub fn list_domain_delegation_signer_records_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_delegation_signer_records_request\nmidas/sdk/dnsimple/operations list_domain_delegation_signer_records_request","url":"midas/sdk/dnsimple/operations.html#list_domain_delegation_signer_records_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domain_delegation_signer_records_response","content":"pub fn list_domain_delegation_signer_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domain_delegation_signer_records_response\nmidas/sdk/dnsimple/operations list_domain_delegation_signer_records_response","url":"midas/sdk/dnsimple/operations.html#list_domain_delegation_signer_records_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domains_request","content":"pub fn list_domains_request(\n  base: Request(a),\n  account: Int,\n  name_like name_like: Option(String),\n  registrant_id registrant_id: Option(Int),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domains_request\nmidas/sdk/dnsimple/operations list_domains_request","url":"midas/sdk/dnsimple/operations.html#list_domains_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_domains_response","content":"pub fn list_domains_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_domains_response\nmidas/sdk/dnsimple/operations list_domains_response","url":"midas/sdk/dnsimple/operations.html#list_domains_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_email_forwards_request","content":"pub fn list_email_forwards_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_email_forwards_request\nmidas/sdk/dnsimple/operations list_email_forwards_request","url":"midas/sdk/dnsimple/operations.html#list_email_forwards_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_email_forwards_response","content":"pub fn list_email_forwards_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_email_forwards_response\nmidas/sdk/dnsimple/operations list_email_forwards_response","url":"midas/sdk/dnsimple/operations.html#list_email_forwards_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_primary_servers_request","content":"pub fn list_primary_servers_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_primary_servers_request\nmidas/sdk/dnsimple/operations list_primary_servers_request","url":"midas/sdk/dnsimple/operations.html#list_primary_servers_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_primary_servers_response","content":"pub fn list_primary_servers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_primary_servers_response\nmidas/sdk/dnsimple/operations list_primary_servers_response","url":"midas/sdk/dnsimple/operations.html#list_primary_servers_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_pushes_request","content":"pub fn list_pushes_request(\n  base: Request(a),\n  account: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_pushes_request\nmidas/sdk/dnsimple/operations list_pushes_request","url":"midas/sdk/dnsimple/operations.html#list_pushes_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_pushes_response","content":"pub fn list_pushes_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_pushes_response\nmidas/sdk/dnsimple/operations list_pushes_response","url":"midas/sdk/dnsimple/operations.html#list_pushes_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_registrant_changes_request","content":"pub fn list_registrant_changes_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n  state state: Option(String),\n  domain_id domain_id: Option(String),\n  contact_id contact_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_registrant_changes_request\nmidas/sdk/dnsimple/operations list_registrant_changes_request","url":"midas/sdk/dnsimple/operations.html#list_registrant_changes_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_registrant_changes_response","content":"pub fn list_registrant_changes_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_registrant_changes_response\nmidas/sdk/dnsimple/operations list_registrant_changes_response","url":"midas/sdk/dnsimple/operations.html#list_registrant_changes_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_services_request","content":"pub fn list_services_request(\n  base: Request(a),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_services_request\nmidas/sdk/dnsimple/operations list_services_request","url":"midas/sdk/dnsimple/operations.html#list_services_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_services_response","content":"pub fn list_services_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_services_response\nmidas/sdk/dnsimple/operations list_services_response","url":"midas/sdk/dnsimple/operations.html#list_services_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_template_records_request","content":"pub fn list_template_records_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_template_records_request\nmidas/sdk/dnsimple/operations list_template_records_request","url":"midas/sdk/dnsimple/operations.html#list_template_records_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_template_records_response","content":"pub fn list_template_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_template_records_response\nmidas/sdk/dnsimple/operations list_template_records_response","url":"midas/sdk/dnsimple/operations.html#list_template_records_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_templates_request","content":"pub fn list_templates_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_templates_request\nmidas/sdk/dnsimple/operations list_templates_request","url":"midas/sdk/dnsimple/operations.html#list_templates_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_templates_response","content":"pub fn list_templates_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_templates_response\nmidas/sdk/dnsimple/operations list_templates_response","url":"midas/sdk/dnsimple/operations.html#list_templates_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_tlds_request","content":"pub fn list_tlds_request(\n  base: Request(a),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_tlds_request\nmidas/sdk/dnsimple/operations list_tlds_request","url":"midas/sdk/dnsimple/operations.html#list_tlds_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_tlds_response","content":"pub fn list_tlds_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_tlds_response\nmidas/sdk/dnsimple/operations list_tlds_response","url":"midas/sdk/dnsimple/operations.html#list_tlds_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_webhooks_request","content":"pub fn list_webhooks_request(\n  base: Request(a),\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_webhooks_request\nmidas/sdk/dnsimple/operations list_webhooks_request","url":"midas/sdk/dnsimple/operations.html#list_webhooks_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_webhooks_response","content":"pub fn list_webhooks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_webhooks_response\nmidas/sdk/dnsimple/operations list_webhooks_response","url":"midas/sdk/dnsimple/operations.html#list_webhooks_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_zone_records_request","content":"pub fn list_zone_records_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  name_like name_like: Option(String),\n  name name: Option(String),\n  type_ type_: Option(String),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_zone_records_request\nmidas/sdk/dnsimple/operations list_zone_records_request","url":"midas/sdk/dnsimple/operations.html#list_zone_records_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_zone_records_response","content":"pub fn list_zone_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_zone_records_response\nmidas/sdk/dnsimple/operations list_zone_records_response","url":"midas/sdk/dnsimple/operations.html#list_zone_records_response"},{"doc":"midas/sdk/dnsimple/operations","title":"list_zones_request","content":"pub fn list_zones_request(\n  base: Request(a),\n  account: Int,\n  name_like name_like: Option(String),\n  sort sort: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_zones_request\nmidas/sdk/dnsimple/operations list_zones_request","url":"midas/sdk/dnsimple/operations.html#list_zones_request"},{"doc":"midas/sdk/dnsimple/operations","title":"list_zones_response","content":"pub fn list_zones_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.list_zones_response\nmidas/sdk/dnsimple/operations list_zones_response","url":"midas/sdk/dnsimple/operations.html#list_zones_response"},{"doc":"midas/sdk/dnsimple/operations","title":"purchase_letsencrypt_certificate_request","content":"pub fn purchase_letsencrypt_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.purchase_letsencrypt_certificate_request\nmidas/sdk/dnsimple/operations purchase_letsencrypt_certificate_request","url":"midas/sdk/dnsimple/operations.html#purchase_letsencrypt_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"purchase_letsencrypt_certificate_response","content":"pub fn purchase_letsencrypt_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.purchase_letsencrypt_certificate_response\nmidas/sdk/dnsimple/operations purchase_letsencrypt_certificate_response","url":"midas/sdk/dnsimple/operations.html#purchase_letsencrypt_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"purchase_renewal_letsencrypt_certificate_request","content":"pub fn purchase_renewal_letsencrypt_certificate_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  certificate: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.purchase_renewal_letsencrypt_certificate_request\nmidas/sdk/dnsimple/operations purchase_renewal_letsencrypt_certificate_request","url":"midas/sdk/dnsimple/operations.html#purchase_renewal_letsencrypt_certificate_request"},{"doc":"midas/sdk/dnsimple/operations","title":"purchase_renewal_letsencrypt_certificate_response","content":"pub fn purchase_renewal_letsencrypt_certificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.purchase_renewal_letsencrypt_certificate_response\nmidas/sdk/dnsimple/operations purchase_renewal_letsencrypt_certificate_response","url":"midas/sdk/dnsimple/operations.html#purchase_renewal_letsencrypt_certificate_response"},{"doc":"midas/sdk/dnsimple/operations","title":"query_dns_analytics_request","content":"pub fn query_dns_analytics_request(\n  base: Request(a),\n  account: Int,\n  start_date start_date: Option(String),\n  end_date end_date: Option(String),\n  groupings groupings: Option(String),\n  sort sort: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.query_dns_analytics_request\nmidas/sdk/dnsimple/operations query_dns_analytics_request","url":"midas/sdk/dnsimple/operations.html#query_dns_analytics_request"},{"doc":"midas/sdk/dnsimple/operations","title":"query_dns_analytics_response","content":"pub fn query_dns_analytics_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.query_dns_analytics_response\nmidas/sdk/dnsimple/operations query_dns_analytics_response","url":"midas/sdk/dnsimple/operations.html#query_dns_analytics_response"},{"doc":"midas/sdk/dnsimple/operations","title":"register_domain_request","content":"pub fn register_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.register_domain_request\nmidas/sdk/dnsimple/operations register_domain_request","url":"midas/sdk/dnsimple/operations.html#register_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"register_domain_response","content":"pub fn register_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.register_domain_response\nmidas/sdk/dnsimple/operations register_domain_response","url":"midas/sdk/dnsimple/operations.html#register_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"reject_push_request","content":"pub fn reject_push_request(\n  base: Request(a),\n  account: Int,\n  push: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.reject_push_request\nmidas/sdk/dnsimple/operations reject_push_request","url":"midas/sdk/dnsimple/operations.html#reject_push_request"},{"doc":"midas/sdk/dnsimple/operations","title":"reject_push_response","content":"pub fn reject_push_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.reject_push_response\nmidas/sdk/dnsimple/operations reject_push_response","url":"midas/sdk/dnsimple/operations.html#reject_push_response"},{"doc":"midas/sdk/dnsimple/operations","title":"remove_domain_collaborator_request","content":"pub fn remove_domain_collaborator_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  collaborator: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.remove_domain_collaborator_request\nmidas/sdk/dnsimple/operations remove_domain_collaborator_request","url":"midas/sdk/dnsimple/operations.html#remove_domain_collaborator_request"},{"doc":"midas/sdk/dnsimple/operations","title":"remove_domain_collaborator_response","content":"pub fn remove_domain_collaborator_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.remove_domain_collaborator_response\nmidas/sdk/dnsimple/operations remove_domain_collaborator_response","url":"midas/sdk/dnsimple/operations.html#remove_domain_collaborator_response"},{"doc":"midas/sdk/dnsimple/operations","title":"remove_primary_server_request","content":"pub fn remove_primary_server_request(\n  base: Request(a),\n  account: Int,\n  primaryserver: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.remove_primary_server_request\nmidas/sdk/dnsimple/operations remove_primary_server_request","url":"midas/sdk/dnsimple/operations.html#remove_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"remove_primary_server_response","content":"pub fn remove_primary_server_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.remove_primary_server_response\nmidas/sdk/dnsimple/operations remove_primary_server_response","url":"midas/sdk/dnsimple/operations.html#remove_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"renew_whois_privacy_request","content":"pub fn renew_whois_privacy_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.renew_whois_privacy_request\nmidas/sdk/dnsimple/operations renew_whois_privacy_request","url":"midas/sdk/dnsimple/operations.html#renew_whois_privacy_request"},{"doc":"midas/sdk/dnsimple/operations","title":"renew_whois_privacy_response","content":"pub fn renew_whois_privacy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.renew_whois_privacy_response\nmidas/sdk/dnsimple/operations renew_whois_privacy_response","url":"midas/sdk/dnsimple/operations.html#renew_whois_privacy_response"},{"doc":"midas/sdk/dnsimple/operations","title":"transfer_domain_request","content":"pub fn transfer_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.transfer_domain_request\nmidas/sdk/dnsimple/operations transfer_domain_request","url":"midas/sdk/dnsimple/operations.html#transfer_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"transfer_domain_response","content":"pub fn transfer_domain_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.transfer_domain_response\nmidas/sdk/dnsimple/operations transfer_domain_response","url":"midas/sdk/dnsimple/operations.html#transfer_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"unapply_service_from_domain_request","content":"pub fn unapply_service_from_domain_request(\n  base: Request(a),\n  account: Int,\n  domain: String,\n  service: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.unapply_service_from_domain_request\nmidas/sdk/dnsimple/operations unapply_service_from_domain_request","url":"midas/sdk/dnsimple/operations.html#unapply_service_from_domain_request"},{"doc":"midas/sdk/dnsimple/operations","title":"unapply_service_from_domain_response","content":"pub fn unapply_service_from_domain_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.unapply_service_from_domain_response\nmidas/sdk/dnsimple/operations unapply_service_from_domain_response","url":"midas/sdk/dnsimple/operations.html#unapply_service_from_domain_response"},{"doc":"midas/sdk/dnsimple/operations","title":"unlink_primary_server_request","content":"pub fn unlink_primary_server_request(\n  base: Request(a),\n  account: Int,\n  primaryserver: Int,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.unlink_primary_server_request\nmidas/sdk/dnsimple/operations unlink_primary_server_request","url":"midas/sdk/dnsimple/operations.html#unlink_primary_server_request"},{"doc":"midas/sdk/dnsimple/operations","title":"unlink_primary_server_response","content":"pub fn unlink_primary_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.unlink_primary_server_response\nmidas/sdk/dnsimple/operations unlink_primary_server_response","url":"midas/sdk/dnsimple/operations.html#unlink_primary_server_response"},{"doc":"midas/sdk/dnsimple/operations","title":"update_contact_request","content":"pub fn update_contact_request(\n  base: Request(a),\n  account: Int,\n  contact: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_contact_request\nmidas/sdk/dnsimple/operations update_contact_request","url":"midas/sdk/dnsimple/operations.html#update_contact_request"},{"doc":"midas/sdk/dnsimple/operations","title":"update_contact_response","content":"pub fn update_contact_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_contact_response\nmidas/sdk/dnsimple/operations update_contact_response","url":"midas/sdk/dnsimple/operations.html#update_contact_response"},{"doc":"midas/sdk/dnsimple/operations","title":"update_template_request","content":"pub fn update_template_request(\n  base: Request(a),\n  account: Int,\n  template: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_template_request\nmidas/sdk/dnsimple/operations update_template_request","url":"midas/sdk/dnsimple/operations.html#update_template_request"},{"doc":"midas/sdk/dnsimple/operations","title":"update_template_response","content":"pub fn update_template_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_template_response\nmidas/sdk/dnsimple/operations update_template_response","url":"midas/sdk/dnsimple/operations.html#update_template_response"},{"doc":"midas/sdk/dnsimple/operations","title":"update_zone_ns_records_request","content":"pub fn update_zone_ns_records_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_zone_ns_records_request\nmidas/sdk/dnsimple/operations update_zone_ns_records_request","url":"midas/sdk/dnsimple/operations.html#update_zone_ns_records_request"},{"doc":"midas/sdk/dnsimple/operations","title":"update_zone_ns_records_response","content":"pub fn update_zone_ns_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_zone_ns_records_response\nmidas/sdk/dnsimple/operations update_zone_ns_records_response","url":"midas/sdk/dnsimple/operations.html#update_zone_ns_records_response"},{"doc":"midas/sdk/dnsimple/operations","title":"update_zone_record_request","content":"pub fn update_zone_record_request(\n  base: Request(a),\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_zone_record_request\nmidas/sdk/dnsimple/operations update_zone_record_request","url":"midas/sdk/dnsimple/operations.html#update_zone_record_request"},{"doc":"midas/sdk/dnsimple/operations","title":"update_zone_record_response","content":"pub fn update_zone_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, String), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.update_zone_record_response\nmidas/sdk/dnsimple/operations update_zone_record_response","url":"midas/sdk/dnsimple/operations.html#update_zone_record_response"},{"doc":"midas/sdk/dnsimple/operations","title":"whoami_request","content":"pub fn whoami_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.whoami_request\nmidas/sdk/dnsimple/operations whoami_request","url":"midas/sdk/dnsimple/operations.html#whoami_request"},{"doc":"midas/sdk/dnsimple/operations","title":"whoami_response","content":"pub fn whoami_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/dnsimple/operations.whoami_response\nmidas/sdk/dnsimple/operations whoami_response","url":"midas/sdk/dnsimple/operations.html#whoami_response"},{"doc":"midas/sdk/dnsimple/operations","title":"midas/sdk/dnsimple/operations","content":"","url":"midas/sdk/dnsimple/operations.html"},{"doc":"midas/sdk/dnsimple/schema","title":"Account","content":"pub type Account {\n  Account(\n    created_at: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    email: Option(String),\n    plan_identifier: Option(String),\n  )\n}\n\nAccount(\n  created_at: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  email: Option(String),\n  plan_identifier: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Account\nmidas/sdk/dnsimple/schema Account","url":"midas/sdk/dnsimple/schema.html#Account"},{"doc":"midas/sdk/dnsimple/schema","title":"AccountInvitation","content":"pub type AccountInvitation {\n  AccountInvitation(\n    invitation_accepted_at: Option(String),\n    created_at: Option(String),\n    account_id: Option(Int),\n    invitation_sent_at: Option(String),\n    updated_at: Option(String),\n    token: Option(String),\n    id: Option(Int),\n    email: Option(String),\n  )\n}\n\nAccountInvitation(\n  invitation_accepted_at: Option(String),\n  created_at: Option(String),\n  account_id: Option(Int),\n  invitation_sent_at: Option(String),\n  updated_at: Option(String),\n  token: Option(String),\n  id: Option(Int),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.AccountInvitation\nmidas/sdk/dnsimple/schema AccountInvitation","url":"midas/sdk/dnsimple/schema.html#AccountInvitation"},{"doc":"midas/sdk/dnsimple/schema","title":"Actor","content":"pub type Actor {\n  Actor(\n    identifier: Option(String),\n    pretty: Option(String),\n    id: Option(Int),\n  )\n}\n\nActor(\n  identifier: Option(String),\n  pretty: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Actor\nmidas/sdk/dnsimple/schema Actor","url":"midas/sdk/dnsimple/schema.html#Actor"},{"doc":"midas/sdk/dnsimple/schema","title":"BillingSettings","content":"pub type BillingSettings {\n  BillingSettings\n}\n\nBillingSettings\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.BillingSettings\nmidas/sdk/dnsimple/schema BillingSettings","url":"midas/sdk/dnsimple/schema.html#BillingSettings"},{"doc":"midas/sdk/dnsimple/schema","title":"Certificate","content":"pub type Certificate {\n  Certificate(\n    csr: Option(String),\n    alternate_names: Option(List(String)),\n    authority_identifier: Option(String),\n    created_at: Option(String),\n    expires_on: Option(String),\n    name: Option(String),\n    state: Option(String),\n    domain_id: Option(Int),\n    years: Option(Int),\n    updated_at: Option(String),\n    contact_id: Option(Int),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n    expires_at: Option(String),\n    common_name: Option(String),\n  )\n}\n\nCertificate(\n  csr: Option(String),\n  alternate_names: Option(List(String)),\n  authority_identifier: Option(String),\n  created_at: Option(String),\n  expires_on: Option(String),\n  name: Option(String),\n  state: Option(String),\n  domain_id: Option(Int),\n  years: Option(Int),\n  updated_at: Option(String),\n  contact_id: Option(Int),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n  expires_at: Option(String),\n  common_name: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Certificate\nmidas/sdk/dnsimple/schema Certificate","url":"midas/sdk/dnsimple/schema.html#Certificate"},{"doc":"midas/sdk/dnsimple/schema","title":"CertificateDownload","content":"pub type CertificateDownload {\n  CertificateDownload(\n    chain: Option(List(String)),\n    root: Option(String),\n    server: Option(String),\n  )\n}\n\nCertificateDownload(\n  chain: Option(List(String)),\n  root: Option(String),\n  server: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.CertificateDownload\nmidas/sdk/dnsimple/schema CertificateDownload","url":"midas/sdk/dnsimple/schema.html#CertificateDownload"},{"doc":"midas/sdk/dnsimple/schema","title":"CertificatePrivateKey","content":"pub type CertificatePrivateKey {\n  CertificatePrivateKey(private_key: Option(String))\n}\n\nCertificatePrivateKey(private_key: Option(String))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.CertificatePrivateKey\nmidas/sdk/dnsimple/schema CertificatePrivateKey","url":"midas/sdk/dnsimple/schema.html#CertificatePrivateKey"},{"doc":"midas/sdk/dnsimple/schema","title":"Charge","content":"pub type Charge {\n  Charge(\n    items: Option(Nil),\n    reference: Option(String),\n    state: Option(String),\n    total_amount: Option(String),\n    invoiced_at: Option(String),\n    balance_amount: Option(String),\n  )\n}\n\nCharge(\n  items: Option(Nil),\n  reference: Option(String),\n  state: Option(String),\n  total_amount: Option(String),\n  invoiced_at: Option(String),\n  balance_amount: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Charge\nmidas/sdk/dnsimple/schema Charge","url":"midas/sdk/dnsimple/schema.html#Charge"},{"doc":"midas/sdk/dnsimple/schema","title":"ChargeItem","content":"pub type ChargeItem {\n  ChargeItem(\n    product_type: Option(String),\n    product_id: Option(Int),\n    amount: Option(String),\n    product_reference: Option(String),\n    description: Option(String),\n  )\n}\n\nChargeItem(\n  product_type: Option(String),\n  product_id: Option(Int),\n  amount: Option(String),\n  product_reference: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ChargeItem\nmidas/sdk/dnsimple/schema ChargeItem","url":"midas/sdk/dnsimple/schema.html#ChargeItem"},{"doc":"midas/sdk/dnsimple/schema","title":"Collaborator","content":"pub type Collaborator {\n  Collaborator(\n    domain_name: Option(String),\n    user_email: Option(String),\n    created_at: Option(String),\n    accepted_at: Option(String),\n    user_id: Option(Int),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    invitation: Option(Bool),\n    id: Option(Int),\n  )\n}\n\nCollaborator(\n  domain_name: Option(String),\n  user_email: Option(String),\n  created_at: Option(String),\n  accepted_at: Option(String),\n  user_id: Option(Int),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  invitation: Option(Bool),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Collaborator\nmidas/sdk/dnsimple/schema Collaborator","url":"midas/sdk/dnsimple/schema.html#Collaborator"},{"doc":"midas/sdk/dnsimple/schema","title":"Contact","content":"pub type Contact {\n  Contact(\n    postal_code: Option(String),\n    created_at: Option(String),\n    city: Option(String),\n    account_id: Option(Int),\n    phone: Option(String),\n    last_name: Option(String),\n    label: Option(String),\n    job_title: Option(String),\n    country: Option(String),\n    organization_name: Option(String),\n    updated_at: Option(String),\n    first_name: Option(String),\n    id: Option(Int),\n    email: Option(String),\n    address1: Option(String),\n    fax: Option(String),\n    address2: Option(String),\n    state_province: Option(String),\n  )\n}\n\nContact(\n  postal_code: Option(String),\n  created_at: Option(String),\n  city: Option(String),\n  account_id: Option(Int),\n  phone: Option(String),\n  last_name: Option(String),\n  label: Option(String),\n  job_title: Option(String),\n  country: Option(String),\n  organization_name: Option(String),\n  updated_at: Option(String),\n  first_name: Option(String),\n  id: Option(Int),\n  email: Option(String),\n  address1: Option(String),\n  fax: Option(String),\n  address2: Option(String),\n  state_province: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Contact\nmidas/sdk/dnsimple/schema Contact","url":"midas/sdk/dnsimple/schema.html#Contact"},{"doc":"midas/sdk/dnsimple/schema","title":"DelegationSigner","content":"pub type DelegationSigner {\n  DelegationSigner(\n    digest: Option(String),\n    public_key: Option(String),\n    created_at: Option(String),\n    algorithm: Option(String),\n    digest_type: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    keytag: Option(String),\n    id: Option(Int),\n  )\n}\n\nDelegationSigner(\n  digest: Option(String),\n  public_key: Option(String),\n  created_at: Option(String),\n  algorithm: Option(String),\n  digest_type: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  keytag: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DelegationSigner\nmidas/sdk/dnsimple/schema DelegationSigner","url":"midas/sdk/dnsimple/schema.html#DelegationSigner"},{"doc":"midas/sdk/dnsimple/schema","title":"Dnssec","content":"pub type Dnssec {\n  Dnssec(\n    enabled: Option(Bool),\n    created_at: Option(String),\n    updated_at: Option(String),\n  )\n}\n\nDnssec(\n  enabled: Option(Bool),\n  created_at: Option(String),\n  updated_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Dnssec\nmidas/sdk/dnsimple/schema Dnssec","url":"midas/sdk/dnsimple/schema.html#Dnssec"},{"doc":"midas/sdk/dnsimple/schema","title":"Domain","content":"pub type Domain {\n  Domain(\n    created_at: Option(String),\n    expires_on: Option(String),\n    name: Option(String),\n    private_whois: Option(Bool),\n    account_id: Option(Int),\n    unicode_name: Option(String),\n    registrant_id: Option(Int),\n    state: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n    expires_at: Option(String),\n  )\n}\n\nDomain(\n  created_at: Option(String),\n  expires_on: Option(String),\n  name: Option(String),\n  private_whois: Option(Bool),\n  account_id: Option(Int),\n  unicode_name: Option(String),\n  registrant_id: Option(Int),\n  state: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n  expires_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Domain\nmidas/sdk/dnsimple/schema Domain","url":"midas/sdk/dnsimple/schema.html#Domain"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainCheckResult","content":"pub type DomainCheckResult {\n  DomainCheckResult(\n    domain: Option(String),\n    available: Option(Bool),\n    premium: Option(Bool),\n  )\n}\n\nDomainCheckResult(\n  domain: Option(String),\n  available: Option(Bool),\n  premium: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainCheckResult\nmidas/sdk/dnsimple/schema DomainCheckResult","url":"midas/sdk/dnsimple/schema.html#DomainCheckResult"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainPremiumPrice","content":"pub type DomainPremiumPrice {\n  DomainPremiumPrice(\n    premium_price: Option(String),\n    action: Option(String),\n  )\n}\n\nDomainPremiumPrice(\n  premium_price: Option(String),\n  action: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainPremiumPrice\nmidas/sdk/dnsimple/schema DomainPremiumPrice","url":"midas/sdk/dnsimple/schema.html#DomainPremiumPrice"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainPrices","content":"pub type DomainPrices {\n  DomainPrices(\n    renewal_price: Option(Float),\n    registration_price: Option(Float),\n    domain: Option(String),\n    transfer_price: Option(Float),\n    premium: Option(Bool),\n    restore_price: Option(Float),\n  )\n}\n\nDomainPrices(\n  renewal_price: Option(Float),\n  registration_price: Option(Float),\n  domain: Option(String),\n  transfer_price: Option(Float),\n  premium: Option(Bool),\n  restore_price: Option(Float),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainPrices\nmidas/sdk/dnsimple/schema DomainPrices","url":"midas/sdk/dnsimple/schema.html#DomainPrices"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainRegistration","content":"pub type DomainRegistration {\n  DomainRegistration(\n    period: Option(Int),\n    created_at: Option(String),\n    registrant_id: Option(Int),\n    state: Option(String),\n    whois_privacy: Option(Bool),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n  )\n}\n\nDomainRegistration(\n  period: Option(Int),\n  created_at: Option(String),\n  registrant_id: Option(Int),\n  state: Option(String),\n  whois_privacy: Option(Bool),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainRegistration\nmidas/sdk/dnsimple/schema DomainRegistration","url":"midas/sdk/dnsimple/schema.html#DomainRegistration"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainRenewal","content":"pub type DomainRenewal {\n  DomainRenewal(\n    period: Option(Int),\n    created_at: Option(String),\n    state: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nDomainRenewal(\n  period: Option(Int),\n  created_at: Option(String),\n  state: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainRenewal\nmidas/sdk/dnsimple/schema DomainRenewal","url":"midas/sdk/dnsimple/schema.html#DomainRenewal"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainRestore","content":"pub type DomainRestore {\n  DomainRestore(\n    created_at: Option(String),\n    state: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nDomainRestore(\n  created_at: Option(String),\n  state: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainRestore\nmidas/sdk/dnsimple/schema DomainRestore","url":"midas/sdk/dnsimple/schema.html#DomainRestore"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainTransfer","content":"pub type DomainTransfer {\n  DomainTransfer(\n    created_at: Option(String),\n    registrant_id: Option(Int),\n    status_description: Option(String),\n    state: Option(String),\n    whois_privacy: Option(Bool),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n  )\n}\n\nDomainTransfer(\n  created_at: Option(String),\n  registrant_id: Option(Int),\n  status_description: Option(String),\n  state: Option(String),\n  whois_privacy: Option(Bool),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainTransfer\nmidas/sdk/dnsimple/schema DomainTransfer","url":"midas/sdk/dnsimple/schema.html#DomainTransfer"},{"doc":"midas/sdk/dnsimple/schema","title":"DomainTransferLock","content":"pub type DomainTransferLock {\n  DomainTransferLock(enabled: Option(Bool))\n}\n\nDomainTransferLock(enabled: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.DomainTransferLock\nmidas/sdk/dnsimple/schema DomainTransferLock","url":"midas/sdk/dnsimple/schema.html#DomainTransferLock"},{"doc":"midas/sdk/dnsimple/schema","title":"EmailForward","content":"pub type EmailForward {\n  EmailForward(\n    created_at: Option(String),\n    from: Option(String),\n    destination_email: Option(String),\n    alias_email: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n    to: Option(String),\n  )\n}\n\nEmailForward(\n  created_at: Option(String),\n  from: Option(String),\n  destination_email: Option(String),\n  alias_email: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n  to: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EmailForward\nmidas/sdk/dnsimple/schema EmailForward","url":"midas/sdk/dnsimple/schema.html#EmailForward"},{"doc":"midas/sdk/dnsimple/schema","title":"Error","content":"pub type Error {\n  Error(message: Option(String))\n}\n\nError(message: Option(String))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Error\nmidas/sdk/dnsimple/schema Error","url":"midas/sdk/dnsimple/schema.html#Error"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountAddUser","content":"pub type EventAccountAddUser {\n  EventAccountAddUser(user: Option(Nil), account: Option(Nil))\n}\n\nEventAccountAddUser(user: Option(Nil), account: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountAddUser\nmidas/sdk/dnsimple/schema EventAccountAddUser","url":"midas/sdk/dnsimple/schema.html#EventAccountAddUser"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountBillingSettingsUpdate","content":"pub type EventAccountBillingSettingsUpdate {\n  EventAccountBillingSettingsUpdate(\n    billing_settings: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountBillingSettingsUpdate(\n  billing_settings: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountBillingSettingsUpdate\nmidas/sdk/dnsimple/schema EventAccountBillingSettingsUpdate","url":"midas/sdk/dnsimple/schema.html#EventAccountBillingSettingsUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountInvitationAccept","content":"pub type EventAccountInvitationAccept {\n  EventAccountInvitationAccept(\n    account_invitation: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountInvitationAccept(\n  account_invitation: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountInvitationAccept\nmidas/sdk/dnsimple/schema EventAccountInvitationAccept","url":"midas/sdk/dnsimple/schema.html#EventAccountInvitationAccept"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountInvitationCreate","content":"pub type EventAccountInvitationCreate {\n  EventAccountInvitationCreate(\n    account_invitation: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountInvitationCreate(\n  account_invitation: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountInvitationCreate\nmidas/sdk/dnsimple/schema EventAccountInvitationCreate","url":"midas/sdk/dnsimple/schema.html#EventAccountInvitationCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountInvitationRemove","content":"pub type EventAccountInvitationRemove {\n  EventAccountInvitationRemove(\n    account_invitation: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountInvitationRemove(\n  account_invitation: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountInvitationRemove\nmidas/sdk/dnsimple/schema EventAccountInvitationRemove","url":"midas/sdk/dnsimple/schema.html#EventAccountInvitationRemove"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountInvitationResend","content":"pub type EventAccountInvitationResend {\n  EventAccountInvitationResend(\n    account_invitation: Option(Nil),\n    account: Option(Nil),\n  )\n}\n\nEventAccountInvitationResend(\n  account_invitation: Option(Nil),\n  account: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountInvitationResend\nmidas/sdk/dnsimple/schema EventAccountInvitationResend","url":"midas/sdk/dnsimple/schema.html#EventAccountInvitationResend"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountPaymentDetailsUpdate","content":"pub type EventAccountPaymentDetailsUpdate {\n  EventAccountPaymentDetailsUpdate(account: Option(Nil))\n}\n\nEventAccountPaymentDetailsUpdate(account: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountPaymentDetailsUpdate\nmidas/sdk/dnsimple/schema EventAccountPaymentDetailsUpdate","url":"midas/sdk/dnsimple/schema.html#EventAccountPaymentDetailsUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountRemoveUser","content":"pub type EventAccountRemoveUser {\n  EventAccountRemoveUser(user: Option(Nil), account: Option(Nil))\n}\n\nEventAccountRemoveUser(user: Option(Nil), account: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountRemoveUser\nmidas/sdk/dnsimple/schema EventAccountRemoveUser","url":"midas/sdk/dnsimple/schema.html#EventAccountRemoveUser"},{"doc":"midas/sdk/dnsimple/schema","title":"EventAccountUpdate","content":"pub type EventAccountUpdate {\n  EventAccountUpdate(account: Option(Nil))\n}\n\nEventAccountUpdate(account: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventAccountUpdate\nmidas/sdk/dnsimple/schema EventAccountUpdate","url":"midas/sdk/dnsimple/schema.html#EventAccountUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateAutoRenewalDisable","content":"pub type EventCertificateAutoRenewalDisable {\n  EventCertificateAutoRenewalDisable(certificate: Option(Nil))\n}\n\nEventCertificateAutoRenewalDisable(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateAutoRenewalDisable\nmidas/sdk/dnsimple/schema EventCertificateAutoRenewalDisable","url":"midas/sdk/dnsimple/schema.html#EventCertificateAutoRenewalDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateAutoRenewalEnable","content":"pub type EventCertificateAutoRenewalEnable {\n  EventCertificateAutoRenewalEnable(certificate: Option(Nil))\n}\n\nEventCertificateAutoRenewalEnable(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateAutoRenewalEnable\nmidas/sdk/dnsimple/schema EventCertificateAutoRenewalEnable","url":"midas/sdk/dnsimple/schema.html#EventCertificateAutoRenewalEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateAutoRenewalFailed","content":"pub type EventCertificateAutoRenewalFailed {\n  EventCertificateAutoRenewalFailed(certificate: Option(Nil))\n}\n\nEventCertificateAutoRenewalFailed(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateAutoRenewalFailed\nmidas/sdk/dnsimple/schema EventCertificateAutoRenewalFailed","url":"midas/sdk/dnsimple/schema.html#EventCertificateAutoRenewalFailed"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateIssue","content":"pub type EventCertificateIssue {\n  EventCertificateIssue(certificate: Option(Nil))\n}\n\nEventCertificateIssue(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateIssue\nmidas/sdk/dnsimple/schema EventCertificateIssue","url":"midas/sdk/dnsimple/schema.html#EventCertificateIssue"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateReissue","content":"pub type EventCertificateReissue {\n  EventCertificateReissue(certificate: Option(Nil))\n}\n\nEventCertificateReissue(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateReissue\nmidas/sdk/dnsimple/schema EventCertificateReissue","url":"midas/sdk/dnsimple/schema.html#EventCertificateReissue"},{"doc":"midas/sdk/dnsimple/schema","title":"EventCertificateRemovePrivateKey","content":"pub type EventCertificateRemovePrivateKey {\n  EventCertificateRemovePrivateKey(certificate: Option(Nil))\n}\n\nEventCertificateRemovePrivateKey(certificate: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventCertificateRemovePrivateKey\nmidas/sdk/dnsimple/schema EventCertificateRemovePrivateKey","url":"midas/sdk/dnsimple/schema.html#EventCertificateRemovePrivateKey"},{"doc":"midas/sdk/dnsimple/schema","title":"EventContactCreate","content":"pub type EventContactCreate {\n  EventContactCreate(contact: Option(Nil))\n}\n\nEventContactCreate(contact: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventContactCreate\nmidas/sdk/dnsimple/schema EventContactCreate","url":"midas/sdk/dnsimple/schema.html#EventContactCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventContactDelete","content":"pub type EventContactDelete {\n  EventContactDelete(contact: Option(Nil))\n}\n\nEventContactDelete(contact: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventContactDelete\nmidas/sdk/dnsimple/schema EventContactDelete","url":"midas/sdk/dnsimple/schema.html#EventContactDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventContactUpdate","content":"pub type EventContactUpdate {\n  EventContactUpdate(contact: Option(Nil))\n}\n\nEventContactUpdate(contact: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventContactUpdate\nmidas/sdk/dnsimple/schema EventContactUpdate","url":"midas/sdk/dnsimple/schema.html#EventContactUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDnsseccreate","content":"pub type EventDnsseccreate {\n  EventDnsseccreate(dnssec: Option(Nil))\n}\n\nEventDnsseccreate(dnssec: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDnsseccreate\nmidas/sdk/dnsimple/schema EventDnsseccreate","url":"midas/sdk/dnsimple/schema.html#EventDnsseccreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDnssecdelete","content":"pub type EventDnssecdelete {\n  EventDnssecdelete(dnssec: Option(Nil))\n}\n\nEventDnssecdelete(dnssec: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDnssecdelete\nmidas/sdk/dnsimple/schema EventDnssecdelete","url":"midas/sdk/dnsimple/schema.html#EventDnssecdelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDnssecrotationComplete","content":"pub type EventDnssecrotationComplete {\n  EventDnssecrotationComplete(\n    dnssec: Option(Nil),\n    delegation_signer_record: Option(Nil),\n  )\n}\n\nEventDnssecrotationComplete(\n  dnssec: Option(Nil),\n  delegation_signer_record: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDnssecrotationComplete\nmidas/sdk/dnsimple/schema EventDnssecrotationComplete","url":"midas/sdk/dnsimple/schema.html#EventDnssecrotationComplete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDnssecrotationStart","content":"pub type EventDnssecrotationStart {\n  EventDnssecrotationStart(\n    dnssec: Option(Nil),\n    delegation_signer_record: Option(Nil),\n  )\n}\n\nEventDnssecrotationStart(\n  dnssec: Option(Nil),\n  delegation_signer_record: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDnssecrotationStart\nmidas/sdk/dnsimple/schema EventDnssecrotationStart","url":"midas/sdk/dnsimple/schema.html#EventDnssecrotationStart"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainAutoRenewalDisable","content":"pub type EventDomainAutoRenewalDisable {\n  EventDomainAutoRenewalDisable(domain: Option(Nil))\n}\n\nEventDomainAutoRenewalDisable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainAutoRenewalDisable\nmidas/sdk/dnsimple/schema EventDomainAutoRenewalDisable","url":"midas/sdk/dnsimple/schema.html#EventDomainAutoRenewalDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainAutoRenewalEnable","content":"pub type EventDomainAutoRenewalEnable {\n  EventDomainAutoRenewalEnable(domain: Option(Nil))\n}\n\nEventDomainAutoRenewalEnable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainAutoRenewalEnable\nmidas/sdk/dnsimple/schema EventDomainAutoRenewalEnable","url":"midas/sdk/dnsimple/schema.html#EventDomainAutoRenewalEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainCreate","content":"pub type EventDomainCreate {\n  EventDomainCreate(domain: Option(Nil))\n}\n\nEventDomainCreate(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainCreate\nmidas/sdk/dnsimple/schema EventDomainCreate","url":"midas/sdk/dnsimple/schema.html#EventDomainCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainDelegationChange","content":"pub type EventDomainDelegationChange {\n  EventDomainDelegationChange(\n    domain: Option(Nil),\n    name_servers: Option(Nil),\n  )\n}\n\nEventDomainDelegationChange(\n  domain: Option(Nil),\n  name_servers: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainDelegationChange\nmidas/sdk/dnsimple/schema EventDomainDelegationChange","url":"midas/sdk/dnsimple/schema.html#EventDomainDelegationChange"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainDelete","content":"pub type EventDomainDelete {\n  EventDomainDelete(domain: Option(Nil))\n}\n\nEventDomainDelete(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainDelete\nmidas/sdk/dnsimple/schema EventDomainDelete","url":"midas/sdk/dnsimple/schema.html#EventDomainDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegister","content":"pub type EventDomainRegister {\n  EventDomainRegister(domain: Option(Nil))\n}\n\nEventDomainRegister(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegister\nmidas/sdk/dnsimple/schema EventDomainRegister","url":"midas/sdk/dnsimple/schema.html#EventDomainRegister"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegisterCancelled","content":"pub type EventDomainRegisterCancelled {\n  EventDomainRegisterCancelled(domain: Option(Nil))\n}\n\nEventDomainRegisterCancelled(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegisterCancelled\nmidas/sdk/dnsimple/schema EventDomainRegisterCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainRegisterCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegisterStarted","content":"pub type EventDomainRegisterStarted {\n  EventDomainRegisterStarted(domain: Option(Nil))\n}\n\nEventDomainRegisterStarted(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegisterStarted\nmidas/sdk/dnsimple/schema EventDomainRegisterStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainRegisterStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegistrantChange","content":"pub type EventDomainRegistrantChange {\n  EventDomainRegistrantChange(\n    domain: Option(Nil),\n    registrant: Option(Nil),\n  )\n}\n\nEventDomainRegistrantChange(\n  domain: Option(Nil),\n  registrant: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegistrantChange\nmidas/sdk/dnsimple/schema EventDomainRegistrantChange","url":"midas/sdk/dnsimple/schema.html#EventDomainRegistrantChange"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegistrantChangeCancelled","content":"pub type EventDomainRegistrantChangeCancelled {\n  EventDomainRegistrantChangeCancelled(\n    domain: Option(Nil),\n    registrant: Option(Nil),\n  )\n}\n\nEventDomainRegistrantChangeCancelled(\n  domain: Option(Nil),\n  registrant: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegistrantChangeCancelled\nmidas/sdk/dnsimple/schema EventDomainRegistrantChangeCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainRegistrantChangeCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRegistrantChangeStarted","content":"pub type EventDomainRegistrantChangeStarted {\n  EventDomainRegistrantChangeStarted(\n    domain: Option(Nil),\n    registrant: Option(Nil),\n  )\n}\n\nEventDomainRegistrantChangeStarted(\n  domain: Option(Nil),\n  registrant: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRegistrantChangeStarted\nmidas/sdk/dnsimple/schema EventDomainRegistrantChangeStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainRegistrantChangeStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRenew","content":"pub type EventDomainRenew {\n  EventDomainRenew(domain: Option(Nil), auto_: Option(Bool))\n}\n\nEventDomainRenew(domain: Option(Nil), auto_: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRenew\nmidas/sdk/dnsimple/schema EventDomainRenew","url":"midas/sdk/dnsimple/schema.html#EventDomainRenew"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRenewCancelled","content":"pub type EventDomainRenewCancelled {\n  EventDomainRenewCancelled(\n    domain: Option(Nil),\n    auto_: Option(Bool),\n  )\n}\n\nEventDomainRenewCancelled(\n  domain: Option(Nil),\n  auto_: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRenewCancelled\nmidas/sdk/dnsimple/schema EventDomainRenewCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainRenewCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRenewStarted","content":"pub type EventDomainRenewStarted {\n  EventDomainRenewStarted(\n    domain: Option(Nil),\n    auto_: Option(Bool),\n  )\n}\n\nEventDomainRenewStarted(domain: Option(Nil), auto_: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRenewStarted\nmidas/sdk/dnsimple/schema EventDomainRenewStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainRenewStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainResolutionDisable","content":"pub type EventDomainResolutionDisable {\n  EventDomainResolutionDisable(domain: Option(Nil))\n}\n\nEventDomainResolutionDisable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainResolutionDisable\nmidas/sdk/dnsimple/schema EventDomainResolutionDisable","url":"midas/sdk/dnsimple/schema.html#EventDomainResolutionDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainResolutionEnable","content":"pub type EventDomainResolutionEnable {\n  EventDomainResolutionEnable(domain: Option(Nil))\n}\n\nEventDomainResolutionEnable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainResolutionEnable\nmidas/sdk/dnsimple/schema EventDomainResolutionEnable","url":"midas/sdk/dnsimple/schema.html#EventDomainResolutionEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRestore","content":"pub type EventDomainRestore {\n  EventDomainRestore(domain: Option(Nil), auto_: Option(Bool))\n}\n\nEventDomainRestore(domain: Option(Nil), auto_: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRestore\nmidas/sdk/dnsimple/schema EventDomainRestore","url":"midas/sdk/dnsimple/schema.html#EventDomainRestore"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRestoreCancelled","content":"pub type EventDomainRestoreCancelled {\n  EventDomainRestoreCancelled(\n    domain: Option(Nil),\n    auto_: Option(Bool),\n  )\n}\n\nEventDomainRestoreCancelled(\n  domain: Option(Nil),\n  auto_: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRestoreCancelled\nmidas/sdk/dnsimple/schema EventDomainRestoreCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainRestoreCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainRestoreStarted","content":"pub type EventDomainRestoreStarted {\n  EventDomainRestoreStarted(\n    domain: Option(Nil),\n    auto_: Option(Bool),\n  )\n}\n\nEventDomainRestoreStarted(\n  domain: Option(Nil),\n  auto_: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainRestoreStarted\nmidas/sdk/dnsimple/schema EventDomainRestoreStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainRestoreStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransfer","content":"pub type EventDomainTransfer {\n  EventDomainTransfer(domain: Option(Nil))\n}\n\nEventDomainTransfer(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransfer\nmidas/sdk/dnsimple/schema EventDomainTransfer","url":"midas/sdk/dnsimple/schema.html#EventDomainTransfer"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransferCancelled","content":"pub type EventDomainTransferCancelled {\n  EventDomainTransferCancelled(domain: Option(Nil))\n}\n\nEventDomainTransferCancelled(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransferCancelled\nmidas/sdk/dnsimple/schema EventDomainTransferCancelled","url":"midas/sdk/dnsimple/schema.html#EventDomainTransferCancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransferLockDisable","content":"pub type EventDomainTransferLockDisable {\n  EventDomainTransferLockDisable(domain: Option(Nil))\n}\n\nEventDomainTransferLockDisable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransferLockDisable\nmidas/sdk/dnsimple/schema EventDomainTransferLockDisable","url":"midas/sdk/dnsimple/schema.html#EventDomainTransferLockDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransferLockEnable","content":"pub type EventDomainTransferLockEnable {\n  EventDomainTransferLockEnable(domain: Option(Nil))\n}\n\nEventDomainTransferLockEnable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransferLockEnable\nmidas/sdk/dnsimple/schema EventDomainTransferLockEnable","url":"midas/sdk/dnsimple/schema.html#EventDomainTransferLockEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventDomainTransferStarted","content":"pub type EventDomainTransferStarted {\n  EventDomainTransferStarted(domain: Option(Nil))\n}\n\nEventDomainTransferStarted(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventDomainTransferStarted\nmidas/sdk/dnsimple/schema EventDomainTransferStarted","url":"midas/sdk/dnsimple/schema.html#EventDomainTransferStarted"},{"doc":"midas/sdk/dnsimple/schema","title":"EventEmailForwardCreate","content":"pub type EventEmailForwardCreate {\n  EventEmailForwardCreate(email_forward: Option(Nil))\n}\n\nEventEmailForwardCreate(email_forward: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventEmailForwardCreate\nmidas/sdk/dnsimple/schema EventEmailForwardCreate","url":"midas/sdk/dnsimple/schema.html#EventEmailForwardCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventEmailForwardDelete","content":"pub type EventEmailForwardDelete {\n  EventEmailForwardDelete(email_forward: Option(Nil))\n}\n\nEventEmailForwardDelete(email_forward: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventEmailForwardDelete\nmidas/sdk/dnsimple/schema EventEmailForwardDelete","url":"midas/sdk/dnsimple/schema.html#EventEmailForwardDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventEmailForwardUpdate","content":"pub type EventEmailForwardUpdate {\n  EventEmailForwardUpdate(email_forward: Option(Nil))\n}\n\nEventEmailForwardUpdate(email_forward: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventEmailForwardUpdate\nmidas/sdk/dnsimple/schema EventEmailForwardUpdate","url":"midas/sdk/dnsimple/schema.html#EventEmailForwardUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventInvoiceCollect","content":"pub type EventInvoiceCollect {\n  EventInvoiceCollect(invoice: Option(Nil))\n}\n\nEventInvoiceCollect(invoice: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventInvoiceCollect\nmidas/sdk/dnsimple/schema EventInvoiceCollect","url":"midas/sdk/dnsimple/schema.html#EventInvoiceCollect"},{"doc":"midas/sdk/dnsimple/schema","title":"EventNameServerDeregister","content":"pub type EventNameServerDeregister {\n  EventNameServerDeregister(name_server: Option(Nil))\n}\n\nEventNameServerDeregister(name_server: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventNameServerDeregister\nmidas/sdk/dnsimple/schema EventNameServerDeregister","url":"midas/sdk/dnsimple/schema.html#EventNameServerDeregister"},{"doc":"midas/sdk/dnsimple/schema","title":"EventNameServerRegister","content":"pub type EventNameServerRegister {\n  EventNameServerRegister(name_server: Option(Nil))\n}\n\nEventNameServerRegister(name_server: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventNameServerRegister\nmidas/sdk/dnsimple/schema EventNameServerRegister","url":"midas/sdk/dnsimple/schema.html#EventNameServerRegister"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationCreate","content":"pub type EventOauthApplicationCreate {\n  EventOauthApplicationCreate(oauth_application: Option(Nil))\n}\n\nEventOauthApplicationCreate(oauth_application: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationCreate\nmidas/sdk/dnsimple/schema EventOauthApplicationCreate","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationDelete","content":"pub type EventOauthApplicationDelete {\n  EventOauthApplicationDelete(oauth_application: Option(Nil))\n}\n\nEventOauthApplicationDelete(oauth_application: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationDelete\nmidas/sdk/dnsimple/schema EventOauthApplicationDelete","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationResetClientSecret","content":"pub type EventOauthApplicationResetClientSecret {\n  EventOauthApplicationResetClientSecret(\n    oauth_application: Option(Nil),\n  )\n}\n\nEventOauthApplicationResetClientSecret(\n  oauth_application: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationResetClientSecret\nmidas/sdk/dnsimple/schema EventOauthApplicationResetClientSecret","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationResetClientSecret"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationRevokeAccessTokens","content":"pub type EventOauthApplicationRevokeAccessTokens {\n  EventOauthApplicationRevokeAccessTokens(\n    oauth_application: Option(Nil),\n  )\n}\n\nEventOauthApplicationRevokeAccessTokens(\n  oauth_application: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationRevokeAccessTokens\nmidas/sdk/dnsimple/schema EventOauthApplicationRevokeAccessTokens","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationRevokeAccessTokens"},{"doc":"midas/sdk/dnsimple/schema","title":"EventOauthApplicationUpdate","content":"pub type EventOauthApplicationUpdate {\n  EventOauthApplicationUpdate(oauth_application: Option(Nil))\n}\n\nEventOauthApplicationUpdate(oauth_application: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventOauthApplicationUpdate\nmidas/sdk/dnsimple/schema EventOauthApplicationUpdate","url":"midas/sdk/dnsimple/schema.html#EventOauthApplicationUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventPushAccept","content":"pub type EventPushAccept {\n  EventPushAccept(push: Option(Nil))\n}\n\nEventPushAccept(push: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventPushAccept\nmidas/sdk/dnsimple/schema EventPushAccept","url":"midas/sdk/dnsimple/schema.html#EventPushAccept"},{"doc":"midas/sdk/dnsimple/schema","title":"EventPushInitiate","content":"pub type EventPushInitiate {\n  EventPushInitiate(push: Option(Nil))\n}\n\nEventPushInitiate(push: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventPushInitiate\nmidas/sdk/dnsimple/schema EventPushInitiate","url":"midas/sdk/dnsimple/schema.html#EventPushInitiate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventPushReject","content":"pub type EventPushReject {\n  EventPushReject(push: Option(Nil))\n}\n\nEventPushReject(push: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventPushReject\nmidas/sdk/dnsimple/schema EventPushReject","url":"midas/sdk/dnsimple/schema.html#EventPushReject"},{"doc":"midas/sdk/dnsimple/schema","title":"EventRecordCreate","content":"pub type EventRecordCreate {\n  EventRecordCreate(zone_record: Option(Nil))\n}\n\nEventRecordCreate(zone_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventRecordCreate\nmidas/sdk/dnsimple/schema EventRecordCreate","url":"midas/sdk/dnsimple/schema.html#EventRecordCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventRecordDelete","content":"pub type EventRecordDelete {\n  EventRecordDelete(zone_record: Option(Nil))\n}\n\nEventRecordDelete(zone_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventRecordDelete\nmidas/sdk/dnsimple/schema EventRecordDelete","url":"midas/sdk/dnsimple/schema.html#EventRecordDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventRecordUpdate","content":"pub type EventRecordUpdate {\n  EventRecordUpdate(zone_record: Option(Nil))\n}\n\nEventRecordUpdate(zone_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventRecordUpdate\nmidas/sdk/dnsimple/schema EventRecordUpdate","url":"midas/sdk/dnsimple/schema.html#EventRecordUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSecondaryDnscreate","content":"pub type EventSecondaryDnscreate {\n  EventSecondaryDnscreate(configuration: Option(Nil))\n}\n\nEventSecondaryDnscreate(configuration: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSecondaryDnscreate\nmidas/sdk/dnsimple/schema EventSecondaryDnscreate","url":"midas/sdk/dnsimple/schema.html#EventSecondaryDnscreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSecondaryDnsdelete","content":"pub type EventSecondaryDnsdelete {\n  EventSecondaryDnsdelete(configuration: Option(Nil))\n}\n\nEventSecondaryDnsdelete(configuration: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSecondaryDnsdelete\nmidas/sdk/dnsimple/schema EventSecondaryDnsdelete","url":"midas/sdk/dnsimple/schema.html#EventSecondaryDnsdelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSecondaryDnsupdate","content":"pub type EventSecondaryDnsupdate {\n  EventSecondaryDnsupdate(configuration: Option(Nil))\n}\n\nEventSecondaryDnsupdate(configuration: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSecondaryDnsupdate\nmidas/sdk/dnsimple/schema EventSecondaryDnsupdate","url":"midas/sdk/dnsimple/schema.html#EventSecondaryDnsupdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSubscriptionMigrate","content":"pub type EventSubscriptionMigrate {\n  EventSubscriptionMigrate(subscription: Option(Nil))\n}\n\nEventSubscriptionMigrate(subscription: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSubscriptionMigrate\nmidas/sdk/dnsimple/schema EventSubscriptionMigrate","url":"midas/sdk/dnsimple/schema.html#EventSubscriptionMigrate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSubscriptionRenew","content":"pub type EventSubscriptionRenew {\n  EventSubscriptionRenew(subscription: Option(Nil))\n}\n\nEventSubscriptionRenew(subscription: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSubscriptionRenew\nmidas/sdk/dnsimple/schema EventSubscriptionRenew","url":"midas/sdk/dnsimple/schema.html#EventSubscriptionRenew"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSubscriptionSubscribe","content":"pub type EventSubscriptionSubscribe {\n  EventSubscriptionSubscribe(subscription: Option(Nil))\n}\n\nEventSubscriptionSubscribe(subscription: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSubscriptionSubscribe\nmidas/sdk/dnsimple/schema EventSubscriptionSubscribe","url":"midas/sdk/dnsimple/schema.html#EventSubscriptionSubscribe"},{"doc":"midas/sdk/dnsimple/schema","title":"EventSubscriptionUnsubscribe","content":"pub type EventSubscriptionUnsubscribe {\n  EventSubscriptionUnsubscribe(subscription: Option(Nil))\n}\n\nEventSubscriptionUnsubscribe(subscription: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventSubscriptionUnsubscribe\nmidas/sdk/dnsimple/schema EventSubscriptionUnsubscribe","url":"midas/sdk/dnsimple/schema.html#EventSubscriptionUnsubscribe"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateApply","content":"pub type EventTemplateApply {\n  EventTemplateApply(zone: Option(Nil), template: Option(Nil))\n}\n\nEventTemplateApply(zone: Option(Nil), template: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateApply\nmidas/sdk/dnsimple/schema EventTemplateApply","url":"midas/sdk/dnsimple/schema.html#EventTemplateApply"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateCreate","content":"pub type EventTemplateCreate {\n  EventTemplateCreate(template: Option(Nil))\n}\n\nEventTemplateCreate(template: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateCreate\nmidas/sdk/dnsimple/schema EventTemplateCreate","url":"midas/sdk/dnsimple/schema.html#EventTemplateCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateDelete","content":"pub type EventTemplateDelete {\n  EventTemplateDelete(template: Option(Nil))\n}\n\nEventTemplateDelete(template: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateDelete\nmidas/sdk/dnsimple/schema EventTemplateDelete","url":"midas/sdk/dnsimple/schema.html#EventTemplateDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateRecordCreate","content":"pub type EventTemplateRecordCreate {\n  EventTemplateRecordCreate(template_record: Option(Nil))\n}\n\nEventTemplateRecordCreate(template_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateRecordCreate\nmidas/sdk/dnsimple/schema EventTemplateRecordCreate","url":"midas/sdk/dnsimple/schema.html#EventTemplateRecordCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateRecordDelete","content":"pub type EventTemplateRecordDelete {\n  EventTemplateRecordDelete(template_record: Option(Nil))\n}\n\nEventTemplateRecordDelete(template_record: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateRecordDelete\nmidas/sdk/dnsimple/schema EventTemplateRecordDelete","url":"midas/sdk/dnsimple/schema.html#EventTemplateRecordDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventTemplateUpdate","content":"pub type EventTemplateUpdate {\n  EventTemplateUpdate(template: Option(Nil))\n}\n\nEventTemplateUpdate(template: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventTemplateUpdate\nmidas/sdk/dnsimple/schema EventTemplateUpdate","url":"midas/sdk/dnsimple/schema.html#EventTemplateUpdate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventVanityDisable","content":"pub type EventVanityDisable {\n  EventVanityDisable(domain: Option(Nil))\n}\n\nEventVanityDisable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventVanityDisable\nmidas/sdk/dnsimple/schema EventVanityDisable","url":"midas/sdk/dnsimple/schema.html#EventVanityDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventVanityEnable","content":"pub type EventVanityEnable {\n  EventVanityEnable(domain: Option(Nil))\n}\n\nEventVanityEnable(domain: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventVanityEnable\nmidas/sdk/dnsimple/schema EventVanityEnable","url":"midas/sdk/dnsimple/schema.html#EventVanityEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWebhookCreate","content":"pub type EventWebhookCreate {\n  EventWebhookCreate(webhook: Option(Nil))\n}\n\nEventWebhookCreate(webhook: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWebhookCreate\nmidas/sdk/dnsimple/schema EventWebhookCreate","url":"midas/sdk/dnsimple/schema.html#EventWebhookCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWebhookDelete","content":"pub type EventWebhookDelete {\n  EventWebhookDelete(webhook: Option(Nil))\n}\n\nEventWebhookDelete(webhook: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWebhookDelete\nmidas/sdk/dnsimple/schema EventWebhookDelete","url":"midas/sdk/dnsimple/schema.html#EventWebhookDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWhoisPrivacyDisable","content":"pub type EventWhoisPrivacyDisable {\n  EventWhoisPrivacyDisable(\n    domain: Option(Nil),\n    whois_privacy: Option(Nil),\n  )\n}\n\nEventWhoisPrivacyDisable(\n  domain: Option(Nil),\n  whois_privacy: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWhoisPrivacyDisable\nmidas/sdk/dnsimple/schema EventWhoisPrivacyDisable","url":"midas/sdk/dnsimple/schema.html#EventWhoisPrivacyDisable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWhoisPrivacyEnable","content":"pub type EventWhoisPrivacyEnable {\n  EventWhoisPrivacyEnable(\n    domain: Option(Nil),\n    whois_privacy: Option(Nil),\n  )\n}\n\nEventWhoisPrivacyEnable(\n  domain: Option(Nil),\n  whois_privacy: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWhoisPrivacyEnable\nmidas/sdk/dnsimple/schema EventWhoisPrivacyEnable","url":"midas/sdk/dnsimple/schema.html#EventWhoisPrivacyEnable"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWhoisPrivacyPurchase","content":"pub type EventWhoisPrivacyPurchase {\n  EventWhoisPrivacyPurchase(\n    domain: Option(Nil),\n    whois_privacy: Option(Nil),\n  )\n}\n\nEventWhoisPrivacyPurchase(\n  domain: Option(Nil),\n  whois_privacy: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWhoisPrivacyPurchase\nmidas/sdk/dnsimple/schema EventWhoisPrivacyPurchase","url":"midas/sdk/dnsimple/schema.html#EventWhoisPrivacyPurchase"},{"doc":"midas/sdk/dnsimple/schema","title":"EventWhoisPrivacyRenew","content":"pub type EventWhoisPrivacyRenew {\n  EventWhoisPrivacyRenew(\n    domain: Option(Nil),\n    whois_privacy: Option(Nil),\n  )\n}\n\nEventWhoisPrivacyRenew(\n  domain: Option(Nil),\n  whois_privacy: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventWhoisPrivacyRenew\nmidas/sdk/dnsimple/schema EventWhoisPrivacyRenew","url":"midas/sdk/dnsimple/schema.html#EventWhoisPrivacyRenew"},{"doc":"midas/sdk/dnsimple/schema","title":"EventZoneCreate","content":"pub type EventZoneCreate {\n  EventZoneCreate(zone: Option(Nil))\n}\n\nEventZoneCreate(zone: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventZoneCreate\nmidas/sdk/dnsimple/schema EventZoneCreate","url":"midas/sdk/dnsimple/schema.html#EventZoneCreate"},{"doc":"midas/sdk/dnsimple/schema","title":"EventZoneDelete","content":"pub type EventZoneDelete {\n  EventZoneDelete(zone: Option(Nil))\n}\n\nEventZoneDelete(zone: Option(Nil))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.EventZoneDelete\nmidas/sdk/dnsimple/schema EventZoneDelete","url":"midas/sdk/dnsimple/schema.html#EventZoneDelete"},{"doc":"midas/sdk/dnsimple/schema","title":"ExtendedAttribute","content":"pub type ExtendedAttribute {\n  ExtendedAttribute(\n    name: Option(String),\n    description: Option(String),\n    options: Option(Nil),\n    required: Option(Bool),\n  )\n}\n\nExtendedAttribute(\n  name: Option(String),\n  description: Option(String),\n  options: Option(Nil),\n  required: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ExtendedAttribute\nmidas/sdk/dnsimple/schema ExtendedAttribute","url":"midas/sdk/dnsimple/schema.html#ExtendedAttribute"},{"doc":"midas/sdk/dnsimple/schema","title":"ExtendedAttributeOption","content":"pub type ExtendedAttributeOption {\n  ExtendedAttributeOption(\n    value: Option(String),\n    title: Option(String),\n    description: Option(String),\n  )\n}\n\nExtendedAttributeOption(\n  value: Option(String),\n  title: Option(String),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ExtendedAttributeOption\nmidas/sdk/dnsimple/schema ExtendedAttributeOption","url":"midas/sdk/dnsimple/schema.html#ExtendedAttributeOption"},{"doc":"midas/sdk/dnsimple/schema","title":"Invoice","content":"pub type Invoice {\n  Invoice(\n    created_at: Option(String),\n    updated_at: Option(String),\n    invoice_number: Option(String),\n    id: Option(Int),\n  )\n}\n\nInvoice(\n  created_at: Option(String),\n  updated_at: Option(String),\n  invoice_number: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Invoice\nmidas/sdk/dnsimple/schema Invoice","url":"midas/sdk/dnsimple/schema.html#Invoice"},{"doc":"midas/sdk/dnsimple/schema","title":"LetsencryptCertificatePurchase","content":"pub type LetsencryptCertificatePurchase {\n  LetsencryptCertificatePurchase(\n    certificate_id: Option(Int),\n    created_at: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    auto_renew: Option(Bool),\n  )\n}\n\nLetsencryptCertificatePurchase(\n  certificate_id: Option(Int),\n  created_at: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  auto_renew: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.LetsencryptCertificatePurchase\nmidas/sdk/dnsimple/schema LetsencryptCertificatePurchase","url":"midas/sdk/dnsimple/schema.html#LetsencryptCertificatePurchase"},{"doc":"midas/sdk/dnsimple/schema","title":"LetsencryptCertificateRenewal","content":"pub type LetsencryptCertificateRenewal {\n  LetsencryptCertificateRenewal(\n    new_certificate_id: Option(Int),\n    created_at: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    old_certificate_id: Option(Int),\n    auto_renew: Option(Bool),\n  )\n}\n\nLetsencryptCertificateRenewal(\n  new_certificate_id: Option(Int),\n  created_at: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  old_certificate_id: Option(Int),\n  auto_renew: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.LetsencryptCertificateRenewal\nmidas/sdk/dnsimple/schema LetsencryptCertificateRenewal","url":"midas/sdk/dnsimple/schema.html#LetsencryptCertificateRenewal"},{"doc":"midas/sdk/dnsimple/schema","title":"NameServer","content":"pub type NameServer {\n  NameServer(\n    ipv4: Option(String),\n    ipv6: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nNameServer(\n  ipv4: Option(String),\n  ipv6: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.NameServer\nmidas/sdk/dnsimple/schema NameServer","url":"midas/sdk/dnsimple/schema.html#NameServer"},{"doc":"midas/sdk/dnsimple/schema","title":"OauthApplication","content":"pub type OauthApplication {\n  OauthApplication(\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    description: Option(String),\n    homepage_url: Option(String),\n  )\n}\n\nOauthApplication(\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  description: Option(String),\n  homepage_url: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.OauthApplication\nmidas/sdk/dnsimple/schema OauthApplication","url":"midas/sdk/dnsimple/schema.html#OauthApplication"},{"doc":"midas/sdk/dnsimple/schema","title":"Pagination","content":"pub type Pagination {\n  Pagination(\n    total_pages: Option(Int),\n    per_page: Option(Int),\n    current_page: Option(Int),\n    total_entries: Option(Int),\n  )\n}\n\nPagination(\n  total_pages: Option(Int),\n  per_page: Option(Int),\n  current_page: Option(Int),\n  total_entries: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Pagination\nmidas/sdk/dnsimple/schema Pagination","url":"midas/sdk/dnsimple/schema.html#Pagination"},{"doc":"midas/sdk/dnsimple/schema","title":"PrimaryServer","content":"pub type PrimaryServer {\n  PrimaryServer(\n    port: Option(Int),\n    ip: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    account_id: Option(Int),\n    linked_secondary_zones: Option(List(String)),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nPrimaryServer(\n  port: Option(Int),\n  ip: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  account_id: Option(Int),\n  linked_secondary_zones: Option(List(String)),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.PrimaryServer\nmidas/sdk/dnsimple/schema PrimaryServer","url":"midas/sdk/dnsimple/schema.html#PrimaryServer"},{"doc":"midas/sdk/dnsimple/schema","title":"Push","content":"pub type Push {\n  Push(\n    created_at: Option(String),\n    accepted_at: Option(String),\n    account_id: Option(Int),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    contact_id: Option(Int),\n    id: Option(Int),\n  )\n}\n\nPush(\n  created_at: Option(String),\n  accepted_at: Option(String),\n  account_id: Option(Int),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  contact_id: Option(Int),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Push\nmidas/sdk/dnsimple/schema Push","url":"midas/sdk/dnsimple/schema.html#Push"},{"doc":"midas/sdk/dnsimple/schema","title":"RegistrantChange","content":"pub type RegistrantChange {\n  RegistrantChange(\n    created_at: Option(String),\n    irt_lock_lifted_by: Option(String),\n    account_id: Option(Int),\n    state: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    contact_id: Option(Int),\n    id: Option(Int),\n    extended_attributes: Option(Nil),\n    registry_owner_change: Option(Bool),\n  )\n}\n\nRegistrantChange(\n  created_at: Option(String),\n  irt_lock_lifted_by: Option(String),\n  account_id: Option(Int),\n  state: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  contact_id: Option(Int),\n  id: Option(Int),\n  extended_attributes: Option(Nil),\n  registry_owner_change: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.RegistrantChange\nmidas/sdk/dnsimple/schema RegistrantChange","url":"midas/sdk/dnsimple/schema.html#RegistrantChange"},{"doc":"midas/sdk/dnsimple/schema","title":"RegistrantChangeCheck","content":"pub type RegistrantChangeCheck {\n  RegistrantChangeCheck(\n    domain_id: Option(Int),\n    contact_id: Option(Int),\n    extended_attributes: Option(Nil),\n    registry_owner_change: Option(Bool),\n  )\n}\n\nRegistrantChangeCheck(\n  domain_id: Option(Int),\n  contact_id: Option(Int),\n  extended_attributes: Option(Nil),\n  registry_owner_change: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.RegistrantChangeCheck\nmidas/sdk/dnsimple/schema RegistrantChangeCheck","url":"midas/sdk/dnsimple/schema.html#RegistrantChangeCheck"},{"doc":"midas/sdk/dnsimple/schema","title":"SecondaryDns","content":"pub type SecondaryDns {\n  SecondaryDns(\n    created_at: Option(String),\n    zone_id: Option(String),\n    whitelisted_ips: Option(List(String)),\n    updated_at: Option(String),\n    id: Option(Int),\n    name_servers: Option(List(String)),\n  )\n}\n\nSecondaryDns(\n  created_at: Option(String),\n  zone_id: Option(String),\n  whitelisted_ips: Option(List(String)),\n  updated_at: Option(String),\n  id: Option(Int),\n  name_servers: Option(List(String)),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.SecondaryDns\nmidas/sdk/dnsimple/schema SecondaryDns","url":"midas/sdk/dnsimple/schema.html#SecondaryDns"},{"doc":"midas/sdk/dnsimple/schema","title":"Service","content":"pub type Service {\n  Service(\n    settings: Option(Nil),\n    default_subdomain: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    requires_setup: Option(Bool),\n    sid: Option(String),\n    updated_at: Option(String),\n    setup_description: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nService(\n  settings: Option(Nil),\n  default_subdomain: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  requires_setup: Option(Bool),\n  sid: Option(String),\n  updated_at: Option(String),\n  setup_description: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Service\nmidas/sdk/dnsimple/schema Service","url":"midas/sdk/dnsimple/schema.html#Service"},{"doc":"midas/sdk/dnsimple/schema","title":"ServiceSetting","content":"pub type ServiceSetting {\n  ServiceSetting(\n    example: Option(String),\n    name: Option(String),\n    label: Option(String),\n    append: Option(String),\n    password: Option(Bool),\n    description: Option(String),\n  )\n}\n\nServiceSetting(\n  example: Option(String),\n  name: Option(String),\n  label: Option(String),\n  append: Option(String),\n  password: Option(Bool),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ServiceSetting\nmidas/sdk/dnsimple/schema ServiceSetting","url":"midas/sdk/dnsimple/schema.html#ServiceSetting"},{"doc":"midas/sdk/dnsimple/schema","title":"Subscription","content":"pub type Subscription {\n  Subscription(\n    plan_name: Option(String),\n    created_at: Option(String),\n    state: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nSubscription(\n  plan_name: Option(String),\n  created_at: Option(String),\n  state: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Subscription\nmidas/sdk/dnsimple/schema Subscription","url":"midas/sdk/dnsimple/schema.html#Subscription"},{"doc":"midas/sdk/dnsimple/schema","title":"Template","content":"pub type Template {\n  Template(\n    created_at: Option(String),\n    name: Option(String),\n    account_id: Option(Int),\n    sid: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    description: Option(String),\n  )\n}\n\nTemplate(\n  created_at: Option(String),\n  name: Option(String),\n  account_id: Option(Int),\n  sid: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  description: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Template\nmidas/sdk/dnsimple/schema Template","url":"midas/sdk/dnsimple/schema.html#Template"},{"doc":"midas/sdk/dnsimple/schema","title":"TemplateRecord","content":"pub type TemplateRecord {\n  TemplateRecord(\n    template_id: Option(Int),\n    priority: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    ttl: Option(Int),\n    updated_at: Option(String),\n    content: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n  )\n}\n\nTemplateRecord(\n  template_id: Option(Int),\n  priority: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  ttl: Option(Int),\n  updated_at: Option(String),\n  content: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.TemplateRecord\nmidas/sdk/dnsimple/schema TemplateRecord","url":"midas/sdk/dnsimple/schema.html#TemplateRecord"},{"doc":"midas/sdk/dnsimple/schema","title":"Tld","content":"pub type Tld {\n  Tld(\n    minimum_registration: Option(Int),\n    tld: Option(String),\n    tld_type: Option(Int),\n    transfer_enabled: Option(Bool),\n    auto_renew_only: Option(Bool),\n    whois_privacy: Option(Bool),\n    idn: Option(Bool),\n    dnssec_interface_type: Option(String),\n    renewal_enabled: Option(Bool),\n    registration_enabled: Option(Bool),\n  )\n}\n\nTld(\n  minimum_registration: Option(Int),\n  tld: Option(String),\n  tld_type: Option(Int),\n  transfer_enabled: Option(Bool),\n  auto_renew_only: Option(Bool),\n  whois_privacy: Option(Bool),\n  idn: Option(Bool),\n  dnssec_interface_type: Option(String),\n  renewal_enabled: Option(Bool),\n  registration_enabled: Option(Bool),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Tld\nmidas/sdk/dnsimple/schema Tld","url":"midas/sdk/dnsimple/schema.html#Tld"},{"doc":"midas/sdk/dnsimple/schema","title":"TradeExtendedAttributes","content":"pub type TradeExtendedAttributes {\n  TradeExtendedAttributes\n}\n\nTradeExtendedAttributes\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.TradeExtendedAttributes\nmidas/sdk/dnsimple/schema TradeExtendedAttributes","url":"midas/sdk/dnsimple/schema.html#TradeExtendedAttributes"},{"doc":"midas/sdk/dnsimple/schema","title":"User","content":"pub type User {\n  User(\n    created_at: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n    email: Option(String),\n  )\n}\n\nUser(\n  created_at: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n  email: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.User\nmidas/sdk/dnsimple/schema User","url":"midas/sdk/dnsimple/schema.html#User"},{"doc":"midas/sdk/dnsimple/schema","title":"VanityNameServer","content":"pub type VanityNameServer {\n  VanityNameServer(\n    ipv4: Option(String),\n    ipv6: Option(String),\n    created_at: Option(String),\n    name: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nVanityNameServer(\n  ipv4: Option(String),\n  ipv6: Option(String),\n  created_at: Option(String),\n  name: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.VanityNameServer\nmidas/sdk/dnsimple/schema VanityNameServer","url":"midas/sdk/dnsimple/schema.html#VanityNameServer"},{"doc":"midas/sdk/dnsimple/schema","title":"Webhook","content":"pub type Webhook {\n  Webhook(\n    url: Option(String),\n    id: Option(Int),\n    suppressed_at: Option(String),\n  )\n}\n\nWebhook(\n  url: Option(String),\n  id: Option(Int),\n  suppressed_at: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Webhook\nmidas/sdk/dnsimple/schema Webhook","url":"midas/sdk/dnsimple/schema.html#Webhook"},{"doc":"midas/sdk/dnsimple/schema","title":"WebhookAccount","content":"pub type WebhookAccount {\n  WebhookAccount(\n    display: Option(String),\n    identifier: Option(String),\n    id: Option(Int),\n  )\n}\n\nWebhookAccount(\n  display: Option(String),\n  identifier: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.WebhookAccount\nmidas/sdk/dnsimple/schema WebhookAccount","url":"midas/sdk/dnsimple/schema.html#WebhookAccount"},{"doc":"midas/sdk/dnsimple/schema","title":"WebhookPayload","content":"pub type WebhookPayload {\n  WebhookPayload(\n    data: Option(Nil),\n    name: Option(String),\n    account: Option(Nil),\n    api_version: Option(String),\n    actor: Option(Nil),\n    request_identifier: Option(String),\n  )\n}\n\nWebhookPayload(\n  data: Option(Nil),\n  name: Option(String),\n  account: Option(Nil),\n  api_version: Option(String),\n  actor: Option(Nil),\n  request_identifier: Option(String),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.WebhookPayload\nmidas/sdk/dnsimple/schema WebhookPayload","url":"midas/sdk/dnsimple/schema.html#WebhookPayload"},{"doc":"midas/sdk/dnsimple/schema","title":"WhoisPrivacy","content":"pub type WhoisPrivacy {\n  WhoisPrivacy(\n    enabled: Option(Bool),\n    created_at: Option(String),\n    expires_on: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nWhoisPrivacy(\n  enabled: Option(Bool),\n  created_at: Option(String),\n  expires_on: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.WhoisPrivacy\nmidas/sdk/dnsimple/schema WhoisPrivacy","url":"midas/sdk/dnsimple/schema.html#WhoisPrivacy"},{"doc":"midas/sdk/dnsimple/schema","title":"WhoisPrivacyRenewal","content":"pub type WhoisPrivacyRenewal {\n  WhoisPrivacyRenewal(\n    enabled: Option(Bool),\n    whois_privacy_id: Option(Int),\n    created_at: Option(String),\n    expires_on: Option(String),\n    state: Option(String),\n    domain_id: Option(Int),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nWhoisPrivacyRenewal(\n  enabled: Option(Bool),\n  whois_privacy_id: Option(Int),\n  created_at: Option(String),\n  expires_on: Option(String),\n  state: Option(String),\n  domain_id: Option(Int),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.WhoisPrivacyRenewal\nmidas/sdk/dnsimple/schema WhoisPrivacyRenewal","url":"midas/sdk/dnsimple/schema.html#WhoisPrivacyRenewal"},{"doc":"midas/sdk/dnsimple/schema","title":"Zone","content":"pub type Zone {\n  Zone(\n    reverse: Option(Bool),\n    active: Option(Bool),\n    created_at: Option(String),\n    name: Option(String),\n    account_id: Option(Int),\n    secondary: Option(Bool),\n    last_transferred_at: Option(String),\n    updated_at: Option(String),\n    id: Option(Int),\n  )\n}\n\nZone(\n  reverse: Option(Bool),\n  active: Option(Bool),\n  created_at: Option(String),\n  name: Option(String),\n  account_id: Option(Int),\n  secondary: Option(Bool),\n  last_transferred_at: Option(String),\n  updated_at: Option(String),\n  id: Option(Int),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.Zone\nmidas/sdk/dnsimple/schema Zone","url":"midas/sdk/dnsimple/schema.html#Zone"},{"doc":"midas/sdk/dnsimple/schema","title":"ZoneDistribution","content":"pub type ZoneDistribution {\n  ZoneDistribution(distributed: Option(Bool))\n}\n\nZoneDistribution(distributed: Option(Bool))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ZoneDistribution\nmidas/sdk/dnsimple/schema ZoneDistribution","url":"midas/sdk/dnsimple/schema.html#ZoneDistribution"},{"doc":"midas/sdk/dnsimple/schema","title":"ZoneFile","content":"pub type ZoneFile {\n  ZoneFile(zone: Option(String))\n}\n\nZoneFile(zone: Option(String))\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ZoneFile\nmidas/sdk/dnsimple/schema ZoneFile","url":"midas/sdk/dnsimple/schema.html#ZoneFile"},{"doc":"midas/sdk/dnsimple/schema","title":"ZoneRecord","content":"pub type ZoneRecord {\n  ZoneRecord(\n    system_record: Option(Bool),\n    priority: Option(Int),\n    created_at: Option(String),\n    name: Option(String),\n    ttl: Option(Int),\n    zone_id: Option(String),\n    parent_id: Option(Int),\n    updated_at: Option(String),\n    content: Option(String),\n    type_: Option(String),\n    id: Option(Int),\n    regions: Option(Nil),\n  )\n}\n\nZoneRecord(\n  system_record: Option(Bool),\n  priority: Option(Int),\n  created_at: Option(String),\n  name: Option(String),\n  ttl: Option(Int),\n  zone_id: Option(String),\n  parent_id: Option(Int),\n  updated_at: Option(String),\n  content: Option(String),\n  type_: Option(String),\n  id: Option(Int),\n  regions: Option(Nil),\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple/schema.ZoneRecord\nmidas/sdk/dnsimple/schema ZoneRecord","url":"midas/sdk/dnsimple/schema.html#ZoneRecord"},{"doc":"midas/sdk/dnsimple/schema","title":"account","content":"pub const account: Account\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account\nmidas/sdk/dnsimple/schema account","url":"midas/sdk/dnsimple/schema.html#account"},{"doc":"midas/sdk/dnsimple/schema","title":"account_invitation","content":"pub const account_invitation: AccountInvitation\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_invitation\nmidas/sdk/dnsimple/schema account_invitation","url":"midas/sdk/dnsimple/schema.html#account_invitation"},{"doc":"midas/sdk/dnsimple/schema","title":"actor","content":"pub const actor: Actor\n\nSynonyms:\nmidas/sdk/dnsimple/schema.actor\nmidas/sdk/dnsimple/schema actor","url":"midas/sdk/dnsimple/schema.html#actor"},{"doc":"midas/sdk/dnsimple/schema","title":"billing_settings","content":"pub const billing_settings: BillingSettings\n\nSynonyms:\nmidas/sdk/dnsimple/schema.billing_settings\nmidas/sdk/dnsimple/schema billing_settings","url":"midas/sdk/dnsimple/schema.html#billing_settings"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate","content":"pub const certificate: Certificate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate\nmidas/sdk/dnsimple/schema certificate","url":"midas/sdk/dnsimple/schema.html#certificate"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_download","content":"pub const certificate_download: CertificateDownload\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_download\nmidas/sdk/dnsimple/schema certificate_download","url":"midas/sdk/dnsimple/schema.html#certificate_download"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_private_key","content":"pub const certificate_private_key: CertificatePrivateKey\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_private_key\nmidas/sdk/dnsimple/schema certificate_private_key","url":"midas/sdk/dnsimple/schema.html#certificate_private_key"},{"doc":"midas/sdk/dnsimple/schema","title":"charge","content":"pub const charge: Charge\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge\nmidas/sdk/dnsimple/schema charge","url":"midas/sdk/dnsimple/schema.html#charge"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_item","content":"pub const charge_item: ChargeItem\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_item\nmidas/sdk/dnsimple/schema charge_item","url":"midas/sdk/dnsimple/schema.html#charge_item"},{"doc":"midas/sdk/dnsimple/schema","title":"collaborator","content":"pub const collaborator: Collaborator\n\nSynonyms:\nmidas/sdk/dnsimple/schema.collaborator\nmidas/sdk/dnsimple/schema collaborator","url":"midas/sdk/dnsimple/schema.html#collaborator"},{"doc":"midas/sdk/dnsimple/schema","title":"contact","content":"pub const contact: Contact\n\nSynonyms:\nmidas/sdk/dnsimple/schema.contact\nmidas/sdk/dnsimple/schema contact","url":"midas/sdk/dnsimple/schema.html#contact"},{"doc":"midas/sdk/dnsimple/schema","title":"delegation_signer","content":"pub const delegation_signer: DelegationSigner\n\nSynonyms:\nmidas/sdk/dnsimple/schema.delegation_signer\nmidas/sdk/dnsimple/schema delegation_signer","url":"midas/sdk/dnsimple/schema.html#delegation_signer"},{"doc":"midas/sdk/dnsimple/schema","title":"dnssec","content":"pub const dnssec: Dnssec\n\nSynonyms:\nmidas/sdk/dnsimple/schema.dnssec\nmidas/sdk/dnsimple/schema dnssec","url":"midas/sdk/dnsimple/schema.html#dnssec"},{"doc":"midas/sdk/dnsimple/schema","title":"domain","content":"pub const domain: Domain\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain\nmidas/sdk/dnsimple/schema domain","url":"midas/sdk/dnsimple/schema.html#domain"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_check_result","content":"pub const domain_check_result: DomainCheckResult\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_check_result\nmidas/sdk/dnsimple/schema domain_check_result","url":"midas/sdk/dnsimple/schema.html#domain_check_result"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_premium_price","content":"pub const domain_premium_price: DomainPremiumPrice\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_premium_price\nmidas/sdk/dnsimple/schema domain_premium_price","url":"midas/sdk/dnsimple/schema.html#domain_premium_price"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_prices","content":"pub const domain_prices: DomainPrices\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_prices\nmidas/sdk/dnsimple/schema domain_prices","url":"midas/sdk/dnsimple/schema.html#domain_prices"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_registration","content":"pub const domain_registration: DomainRegistration\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_registration\nmidas/sdk/dnsimple/schema domain_registration","url":"midas/sdk/dnsimple/schema.html#domain_registration"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_renewal","content":"pub const domain_renewal: DomainRenewal\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_renewal\nmidas/sdk/dnsimple/schema domain_renewal","url":"midas/sdk/dnsimple/schema.html#domain_renewal"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_restore","content":"pub const domain_restore: DomainRestore\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_restore\nmidas/sdk/dnsimple/schema domain_restore","url":"midas/sdk/dnsimple/schema.html#domain_restore"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer","content":"pub const domain_transfer: DomainTransfer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer\nmidas/sdk/dnsimple/schema domain_transfer","url":"midas/sdk/dnsimple/schema.html#domain_transfer"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_lock","content":"pub const domain_transfer_lock: DomainTransferLock\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_lock\nmidas/sdk/dnsimple/schema domain_transfer_lock","url":"midas/sdk/dnsimple/schema.html#domain_transfer_lock"},{"doc":"midas/sdk/dnsimple/schema","title":"email_forward","content":"pub const email_forward: EmailForward\n\nSynonyms:\nmidas/sdk/dnsimple/schema.email_forward\nmidas/sdk/dnsimple/schema email_forward","url":"midas/sdk/dnsimple/schema.html#email_forward"},{"doc":"midas/sdk/dnsimple/schema","title":"error","content":"pub const error: Error\n\nSynonyms:\nmidas/sdk/dnsimple/schema.error\nmidas/sdk/dnsimple/schema error","url":"midas/sdk/dnsimple/schema.html#error"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_add_user","content":"pub const event_account_add_user: EventAccountAddUser\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_add_user\nmidas/sdk/dnsimple/schema event_account_add_user","url":"midas/sdk/dnsimple/schema.html#event_account_add_user"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_billing_settings_update","content":"pub const event_account_billing_settings_update: EventAccountBillingSettingsUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_billing_settings_update\nmidas/sdk/dnsimple/schema event_account_billing_settings_update","url":"midas/sdk/dnsimple/schema.html#event_account_billing_settings_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_accept","content":"pub const event_account_invitation_accept: EventAccountInvitationAccept\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_accept\nmidas/sdk/dnsimple/schema event_account_invitation_accept","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_accept"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_create","content":"pub const event_account_invitation_create: EventAccountInvitationCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_create\nmidas/sdk/dnsimple/schema event_account_invitation_create","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_remove","content":"pub const event_account_invitation_remove: EventAccountInvitationRemove\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_remove\nmidas/sdk/dnsimple/schema event_account_invitation_remove","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_remove"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_resend","content":"pub const event_account_invitation_resend: EventAccountInvitationResend\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_resend\nmidas/sdk/dnsimple/schema event_account_invitation_resend","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_resend"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_payment_details_update","content":"pub const event_account_payment_details_update: EventAccountPaymentDetailsUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_payment_details_update\nmidas/sdk/dnsimple/schema event_account_payment_details_update","url":"midas/sdk/dnsimple/schema.html#event_account_payment_details_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_remove_user","content":"pub const event_account_remove_user: EventAccountRemoveUser\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_remove_user\nmidas/sdk/dnsimple/schema event_account_remove_user","url":"midas/sdk/dnsimple/schema.html#event_account_remove_user"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_update","content":"pub const event_account_update: EventAccountUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_update\nmidas/sdk/dnsimple/schema event_account_update","url":"midas/sdk/dnsimple/schema.html#event_account_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_disable","content":"pub const event_certificate_auto_renewal_disable: EventCertificateAutoRenewalDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_disable\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_disable","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_enable","content":"pub const event_certificate_auto_renewal_enable: EventCertificateAutoRenewalEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_enable\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_enable","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_failed","content":"pub const event_certificate_auto_renewal_failed: EventCertificateAutoRenewalFailed\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_failed\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_failed","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_failed"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_issue","content":"pub const event_certificate_issue: EventCertificateIssue\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_issue\nmidas/sdk/dnsimple/schema event_certificate_issue","url":"midas/sdk/dnsimple/schema.html#event_certificate_issue"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_reissue","content":"pub const event_certificate_reissue: EventCertificateReissue\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_reissue\nmidas/sdk/dnsimple/schema event_certificate_reissue","url":"midas/sdk/dnsimple/schema.html#event_certificate_reissue"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_remove_private_key","content":"pub const event_certificate_remove_private_key: EventCertificateRemovePrivateKey\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_remove_private_key\nmidas/sdk/dnsimple/schema event_certificate_remove_private_key","url":"midas/sdk/dnsimple/schema.html#event_certificate_remove_private_key"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_create","content":"pub const event_contact_create: EventContactCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_create\nmidas/sdk/dnsimple/schema event_contact_create","url":"midas/sdk/dnsimple/schema.html#event_contact_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_delete","content":"pub const event_contact_delete: EventContactDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_delete\nmidas/sdk/dnsimple/schema event_contact_delete","url":"midas/sdk/dnsimple/schema.html#event_contact_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_update","content":"pub const event_contact_update: EventContactUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_update\nmidas/sdk/dnsimple/schema event_contact_update","url":"midas/sdk/dnsimple/schema.html#event_contact_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnsseccreate","content":"pub const event_dnsseccreate: EventDnsseccreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnsseccreate\nmidas/sdk/dnsimple/schema event_dnsseccreate","url":"midas/sdk/dnsimple/schema.html#event_dnsseccreate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecdelete","content":"pub const event_dnssecdelete: EventDnssecdelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecdelete\nmidas/sdk/dnsimple/schema event_dnssecdelete","url":"midas/sdk/dnsimple/schema.html#event_dnssecdelete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_complete","content":"pub const event_dnssecrotation_complete: EventDnssecrotationComplete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_complete\nmidas/sdk/dnsimple/schema event_dnssecrotation_complete","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_complete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_start","content":"pub const event_dnssecrotation_start: EventDnssecrotationStart\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_start\nmidas/sdk/dnsimple/schema event_dnssecrotation_start","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_start"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_disable","content":"pub const event_domain_auto_renewal_disable: EventDomainAutoRenewalDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_disable\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_disable","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_enable","content":"pub const event_domain_auto_renewal_enable: EventDomainAutoRenewalEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_enable\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_enable","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_create","content":"pub const event_domain_create: EventDomainCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_create\nmidas/sdk/dnsimple/schema event_domain_create","url":"midas/sdk/dnsimple/schema.html#event_domain_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delegation_change","content":"pub const event_domain_delegation_change: EventDomainDelegationChange\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delegation_change\nmidas/sdk/dnsimple/schema event_domain_delegation_change","url":"midas/sdk/dnsimple/schema.html#event_domain_delegation_change"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delete","content":"pub const event_domain_delete: EventDomainDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delete\nmidas/sdk/dnsimple/schema event_domain_delete","url":"midas/sdk/dnsimple/schema.html#event_domain_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register","content":"pub const event_domain_register: EventDomainRegister\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register\nmidas/sdk/dnsimple/schema event_domain_register","url":"midas/sdk/dnsimple/schema.html#event_domain_register"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_cancelled","content":"pub const event_domain_register_cancelled: EventDomainRegisterCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_cancelled\nmidas/sdk/dnsimple/schema event_domain_register_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_register_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_started","content":"pub const event_domain_register_started: EventDomainRegisterStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_started\nmidas/sdk/dnsimple/schema event_domain_register_started","url":"midas/sdk/dnsimple/schema.html#event_domain_register_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change","content":"pub const event_domain_registrant_change: EventDomainRegistrantChange\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change\nmidas/sdk/dnsimple/schema event_domain_registrant_change","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_cancelled","content":"pub const event_domain_registrant_change_cancelled: EventDomainRegistrantChangeCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_cancelled\nmidas/sdk/dnsimple/schema event_domain_registrant_change_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_started","content":"pub const event_domain_registrant_change_started: EventDomainRegistrantChangeStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_started\nmidas/sdk/dnsimple/schema event_domain_registrant_change_started","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew","content":"pub const event_domain_renew: EventDomainRenew\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew\nmidas/sdk/dnsimple/schema event_domain_renew","url":"midas/sdk/dnsimple/schema.html#event_domain_renew"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_cancelled","content":"pub const event_domain_renew_cancelled: EventDomainRenewCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_cancelled\nmidas/sdk/dnsimple/schema event_domain_renew_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_started","content":"pub const event_domain_renew_started: EventDomainRenewStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_started\nmidas/sdk/dnsimple/schema event_domain_renew_started","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_disable","content":"pub const event_domain_resolution_disable: EventDomainResolutionDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_disable\nmidas/sdk/dnsimple/schema event_domain_resolution_disable","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_enable","content":"pub const event_domain_resolution_enable: EventDomainResolutionEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_enable\nmidas/sdk/dnsimple/schema event_domain_resolution_enable","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore","content":"pub const event_domain_restore: EventDomainRestore\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore\nmidas/sdk/dnsimple/schema event_domain_restore","url":"midas/sdk/dnsimple/schema.html#event_domain_restore"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_cancelled","content":"pub const event_domain_restore_cancelled: EventDomainRestoreCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_cancelled\nmidas/sdk/dnsimple/schema event_domain_restore_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_started","content":"pub const event_domain_restore_started: EventDomainRestoreStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_started\nmidas/sdk/dnsimple/schema event_domain_restore_started","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer","content":"pub const event_domain_transfer: EventDomainTransfer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer\nmidas/sdk/dnsimple/schema event_domain_transfer","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_cancelled","content":"pub const event_domain_transfer_cancelled: EventDomainTransferCancelled\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_cancelled\nmidas/sdk/dnsimple/schema event_domain_transfer_cancelled","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_cancelled"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_disable","content":"pub const event_domain_transfer_lock_disable: EventDomainTransferLockDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_disable\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_disable","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_enable","content":"pub const event_domain_transfer_lock_enable: EventDomainTransferLockEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_enable\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_enable","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_started","content":"pub const event_domain_transfer_started: EventDomainTransferStarted\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_started\nmidas/sdk/dnsimple/schema event_domain_transfer_started","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_started"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_create","content":"pub const event_email_forward_create: EventEmailForwardCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_create\nmidas/sdk/dnsimple/schema event_email_forward_create","url":"midas/sdk/dnsimple/schema.html#event_email_forward_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_delete","content":"pub const event_email_forward_delete: EventEmailForwardDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_delete\nmidas/sdk/dnsimple/schema event_email_forward_delete","url":"midas/sdk/dnsimple/schema.html#event_email_forward_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_update","content":"pub const event_email_forward_update: EventEmailForwardUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_update\nmidas/sdk/dnsimple/schema event_email_forward_update","url":"midas/sdk/dnsimple/schema.html#event_email_forward_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_invoice_collect","content":"pub const event_invoice_collect: EventInvoiceCollect\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_invoice_collect\nmidas/sdk/dnsimple/schema event_invoice_collect","url":"midas/sdk/dnsimple/schema.html#event_invoice_collect"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_deregister","content":"pub const event_name_server_deregister: EventNameServerDeregister\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_deregister\nmidas/sdk/dnsimple/schema event_name_server_deregister","url":"midas/sdk/dnsimple/schema.html#event_name_server_deregister"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_register","content":"pub const event_name_server_register: EventNameServerRegister\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_register\nmidas/sdk/dnsimple/schema event_name_server_register","url":"midas/sdk/dnsimple/schema.html#event_name_server_register"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_create","content":"pub const event_oauth_application_create: EventOauthApplicationCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_create\nmidas/sdk/dnsimple/schema event_oauth_application_create","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_delete","content":"pub const event_oauth_application_delete: EventOauthApplicationDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_delete\nmidas/sdk/dnsimple/schema event_oauth_application_delete","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_reset_client_secret","content":"pub const event_oauth_application_reset_client_secret: EventOauthApplicationResetClientSecret\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_reset_client_secret\nmidas/sdk/dnsimple/schema event_oauth_application_reset_client_secret","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_reset_client_secret"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_revoke_access_tokens","content":"pub const event_oauth_application_revoke_access_tokens: EventOauthApplicationRevokeAccessTokens\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_revoke_access_tokens\nmidas/sdk/dnsimple/schema event_oauth_application_revoke_access_tokens","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_revoke_access_tokens"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_update","content":"pub const event_oauth_application_update: EventOauthApplicationUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_update\nmidas/sdk/dnsimple/schema event_oauth_application_update","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_accept","content":"pub const event_push_accept: EventPushAccept\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_accept\nmidas/sdk/dnsimple/schema event_push_accept","url":"midas/sdk/dnsimple/schema.html#event_push_accept"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_initiate","content":"pub const event_push_initiate: EventPushInitiate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_initiate\nmidas/sdk/dnsimple/schema event_push_initiate","url":"midas/sdk/dnsimple/schema.html#event_push_initiate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_reject","content":"pub const event_push_reject: EventPushReject\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_reject\nmidas/sdk/dnsimple/schema event_push_reject","url":"midas/sdk/dnsimple/schema.html#event_push_reject"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_create","content":"pub const event_record_create: EventRecordCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_create\nmidas/sdk/dnsimple/schema event_record_create","url":"midas/sdk/dnsimple/schema.html#event_record_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_delete","content":"pub const event_record_delete: EventRecordDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_delete\nmidas/sdk/dnsimple/schema event_record_delete","url":"midas/sdk/dnsimple/schema.html#event_record_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_update","content":"pub const event_record_update: EventRecordUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_update\nmidas/sdk/dnsimple/schema event_record_update","url":"midas/sdk/dnsimple/schema.html#event_record_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnscreate","content":"pub const event_secondary_dnscreate: EventSecondaryDnscreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnscreate\nmidas/sdk/dnsimple/schema event_secondary_dnscreate","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnscreate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsdelete","content":"pub const event_secondary_dnsdelete: EventSecondaryDnsdelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsdelete\nmidas/sdk/dnsimple/schema event_secondary_dnsdelete","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsdelete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsupdate","content":"pub const event_secondary_dnsupdate: EventSecondaryDnsupdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsupdate\nmidas/sdk/dnsimple/schema event_secondary_dnsupdate","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsupdate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_migrate","content":"pub const event_subscription_migrate: EventSubscriptionMigrate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_migrate\nmidas/sdk/dnsimple/schema event_subscription_migrate","url":"midas/sdk/dnsimple/schema.html#event_subscription_migrate"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_renew","content":"pub const event_subscription_renew: EventSubscriptionRenew\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_renew\nmidas/sdk/dnsimple/schema event_subscription_renew","url":"midas/sdk/dnsimple/schema.html#event_subscription_renew"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_subscribe","content":"pub const event_subscription_subscribe: EventSubscriptionSubscribe\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_subscribe\nmidas/sdk/dnsimple/schema event_subscription_subscribe","url":"midas/sdk/dnsimple/schema.html#event_subscription_subscribe"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_unsubscribe","content":"pub const event_subscription_unsubscribe: EventSubscriptionUnsubscribe\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_unsubscribe\nmidas/sdk/dnsimple/schema event_subscription_unsubscribe","url":"midas/sdk/dnsimple/schema.html#event_subscription_unsubscribe"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_apply","content":"pub const event_template_apply: EventTemplateApply\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_apply\nmidas/sdk/dnsimple/schema event_template_apply","url":"midas/sdk/dnsimple/schema.html#event_template_apply"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_create","content":"pub const event_template_create: EventTemplateCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_create\nmidas/sdk/dnsimple/schema event_template_create","url":"midas/sdk/dnsimple/schema.html#event_template_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_delete","content":"pub const event_template_delete: EventTemplateDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_delete\nmidas/sdk/dnsimple/schema event_template_delete","url":"midas/sdk/dnsimple/schema.html#event_template_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_create","content":"pub const event_template_record_create: EventTemplateRecordCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_create\nmidas/sdk/dnsimple/schema event_template_record_create","url":"midas/sdk/dnsimple/schema.html#event_template_record_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_delete","content":"pub const event_template_record_delete: EventTemplateRecordDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_delete\nmidas/sdk/dnsimple/schema event_template_record_delete","url":"midas/sdk/dnsimple/schema.html#event_template_record_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_update","content":"pub const event_template_update: EventTemplateUpdate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_update\nmidas/sdk/dnsimple/schema event_template_update","url":"midas/sdk/dnsimple/schema.html#event_template_update"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_disable","content":"pub const event_vanity_disable: EventVanityDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_disable\nmidas/sdk/dnsimple/schema event_vanity_disable","url":"midas/sdk/dnsimple/schema.html#event_vanity_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_enable","content":"pub const event_vanity_enable: EventVanityEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_enable\nmidas/sdk/dnsimple/schema event_vanity_enable","url":"midas/sdk/dnsimple/schema.html#event_vanity_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_create","content":"pub const event_webhook_create: EventWebhookCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_create\nmidas/sdk/dnsimple/schema event_webhook_create","url":"midas/sdk/dnsimple/schema.html#event_webhook_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_delete","content":"pub const event_webhook_delete: EventWebhookDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_delete\nmidas/sdk/dnsimple/schema event_webhook_delete","url":"midas/sdk/dnsimple/schema.html#event_webhook_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_disable","content":"pub const event_whois_privacy_disable: EventWhoisPrivacyDisable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_disable\nmidas/sdk/dnsimple/schema event_whois_privacy_disable","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_disable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_enable","content":"pub const event_whois_privacy_enable: EventWhoisPrivacyEnable\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_enable\nmidas/sdk/dnsimple/schema event_whois_privacy_enable","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_enable"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_purchase","content":"pub const event_whois_privacy_purchase: EventWhoisPrivacyPurchase\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_purchase\nmidas/sdk/dnsimple/schema event_whois_privacy_purchase","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_purchase"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_renew","content":"pub const event_whois_privacy_renew: EventWhoisPrivacyRenew\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_renew\nmidas/sdk/dnsimple/schema event_whois_privacy_renew","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_renew"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_create","content":"pub const event_zone_create: EventZoneCreate\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_create\nmidas/sdk/dnsimple/schema event_zone_create","url":"midas/sdk/dnsimple/schema.html#event_zone_create"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_delete","content":"pub const event_zone_delete: EventZoneDelete\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_delete\nmidas/sdk/dnsimple/schema event_zone_delete","url":"midas/sdk/dnsimple/schema.html#event_zone_delete"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute","content":"pub const extended_attribute: ExtendedAttribute\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute\nmidas/sdk/dnsimple/schema extended_attribute","url":"midas/sdk/dnsimple/schema.html#extended_attribute"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_option","content":"pub const extended_attribute_option: ExtendedAttributeOption\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_option\nmidas/sdk/dnsimple/schema extended_attribute_option","url":"midas/sdk/dnsimple/schema.html#extended_attribute_option"},{"doc":"midas/sdk/dnsimple/schema","title":"invoice","content":"pub const invoice: Invoice\n\nSynonyms:\nmidas/sdk/dnsimple/schema.invoice\nmidas/sdk/dnsimple/schema invoice","url":"midas/sdk/dnsimple/schema.html#invoice"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_purchase","content":"pub const letsencrypt_certificate_purchase: LetsencryptCertificatePurchase\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_purchase\nmidas/sdk/dnsimple/schema letsencrypt_certificate_purchase","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_purchase"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_renewal","content":"pub const letsencrypt_certificate_renewal: LetsencryptCertificateRenewal\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_renewal\nmidas/sdk/dnsimple/schema letsencrypt_certificate_renewal","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_renewal"},{"doc":"midas/sdk/dnsimple/schema","title":"name_server","content":"pub const name_server: NameServer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.name_server\nmidas/sdk/dnsimple/schema name_server","url":"midas/sdk/dnsimple/schema.html#name_server"},{"doc":"midas/sdk/dnsimple/schema","title":"oauth_application","content":"pub const oauth_application: OauthApplication\n\nSynonyms:\nmidas/sdk/dnsimple/schema.oauth_application\nmidas/sdk/dnsimple/schema oauth_application","url":"midas/sdk/dnsimple/schema.html#oauth_application"},{"doc":"midas/sdk/dnsimple/schema","title":"pagination","content":"pub const pagination: Pagination\n\nSynonyms:\nmidas/sdk/dnsimple/schema.pagination\nmidas/sdk/dnsimple/schema pagination","url":"midas/sdk/dnsimple/schema.html#pagination"},{"doc":"midas/sdk/dnsimple/schema","title":"primary_server","content":"pub const primary_server: PrimaryServer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.primary_server\nmidas/sdk/dnsimple/schema primary_server","url":"midas/sdk/dnsimple/schema.html#primary_server"},{"doc":"midas/sdk/dnsimple/schema","title":"push","content":"pub const push: Push\n\nSynonyms:\nmidas/sdk/dnsimple/schema.push\nmidas/sdk/dnsimple/schema push","url":"midas/sdk/dnsimple/schema.html#push"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change","content":"pub const registrant_change: RegistrantChange\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change\nmidas/sdk/dnsimple/schema registrant_change","url":"midas/sdk/dnsimple/schema.html#registrant_change"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_check","content":"pub const registrant_change_check: RegistrantChangeCheck\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_check\nmidas/sdk/dnsimple/schema registrant_change_check","url":"midas/sdk/dnsimple/schema.html#registrant_change_check"},{"doc":"midas/sdk/dnsimple/schema","title":"secondary_dns","content":"pub const secondary_dns: SecondaryDns\n\nSynonyms:\nmidas/sdk/dnsimple/schema.secondary_dns\nmidas/sdk/dnsimple/schema secondary_dns","url":"midas/sdk/dnsimple/schema.html#secondary_dns"},{"doc":"midas/sdk/dnsimple/schema","title":"service","content":"pub const service: Service\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service\nmidas/sdk/dnsimple/schema service","url":"midas/sdk/dnsimple/schema.html#service"},{"doc":"midas/sdk/dnsimple/schema","title":"service_setting","content":"pub const service_setting: ServiceSetting\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_setting\nmidas/sdk/dnsimple/schema service_setting","url":"midas/sdk/dnsimple/schema.html#service_setting"},{"doc":"midas/sdk/dnsimple/schema","title":"subscription","content":"pub const subscription: Subscription\n\nSynonyms:\nmidas/sdk/dnsimple/schema.subscription\nmidas/sdk/dnsimple/schema subscription","url":"midas/sdk/dnsimple/schema.html#subscription"},{"doc":"midas/sdk/dnsimple/schema","title":"template","content":"pub const template: Template\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template\nmidas/sdk/dnsimple/schema template","url":"midas/sdk/dnsimple/schema.html#template"},{"doc":"midas/sdk/dnsimple/schema","title":"template_record","content":"pub const template_record: TemplateRecord\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_record\nmidas/sdk/dnsimple/schema template_record","url":"midas/sdk/dnsimple/schema.html#template_record"},{"doc":"midas/sdk/dnsimple/schema","title":"tld","content":"pub const tld: Tld\n\nSynonyms:\nmidas/sdk/dnsimple/schema.tld\nmidas/sdk/dnsimple/schema tld","url":"midas/sdk/dnsimple/schema.html#tld"},{"doc":"midas/sdk/dnsimple/schema","title":"trade_extended_attributes","content":"pub const trade_extended_attributes: TradeExtendedAttributes\n\nSynonyms:\nmidas/sdk/dnsimple/schema.trade_extended_attributes\nmidas/sdk/dnsimple/schema trade_extended_attributes","url":"midas/sdk/dnsimple/schema.html#trade_extended_attributes"},{"doc":"midas/sdk/dnsimple/schema","title":"user","content":"pub const user: User\n\nSynonyms:\nmidas/sdk/dnsimple/schema.user\nmidas/sdk/dnsimple/schema user","url":"midas/sdk/dnsimple/schema.html#user"},{"doc":"midas/sdk/dnsimple/schema","title":"vanity_name_server","content":"pub const vanity_name_server: VanityNameServer\n\nSynonyms:\nmidas/sdk/dnsimple/schema.vanity_name_server\nmidas/sdk/dnsimple/schema vanity_name_server","url":"midas/sdk/dnsimple/schema.html#vanity_name_server"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook","content":"pub const webhook: Webhook\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook\nmidas/sdk/dnsimple/schema webhook","url":"midas/sdk/dnsimple/schema.html#webhook"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_account","content":"pub const webhook_account: WebhookAccount\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_account\nmidas/sdk/dnsimple/schema webhook_account","url":"midas/sdk/dnsimple/schema.html#webhook_account"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_payload","content":"pub const webhook_payload: WebhookPayload\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_payload\nmidas/sdk/dnsimple/schema webhook_payload","url":"midas/sdk/dnsimple/schema.html#webhook_payload"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy","content":"pub const whois_privacy: WhoisPrivacy\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy\nmidas/sdk/dnsimple/schema whois_privacy","url":"midas/sdk/dnsimple/schema.html#whois_privacy"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_renewal","content":"pub const whois_privacy_renewal: WhoisPrivacyRenewal\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_renewal\nmidas/sdk/dnsimple/schema whois_privacy_renewal","url":"midas/sdk/dnsimple/schema.html#whois_privacy_renewal"},{"doc":"midas/sdk/dnsimple/schema","title":"zone","content":"pub const zone: Zone\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone\nmidas/sdk/dnsimple/schema zone","url":"midas/sdk/dnsimple/schema.html#zone"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_distribution","content":"pub const zone_distribution: ZoneDistribution\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_distribution\nmidas/sdk/dnsimple/schema zone_distribution","url":"midas/sdk/dnsimple/schema.html#zone_distribution"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_file","content":"pub const zone_file: ZoneFile\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_file\nmidas/sdk/dnsimple/schema zone_file","url":"midas/sdk/dnsimple/schema.html#zone_file"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_record","content":"pub const zone_record: ZoneRecord\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_record\nmidas/sdk/dnsimple/schema zone_record","url":"midas/sdk/dnsimple/schema.html#zone_record"},{"doc":"midas/sdk/dnsimple/schema","title":"account_decoder","content":"pub fn account_decoder() -&gt; Decoder(Account)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_decoder\nmidas/sdk/dnsimple/schema account_decoder","url":"midas/sdk/dnsimple/schema.html#account_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"account_invitation_decoder","content":"pub fn account_invitation_decoder() -&gt; Decoder(AccountInvitation)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_invitation_decoder\nmidas/sdk/dnsimple/schema account_invitation_decoder","url":"midas/sdk/dnsimple/schema.html#account_invitation_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"account_invitation_to_json","content":"pub fn account_invitation_to_json(\n  data: AccountInvitation,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_invitation_to_json\nmidas/sdk/dnsimple/schema account_invitation_to_json","url":"midas/sdk/dnsimple/schema.html#account_invitation_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"account_to_json","content":"pub fn account_to_json(data: Account) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.account_to_json\nmidas/sdk/dnsimple/schema account_to_json","url":"midas/sdk/dnsimple/schema.html#account_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"actor_decoder","content":"pub fn actor_decoder() -&gt; Decoder(Actor)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.actor_decoder\nmidas/sdk/dnsimple/schema actor_decoder","url":"midas/sdk/dnsimple/schema.html#actor_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"actor_to_json","content":"pub fn actor_to_json(data: Actor) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.actor_to_json\nmidas/sdk/dnsimple/schema actor_to_json","url":"midas/sdk/dnsimple/schema.html#actor_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"billing_settings_decoder","content":"pub fn billing_settings_decoder() -&gt; Decoder(BillingSettings)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.billing_settings_decoder\nmidas/sdk/dnsimple/schema billing_settings_decoder","url":"midas/sdk/dnsimple/schema.html#billing_settings_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"billing_settings_to_json","content":"pub fn billing_settings_to_json(data: BillingSettings) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.billing_settings_to_json\nmidas/sdk/dnsimple/schema billing_settings_to_json","url":"midas/sdk/dnsimple/schema.html#billing_settings_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_decoder","content":"pub fn certificate_decoder() -&gt; Decoder(Certificate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_decoder\nmidas/sdk/dnsimple/schema certificate_decoder","url":"midas/sdk/dnsimple/schema.html#certificate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_download_decoder","content":"pub fn certificate_download_decoder() -&gt; Decoder(\n  CertificateDownload,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_download_decoder\nmidas/sdk/dnsimple/schema certificate_download_decoder","url":"midas/sdk/dnsimple/schema.html#certificate_download_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_download_to_json","content":"pub fn certificate_download_to_json(\n  data: CertificateDownload,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_download_to_json\nmidas/sdk/dnsimple/schema certificate_download_to_json","url":"midas/sdk/dnsimple/schema.html#certificate_download_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_private_key_decoder","content":"pub fn certificate_private_key_decoder() -&gt; Decoder(\n  CertificatePrivateKey,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_private_key_decoder\nmidas/sdk/dnsimple/schema certificate_private_key_decoder","url":"midas/sdk/dnsimple/schema.html#certificate_private_key_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_private_key_to_json","content":"pub fn certificate_private_key_to_json(\n  data: CertificatePrivateKey,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_private_key_to_json\nmidas/sdk/dnsimple/schema certificate_private_key_to_json","url":"midas/sdk/dnsimple/schema.html#certificate_private_key_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"certificate_to_json","content":"pub fn certificate_to_json(data: Certificate) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.certificate_to_json\nmidas/sdk/dnsimple/schema certificate_to_json","url":"midas/sdk/dnsimple/schema.html#certificate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_decoder","content":"pub fn charge_decoder() -&gt; Decoder(Charge)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_decoder\nmidas/sdk/dnsimple/schema charge_decoder","url":"midas/sdk/dnsimple/schema.html#charge_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_item_decoder","content":"pub fn charge_item_decoder() -&gt; Decoder(ChargeItem)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_item_decoder\nmidas/sdk/dnsimple/schema charge_item_decoder","url":"midas/sdk/dnsimple/schema.html#charge_item_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_item_to_json","content":"pub fn charge_item_to_json(data: ChargeItem) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_item_to_json\nmidas/sdk/dnsimple/schema charge_item_to_json","url":"midas/sdk/dnsimple/schema.html#charge_item_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"charge_to_json","content":"pub fn charge_to_json(data: Charge) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.charge_to_json\nmidas/sdk/dnsimple/schema charge_to_json","url":"midas/sdk/dnsimple/schema.html#charge_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"collaborator_decoder","content":"pub fn collaborator_decoder() -&gt; Decoder(Collaborator)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.collaborator_decoder\nmidas/sdk/dnsimple/schema collaborator_decoder","url":"midas/sdk/dnsimple/schema.html#collaborator_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"collaborator_to_json","content":"pub fn collaborator_to_json(data: Collaborator) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.collaborator_to_json\nmidas/sdk/dnsimple/schema collaborator_to_json","url":"midas/sdk/dnsimple/schema.html#collaborator_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"contact_decoder","content":"pub fn contact_decoder() -&gt; Decoder(Contact)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.contact_decoder\nmidas/sdk/dnsimple/schema contact_decoder","url":"midas/sdk/dnsimple/schema.html#contact_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"contact_to_json","content":"pub fn contact_to_json(data: Contact) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.contact_to_json\nmidas/sdk/dnsimple/schema contact_to_json","url":"midas/sdk/dnsimple/schema.html#contact_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"delegation_signer_decoder","content":"pub fn delegation_signer_decoder() -&gt; Decoder(DelegationSigner)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.delegation_signer_decoder\nmidas/sdk/dnsimple/schema delegation_signer_decoder","url":"midas/sdk/dnsimple/schema.html#delegation_signer_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"delegation_signer_to_json","content":"pub fn delegation_signer_to_json(data: DelegationSigner) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.delegation_signer_to_json\nmidas/sdk/dnsimple/schema delegation_signer_to_json","url":"midas/sdk/dnsimple/schema.html#delegation_signer_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"dnssec_decoder","content":"pub fn dnssec_decoder() -&gt; Decoder(Dnssec)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.dnssec_decoder\nmidas/sdk/dnsimple/schema dnssec_decoder","url":"midas/sdk/dnsimple/schema.html#dnssec_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"dnssec_to_json","content":"pub fn dnssec_to_json(data: Dnssec) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.dnssec_to_json\nmidas/sdk/dnsimple/schema dnssec_to_json","url":"midas/sdk/dnsimple/schema.html#dnssec_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_check_result_decoder","content":"pub fn domain_check_result_decoder() -&gt; Decoder(DomainCheckResult)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_check_result_decoder\nmidas/sdk/dnsimple/schema domain_check_result_decoder","url":"midas/sdk/dnsimple/schema.html#domain_check_result_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_check_result_to_json","content":"pub fn domain_check_result_to_json(\n  data: DomainCheckResult,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_check_result_to_json\nmidas/sdk/dnsimple/schema domain_check_result_to_json","url":"midas/sdk/dnsimple/schema.html#domain_check_result_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_decoder","content":"pub fn domain_decoder() -&gt; Decoder(Domain)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_decoder\nmidas/sdk/dnsimple/schema domain_decoder","url":"midas/sdk/dnsimple/schema.html#domain_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_premium_price_decoder","content":"pub fn domain_premium_price_decoder() -&gt; Decoder(\n  DomainPremiumPrice,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_premium_price_decoder\nmidas/sdk/dnsimple/schema domain_premium_price_decoder","url":"midas/sdk/dnsimple/schema.html#domain_premium_price_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_premium_price_to_json","content":"pub fn domain_premium_price_to_json(\n  data: DomainPremiumPrice,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_premium_price_to_json\nmidas/sdk/dnsimple/schema domain_premium_price_to_json","url":"midas/sdk/dnsimple/schema.html#domain_premium_price_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_prices_decoder","content":"pub fn domain_prices_decoder() -&gt; Decoder(DomainPrices)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_prices_decoder\nmidas/sdk/dnsimple/schema domain_prices_decoder","url":"midas/sdk/dnsimple/schema.html#domain_prices_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_prices_to_json","content":"pub fn domain_prices_to_json(data: DomainPrices) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_prices_to_json\nmidas/sdk/dnsimple/schema domain_prices_to_json","url":"midas/sdk/dnsimple/schema.html#domain_prices_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_registration_decoder","content":"pub fn domain_registration_decoder() -&gt; Decoder(\n  DomainRegistration,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_registration_decoder\nmidas/sdk/dnsimple/schema domain_registration_decoder","url":"midas/sdk/dnsimple/schema.html#domain_registration_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_registration_to_json","content":"pub fn domain_registration_to_json(\n  data: DomainRegistration,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_registration_to_json\nmidas/sdk/dnsimple/schema domain_registration_to_json","url":"midas/sdk/dnsimple/schema.html#domain_registration_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_renewal_decoder","content":"pub fn domain_renewal_decoder() -&gt; Decoder(DomainRenewal)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_renewal_decoder\nmidas/sdk/dnsimple/schema domain_renewal_decoder","url":"midas/sdk/dnsimple/schema.html#domain_renewal_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_renewal_to_json","content":"pub fn domain_renewal_to_json(data: DomainRenewal) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_renewal_to_json\nmidas/sdk/dnsimple/schema domain_renewal_to_json","url":"midas/sdk/dnsimple/schema.html#domain_renewal_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_restore_decoder","content":"pub fn domain_restore_decoder() -&gt; Decoder(DomainRestore)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_restore_decoder\nmidas/sdk/dnsimple/schema domain_restore_decoder","url":"midas/sdk/dnsimple/schema.html#domain_restore_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_restore_to_json","content":"pub fn domain_restore_to_json(data: DomainRestore) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_restore_to_json\nmidas/sdk/dnsimple/schema domain_restore_to_json","url":"midas/sdk/dnsimple/schema.html#domain_restore_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_to_json","content":"pub fn domain_to_json(data: Domain) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_to_json\nmidas/sdk/dnsimple/schema domain_to_json","url":"midas/sdk/dnsimple/schema.html#domain_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_decoder","content":"pub fn domain_transfer_decoder() -&gt; Decoder(DomainTransfer)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_decoder\nmidas/sdk/dnsimple/schema domain_transfer_decoder","url":"midas/sdk/dnsimple/schema.html#domain_transfer_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_lock_decoder","content":"pub fn domain_transfer_lock_decoder() -&gt; Decoder(\n  DomainTransferLock,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_lock_decoder\nmidas/sdk/dnsimple/schema domain_transfer_lock_decoder","url":"midas/sdk/dnsimple/schema.html#domain_transfer_lock_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_lock_to_json","content":"pub fn domain_transfer_lock_to_json(\n  data: DomainTransferLock,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_lock_to_json\nmidas/sdk/dnsimple/schema domain_transfer_lock_to_json","url":"midas/sdk/dnsimple/schema.html#domain_transfer_lock_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"domain_transfer_to_json","content":"pub fn domain_transfer_to_json(data: DomainTransfer) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.domain_transfer_to_json\nmidas/sdk/dnsimple/schema domain_transfer_to_json","url":"midas/sdk/dnsimple/schema.html#domain_transfer_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"email_forward_decoder","content":"pub fn email_forward_decoder() -&gt; Decoder(EmailForward)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.email_forward_decoder\nmidas/sdk/dnsimple/schema email_forward_decoder","url":"midas/sdk/dnsimple/schema.html#email_forward_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"email_forward_to_json","content":"pub fn email_forward_to_json(data: EmailForward) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.email_forward_to_json\nmidas/sdk/dnsimple/schema email_forward_to_json","url":"midas/sdk/dnsimple/schema.html#email_forward_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"error_decoder","content":"pub fn error_decoder() -&gt; Decoder(Error)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.error_decoder\nmidas/sdk/dnsimple/schema error_decoder","url":"midas/sdk/dnsimple/schema.html#error_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"error_to_json","content":"pub fn error_to_json(data: Error) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.error_to_json\nmidas/sdk/dnsimple/schema error_to_json","url":"midas/sdk/dnsimple/schema.html#error_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_add_user_decoder","content":"pub fn event_account_add_user_decoder() -&gt; Decoder(\n  EventAccountAddUser,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_add_user_decoder\nmidas/sdk/dnsimple/schema event_account_add_user_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_add_user_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_add_user_to_json","content":"pub fn event_account_add_user_to_json(\n  data: EventAccountAddUser,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_add_user_to_json\nmidas/sdk/dnsimple/schema event_account_add_user_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_add_user_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_billing_settings_update_decoder","content":"pub fn event_account_billing_settings_update_decoder() -&gt; Decoder(\n  EventAccountBillingSettingsUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_billing_settings_update_decoder\nmidas/sdk/dnsimple/schema event_account_billing_settings_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_billing_settings_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_billing_settings_update_to_json","content":"pub fn event_account_billing_settings_update_to_json(\n  data: EventAccountBillingSettingsUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_billing_settings_update_to_json\nmidas/sdk/dnsimple/schema event_account_billing_settings_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_billing_settings_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_accept_decoder","content":"pub fn event_account_invitation_accept_decoder() -&gt; Decoder(\n  EventAccountInvitationAccept,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_accept_decoder\nmidas/sdk/dnsimple/schema event_account_invitation_accept_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_accept_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_accept_to_json","content":"pub fn event_account_invitation_accept_to_json(\n  data: EventAccountInvitationAccept,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_accept_to_json\nmidas/sdk/dnsimple/schema event_account_invitation_accept_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_accept_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_create_decoder","content":"pub fn event_account_invitation_create_decoder() -&gt; Decoder(\n  EventAccountInvitationCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_create_decoder\nmidas/sdk/dnsimple/schema event_account_invitation_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_create_to_json","content":"pub fn event_account_invitation_create_to_json(\n  data: EventAccountInvitationCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_create_to_json\nmidas/sdk/dnsimple/schema event_account_invitation_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_remove_decoder","content":"pub fn event_account_invitation_remove_decoder() -&gt; Decoder(\n  EventAccountInvitationRemove,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_remove_decoder\nmidas/sdk/dnsimple/schema event_account_invitation_remove_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_remove_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_remove_to_json","content":"pub fn event_account_invitation_remove_to_json(\n  data: EventAccountInvitationRemove,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_remove_to_json\nmidas/sdk/dnsimple/schema event_account_invitation_remove_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_remove_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_resend_decoder","content":"pub fn event_account_invitation_resend_decoder() -&gt; Decoder(\n  EventAccountInvitationResend,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_resend_decoder\nmidas/sdk/dnsimple/schema event_account_invitation_resend_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_resend_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_invitation_resend_to_json","content":"pub fn event_account_invitation_resend_to_json(\n  data: EventAccountInvitationResend,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_invitation_resend_to_json\nmidas/sdk/dnsimple/schema event_account_invitation_resend_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_invitation_resend_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_payment_details_update_decoder","content":"pub fn event_account_payment_details_update_decoder() -&gt; Decoder(\n  EventAccountPaymentDetailsUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_payment_details_update_decoder\nmidas/sdk/dnsimple/schema event_account_payment_details_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_payment_details_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_payment_details_update_to_json","content":"pub fn event_account_payment_details_update_to_json(\n  data: EventAccountPaymentDetailsUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_payment_details_update_to_json\nmidas/sdk/dnsimple/schema event_account_payment_details_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_payment_details_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_remove_user_decoder","content":"pub fn event_account_remove_user_decoder() -&gt; Decoder(\n  EventAccountRemoveUser,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_remove_user_decoder\nmidas/sdk/dnsimple/schema event_account_remove_user_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_remove_user_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_remove_user_to_json","content":"pub fn event_account_remove_user_to_json(\n  data: EventAccountRemoveUser,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_remove_user_to_json\nmidas/sdk/dnsimple/schema event_account_remove_user_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_remove_user_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_update_decoder","content":"pub fn event_account_update_decoder() -&gt; Decoder(\n  EventAccountUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_update_decoder\nmidas/sdk/dnsimple/schema event_account_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_account_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_account_update_to_json","content":"pub fn event_account_update_to_json(\n  data: EventAccountUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_account_update_to_json\nmidas/sdk/dnsimple/schema event_account_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_account_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_disable_decoder","content":"pub fn event_certificate_auto_renewal_disable_decoder() -&gt; Decoder(\n  EventCertificateAutoRenewalDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_disable_decoder\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_disable_to_json","content":"pub fn event_certificate_auto_renewal_disable_to_json(\n  data: EventCertificateAutoRenewalDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_disable_to_json\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_enable_decoder","content":"pub fn event_certificate_auto_renewal_enable_decoder() -&gt; Decoder(\n  EventCertificateAutoRenewalEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_enable_decoder\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_enable_to_json","content":"pub fn event_certificate_auto_renewal_enable_to_json(\n  data: EventCertificateAutoRenewalEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_enable_to_json\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_failed_decoder","content":"pub fn event_certificate_auto_renewal_failed_decoder() -&gt; Decoder(\n  EventCertificateAutoRenewalFailed,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_failed_decoder\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_failed_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_failed_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_auto_renewal_failed_to_json","content":"pub fn event_certificate_auto_renewal_failed_to_json(\n  data: EventCertificateAutoRenewalFailed,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_auto_renewal_failed_to_json\nmidas/sdk/dnsimple/schema event_certificate_auto_renewal_failed_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_auto_renewal_failed_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_issue_decoder","content":"pub fn event_certificate_issue_decoder() -&gt; Decoder(\n  EventCertificateIssue,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_issue_decoder\nmidas/sdk/dnsimple/schema event_certificate_issue_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_issue_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_issue_to_json","content":"pub fn event_certificate_issue_to_json(\n  data: EventCertificateIssue,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_issue_to_json\nmidas/sdk/dnsimple/schema event_certificate_issue_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_issue_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_reissue_decoder","content":"pub fn event_certificate_reissue_decoder() -&gt; Decoder(\n  EventCertificateReissue,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_reissue_decoder\nmidas/sdk/dnsimple/schema event_certificate_reissue_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_reissue_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_reissue_to_json","content":"pub fn event_certificate_reissue_to_json(\n  data: EventCertificateReissue,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_reissue_to_json\nmidas/sdk/dnsimple/schema event_certificate_reissue_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_reissue_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_remove_private_key_decoder","content":"pub fn event_certificate_remove_private_key_decoder() -&gt; Decoder(\n  EventCertificateRemovePrivateKey,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_remove_private_key_decoder\nmidas/sdk/dnsimple/schema event_certificate_remove_private_key_decoder","url":"midas/sdk/dnsimple/schema.html#event_certificate_remove_private_key_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_certificate_remove_private_key_to_json","content":"pub fn event_certificate_remove_private_key_to_json(\n  data: EventCertificateRemovePrivateKey,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_certificate_remove_private_key_to_json\nmidas/sdk/dnsimple/schema event_certificate_remove_private_key_to_json","url":"midas/sdk/dnsimple/schema.html#event_certificate_remove_private_key_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_create_decoder","content":"pub fn event_contact_create_decoder() -&gt; Decoder(\n  EventContactCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_create_decoder\nmidas/sdk/dnsimple/schema event_contact_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_contact_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_create_to_json","content":"pub fn event_contact_create_to_json(\n  data: EventContactCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_create_to_json\nmidas/sdk/dnsimple/schema event_contact_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_contact_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_delete_decoder","content":"pub fn event_contact_delete_decoder() -&gt; Decoder(\n  EventContactDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_delete_decoder\nmidas/sdk/dnsimple/schema event_contact_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_contact_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_delete_to_json","content":"pub fn event_contact_delete_to_json(\n  data: EventContactDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_delete_to_json\nmidas/sdk/dnsimple/schema event_contact_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_contact_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_update_decoder","content":"pub fn event_contact_update_decoder() -&gt; Decoder(\n  EventContactUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_update_decoder\nmidas/sdk/dnsimple/schema event_contact_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_contact_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_contact_update_to_json","content":"pub fn event_contact_update_to_json(\n  data: EventContactUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_contact_update_to_json\nmidas/sdk/dnsimple/schema event_contact_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_contact_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnsseccreate_decoder","content":"pub fn event_dnsseccreate_decoder() -&gt; Decoder(EventDnsseccreate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnsseccreate_decoder\nmidas/sdk/dnsimple/schema event_dnsseccreate_decoder","url":"midas/sdk/dnsimple/schema.html#event_dnsseccreate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnsseccreate_to_json","content":"pub fn event_dnsseccreate_to_json(\n  data: EventDnsseccreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnsseccreate_to_json\nmidas/sdk/dnsimple/schema event_dnsseccreate_to_json","url":"midas/sdk/dnsimple/schema.html#event_dnsseccreate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecdelete_decoder","content":"pub fn event_dnssecdelete_decoder() -&gt; Decoder(EventDnssecdelete)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecdelete_decoder\nmidas/sdk/dnsimple/schema event_dnssecdelete_decoder","url":"midas/sdk/dnsimple/schema.html#event_dnssecdelete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecdelete_to_json","content":"pub fn event_dnssecdelete_to_json(\n  data: EventDnssecdelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecdelete_to_json\nmidas/sdk/dnsimple/schema event_dnssecdelete_to_json","url":"midas/sdk/dnsimple/schema.html#event_dnssecdelete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_complete_decoder","content":"pub fn event_dnssecrotation_complete_decoder() -&gt; Decoder(\n  EventDnssecrotationComplete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_complete_decoder\nmidas/sdk/dnsimple/schema event_dnssecrotation_complete_decoder","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_complete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_complete_to_json","content":"pub fn event_dnssecrotation_complete_to_json(\n  data: EventDnssecrotationComplete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_complete_to_json\nmidas/sdk/dnsimple/schema event_dnssecrotation_complete_to_json","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_complete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_start_decoder","content":"pub fn event_dnssecrotation_start_decoder() -&gt; Decoder(\n  EventDnssecrotationStart,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_start_decoder\nmidas/sdk/dnsimple/schema event_dnssecrotation_start_decoder","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_start_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_dnssecrotation_start_to_json","content":"pub fn event_dnssecrotation_start_to_json(\n  data: EventDnssecrotationStart,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_dnssecrotation_start_to_json\nmidas/sdk/dnsimple/schema event_dnssecrotation_start_to_json","url":"midas/sdk/dnsimple/schema.html#event_dnssecrotation_start_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_disable_decoder","content":"pub fn event_domain_auto_renewal_disable_decoder() -&gt; Decoder(\n  EventDomainAutoRenewalDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_disable_decoder\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_disable_to_json","content":"pub fn event_domain_auto_renewal_disable_to_json(\n  data: EventDomainAutoRenewalDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_disable_to_json\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_enable_decoder","content":"pub fn event_domain_auto_renewal_enable_decoder() -&gt; Decoder(\n  EventDomainAutoRenewalEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_enable_decoder\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_auto_renewal_enable_to_json","content":"pub fn event_domain_auto_renewal_enable_to_json(\n  data: EventDomainAutoRenewalEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_auto_renewal_enable_to_json\nmidas/sdk/dnsimple/schema event_domain_auto_renewal_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_auto_renewal_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_create_decoder","content":"pub fn event_domain_create_decoder() -&gt; Decoder(EventDomainCreate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_create_decoder\nmidas/sdk/dnsimple/schema event_domain_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_create_to_json","content":"pub fn event_domain_create_to_json(\n  data: EventDomainCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_create_to_json\nmidas/sdk/dnsimple/schema event_domain_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delegation_change_decoder","content":"pub fn event_domain_delegation_change_decoder() -&gt; Decoder(\n  EventDomainDelegationChange,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delegation_change_decoder\nmidas/sdk/dnsimple/schema event_domain_delegation_change_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_delegation_change_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delegation_change_to_json","content":"pub fn event_domain_delegation_change_to_json(\n  data: EventDomainDelegationChange,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delegation_change_to_json\nmidas/sdk/dnsimple/schema event_domain_delegation_change_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_delegation_change_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delete_decoder","content":"pub fn event_domain_delete_decoder() -&gt; Decoder(EventDomainDelete)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delete_decoder\nmidas/sdk/dnsimple/schema event_domain_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_delete_to_json","content":"pub fn event_domain_delete_to_json(\n  data: EventDomainDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_delete_to_json\nmidas/sdk/dnsimple/schema event_domain_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_cancelled_decoder","content":"pub fn event_domain_register_cancelled_decoder() -&gt; Decoder(\n  EventDomainRegisterCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_register_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_register_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_cancelled_to_json","content":"pub fn event_domain_register_cancelled_to_json(\n  data: EventDomainRegisterCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_register_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_register_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_decoder","content":"pub fn event_domain_register_decoder() -&gt; Decoder(\n  EventDomainRegister,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_decoder\nmidas/sdk/dnsimple/schema event_domain_register_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_register_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_started_decoder","content":"pub fn event_domain_register_started_decoder() -&gt; Decoder(\n  EventDomainRegisterStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_started_decoder\nmidas/sdk/dnsimple/schema event_domain_register_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_register_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_started_to_json","content":"pub fn event_domain_register_started_to_json(\n  data: EventDomainRegisterStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_started_to_json\nmidas/sdk/dnsimple/schema event_domain_register_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_register_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_register_to_json","content":"pub fn event_domain_register_to_json(\n  data: EventDomainRegister,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_register_to_json\nmidas/sdk/dnsimple/schema event_domain_register_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_register_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_cancelled_decoder","content":"pub fn event_domain_registrant_change_cancelled_decoder() -&gt; Decoder(\n  EventDomainRegistrantChangeCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_registrant_change_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_cancelled_to_json","content":"pub fn event_domain_registrant_change_cancelled_to_json(\n  data: EventDomainRegistrantChangeCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_registrant_change_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_decoder","content":"pub fn event_domain_registrant_change_decoder() -&gt; Decoder(\n  EventDomainRegistrantChange,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_decoder\nmidas/sdk/dnsimple/schema event_domain_registrant_change_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_started_decoder","content":"pub fn event_domain_registrant_change_started_decoder() -&gt; Decoder(\n  EventDomainRegistrantChangeStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_started_decoder\nmidas/sdk/dnsimple/schema event_domain_registrant_change_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_started_to_json","content":"pub fn event_domain_registrant_change_started_to_json(\n  data: EventDomainRegistrantChangeStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_started_to_json\nmidas/sdk/dnsimple/schema event_domain_registrant_change_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_registrant_change_to_json","content":"pub fn event_domain_registrant_change_to_json(\n  data: EventDomainRegistrantChange,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_registrant_change_to_json\nmidas/sdk/dnsimple/schema event_domain_registrant_change_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_registrant_change_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_cancelled_decoder","content":"pub fn event_domain_renew_cancelled_decoder() -&gt; Decoder(\n  EventDomainRenewCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_renew_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_cancelled_to_json","content":"pub fn event_domain_renew_cancelled_to_json(\n  data: EventDomainRenewCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_renew_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_decoder","content":"pub fn event_domain_renew_decoder() -&gt; Decoder(EventDomainRenew)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_decoder\nmidas/sdk/dnsimple/schema event_domain_renew_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_started_decoder","content":"pub fn event_domain_renew_started_decoder() -&gt; Decoder(\n  EventDomainRenewStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_started_decoder\nmidas/sdk/dnsimple/schema event_domain_renew_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_started_to_json","content":"pub fn event_domain_renew_started_to_json(\n  data: EventDomainRenewStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_started_to_json\nmidas/sdk/dnsimple/schema event_domain_renew_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_renew_to_json","content":"pub fn event_domain_renew_to_json(data: EventDomainRenew) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_renew_to_json\nmidas/sdk/dnsimple/schema event_domain_renew_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_renew_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_disable_decoder","content":"pub fn event_domain_resolution_disable_decoder() -&gt; Decoder(\n  EventDomainResolutionDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_disable_decoder\nmidas/sdk/dnsimple/schema event_domain_resolution_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_disable_to_json","content":"pub fn event_domain_resolution_disable_to_json(\n  data: EventDomainResolutionDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_disable_to_json\nmidas/sdk/dnsimple/schema event_domain_resolution_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_enable_decoder","content":"pub fn event_domain_resolution_enable_decoder() -&gt; Decoder(\n  EventDomainResolutionEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_enable_decoder\nmidas/sdk/dnsimple/schema event_domain_resolution_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_resolution_enable_to_json","content":"pub fn event_domain_resolution_enable_to_json(\n  data: EventDomainResolutionEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_resolution_enable_to_json\nmidas/sdk/dnsimple/schema event_domain_resolution_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_resolution_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_cancelled_decoder","content":"pub fn event_domain_restore_cancelled_decoder() -&gt; Decoder(\n  EventDomainRestoreCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_restore_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_cancelled_to_json","content":"pub fn event_domain_restore_cancelled_to_json(\n  data: EventDomainRestoreCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_restore_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_decoder","content":"pub fn event_domain_restore_decoder() -&gt; Decoder(\n  EventDomainRestore,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_decoder\nmidas/sdk/dnsimple/schema event_domain_restore_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_started_decoder","content":"pub fn event_domain_restore_started_decoder() -&gt; Decoder(\n  EventDomainRestoreStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_started_decoder\nmidas/sdk/dnsimple/schema event_domain_restore_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_started_to_json","content":"pub fn event_domain_restore_started_to_json(\n  data: EventDomainRestoreStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_started_to_json\nmidas/sdk/dnsimple/schema event_domain_restore_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_restore_to_json","content":"pub fn event_domain_restore_to_json(\n  data: EventDomainRestore,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_restore_to_json\nmidas/sdk/dnsimple/schema event_domain_restore_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_restore_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_cancelled_decoder","content":"pub fn event_domain_transfer_cancelled_decoder() -&gt; Decoder(\n  EventDomainTransferCancelled,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_cancelled_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_cancelled_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_cancelled_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_cancelled_to_json","content":"pub fn event_domain_transfer_cancelled_to_json(\n  data: EventDomainTransferCancelled,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_cancelled_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_cancelled_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_cancelled_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_decoder","content":"pub fn event_domain_transfer_decoder() -&gt; Decoder(\n  EventDomainTransfer,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_disable_decoder","content":"pub fn event_domain_transfer_lock_disable_decoder() -&gt; Decoder(\n  EventDomainTransferLockDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_disable_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_disable_to_json","content":"pub fn event_domain_transfer_lock_disable_to_json(\n  data: EventDomainTransferLockDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_disable_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_enable_decoder","content":"pub fn event_domain_transfer_lock_enable_decoder() -&gt; Decoder(\n  EventDomainTransferLockEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_enable_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_lock_enable_to_json","content":"pub fn event_domain_transfer_lock_enable_to_json(\n  data: EventDomainTransferLockEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_lock_enable_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_lock_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_lock_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_started_decoder","content":"pub fn event_domain_transfer_started_decoder() -&gt; Decoder(\n  EventDomainTransferStarted,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_started_decoder\nmidas/sdk/dnsimple/schema event_domain_transfer_started_decoder","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_started_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_started_to_json","content":"pub fn event_domain_transfer_started_to_json(\n  data: EventDomainTransferStarted,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_started_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_started_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_started_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_domain_transfer_to_json","content":"pub fn event_domain_transfer_to_json(\n  data: EventDomainTransfer,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_domain_transfer_to_json\nmidas/sdk/dnsimple/schema event_domain_transfer_to_json","url":"midas/sdk/dnsimple/schema.html#event_domain_transfer_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_create_decoder","content":"pub fn event_email_forward_create_decoder() -&gt; Decoder(\n  EventEmailForwardCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_create_decoder\nmidas/sdk/dnsimple/schema event_email_forward_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_email_forward_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_create_to_json","content":"pub fn event_email_forward_create_to_json(\n  data: EventEmailForwardCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_create_to_json\nmidas/sdk/dnsimple/schema event_email_forward_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_email_forward_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_delete_decoder","content":"pub fn event_email_forward_delete_decoder() -&gt; Decoder(\n  EventEmailForwardDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_delete_decoder\nmidas/sdk/dnsimple/schema event_email_forward_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_email_forward_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_delete_to_json","content":"pub fn event_email_forward_delete_to_json(\n  data: EventEmailForwardDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_delete_to_json\nmidas/sdk/dnsimple/schema event_email_forward_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_email_forward_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_update_decoder","content":"pub fn event_email_forward_update_decoder() -&gt; Decoder(\n  EventEmailForwardUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_update_decoder\nmidas/sdk/dnsimple/schema event_email_forward_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_email_forward_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_email_forward_update_to_json","content":"pub fn event_email_forward_update_to_json(\n  data: EventEmailForwardUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_email_forward_update_to_json\nmidas/sdk/dnsimple/schema event_email_forward_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_email_forward_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_invoice_collect_decoder","content":"pub fn event_invoice_collect_decoder() -&gt; Decoder(\n  EventInvoiceCollect,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_invoice_collect_decoder\nmidas/sdk/dnsimple/schema event_invoice_collect_decoder","url":"midas/sdk/dnsimple/schema.html#event_invoice_collect_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_invoice_collect_to_json","content":"pub fn event_invoice_collect_to_json(\n  data: EventInvoiceCollect,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_invoice_collect_to_json\nmidas/sdk/dnsimple/schema event_invoice_collect_to_json","url":"midas/sdk/dnsimple/schema.html#event_invoice_collect_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_deregister_decoder","content":"pub fn event_name_server_deregister_decoder() -&gt; Decoder(\n  EventNameServerDeregister,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_deregister_decoder\nmidas/sdk/dnsimple/schema event_name_server_deregister_decoder","url":"midas/sdk/dnsimple/schema.html#event_name_server_deregister_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_deregister_to_json","content":"pub fn event_name_server_deregister_to_json(\n  data: EventNameServerDeregister,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_deregister_to_json\nmidas/sdk/dnsimple/schema event_name_server_deregister_to_json","url":"midas/sdk/dnsimple/schema.html#event_name_server_deregister_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_register_decoder","content":"pub fn event_name_server_register_decoder() -&gt; Decoder(\n  EventNameServerRegister,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_register_decoder\nmidas/sdk/dnsimple/schema event_name_server_register_decoder","url":"midas/sdk/dnsimple/schema.html#event_name_server_register_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_name_server_register_to_json","content":"pub fn event_name_server_register_to_json(\n  data: EventNameServerRegister,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_name_server_register_to_json\nmidas/sdk/dnsimple/schema event_name_server_register_to_json","url":"midas/sdk/dnsimple/schema.html#event_name_server_register_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_create_decoder","content":"pub fn event_oauth_application_create_decoder() -&gt; Decoder(\n  EventOauthApplicationCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_create_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_create_to_json","content":"pub fn event_oauth_application_create_to_json(\n  data: EventOauthApplicationCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_create_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_delete_decoder","content":"pub fn event_oauth_application_delete_decoder() -&gt; Decoder(\n  EventOauthApplicationDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_delete_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_delete_to_json","content":"pub fn event_oauth_application_delete_to_json(\n  data: EventOauthApplicationDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_delete_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_reset_client_secret_decoder","content":"pub fn event_oauth_application_reset_client_secret_decoder() -&gt; Decoder(\n  EventOauthApplicationResetClientSecret,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_reset_client_secret_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_reset_client_secret_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_reset_client_secret_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_reset_client_secret_to_json","content":"pub fn event_oauth_application_reset_client_secret_to_json(\n  data: EventOauthApplicationResetClientSecret,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_reset_client_secret_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_reset_client_secret_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_reset_client_secret_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_revoke_access_tokens_decoder","content":"pub fn event_oauth_application_revoke_access_tokens_decoder() -&gt; Decoder(\n  EventOauthApplicationRevokeAccessTokens,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_revoke_access_tokens_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_revoke_access_tokens_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_revoke_access_tokens_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_revoke_access_tokens_to_json","content":"pub fn event_oauth_application_revoke_access_tokens_to_json(\n  data: EventOauthApplicationRevokeAccessTokens,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_revoke_access_tokens_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_revoke_access_tokens_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_revoke_access_tokens_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_update_decoder","content":"pub fn event_oauth_application_update_decoder() -&gt; Decoder(\n  EventOauthApplicationUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_update_decoder\nmidas/sdk/dnsimple/schema event_oauth_application_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_oauth_application_update_to_json","content":"pub fn event_oauth_application_update_to_json(\n  data: EventOauthApplicationUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_oauth_application_update_to_json\nmidas/sdk/dnsimple/schema event_oauth_application_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_oauth_application_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_accept_decoder","content":"pub fn event_push_accept_decoder() -&gt; Decoder(EventPushAccept)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_accept_decoder\nmidas/sdk/dnsimple/schema event_push_accept_decoder","url":"midas/sdk/dnsimple/schema.html#event_push_accept_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_accept_to_json","content":"pub fn event_push_accept_to_json(data: EventPushAccept) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_accept_to_json\nmidas/sdk/dnsimple/schema event_push_accept_to_json","url":"midas/sdk/dnsimple/schema.html#event_push_accept_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_initiate_decoder","content":"pub fn event_push_initiate_decoder() -&gt; Decoder(EventPushInitiate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_initiate_decoder\nmidas/sdk/dnsimple/schema event_push_initiate_decoder","url":"midas/sdk/dnsimple/schema.html#event_push_initiate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_initiate_to_json","content":"pub fn event_push_initiate_to_json(\n  data: EventPushInitiate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_initiate_to_json\nmidas/sdk/dnsimple/schema event_push_initiate_to_json","url":"midas/sdk/dnsimple/schema.html#event_push_initiate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_reject_decoder","content":"pub fn event_push_reject_decoder() -&gt; Decoder(EventPushReject)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_reject_decoder\nmidas/sdk/dnsimple/schema event_push_reject_decoder","url":"midas/sdk/dnsimple/schema.html#event_push_reject_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_push_reject_to_json","content":"pub fn event_push_reject_to_json(data: EventPushReject) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_push_reject_to_json\nmidas/sdk/dnsimple/schema event_push_reject_to_json","url":"midas/sdk/dnsimple/schema.html#event_push_reject_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_create_decoder","content":"pub fn event_record_create_decoder() -&gt; Decoder(EventRecordCreate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_create_decoder\nmidas/sdk/dnsimple/schema event_record_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_record_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_create_to_json","content":"pub fn event_record_create_to_json(\n  data: EventRecordCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_create_to_json\nmidas/sdk/dnsimple/schema event_record_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_record_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_delete_decoder","content":"pub fn event_record_delete_decoder() -&gt; Decoder(EventRecordDelete)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_delete_decoder\nmidas/sdk/dnsimple/schema event_record_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_record_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_delete_to_json","content":"pub fn event_record_delete_to_json(\n  data: EventRecordDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_delete_to_json\nmidas/sdk/dnsimple/schema event_record_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_record_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_update_decoder","content":"pub fn event_record_update_decoder() -&gt; Decoder(EventRecordUpdate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_update_decoder\nmidas/sdk/dnsimple/schema event_record_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_record_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_record_update_to_json","content":"pub fn event_record_update_to_json(\n  data: EventRecordUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_record_update_to_json\nmidas/sdk/dnsimple/schema event_record_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_record_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnscreate_decoder","content":"pub fn event_secondary_dnscreate_decoder() -&gt; Decoder(\n  EventSecondaryDnscreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnscreate_decoder\nmidas/sdk/dnsimple/schema event_secondary_dnscreate_decoder","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnscreate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnscreate_to_json","content":"pub fn event_secondary_dnscreate_to_json(\n  data: EventSecondaryDnscreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnscreate_to_json\nmidas/sdk/dnsimple/schema event_secondary_dnscreate_to_json","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnscreate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsdelete_decoder","content":"pub fn event_secondary_dnsdelete_decoder() -&gt; Decoder(\n  EventSecondaryDnsdelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsdelete_decoder\nmidas/sdk/dnsimple/schema event_secondary_dnsdelete_decoder","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsdelete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsdelete_to_json","content":"pub fn event_secondary_dnsdelete_to_json(\n  data: EventSecondaryDnsdelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsdelete_to_json\nmidas/sdk/dnsimple/schema event_secondary_dnsdelete_to_json","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsdelete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsupdate_decoder","content":"pub fn event_secondary_dnsupdate_decoder() -&gt; Decoder(\n  EventSecondaryDnsupdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsupdate_decoder\nmidas/sdk/dnsimple/schema event_secondary_dnsupdate_decoder","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsupdate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_secondary_dnsupdate_to_json","content":"pub fn event_secondary_dnsupdate_to_json(\n  data: EventSecondaryDnsupdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_secondary_dnsupdate_to_json\nmidas/sdk/dnsimple/schema event_secondary_dnsupdate_to_json","url":"midas/sdk/dnsimple/schema.html#event_secondary_dnsupdate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_migrate_decoder","content":"pub fn event_subscription_migrate_decoder() -&gt; Decoder(\n  EventSubscriptionMigrate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_migrate_decoder\nmidas/sdk/dnsimple/schema event_subscription_migrate_decoder","url":"midas/sdk/dnsimple/schema.html#event_subscription_migrate_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_migrate_to_json","content":"pub fn event_subscription_migrate_to_json(\n  data: EventSubscriptionMigrate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_migrate_to_json\nmidas/sdk/dnsimple/schema event_subscription_migrate_to_json","url":"midas/sdk/dnsimple/schema.html#event_subscription_migrate_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_renew_decoder","content":"pub fn event_subscription_renew_decoder() -&gt; Decoder(\n  EventSubscriptionRenew,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_renew_decoder\nmidas/sdk/dnsimple/schema event_subscription_renew_decoder","url":"midas/sdk/dnsimple/schema.html#event_subscription_renew_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_renew_to_json","content":"pub fn event_subscription_renew_to_json(\n  data: EventSubscriptionRenew,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_renew_to_json\nmidas/sdk/dnsimple/schema event_subscription_renew_to_json","url":"midas/sdk/dnsimple/schema.html#event_subscription_renew_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_subscribe_decoder","content":"pub fn event_subscription_subscribe_decoder() -&gt; Decoder(\n  EventSubscriptionSubscribe,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_subscribe_decoder\nmidas/sdk/dnsimple/schema event_subscription_subscribe_decoder","url":"midas/sdk/dnsimple/schema.html#event_subscription_subscribe_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_subscribe_to_json","content":"pub fn event_subscription_subscribe_to_json(\n  data: EventSubscriptionSubscribe,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_subscribe_to_json\nmidas/sdk/dnsimple/schema event_subscription_subscribe_to_json","url":"midas/sdk/dnsimple/schema.html#event_subscription_subscribe_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_unsubscribe_decoder","content":"pub fn event_subscription_unsubscribe_decoder() -&gt; Decoder(\n  EventSubscriptionUnsubscribe,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_unsubscribe_decoder\nmidas/sdk/dnsimple/schema event_subscription_unsubscribe_decoder","url":"midas/sdk/dnsimple/schema.html#event_subscription_unsubscribe_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_subscription_unsubscribe_to_json","content":"pub fn event_subscription_unsubscribe_to_json(\n  data: EventSubscriptionUnsubscribe,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_subscription_unsubscribe_to_json\nmidas/sdk/dnsimple/schema event_subscription_unsubscribe_to_json","url":"midas/sdk/dnsimple/schema.html#event_subscription_unsubscribe_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_apply_decoder","content":"pub fn event_template_apply_decoder() -&gt; Decoder(\n  EventTemplateApply,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_apply_decoder\nmidas/sdk/dnsimple/schema event_template_apply_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_apply_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_apply_to_json","content":"pub fn event_template_apply_to_json(\n  data: EventTemplateApply,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_apply_to_json\nmidas/sdk/dnsimple/schema event_template_apply_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_apply_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_create_decoder","content":"pub fn event_template_create_decoder() -&gt; Decoder(\n  EventTemplateCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_create_decoder\nmidas/sdk/dnsimple/schema event_template_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_create_to_json","content":"pub fn event_template_create_to_json(\n  data: EventTemplateCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_create_to_json\nmidas/sdk/dnsimple/schema event_template_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_delete_decoder","content":"pub fn event_template_delete_decoder() -&gt; Decoder(\n  EventTemplateDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_delete_decoder\nmidas/sdk/dnsimple/schema event_template_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_delete_to_json","content":"pub fn event_template_delete_to_json(\n  data: EventTemplateDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_delete_to_json\nmidas/sdk/dnsimple/schema event_template_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_create_decoder","content":"pub fn event_template_record_create_decoder() -&gt; Decoder(\n  EventTemplateRecordCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_create_decoder\nmidas/sdk/dnsimple/schema event_template_record_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_record_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_create_to_json","content":"pub fn event_template_record_create_to_json(\n  data: EventTemplateRecordCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_create_to_json\nmidas/sdk/dnsimple/schema event_template_record_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_record_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_delete_decoder","content":"pub fn event_template_record_delete_decoder() -&gt; Decoder(\n  EventTemplateRecordDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_delete_decoder\nmidas/sdk/dnsimple/schema event_template_record_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_record_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_record_delete_to_json","content":"pub fn event_template_record_delete_to_json(\n  data: EventTemplateRecordDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_record_delete_to_json\nmidas/sdk/dnsimple/schema event_template_record_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_record_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_update_decoder","content":"pub fn event_template_update_decoder() -&gt; Decoder(\n  EventTemplateUpdate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_update_decoder\nmidas/sdk/dnsimple/schema event_template_update_decoder","url":"midas/sdk/dnsimple/schema.html#event_template_update_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_template_update_to_json","content":"pub fn event_template_update_to_json(\n  data: EventTemplateUpdate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_template_update_to_json\nmidas/sdk/dnsimple/schema event_template_update_to_json","url":"midas/sdk/dnsimple/schema.html#event_template_update_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_disable_decoder","content":"pub fn event_vanity_disable_decoder() -&gt; Decoder(\n  EventVanityDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_disable_decoder\nmidas/sdk/dnsimple/schema event_vanity_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_vanity_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_disable_to_json","content":"pub fn event_vanity_disable_to_json(\n  data: EventVanityDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_disable_to_json\nmidas/sdk/dnsimple/schema event_vanity_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_vanity_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_enable_decoder","content":"pub fn event_vanity_enable_decoder() -&gt; Decoder(EventVanityEnable)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_enable_decoder\nmidas/sdk/dnsimple/schema event_vanity_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_vanity_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_vanity_enable_to_json","content":"pub fn event_vanity_enable_to_json(\n  data: EventVanityEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_vanity_enable_to_json\nmidas/sdk/dnsimple/schema event_vanity_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_vanity_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_create_decoder","content":"pub fn event_webhook_create_decoder() -&gt; Decoder(\n  EventWebhookCreate,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_create_decoder\nmidas/sdk/dnsimple/schema event_webhook_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_webhook_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_create_to_json","content":"pub fn event_webhook_create_to_json(\n  data: EventWebhookCreate,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_create_to_json\nmidas/sdk/dnsimple/schema event_webhook_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_webhook_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_delete_decoder","content":"pub fn event_webhook_delete_decoder() -&gt; Decoder(\n  EventWebhookDelete,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_delete_decoder\nmidas/sdk/dnsimple/schema event_webhook_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_webhook_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_webhook_delete_to_json","content":"pub fn event_webhook_delete_to_json(\n  data: EventWebhookDelete,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_webhook_delete_to_json\nmidas/sdk/dnsimple/schema event_webhook_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_webhook_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_disable_decoder","content":"pub fn event_whois_privacy_disable_decoder() -&gt; Decoder(\n  EventWhoisPrivacyDisable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_disable_decoder\nmidas/sdk/dnsimple/schema event_whois_privacy_disable_decoder","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_disable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_disable_to_json","content":"pub fn event_whois_privacy_disable_to_json(\n  data: EventWhoisPrivacyDisable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_disable_to_json\nmidas/sdk/dnsimple/schema event_whois_privacy_disable_to_json","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_disable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_enable_decoder","content":"pub fn event_whois_privacy_enable_decoder() -&gt; Decoder(\n  EventWhoisPrivacyEnable,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_enable_decoder\nmidas/sdk/dnsimple/schema event_whois_privacy_enable_decoder","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_enable_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_enable_to_json","content":"pub fn event_whois_privacy_enable_to_json(\n  data: EventWhoisPrivacyEnable,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_enable_to_json\nmidas/sdk/dnsimple/schema event_whois_privacy_enable_to_json","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_enable_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_purchase_decoder","content":"pub fn event_whois_privacy_purchase_decoder() -&gt; Decoder(\n  EventWhoisPrivacyPurchase,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_purchase_decoder\nmidas/sdk/dnsimple/schema event_whois_privacy_purchase_decoder","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_purchase_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_purchase_to_json","content":"pub fn event_whois_privacy_purchase_to_json(\n  data: EventWhoisPrivacyPurchase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_purchase_to_json\nmidas/sdk/dnsimple/schema event_whois_privacy_purchase_to_json","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_purchase_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_renew_decoder","content":"pub fn event_whois_privacy_renew_decoder() -&gt; Decoder(\n  EventWhoisPrivacyRenew,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_renew_decoder\nmidas/sdk/dnsimple/schema event_whois_privacy_renew_decoder","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_renew_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_whois_privacy_renew_to_json","content":"pub fn event_whois_privacy_renew_to_json(\n  data: EventWhoisPrivacyRenew,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_whois_privacy_renew_to_json\nmidas/sdk/dnsimple/schema event_whois_privacy_renew_to_json","url":"midas/sdk/dnsimple/schema.html#event_whois_privacy_renew_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_create_decoder","content":"pub fn event_zone_create_decoder() -&gt; Decoder(EventZoneCreate)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_create_decoder\nmidas/sdk/dnsimple/schema event_zone_create_decoder","url":"midas/sdk/dnsimple/schema.html#event_zone_create_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_create_to_json","content":"pub fn event_zone_create_to_json(data: EventZoneCreate) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_create_to_json\nmidas/sdk/dnsimple/schema event_zone_create_to_json","url":"midas/sdk/dnsimple/schema.html#event_zone_create_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_delete_decoder","content":"pub fn event_zone_delete_decoder() -&gt; Decoder(EventZoneDelete)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_delete_decoder\nmidas/sdk/dnsimple/schema event_zone_delete_decoder","url":"midas/sdk/dnsimple/schema.html#event_zone_delete_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"event_zone_delete_to_json","content":"pub fn event_zone_delete_to_json(data: EventZoneDelete) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.event_zone_delete_to_json\nmidas/sdk/dnsimple/schema event_zone_delete_to_json","url":"midas/sdk/dnsimple/schema.html#event_zone_delete_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_decoder","content":"pub fn extended_attribute_decoder() -&gt; Decoder(ExtendedAttribute)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_decoder\nmidas/sdk/dnsimple/schema extended_attribute_decoder","url":"midas/sdk/dnsimple/schema.html#extended_attribute_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_option_decoder","content":"pub fn extended_attribute_option_decoder() -&gt; Decoder(\n  ExtendedAttributeOption,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_option_decoder\nmidas/sdk/dnsimple/schema extended_attribute_option_decoder","url":"midas/sdk/dnsimple/schema.html#extended_attribute_option_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_option_to_json","content":"pub fn extended_attribute_option_to_json(\n  data: ExtendedAttributeOption,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_option_to_json\nmidas/sdk/dnsimple/schema extended_attribute_option_to_json","url":"midas/sdk/dnsimple/schema.html#extended_attribute_option_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"extended_attribute_to_json","content":"pub fn extended_attribute_to_json(\n  data: ExtendedAttribute,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.extended_attribute_to_json\nmidas/sdk/dnsimple/schema extended_attribute_to_json","url":"midas/sdk/dnsimple/schema.html#extended_attribute_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"invoice_decoder","content":"pub fn invoice_decoder() -&gt; Decoder(Invoice)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.invoice_decoder\nmidas/sdk/dnsimple/schema invoice_decoder","url":"midas/sdk/dnsimple/schema.html#invoice_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"invoice_to_json","content":"pub fn invoice_to_json(data: Invoice) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.invoice_to_json\nmidas/sdk/dnsimple/schema invoice_to_json","url":"midas/sdk/dnsimple/schema.html#invoice_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_purchase_decoder","content":"pub fn letsencrypt_certificate_purchase_decoder() -&gt; Decoder(\n  LetsencryptCertificatePurchase,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_purchase_decoder\nmidas/sdk/dnsimple/schema letsencrypt_certificate_purchase_decoder","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_purchase_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_purchase_to_json","content":"pub fn letsencrypt_certificate_purchase_to_json(\n  data: LetsencryptCertificatePurchase,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_purchase_to_json\nmidas/sdk/dnsimple/schema letsencrypt_certificate_purchase_to_json","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_purchase_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_renewal_decoder","content":"pub fn letsencrypt_certificate_renewal_decoder() -&gt; Decoder(\n  LetsencryptCertificateRenewal,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_renewal_decoder\nmidas/sdk/dnsimple/schema letsencrypt_certificate_renewal_decoder","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_renewal_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"letsencrypt_certificate_renewal_to_json","content":"pub fn letsencrypt_certificate_renewal_to_json(\n  data: LetsencryptCertificateRenewal,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.letsencrypt_certificate_renewal_to_json\nmidas/sdk/dnsimple/schema letsencrypt_certificate_renewal_to_json","url":"midas/sdk/dnsimple/schema.html#letsencrypt_certificate_renewal_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"name_server_decoder","content":"pub fn name_server_decoder() -&gt; Decoder(NameServer)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.name_server_decoder\nmidas/sdk/dnsimple/schema name_server_decoder","url":"midas/sdk/dnsimple/schema.html#name_server_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"name_server_to_json","content":"pub fn name_server_to_json(data: NameServer) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.name_server_to_json\nmidas/sdk/dnsimple/schema name_server_to_json","url":"midas/sdk/dnsimple/schema.html#name_server_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"oauth_application_decoder","content":"pub fn oauth_application_decoder() -&gt; Decoder(OauthApplication)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.oauth_application_decoder\nmidas/sdk/dnsimple/schema oauth_application_decoder","url":"midas/sdk/dnsimple/schema.html#oauth_application_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"oauth_application_to_json","content":"pub fn oauth_application_to_json(data: OauthApplication) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.oauth_application_to_json\nmidas/sdk/dnsimple/schema oauth_application_to_json","url":"midas/sdk/dnsimple/schema.html#oauth_application_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"pagination_decoder","content":"pub fn pagination_decoder() -&gt; Decoder(Pagination)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.pagination_decoder\nmidas/sdk/dnsimple/schema pagination_decoder","url":"midas/sdk/dnsimple/schema.html#pagination_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"pagination_to_json","content":"pub fn pagination_to_json(data: Pagination) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.pagination_to_json\nmidas/sdk/dnsimple/schema pagination_to_json","url":"midas/sdk/dnsimple/schema.html#pagination_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"primary_server_decoder","content":"pub fn primary_server_decoder() -&gt; Decoder(PrimaryServer)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.primary_server_decoder\nmidas/sdk/dnsimple/schema primary_server_decoder","url":"midas/sdk/dnsimple/schema.html#primary_server_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"primary_server_to_json","content":"pub fn primary_server_to_json(data: PrimaryServer) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.primary_server_to_json\nmidas/sdk/dnsimple/schema primary_server_to_json","url":"midas/sdk/dnsimple/schema.html#primary_server_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"push_decoder","content":"pub fn push_decoder() -&gt; Decoder(Push)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.push_decoder\nmidas/sdk/dnsimple/schema push_decoder","url":"midas/sdk/dnsimple/schema.html#push_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"push_to_json","content":"pub fn push_to_json(data: Push) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.push_to_json\nmidas/sdk/dnsimple/schema push_to_json","url":"midas/sdk/dnsimple/schema.html#push_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_check_decoder","content":"pub fn registrant_change_check_decoder() -&gt; Decoder(\n  RegistrantChangeCheck,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_check_decoder\nmidas/sdk/dnsimple/schema registrant_change_check_decoder","url":"midas/sdk/dnsimple/schema.html#registrant_change_check_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_check_to_json","content":"pub fn registrant_change_check_to_json(\n  data: RegistrantChangeCheck,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_check_to_json\nmidas/sdk/dnsimple/schema registrant_change_check_to_json","url":"midas/sdk/dnsimple/schema.html#registrant_change_check_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_decoder","content":"pub fn registrant_change_decoder() -&gt; Decoder(RegistrantChange)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_decoder\nmidas/sdk/dnsimple/schema registrant_change_decoder","url":"midas/sdk/dnsimple/schema.html#registrant_change_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"registrant_change_to_json","content":"pub fn registrant_change_to_json(data: RegistrantChange) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.registrant_change_to_json\nmidas/sdk/dnsimple/schema registrant_change_to_json","url":"midas/sdk/dnsimple/schema.html#registrant_change_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"secondary_dns_decoder","content":"pub fn secondary_dns_decoder() -&gt; Decoder(SecondaryDns)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.secondary_dns_decoder\nmidas/sdk/dnsimple/schema secondary_dns_decoder","url":"midas/sdk/dnsimple/schema.html#secondary_dns_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"secondary_dns_to_json","content":"pub fn secondary_dns_to_json(data: SecondaryDns) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.secondary_dns_to_json\nmidas/sdk/dnsimple/schema secondary_dns_to_json","url":"midas/sdk/dnsimple/schema.html#secondary_dns_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"service_decoder","content":"pub fn service_decoder() -&gt; Decoder(Service)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_decoder\nmidas/sdk/dnsimple/schema service_decoder","url":"midas/sdk/dnsimple/schema.html#service_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"service_setting_decoder","content":"pub fn service_setting_decoder() -&gt; Decoder(ServiceSetting)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_setting_decoder\nmidas/sdk/dnsimple/schema service_setting_decoder","url":"midas/sdk/dnsimple/schema.html#service_setting_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"service_setting_to_json","content":"pub fn service_setting_to_json(data: ServiceSetting) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_setting_to_json\nmidas/sdk/dnsimple/schema service_setting_to_json","url":"midas/sdk/dnsimple/schema.html#service_setting_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"service_to_json","content":"pub fn service_to_json(data: Service) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.service_to_json\nmidas/sdk/dnsimple/schema service_to_json","url":"midas/sdk/dnsimple/schema.html#service_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"subscription_decoder","content":"pub fn subscription_decoder() -&gt; Decoder(Subscription)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.subscription_decoder\nmidas/sdk/dnsimple/schema subscription_decoder","url":"midas/sdk/dnsimple/schema.html#subscription_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"subscription_to_json","content":"pub fn subscription_to_json(data: Subscription) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.subscription_to_json\nmidas/sdk/dnsimple/schema subscription_to_json","url":"midas/sdk/dnsimple/schema.html#subscription_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"template_decoder","content":"pub fn template_decoder() -&gt; Decoder(Template)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_decoder\nmidas/sdk/dnsimple/schema template_decoder","url":"midas/sdk/dnsimple/schema.html#template_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"template_record_decoder","content":"pub fn template_record_decoder() -&gt; Decoder(TemplateRecord)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_record_decoder\nmidas/sdk/dnsimple/schema template_record_decoder","url":"midas/sdk/dnsimple/schema.html#template_record_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"template_record_to_json","content":"pub fn template_record_to_json(data: TemplateRecord) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_record_to_json\nmidas/sdk/dnsimple/schema template_record_to_json","url":"midas/sdk/dnsimple/schema.html#template_record_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"template_to_json","content":"pub fn template_to_json(data: Template) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.template_to_json\nmidas/sdk/dnsimple/schema template_to_json","url":"midas/sdk/dnsimple/schema.html#template_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"tld_decoder","content":"pub fn tld_decoder() -&gt; Decoder(Tld)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.tld_decoder\nmidas/sdk/dnsimple/schema tld_decoder","url":"midas/sdk/dnsimple/schema.html#tld_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"tld_to_json","content":"pub fn tld_to_json(data: Tld) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.tld_to_json\nmidas/sdk/dnsimple/schema tld_to_json","url":"midas/sdk/dnsimple/schema.html#tld_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"trade_extended_attributes_decoder","content":"pub fn trade_extended_attributes_decoder() -&gt; Decoder(\n  TradeExtendedAttributes,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.trade_extended_attributes_decoder\nmidas/sdk/dnsimple/schema trade_extended_attributes_decoder","url":"midas/sdk/dnsimple/schema.html#trade_extended_attributes_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"trade_extended_attributes_to_json","content":"pub fn trade_extended_attributes_to_json(\n  data: TradeExtendedAttributes,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.trade_extended_attributes_to_json\nmidas/sdk/dnsimple/schema trade_extended_attributes_to_json","url":"midas/sdk/dnsimple/schema.html#trade_extended_attributes_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"user_decoder","content":"pub fn user_decoder() -&gt; Decoder(User)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.user_decoder\nmidas/sdk/dnsimple/schema user_decoder","url":"midas/sdk/dnsimple/schema.html#user_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"user_to_json","content":"pub fn user_to_json(data: User) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.user_to_json\nmidas/sdk/dnsimple/schema user_to_json","url":"midas/sdk/dnsimple/schema.html#user_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"vanity_name_server_decoder","content":"pub fn vanity_name_server_decoder() -&gt; Decoder(VanityNameServer)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.vanity_name_server_decoder\nmidas/sdk/dnsimple/schema vanity_name_server_decoder","url":"midas/sdk/dnsimple/schema.html#vanity_name_server_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"vanity_name_server_to_json","content":"pub fn vanity_name_server_to_json(data: VanityNameServer) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.vanity_name_server_to_json\nmidas/sdk/dnsimple/schema vanity_name_server_to_json","url":"midas/sdk/dnsimple/schema.html#vanity_name_server_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_account_decoder","content":"pub fn webhook_account_decoder() -&gt; Decoder(WebhookAccount)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_account_decoder\nmidas/sdk/dnsimple/schema webhook_account_decoder","url":"midas/sdk/dnsimple/schema.html#webhook_account_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_account_to_json","content":"pub fn webhook_account_to_json(data: WebhookAccount) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_account_to_json\nmidas/sdk/dnsimple/schema webhook_account_to_json","url":"midas/sdk/dnsimple/schema.html#webhook_account_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_decoder","content":"pub fn webhook_decoder() -&gt; Decoder(Webhook)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_decoder\nmidas/sdk/dnsimple/schema webhook_decoder","url":"midas/sdk/dnsimple/schema.html#webhook_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_payload_decoder","content":"pub fn webhook_payload_decoder() -&gt; Decoder(WebhookPayload)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_payload_decoder\nmidas/sdk/dnsimple/schema webhook_payload_decoder","url":"midas/sdk/dnsimple/schema.html#webhook_payload_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_payload_to_json","content":"pub fn webhook_payload_to_json(data: WebhookPayload) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_payload_to_json\nmidas/sdk/dnsimple/schema webhook_payload_to_json","url":"midas/sdk/dnsimple/schema.html#webhook_payload_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"webhook_to_json","content":"pub fn webhook_to_json(data: Webhook) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.webhook_to_json\nmidas/sdk/dnsimple/schema webhook_to_json","url":"midas/sdk/dnsimple/schema.html#webhook_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_decoder","content":"pub fn whois_privacy_decoder() -&gt; Decoder(WhoisPrivacy)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_decoder\nmidas/sdk/dnsimple/schema whois_privacy_decoder","url":"midas/sdk/dnsimple/schema.html#whois_privacy_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_renewal_decoder","content":"pub fn whois_privacy_renewal_decoder() -&gt; Decoder(\n  WhoisPrivacyRenewal,\n)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_renewal_decoder\nmidas/sdk/dnsimple/schema whois_privacy_renewal_decoder","url":"midas/sdk/dnsimple/schema.html#whois_privacy_renewal_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_renewal_to_json","content":"pub fn whois_privacy_renewal_to_json(\n  data: WhoisPrivacyRenewal,\n) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_renewal_to_json\nmidas/sdk/dnsimple/schema whois_privacy_renewal_to_json","url":"midas/sdk/dnsimple/schema.html#whois_privacy_renewal_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"whois_privacy_to_json","content":"pub fn whois_privacy_to_json(data: WhoisPrivacy) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.whois_privacy_to_json\nmidas/sdk/dnsimple/schema whois_privacy_to_json","url":"midas/sdk/dnsimple/schema.html#whois_privacy_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_decoder","content":"pub fn zone_decoder() -&gt; Decoder(Zone)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_decoder\nmidas/sdk/dnsimple/schema zone_decoder","url":"midas/sdk/dnsimple/schema.html#zone_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_distribution_decoder","content":"pub fn zone_distribution_decoder() -&gt; Decoder(ZoneDistribution)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_distribution_decoder\nmidas/sdk/dnsimple/schema zone_distribution_decoder","url":"midas/sdk/dnsimple/schema.html#zone_distribution_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_distribution_to_json","content":"pub fn zone_distribution_to_json(data: ZoneDistribution) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_distribution_to_json\nmidas/sdk/dnsimple/schema zone_distribution_to_json","url":"midas/sdk/dnsimple/schema.html#zone_distribution_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_file_decoder","content":"pub fn zone_file_decoder() -&gt; Decoder(ZoneFile)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_file_decoder\nmidas/sdk/dnsimple/schema zone_file_decoder","url":"midas/sdk/dnsimple/schema.html#zone_file_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_file_to_json","content":"pub fn zone_file_to_json(data: ZoneFile) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_file_to_json\nmidas/sdk/dnsimple/schema zone_file_to_json","url":"midas/sdk/dnsimple/schema.html#zone_file_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_record_decoder","content":"pub fn zone_record_decoder() -&gt; Decoder(ZoneRecord)\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_record_decoder\nmidas/sdk/dnsimple/schema zone_record_decoder","url":"midas/sdk/dnsimple/schema.html#zone_record_decoder"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_record_to_json","content":"pub fn zone_record_to_json(data: ZoneRecord) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_record_to_json\nmidas/sdk/dnsimple/schema zone_record_to_json","url":"midas/sdk/dnsimple/schema.html#zone_record_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"zone_to_json","content":"pub fn zone_to_json(data: Zone) -&gt; Json\n\nSynonyms:\nmidas/sdk/dnsimple/schema.zone_to_json\nmidas/sdk/dnsimple/schema zone_to_json","url":"midas/sdk/dnsimple/schema.html#zone_to_json"},{"doc":"midas/sdk/dnsimple/schema","title":"midas/sdk/dnsimple/schema","content":"","url":"midas/sdk/dnsimple/schema.html"},{"doc":"midas/sdk/dnsimple","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple.App\nmidas/sdk/dnsimple App","url":"midas/sdk/dnsimple.html#App"},{"doc":"midas/sdk/dnsimple","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/dnsimple.api_host\nmidas/sdk/dnsimple api_host","url":"midas/sdk/dnsimple.html#api_host"},{"doc":"midas/sdk/dnsimple","title":"accept_push","content":"pub fn accept_push(\n  token: String,\n  account: Int,\n  push: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.accept_push\nmidas/sdk/dnsimple accept_push","url":"midas/sdk/dnsimple.html#accept_push"},{"doc":"midas/sdk/dnsimple","title":"activate_zone_service","content":"pub fn activate_zone_service(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.activate_zone_service\nmidas/sdk/dnsimple activate_zone_service","url":"midas/sdk/dnsimple.html#activate_zone_service"},{"doc":"midas/sdk/dnsimple","title":"add_domain_collaborator","content":"pub fn add_domain_collaborator(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.add_domain_collaborator\nmidas/sdk/dnsimple add_domain_collaborator","url":"midas/sdk/dnsimple.html#add_domain_collaborator"},{"doc":"midas/sdk/dnsimple","title":"apply_service_to_domain","content":"pub fn apply_service_to_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  service: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.apply_service_to_domain\nmidas/sdk/dnsimple apply_service_to_domain","url":"midas/sdk/dnsimple.html#apply_service_to_domain"},{"doc":"midas/sdk/dnsimple","title":"apply_template_to_domain","content":"pub fn apply_template_to_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  template: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.apply_template_to_domain\nmidas/sdk/dnsimple apply_template_to_domain","url":"midas/sdk/dnsimple.html#apply_template_to_domain"},{"doc":"midas/sdk/dnsimple","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/dnsimple.auth_redirect\nmidas/sdk/dnsimple auth_redirect","url":"midas/sdk/dnsimple.html#auth_redirect"},{"doc":"midas/sdk/dnsimple","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(#(String, Int))\n\nSynonyms:\nmidas/sdk/dnsimple.authenticate\nmidas/sdk/dnsimple authenticate","url":"midas/sdk/dnsimple.html#authenticate"},{"doc":"midas/sdk/dnsimple","title":"authorize_domain_transfer_out","content":"pub fn authorize_domain_transfer_out(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.authorize_domain_transfer_out\nmidas/sdk/dnsimple authorize_domain_transfer_out","url":"midas/sdk/dnsimple.html#authorize_domain_transfer_out"},{"doc":"midas/sdk/dnsimple","title":"cancel_domain_transfer","content":"pub fn cancel_domain_transfer(\n  token: String,\n  account: Int,\n  domain: String,\n  domaintransfer: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.cancel_domain_transfer\nmidas/sdk/dnsimple cancel_domain_transfer","url":"midas/sdk/dnsimple.html#cancel_domain_transfer"},{"doc":"midas/sdk/dnsimple","title":"change_domain_delegation","content":"pub fn change_domain_delegation(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.change_domain_delegation\nmidas/sdk/dnsimple change_domain_delegation","url":"midas/sdk/dnsimple.html#change_domain_delegation"},{"doc":"midas/sdk/dnsimple","title":"change_domain_delegation_from_vanity","content":"pub fn change_domain_delegation_from_vanity(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.change_domain_delegation_from_vanity\nmidas/sdk/dnsimple change_domain_delegation_from_vanity","url":"midas/sdk/dnsimple.html#change_domain_delegation_from_vanity"},{"doc":"midas/sdk/dnsimple","title":"change_domain_delegation_to_vanity","content":"pub fn change_domain_delegation_to_vanity(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.change_domain_delegation_to_vanity\nmidas/sdk/dnsimple change_domain_delegation_to_vanity","url":"midas/sdk/dnsimple.html#change_domain_delegation_to_vanity"},{"doc":"midas/sdk/dnsimple","title":"check_domain","content":"pub fn check_domain(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.check_domain\nmidas/sdk/dnsimple check_domain","url":"midas/sdk/dnsimple.html#check_domain"},{"doc":"midas/sdk/dnsimple","title":"check_registrant_change","content":"pub fn check_registrant_change(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.check_registrant_change\nmidas/sdk/dnsimple check_registrant_change","url":"midas/sdk/dnsimple.html#check_registrant_change"},{"doc":"midas/sdk/dnsimple","title":"check_zone_distribution","content":"pub fn check_zone_distribution(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.check_zone_distribution\nmidas/sdk/dnsimple check_zone_distribution","url":"midas/sdk/dnsimple.html#check_zone_distribution"},{"doc":"midas/sdk/dnsimple","title":"check_zone_record_distribution","content":"pub fn check_zone_record_distribution(\n  token: String,\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.check_zone_record_distribution\nmidas/sdk/dnsimple check_zone_record_distribution","url":"midas/sdk/dnsimple.html#check_zone_record_distribution"},{"doc":"midas/sdk/dnsimple","title":"create_contact","content":"pub fn create_contact(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_contact\nmidas/sdk/dnsimple create_contact","url":"midas/sdk/dnsimple.html#create_contact"},{"doc":"midas/sdk/dnsimple","title":"create_domain","content":"pub fn create_domain(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_domain\nmidas/sdk/dnsimple create_domain","url":"midas/sdk/dnsimple.html#create_domain"},{"doc":"midas/sdk/dnsimple","title":"create_domain_delegation_signer_record","content":"pub fn create_domain_delegation_signer_record(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_domain_delegation_signer_record\nmidas/sdk/dnsimple create_domain_delegation_signer_record","url":"midas/sdk/dnsimple.html#create_domain_delegation_signer_record"},{"doc":"midas/sdk/dnsimple","title":"create_email_forward","content":"pub fn create_email_forward(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_email_forward\nmidas/sdk/dnsimple create_email_forward","url":"midas/sdk/dnsimple.html#create_email_forward"},{"doc":"midas/sdk/dnsimple","title":"create_primary_server","content":"pub fn create_primary_server(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_primary_server\nmidas/sdk/dnsimple create_primary_server","url":"midas/sdk/dnsimple.html#create_primary_server"},{"doc":"midas/sdk/dnsimple","title":"create_registrant_change","content":"pub fn create_registrant_change(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_registrant_change\nmidas/sdk/dnsimple create_registrant_change","url":"midas/sdk/dnsimple.html#create_registrant_change"},{"doc":"midas/sdk/dnsimple","title":"create_secondary_zone","content":"pub fn create_secondary_zone(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_secondary_zone\nmidas/sdk/dnsimple create_secondary_zone","url":"midas/sdk/dnsimple.html#create_secondary_zone"},{"doc":"midas/sdk/dnsimple","title":"create_template","content":"pub fn create_template(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_template\nmidas/sdk/dnsimple create_template","url":"midas/sdk/dnsimple.html#create_template"},{"doc":"midas/sdk/dnsimple","title":"create_template_record","content":"pub fn create_template_record(\n  token: String,\n  account: Int,\n  template: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_template_record\nmidas/sdk/dnsimple create_template_record","url":"midas/sdk/dnsimple.html#create_template_record"},{"doc":"midas/sdk/dnsimple","title":"create_webhook","content":"pub fn create_webhook(\n  token: String,\n  account: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_webhook\nmidas/sdk/dnsimple create_webhook","url":"midas/sdk/dnsimple.html#create_webhook"},{"doc":"midas/sdk/dnsimple","title":"create_zone_record","content":"pub fn create_zone_record(\n  token: String,\n  account: Int,\n  zone: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.create_zone_record\nmidas/sdk/dnsimple create_zone_record","url":"midas/sdk/dnsimple.html#create_zone_record"},{"doc":"midas/sdk/dnsimple","title":"deactivate_zone_service","content":"pub fn deactivate_zone_service(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.deactivate_zone_service\nmidas/sdk/dnsimple deactivate_zone_service","url":"midas/sdk/dnsimple.html#deactivate_zone_service"},{"doc":"midas/sdk/dnsimple","title":"delete_contact","content":"pub fn delete_contact(\n  token: String,\n  account: Int,\n  contact: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_contact\nmidas/sdk/dnsimple delete_contact","url":"midas/sdk/dnsimple.html#delete_contact"},{"doc":"midas/sdk/dnsimple","title":"delete_domain","content":"pub fn delete_domain(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_domain\nmidas/sdk/dnsimple delete_domain","url":"midas/sdk/dnsimple.html#delete_domain"},{"doc":"midas/sdk/dnsimple","title":"delete_domain_delegation_signer_record","content":"pub fn delete_domain_delegation_signer_record(\n  token: String,\n  account: Int,\n  domain: String,\n  ds: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_domain_delegation_signer_record\nmidas/sdk/dnsimple delete_domain_delegation_signer_record","url":"midas/sdk/dnsimple.html#delete_domain_delegation_signer_record"},{"doc":"midas/sdk/dnsimple","title":"delete_email_forward","content":"pub fn delete_email_forward(\n  token: String,\n  account: Int,\n  domain: String,\n  emailforward: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_email_forward\nmidas/sdk/dnsimple delete_email_forward","url":"midas/sdk/dnsimple.html#delete_email_forward"},{"doc":"midas/sdk/dnsimple","title":"delete_template","content":"pub fn delete_template(\n  token: String,\n  account: Int,\n  template: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_template\nmidas/sdk/dnsimple delete_template","url":"midas/sdk/dnsimple.html#delete_template"},{"doc":"midas/sdk/dnsimple","title":"delete_template_record","content":"pub fn delete_template_record(\n  token: String,\n  account: Int,\n  template: String,\n  templaterecord: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_template_record\nmidas/sdk/dnsimple delete_template_record","url":"midas/sdk/dnsimple.html#delete_template_record"},{"doc":"midas/sdk/dnsimple","title":"delete_webhook","content":"pub fn delete_webhook(\n  token: String,\n  account: Int,\n  webhook: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_webhook\nmidas/sdk/dnsimple delete_webhook","url":"midas/sdk/dnsimple.html#delete_webhook"},{"doc":"midas/sdk/dnsimple","title":"delete_zone_record","content":"pub fn delete_zone_record(\n  token: String,\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.delete_zone_record\nmidas/sdk/dnsimple delete_zone_record","url":"midas/sdk/dnsimple.html#delete_zone_record"},{"doc":"midas/sdk/dnsimple","title":"disable_domain_auto_renewal","content":"pub fn disable_domain_auto_renewal(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_domain_auto_renewal\nmidas/sdk/dnsimple disable_domain_auto_renewal","url":"midas/sdk/dnsimple.html#disable_domain_auto_renewal"},{"doc":"midas/sdk/dnsimple","title":"disable_domain_dnssec","content":"pub fn disable_domain_dnssec(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_domain_dnssec\nmidas/sdk/dnsimple disable_domain_dnssec","url":"midas/sdk/dnsimple.html#disable_domain_dnssec"},{"doc":"midas/sdk/dnsimple","title":"disable_domain_transfer_lock","content":"pub fn disable_domain_transfer_lock(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_domain_transfer_lock\nmidas/sdk/dnsimple disable_domain_transfer_lock","url":"midas/sdk/dnsimple.html#disable_domain_transfer_lock"},{"doc":"midas/sdk/dnsimple","title":"disable_vanity_name_servers","content":"pub fn disable_vanity_name_servers(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_vanity_name_servers\nmidas/sdk/dnsimple disable_vanity_name_servers","url":"midas/sdk/dnsimple.html#disable_vanity_name_servers"},{"doc":"midas/sdk/dnsimple","title":"disable_whois_privacy","content":"pub fn disable_whois_privacy(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.disable_whois_privacy\nmidas/sdk/dnsimple disable_whois_privacy","url":"midas/sdk/dnsimple.html#disable_whois_privacy"},{"doc":"midas/sdk/dnsimple","title":"do_authenticate","content":"pub fn do_authenticate(\n  app: App,\n  state: String,\n) -&gt; Effect(#(String, Int))\n\nSynonyms:\nmidas/sdk/dnsimple.do_authenticate\nmidas/sdk/dnsimple do_authenticate","url":"midas/sdk/dnsimple.html#do_authenticate"},{"doc":"midas/sdk/dnsimple","title":"domain_renew","content":"pub fn domain_renew(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.domain_renew\nmidas/sdk/dnsimple domain_renew","url":"midas/sdk/dnsimple.html#domain_renew"},{"doc":"midas/sdk/dnsimple","title":"domain_restore","content":"pub fn domain_restore(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.domain_restore\nmidas/sdk/dnsimple domain_restore","url":"midas/sdk/dnsimple.html#domain_restore"},{"doc":"midas/sdk/dnsimple","title":"download_certificate","content":"pub fn download_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.download_certificate\nmidas/sdk/dnsimple download_certificate","url":"midas/sdk/dnsimple.html#download_certificate"},{"doc":"midas/sdk/dnsimple","title":"enable_domain_auto_renewal","content":"pub fn enable_domain_auto_renewal(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_domain_auto_renewal\nmidas/sdk/dnsimple enable_domain_auto_renewal","url":"midas/sdk/dnsimple.html#enable_domain_auto_renewal"},{"doc":"midas/sdk/dnsimple","title":"enable_domain_dnssec","content":"pub fn enable_domain_dnssec(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_domain_dnssec\nmidas/sdk/dnsimple enable_domain_dnssec","url":"midas/sdk/dnsimple.html#enable_domain_dnssec"},{"doc":"midas/sdk/dnsimple","title":"enable_domain_transfer_lock","content":"pub fn enable_domain_transfer_lock(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_domain_transfer_lock\nmidas/sdk/dnsimple enable_domain_transfer_lock","url":"midas/sdk/dnsimple.html#enable_domain_transfer_lock"},{"doc":"midas/sdk/dnsimple","title":"enable_vanity_name_servers","content":"pub fn enable_vanity_name_servers(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_vanity_name_servers\nmidas/sdk/dnsimple enable_vanity_name_servers","url":"midas/sdk/dnsimple.html#enable_vanity_name_servers"},{"doc":"midas/sdk/dnsimple","title":"enable_whois_privacy","content":"pub fn enable_whois_privacy(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.enable_whois_privacy\nmidas/sdk/dnsimple enable_whois_privacy","url":"midas/sdk/dnsimple.html#enable_whois_privacy"},{"doc":"midas/sdk/dnsimple","title":"get_certificate","content":"pub fn get_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_certificate\nmidas/sdk/dnsimple get_certificate","url":"midas/sdk/dnsimple.html#get_certificate"},{"doc":"midas/sdk/dnsimple","title":"get_certificate_private_key","content":"pub fn get_certificate_private_key(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_certificate_private_key\nmidas/sdk/dnsimple get_certificate_private_key","url":"midas/sdk/dnsimple.html#get_certificate_private_key"},{"doc":"midas/sdk/dnsimple","title":"get_contact","content":"pub fn get_contact(\n  token: String,\n  account: Int,\n  contact: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_contact\nmidas/sdk/dnsimple get_contact","url":"midas/sdk/dnsimple.html#get_contact"},{"doc":"midas/sdk/dnsimple","title":"get_domain","content":"pub fn get_domain(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain\nmidas/sdk/dnsimple get_domain","url":"midas/sdk/dnsimple.html#get_domain"},{"doc":"midas/sdk/dnsimple","title":"get_domain_delegation","content":"pub fn get_domain_delegation(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_delegation\nmidas/sdk/dnsimple get_domain_delegation","url":"midas/sdk/dnsimple.html#get_domain_delegation"},{"doc":"midas/sdk/dnsimple","title":"get_domain_delegation_signer_record","content":"pub fn get_domain_delegation_signer_record(\n  token: String,\n  account: Int,\n  domain: String,\n  ds: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_delegation_signer_record\nmidas/sdk/dnsimple get_domain_delegation_signer_record","url":"midas/sdk/dnsimple.html#get_domain_delegation_signer_record"},{"doc":"midas/sdk/dnsimple","title":"get_domain_dnssec","content":"pub fn get_domain_dnssec(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_dnssec\nmidas/sdk/dnsimple get_domain_dnssec","url":"midas/sdk/dnsimple.html#get_domain_dnssec"},{"doc":"midas/sdk/dnsimple","title":"get_domain_premium_price","content":"pub fn get_domain_premium_price(\n  token: String,\n  account: Int,\n  domain: String,\n  action action: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_premium_price\nmidas/sdk/dnsimple get_domain_premium_price","url":"midas/sdk/dnsimple.html#get_domain_premium_price"},{"doc":"midas/sdk/dnsimple","title":"get_domain_prices","content":"pub fn get_domain_prices(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_prices\nmidas/sdk/dnsimple get_domain_prices","url":"midas/sdk/dnsimple.html#get_domain_prices"},{"doc":"midas/sdk/dnsimple","title":"get_domain_registration","content":"pub fn get_domain_registration(\n  token: String,\n  account: Int,\n  domain: String,\n  domainregistration: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_registration\nmidas/sdk/dnsimple get_domain_registration","url":"midas/sdk/dnsimple.html#get_domain_registration"},{"doc":"midas/sdk/dnsimple","title":"get_domain_renewal","content":"pub fn get_domain_renewal(\n  token: String,\n  account: Int,\n  domain: String,\n  domainrenewal: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_renewal\nmidas/sdk/dnsimple get_domain_renewal","url":"midas/sdk/dnsimple.html#get_domain_renewal"},{"doc":"midas/sdk/dnsimple","title":"get_domain_restore","content":"pub fn get_domain_restore(\n  token: String,\n  account: Int,\n  domain: String,\n  domainrestore: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_restore\nmidas/sdk/dnsimple get_domain_restore","url":"midas/sdk/dnsimple.html#get_domain_restore"},{"doc":"midas/sdk/dnsimple","title":"get_domain_transfer","content":"pub fn get_domain_transfer(\n  token: String,\n  account: Int,\n  domain: String,\n  domaintransfer: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_transfer\nmidas/sdk/dnsimple get_domain_transfer","url":"midas/sdk/dnsimple.html#get_domain_transfer"},{"doc":"midas/sdk/dnsimple","title":"get_domain_transfer_lock","content":"pub fn get_domain_transfer_lock(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_domain_transfer_lock\nmidas/sdk/dnsimple get_domain_transfer_lock","url":"midas/sdk/dnsimple.html#get_domain_transfer_lock"},{"doc":"midas/sdk/dnsimple","title":"get_email_forward","content":"pub fn get_email_forward(\n  token: String,\n  account: Int,\n  domain: String,\n  emailforward: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_email_forward\nmidas/sdk/dnsimple get_email_forward","url":"midas/sdk/dnsimple.html#get_email_forward"},{"doc":"midas/sdk/dnsimple","title":"get_primary_server","content":"pub fn get_primary_server(\n  token: String,\n  account: Int,\n  primaryserver: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_primary_server\nmidas/sdk/dnsimple get_primary_server","url":"midas/sdk/dnsimple.html#get_primary_server"},{"doc":"midas/sdk/dnsimple","title":"get_registrant_change","content":"pub fn get_registrant_change(\n  token: String,\n  account: Int,\n  registrantchange: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_registrant_change\nmidas/sdk/dnsimple get_registrant_change","url":"midas/sdk/dnsimple.html#get_registrant_change"},{"doc":"midas/sdk/dnsimple","title":"get_service","content":"pub fn get_service(\n  token: String,\n  service: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_service\nmidas/sdk/dnsimple get_service","url":"midas/sdk/dnsimple.html#get_service"},{"doc":"midas/sdk/dnsimple","title":"get_template","content":"pub fn get_template(\n  token: String,\n  account: Int,\n  template: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_template\nmidas/sdk/dnsimple get_template","url":"midas/sdk/dnsimple.html#get_template"},{"doc":"midas/sdk/dnsimple","title":"get_template_record","content":"pub fn get_template_record(\n  token: String,\n  account: Int,\n  template: String,\n  templaterecord: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_template_record\nmidas/sdk/dnsimple get_template_record","url":"midas/sdk/dnsimple.html#get_template_record"},{"doc":"midas/sdk/dnsimple","title":"get_tld","content":"pub fn get_tld(token: String, tld: String) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_tld\nmidas/sdk/dnsimple get_tld","url":"midas/sdk/dnsimple.html#get_tld"},{"doc":"midas/sdk/dnsimple","title":"get_tld_extended_attributes","content":"pub fn get_tld_extended_attributes(\n  token: String,\n  tld: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_tld_extended_attributes\nmidas/sdk/dnsimple get_tld_extended_attributes","url":"midas/sdk/dnsimple.html#get_tld_extended_attributes"},{"doc":"midas/sdk/dnsimple","title":"get_webhook","content":"pub fn get_webhook(\n  token: String,\n  account: Int,\n  webhook: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_webhook\nmidas/sdk/dnsimple get_webhook","url":"midas/sdk/dnsimple.html#get_webhook"},{"doc":"midas/sdk/dnsimple","title":"get_whois_privacy","content":"pub fn get_whois_privacy(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_whois_privacy\nmidas/sdk/dnsimple get_whois_privacy","url":"midas/sdk/dnsimple.html#get_whois_privacy"},{"doc":"midas/sdk/dnsimple","title":"get_zone","content":"pub fn get_zone(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_zone\nmidas/sdk/dnsimple get_zone","url":"midas/sdk/dnsimple.html#get_zone"},{"doc":"midas/sdk/dnsimple","title":"get_zone_file","content":"pub fn get_zone_file(\n  token: String,\n  account: Int,\n  zone: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_zone_file\nmidas/sdk/dnsimple get_zone_file","url":"midas/sdk/dnsimple.html#get_zone_file"},{"doc":"midas/sdk/dnsimple","title":"get_zone_record","content":"pub fn get_zone_record(\n  token: String,\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.get_zone_record\nmidas/sdk/dnsimple get_zone_record","url":"midas/sdk/dnsimple.html#get_zone_record"},{"doc":"midas/sdk/dnsimple","title":"initiate_domain_push","content":"pub fn initiate_domain_push(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.initiate_domain_push\nmidas/sdk/dnsimple initiate_domain_push","url":"midas/sdk/dnsimple.html#initiate_domain_push"},{"doc":"midas/sdk/dnsimple","title":"issue_letsencrypt_certificate","content":"pub fn issue_letsencrypt_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  purchase_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.issue_letsencrypt_certificate\nmidas/sdk/dnsimple issue_letsencrypt_certificate","url":"midas/sdk/dnsimple.html#issue_letsencrypt_certificate"},{"doc":"midas/sdk/dnsimple","title":"issue_renewal_letsencrypt_certificate","content":"pub fn issue_renewal_letsencrypt_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n  renewal_id: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.issue_renewal_letsencrypt_certificate\nmidas/sdk/dnsimple issue_renewal_letsencrypt_certificate","url":"midas/sdk/dnsimple.html#issue_renewal_letsencrypt_certificate"},{"doc":"midas/sdk/dnsimple","title":"link_primary_server","content":"pub fn link_primary_server(\n  token: String,\n  account: Int,\n  primaryserver: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.link_primary_server\nmidas/sdk/dnsimple link_primary_server","url":"midas/sdk/dnsimple.html#link_primary_server"},{"doc":"midas/sdk/dnsimple","title":"list_accounts","content":"pub fn list_accounts(token: String) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_accounts\nmidas/sdk/dnsimple list_accounts","url":"midas/sdk/dnsimple.html#list_accounts"},{"doc":"midas/sdk/dnsimple","title":"list_certificates","content":"pub fn list_certificates(\n  token: String,\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_certificates\nmidas/sdk/dnsimple list_certificates","url":"midas/sdk/dnsimple.html#list_certificates"},{"doc":"midas/sdk/dnsimple","title":"list_charges","content":"pub fn list_charges(\n  token: String,\n  account: Int,\n  start_date start_date: Option(String),\n  end_date end_date: Option(String),\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_charges\nmidas/sdk/dnsimple list_charges","url":"midas/sdk/dnsimple.html#list_charges"},{"doc":"midas/sdk/dnsimple","title":"list_contacts","content":"pub fn list_contacts(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_contacts\nmidas/sdk/dnsimple list_contacts","url":"midas/sdk/dnsimple.html#list_contacts"},{"doc":"midas/sdk/dnsimple","title":"list_domain_applied_services","content":"pub fn list_domain_applied_services(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domain_applied_services\nmidas/sdk/dnsimple list_domain_applied_services","url":"midas/sdk/dnsimple.html#list_domain_applied_services"},{"doc":"midas/sdk/dnsimple","title":"list_domain_collaborators","content":"pub fn list_domain_collaborators(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domain_collaborators\nmidas/sdk/dnsimple list_domain_collaborators","url":"midas/sdk/dnsimple.html#list_domain_collaborators"},{"doc":"midas/sdk/dnsimple","title":"list_domain_delegation_signer_records","content":"pub fn list_domain_delegation_signer_records(\n  token: String,\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domain_delegation_signer_records\nmidas/sdk/dnsimple list_domain_delegation_signer_records","url":"midas/sdk/dnsimple.html#list_domain_delegation_signer_records"},{"doc":"midas/sdk/dnsimple","title":"list_domains","content":"pub fn list_domains(\n  token: String,\n  account: Int,\n  name_like name_like: Option(String),\n  registrant_id registrant_id: Option(Int),\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domains\nmidas/sdk/dnsimple list_domains","url":"midas/sdk/dnsimple.html#list_domains"},{"doc":"midas/sdk/dnsimple","title":"list_email_forwards","content":"pub fn list_email_forwards(\n  token: String,\n  account: Int,\n  domain: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_email_forwards\nmidas/sdk/dnsimple list_email_forwards","url":"midas/sdk/dnsimple.html#list_email_forwards"},{"doc":"midas/sdk/dnsimple","title":"list_primary_servers","content":"pub fn list_primary_servers(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_primary_servers\nmidas/sdk/dnsimple list_primary_servers","url":"midas/sdk/dnsimple.html#list_primary_servers"},{"doc":"midas/sdk/dnsimple","title":"list_pushes","content":"pub fn list_pushes(\n  token: String,\n  account: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_pushes\nmidas/sdk/dnsimple list_pushes","url":"midas/sdk/dnsimple.html#list_pushes"},{"doc":"midas/sdk/dnsimple","title":"list_registrant_changes","content":"pub fn list_registrant_changes(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n  state state: Option(String),\n  domain_id domain_id: Option(String),\n  contact_id contact_id: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_registrant_changes\nmidas/sdk/dnsimple list_registrant_changes","url":"midas/sdk/dnsimple.html#list_registrant_changes"},{"doc":"midas/sdk/dnsimple","title":"list_services","content":"pub fn list_services(\n  token: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_services\nmidas/sdk/dnsimple list_services","url":"midas/sdk/dnsimple.html#list_services"},{"doc":"midas/sdk/dnsimple","title":"list_template_records","content":"pub fn list_template_records(\n  token: String,\n  account: Int,\n  template: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_template_records\nmidas/sdk/dnsimple list_template_records","url":"midas/sdk/dnsimple.html#list_template_records"},{"doc":"midas/sdk/dnsimple","title":"list_templates","content":"pub fn list_templates(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_templates\nmidas/sdk/dnsimple list_templates","url":"midas/sdk/dnsimple.html#list_templates"},{"doc":"midas/sdk/dnsimple","title":"list_tlds","content":"pub fn list_tlds(\n  token: String,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_tlds\nmidas/sdk/dnsimple list_tlds","url":"midas/sdk/dnsimple.html#list_tlds"},{"doc":"midas/sdk/dnsimple","title":"list_webhooks","content":"pub fn list_webhooks(\n  token: String,\n  account: Int,\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_webhooks\nmidas/sdk/dnsimple list_webhooks","url":"midas/sdk/dnsimple.html#list_webhooks"},{"doc":"midas/sdk/dnsimple","title":"list_zone_records","content":"pub fn list_zone_records(\n  token: String,\n  account: Int,\n  zone: String,\n  name_like name_like: Option(String),\n  name name: Option(String),\n  type_ type_: Option(String),\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_zone_records\nmidas/sdk/dnsimple list_zone_records","url":"midas/sdk/dnsimple.html#list_zone_records"},{"doc":"midas/sdk/dnsimple","title":"list_zones","content":"pub fn list_zones(\n  token: String,\n  account: Int,\n  name_like name_like: Option(String),\n  sort sort: Option(String),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.list_zones\nmidas/sdk/dnsimple list_zones","url":"midas/sdk/dnsimple.html#list_zones"},{"doc":"midas/sdk/dnsimple","title":"purchase_letsencrypt_certificate","content":"pub fn purchase_letsencrypt_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.purchase_letsencrypt_certificate\nmidas/sdk/dnsimple purchase_letsencrypt_certificate","url":"midas/sdk/dnsimple.html#purchase_letsencrypt_certificate"},{"doc":"midas/sdk/dnsimple","title":"purchase_renewal_letsencrypt_certificate","content":"pub fn purchase_renewal_letsencrypt_certificate(\n  token: String,\n  account: Int,\n  domain: String,\n  certificate: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.purchase_renewal_letsencrypt_certificate\nmidas/sdk/dnsimple purchase_renewal_letsencrypt_certificate","url":"midas/sdk/dnsimple.html#purchase_renewal_letsencrypt_certificate"},{"doc":"midas/sdk/dnsimple","title":"query_dns_analytics","content":"pub fn query_dns_analytics(\n  token: String,\n  account: Int,\n  start_date start_date: Option(String),\n  end_date end_date: Option(String),\n  groupings groupings: Option(String),\n  sort sort: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.query_dns_analytics\nmidas/sdk/dnsimple query_dns_analytics","url":"midas/sdk/dnsimple.html#query_dns_analytics"},{"doc":"midas/sdk/dnsimple","title":"register_domain","content":"pub fn register_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.register_domain\nmidas/sdk/dnsimple register_domain","url":"midas/sdk/dnsimple.html#register_domain"},{"doc":"midas/sdk/dnsimple","title":"reject_push","content":"pub fn reject_push(\n  token: String,\n  account: Int,\n  push: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.reject_push\nmidas/sdk/dnsimple reject_push","url":"midas/sdk/dnsimple.html#reject_push"},{"doc":"midas/sdk/dnsimple","title":"remove_domain_collaborator","content":"pub fn remove_domain_collaborator(\n  token: String,\n  account: Int,\n  domain: String,\n  collaborator: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.remove_domain_collaborator\nmidas/sdk/dnsimple remove_domain_collaborator","url":"midas/sdk/dnsimple.html#remove_domain_collaborator"},{"doc":"midas/sdk/dnsimple","title":"remove_primary_server","content":"pub fn remove_primary_server(\n  token: String,\n  account: Int,\n  primaryserver: Int,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.remove_primary_server\nmidas/sdk/dnsimple remove_primary_server","url":"midas/sdk/dnsimple.html#remove_primary_server"},{"doc":"midas/sdk/dnsimple","title":"renew_whois_privacy","content":"pub fn renew_whois_privacy(\n  token: String,\n  account: Int,\n  domain: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.renew_whois_privacy\nmidas/sdk/dnsimple renew_whois_privacy","url":"midas/sdk/dnsimple.html#renew_whois_privacy"},{"doc":"midas/sdk/dnsimple","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n  code: String,\n  state: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/dnsimple.token_request\nmidas/sdk/dnsimple token_request","url":"midas/sdk/dnsimple.html#token_request"},{"doc":"midas/sdk/dnsimple","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(#(String, Int), a)\n\nSynonyms:\nmidas/sdk/dnsimple.token_response\nmidas/sdk/dnsimple token_response","url":"midas/sdk/dnsimple.html#token_response"},{"doc":"midas/sdk/dnsimple","title":"transfer_domain","content":"pub fn transfer_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.transfer_domain\nmidas/sdk/dnsimple transfer_domain","url":"midas/sdk/dnsimple.html#transfer_domain"},{"doc":"midas/sdk/dnsimple","title":"unapply_service_from_domain","content":"pub fn unapply_service_from_domain(\n  token: String,\n  account: Int,\n  domain: String,\n  service: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/dnsimple.unapply_service_from_domain\nmidas/sdk/dnsimple unapply_service_from_domain","url":"midas/sdk/dnsimple.html#unapply_service_from_domain"},{"doc":"midas/sdk/dnsimple","title":"unlink_primary_server","content":"pub fn unlink_primary_server(\n  token: String,\n  account: Int,\n  primaryserver: Int,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.unlink_primary_server\nmidas/sdk/dnsimple unlink_primary_server","url":"midas/sdk/dnsimple.html#unlink_primary_server"},{"doc":"midas/sdk/dnsimple","title":"update_contact","content":"pub fn update_contact(\n  token: String,\n  account: Int,\n  contact: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.update_contact\nmidas/sdk/dnsimple update_contact","url":"midas/sdk/dnsimple.html#update_contact"},{"doc":"midas/sdk/dnsimple","title":"update_template","content":"pub fn update_template(\n  token: String,\n  account: Int,\n  template: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.update_template\nmidas/sdk/dnsimple update_template","url":"midas/sdk/dnsimple.html#update_template"},{"doc":"midas/sdk/dnsimple","title":"update_zone_ns_records","content":"pub fn update_zone_ns_records(\n  token: String,\n  account: Int,\n  zone: String,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.update_zone_ns_records\nmidas/sdk/dnsimple update_zone_ns_records","url":"midas/sdk/dnsimple.html#update_zone_ns_records"},{"doc":"midas/sdk/dnsimple","title":"update_zone_record","content":"pub fn update_zone_record(\n  token: String,\n  account: Int,\n  zone: String,\n  zonerecord: Int,\n  data: BitArray,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/dnsimple.update_zone_record\nmidas/sdk/dnsimple update_zone_record","url":"midas/sdk/dnsimple.html#update_zone_record"},{"doc":"midas/sdk/dnsimple","title":"midas/sdk/dnsimple","content":"","url":"midas/sdk/dnsimple.html"},{"doc":"midas/sdk/google","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/google.App\nmidas/sdk/google App","url":"midas/sdk/google.html#App"},{"doc":"midas/sdk/google","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/google.auth_redirect\nmidas/sdk/google auth_redirect","url":"midas/sdk/google.html#auth_redirect"},{"doc":"midas/sdk/google","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/google.authenticate\nmidas/sdk/google authenticate","url":"midas/sdk/google.html#authenticate"},{"doc":"midas/sdk/google","title":"userinfo","content":"pub fn userinfo(token: String) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/google.userinfo\nmidas/sdk/google userinfo","url":"midas/sdk/google.html#userinfo"},{"doc":"midas/sdk/google","title":"userinfo_request","content":"pub fn userinfo_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google.userinfo_request\nmidas/sdk/google userinfo_request","url":"midas/sdk/google.html#userinfo_request"},{"doc":"midas/sdk/google","title":"userinfo_response","content":"pub fn userinfo_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/google.userinfo_response\nmidas/sdk/google userinfo_response","url":"midas/sdk/google.html#userinfo_response"},{"doc":"midas/sdk/google","title":"midas/sdk/google","content":"","url":"midas/sdk/google.html"},{"doc":"midas/sdk/google/calendar","title":"DateOrDatetime","content":"pub type DateOrDatetime {\n  Date(String)\n  Datetime(String)\n}\n\nDate(String)\n\n\nDatetime(String)\n\n\nSynonyms:\nmidas/sdk/google/calendar.DateOrDatetime\nmidas/sdk/google/calendar DateOrDatetime","url":"midas/sdk/google/calendar.html#DateOrDatetime"},{"doc":"midas/sdk/google/calendar","title":"Event","content":"pub type Event {\n  Event(\n    summary: String,\n    location: Option(String),\n    start: DateOrDatetime,\n    end: DateOrDatetime,\n  )\n}\n\nEvent(\n  summary: String,\n  location: Option(String),\n  start: DateOrDatetime,\n  end: DateOrDatetime,\n)\n\n\nSynonyms:\nmidas/sdk/google/calendar.Event\nmidas/sdk/google/calendar Event","url":"midas/sdk/google/calendar.html#Event"},{"doc":"midas/sdk/google/calendar","title":"date_or_datetime_decoder","content":"pub fn date_or_datetime_decoder(\n  raw: Dynamic,\n) -&gt; Result(DateOrDatetime, List(DecodeError))\n\nSynonyms:\nmidas/sdk/google/calendar.date_or_datetime_decoder\nmidas/sdk/google/calendar date_or_datetime_decoder","url":"midas/sdk/google/calendar.html#date_or_datetime_decoder"},{"doc":"midas/sdk/google/calendar","title":"event_decoder","content":"pub fn event_decoder(\n  raw: Dynamic,\n) -&gt; Result(Event, List(DecodeError))\n\nSynonyms:\nmidas/sdk/google/calendar.event_decoder\nmidas/sdk/google/calendar event_decoder","url":"midas/sdk/google/calendar.html#event_decoder"},{"doc":"midas/sdk/google/calendar","title":"list_events","content":"pub fn list_events(\n  token: String,\n  calendar_id: String,\n  time_min: String,\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/google/calendar.list_events\nmidas/sdk/google/calendar list_events","url":"midas/sdk/google/calendar.html#list_events"},{"doc":"midas/sdk/google/calendar","title":"list_events_request","content":"pub fn list_events_request(\n  token: String,\n  calendar_id: String,\n  time_min: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/calendar.list_events_request\nmidas/sdk/google/calendar list_events_request","url":"midas/sdk/google/calendar.html#list_events_request"},{"doc":"midas/sdk/google/calendar","title":"list_events_response","content":"pub fn list_events_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Event), Snag)\n\nSynonyms:\nmidas/sdk/google/calendar.list_events_response\nmidas/sdk/google/calendar list_events_response","url":"midas/sdk/google/calendar.html#list_events_response"},{"doc":"midas/sdk/google/calendar","title":"midas/sdk/google/calendar","content":"","url":"midas/sdk/google/calendar.html"},{"doc":"midas/sdk/google/gmail","title":"Message","content":"pub type Message {\n  Message(id: String, thread_id: String)\n}\n\nMessage(id: String, thread_id: String)\n\n\nSynonyms:\nmidas/sdk/google/gmail.Message\nmidas/sdk/google/gmail Message","url":"midas/sdk/google/gmail.html#Message"},{"doc":"midas/sdk/google/gmail","title":"list_messages","content":"pub fn list_messages(\n  token: String,\n  user_id: String,\n) -&gt; Effect(List(Message))\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages\nmidas/sdk/google/gmail list_messages","url":"midas/sdk/google/gmail.html#list_messages"},{"doc":"midas/sdk/google/gmail","title":"list_messages_request","content":"pub fn list_messages_request(\n  token: String,\n  user_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages_request\nmidas/sdk/google/gmail list_messages_request","url":"midas/sdk/google/gmail.html#list_messages_request"},{"doc":"midas/sdk/google/gmail","title":"list_messages_response","content":"pub fn list_messages_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Message), Snag)\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages_response\nmidas/sdk/google/gmail list_messages_response","url":"midas/sdk/google/gmail.html#list_messages_response"},{"doc":"midas/sdk/google/gmail","title":"send","content":"pub fn send(\n  token: String,\n  from: String,\n  to: String,\n  message: String,\n) -&gt; Effect(Message)\n\nSynonyms:\nmidas/sdk/google/gmail.send\nmidas/sdk/google/gmail send","url":"midas/sdk/google/gmail.html#send"},{"doc":"midas/sdk/google/gmail","title":"send_request","content":"pub fn send_request(\n  token: String,\n  from: String,\n  to: String,\n  message: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/gmail.send_request\nmidas/sdk/google/gmail send_request","url":"midas/sdk/google/gmail.html#send_request"},{"doc":"midas/sdk/google/gmail","title":"send_response","content":"pub fn send_response(\n  response: Response(BitArray),\n) -&gt; Result(Message, Snag)\n\nSynonyms:\nmidas/sdk/google/gmail.send_response\nmidas/sdk/google/gmail send_response","url":"midas/sdk/google/gmail.html#send_response"},{"doc":"midas/sdk/google/gmail","title":"midas/sdk/google/gmail","content":"","url":"midas/sdk/google/gmail.html"},{"doc":"midas/sdk/linkedin","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.App\nmidas/sdk/linkedin App","url":"midas/sdk/linkedin.html#App"},{"doc":"midas/sdk/linkedin","title":"Author","content":"pub type Author {\n  Person(id: String)\n  Organization(id: String)\n}\n\nPerson(id: String)\n\n\nOrganization(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Author\nmidas/sdk/linkedin Author","url":"midas/sdk/linkedin.html#Author"},{"doc":"midas/sdk/linkedin","title":"Content","content":"pub type Content {\n  Article(\n    description: Option(String),\n    source: String,\n    thumbnail: Option(Image),\n    thumbnail_alt_text: Option(String),\n    title: String,\n  )\n}\n\nArticle(\n  description: Option(String),\n  source: String,\n  thumbnail: Option(Image),\n  thumbnail_alt_text: Option(String),\n  title: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.Content\nmidas/sdk/linkedin Content","url":"midas/sdk/linkedin.html#Content"},{"doc":"midas/sdk/linkedin","title":"Image","content":"pub type Image {\n  Image(id: String)\n}\n\nImage(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Image\nmidas/sdk/linkedin Image","url":"midas/sdk/linkedin.html#Image"},{"doc":"midas/sdk/linkedin","title":"InitializeImageUpload","content":"pub type InitializeImageUpload {\n  InitializeImageUpload(\n    upload_url_expires_at: Int,\n    upload_url: String,\n    image: String,\n  )\n}\n\nInitializeImageUpload(\n  upload_url_expires_at: Int,\n  upload_url: String,\n  image: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.InitializeImageUpload\nmidas/sdk/linkedin InitializeImageUpload","url":"midas/sdk/linkedin.html#InitializeImageUpload"},{"doc":"midas/sdk/linkedin","title":"Share","content":"pub type Share {\n  Share(id: String)\n}\n\nShare(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Share\nmidas/sdk/linkedin Share","url":"midas/sdk/linkedin.html#Share"},{"doc":"midas/sdk/linkedin","title":"Userinfo","content":"pub type Userinfo {\n  Userinfo(sub: String)\n}\n\nUserinfo(sub: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Userinfo\nmidas/sdk/linkedin Userinfo","url":"midas/sdk/linkedin.html#Userinfo"},{"doc":"midas/sdk/linkedin","title":"Visability","content":"pub type Visability {\n  Connections\n  Public\n  LoggedIn\n  Container\n}\n\nConnections\n\n\nPublic\n\n\nLoggedIn\n\n\nContainer\n\n\nSynonyms:\nmidas/sdk/linkedin.Visability\nmidas/sdk/linkedin Visability","url":"midas/sdk/linkedin.html#Visability"},{"doc":"midas/sdk/linkedin","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/linkedin.api_host\nmidas/sdk/linkedin api_host","url":"midas/sdk/linkedin.html#api_host"},{"doc":"midas/sdk/linkedin","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/linkedin.auth_redirect\nmidas/sdk/linkedin auth_redirect","url":"midas/sdk/linkedin.html#auth_redirect"},{"doc":"midas/sdk/linkedin","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/linkedin.authenticate\nmidas/sdk/linkedin authenticate","url":"midas/sdk/linkedin.html#authenticate"},{"doc":"midas/sdk/linkedin","title":"author_to_urn","content":"pub fn author_to_urn(author: Author) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.author_to_urn\nmidas/sdk/linkedin author_to_urn","url":"midas/sdk/linkedin.html#author_to_urn"},{"doc":"midas/sdk/linkedin","title":"content_to_json","content":"pub fn content_to_json(content: Content) -&gt; Json\n\nSynonyms:\nmidas/sdk/linkedin.content_to_json\nmidas/sdk/linkedin content_to_json","url":"midas/sdk/linkedin.html#content_to_json"},{"doc":"midas/sdk/linkedin","title":"create_post","content":"pub fn create_post(\n  token: String,\n  user_id: Author,\n  content: Option(Content),\n  commentary: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/linkedin.create_post\nmidas/sdk/linkedin create_post","url":"midas/sdk/linkedin.html#create_post"},{"doc":"midas/sdk/linkedin","title":"create_post_request","content":"pub fn create_post_request(\n  token: String,\n  author: Author,\n  content: Option(Content),\n  commentary: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.create_post_request\nmidas/sdk/linkedin create_post_request","url":"midas/sdk/linkedin.html#create_post_request"},{"doc":"midas/sdk/linkedin","title":"create_post_response","content":"pub fn create_post_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.create_post_response\nmidas/sdk/linkedin create_post_response","url":"midas/sdk/linkedin.html#create_post_response"},{"doc":"midas/sdk/linkedin","title":"get_post","content":"pub fn get_post(\n  token: String,\n  share: Share,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/linkedin.get_post\nmidas/sdk/linkedin get_post","url":"midas/sdk/linkedin.html#get_post"},{"doc":"midas/sdk/linkedin","title":"get_post_request","content":"pub fn get_post_request(\n  token: String,\n  share: Share,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.get_post_request\nmidas/sdk/linkedin get_post_request","url":"midas/sdk/linkedin.html#get_post_request"},{"doc":"midas/sdk/linkedin","title":"get_posts","content":"pub fn get_posts(\n  token: String,\n  author: Author,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/linkedin.get_posts\nmidas/sdk/linkedin get_posts","url":"midas/sdk/linkedin.html#get_posts"},{"doc":"midas/sdk/linkedin","title":"get_posts_request","content":"pub fn get_posts_request(\n  token: String,\n  author: Author,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.get_posts_request\nmidas/sdk/linkedin get_posts_request","url":"midas/sdk/linkedin.html#get_posts_request"},{"doc":"midas/sdk/linkedin","title":"image_to_urn","content":"pub fn image_to_urn(image: Image) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.image_to_urn\nmidas/sdk/linkedin image_to_urn","url":"midas/sdk/linkedin.html#image_to_urn"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload","content":"pub fn initialize_image_upload(\n  token: String,\n  owner: Author,\n) -&gt; Effect(InitializeImageUpload)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload\nmidas/sdk/linkedin initialize_image_upload","url":"midas/sdk/linkedin.html#initialize_image_upload"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_decoder","content":"pub fn initialize_image_upload_decoder(\n  raw: Dynamic,\n) -&gt; Result(InitializeImageUpload, List(DecodeError))\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_decoder\nmidas/sdk/linkedin initialize_image_upload_decoder","url":"midas/sdk/linkedin.html#initialize_image_upload_decoder"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_request","content":"pub fn initialize_image_upload_request(\n  token: String,\n  owner: Author,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_request\nmidas/sdk/linkedin initialize_image_upload_request","url":"midas/sdk/linkedin.html#initialize_image_upload_request"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_response","content":"pub fn initialize_image_upload_response(\n  response: Response(BitArray),\n) -&gt; Result(InitializeImageUpload, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_response\nmidas/sdk/linkedin initialize_image_upload_response","url":"midas/sdk/linkedin.html#initialize_image_upload_response"},{"doc":"midas/sdk/linkedin","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  redirect_uri: String,\n  client_secret: String,\n  code: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.token_request\nmidas/sdk/linkedin token_request","url":"midas/sdk/linkedin.html#token_request"},{"doc":"midas/sdk/linkedin","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, a)\n\nSynonyms:\nmidas/sdk/linkedin.token_response\nmidas/sdk/linkedin token_response","url":"midas/sdk/linkedin.html#token_response"},{"doc":"midas/sdk/linkedin","title":"upload_image","content":"pub fn upload_image(\n  token: String,\n  owner: Author,\n  bits: BitArray,\n) -&gt; Effect(Image)\n\nSynonyms:\nmidas/sdk/linkedin.upload_image\nmidas/sdk/linkedin upload_image","url":"midas/sdk/linkedin.html#upload_image"},{"doc":"midas/sdk/linkedin","title":"userinfo","content":"pub fn userinfo(token: String) -&gt; Effect(Userinfo)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo\nmidas/sdk/linkedin userinfo","url":"midas/sdk/linkedin.html#userinfo"},{"doc":"midas/sdk/linkedin","title":"userinfo_request","content":"pub fn userinfo_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo_request\nmidas/sdk/linkedin userinfo_request","url":"midas/sdk/linkedin.html#userinfo_request"},{"doc":"midas/sdk/linkedin","title":"userinfo_response","content":"pub fn userinfo_response(\n  response: Response(BitArray),\n) -&gt; Result(Userinfo, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo_response\nmidas/sdk/linkedin userinfo_response","url":"midas/sdk/linkedin.html#userinfo_response"},{"doc":"midas/sdk/linkedin","title":"visability_to_string","content":"pub fn visability_to_string(visability: Visability) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.visability_to_string\nmidas/sdk/linkedin visability_to_string","url":"midas/sdk/linkedin.html#visability_to_string"},{"doc":"midas/sdk/linkedin","title":"midas/sdk/linkedin","content":"","url":"midas/sdk/linkedin.html"},{"doc":"midas/sdk/netlify/operations","title":"add_member_to_account_request","content":"pub fn add_member_to_account_request(\n  base: Request(a),\n  account_slug: String,\n  account_add_member_setup: AccountAddMemberSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.add_member_to_account_request\nmidas/sdk/netlify/operations add_member_to_account_request","url":"midas/sdk/netlify/operations.html#add_member_to_account_request"},{"doc":"midas/sdk/netlify/operations","title":"add_member_to_account_response","content":"pub fn add_member_to_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Member), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.add_member_to_account_response\nmidas/sdk/netlify/operations add_member_to_account_response","url":"midas/sdk/netlify/operations.html#add_member_to_account_response"},{"doc":"midas/sdk/netlify/operations","title":"cancel_account_request","content":"pub fn cancel_account_request(\n  base: Request(a),\n  account_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.cancel_account_request\nmidas/sdk/netlify/operations cancel_account_request","url":"midas/sdk/netlify/operations.html#cancel_account_request"},{"doc":"midas/sdk/netlify/operations","title":"cancel_account_response","content":"pub fn cancel_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.cancel_account_response\nmidas/sdk/netlify/operations cancel_account_response","url":"midas/sdk/netlify/operations.html#cancel_account_response"},{"doc":"midas/sdk/netlify/operations","title":"cancel_site_deploy_request","content":"pub fn cancel_site_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.cancel_site_deploy_request\nmidas/sdk/netlify/operations cancel_site_deploy_request","url":"midas/sdk/netlify/operations.html#cancel_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"cancel_site_deploy_response","content":"pub fn cancel_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.cancel_site_deploy_response\nmidas/sdk/netlify/operations cancel_site_deploy_response","url":"midas/sdk/netlify/operations.html#cancel_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"configure_dnsfor_site_request","content":"pub fn configure_dnsfor_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.configure_dnsfor_site_request\nmidas/sdk/netlify/operations configure_dnsfor_site_request","url":"midas/sdk/netlify/operations.html#configure_dnsfor_site_request"},{"doc":"midas/sdk/netlify/operations","title":"configure_dnsfor_site_response","content":"pub fn configure_dnsfor_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DnsZone), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.configure_dnsfor_site_response\nmidas/sdk/netlify/operations configure_dnsfor_site_response","url":"midas/sdk/netlify/operations.html#configure_dnsfor_site_response"},{"doc":"midas/sdk/netlify/operations","title":"create_account_request","content":"pub fn create_account_request(\n  base: Request(a),\n  account_setup: AccountSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_account_request\nmidas/sdk/netlify/operations create_account_request","url":"midas/sdk/netlify/operations.html#create_account_request"},{"doc":"midas/sdk/netlify/operations","title":"create_account_response","content":"pub fn create_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AccountMembership, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_account_response\nmidas/sdk/netlify/operations create_account_response","url":"midas/sdk/netlify/operations.html#create_account_response"},{"doc":"midas/sdk/netlify/operations","title":"create_deploy_key_request","content":"pub fn create_deploy_key_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_deploy_key_request\nmidas/sdk/netlify/operations create_deploy_key_request","url":"midas/sdk/netlify/operations.html#create_deploy_key_request"},{"doc":"midas/sdk/netlify/operations","title":"create_deploy_key_response","content":"pub fn create_deploy_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeployKey, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_deploy_key_response\nmidas/sdk/netlify/operations create_deploy_key_response","url":"midas/sdk/netlify/operations.html#create_deploy_key_response"},{"doc":"midas/sdk/netlify/operations","title":"create_dns_record_request","content":"pub fn create_dns_record_request(\n  base: Request(a),\n  zone_id: String,\n  dns_record_create: DnsRecordCreate,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_dns_record_request\nmidas/sdk/netlify/operations create_dns_record_request","url":"midas/sdk/netlify/operations.html#create_dns_record_request"},{"doc":"midas/sdk/netlify/operations","title":"create_dns_record_response","content":"pub fn create_dns_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsRecord, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_dns_record_response\nmidas/sdk/netlify/operations create_dns_record_response","url":"midas/sdk/netlify/operations.html#create_dns_record_response"},{"doc":"midas/sdk/netlify/operations","title":"create_dns_zone_request","content":"pub fn create_dns_zone_request(\n  base: Request(a),\n  dns_zone_setup: DnsZoneSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_dns_zone_request\nmidas/sdk/netlify/operations create_dns_zone_request","url":"midas/sdk/netlify/operations.html#create_dns_zone_request"},{"doc":"midas/sdk/netlify/operations","title":"create_dns_zone_response","content":"pub fn create_dns_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsZone, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_dns_zone_response\nmidas/sdk/netlify/operations create_dns_zone_response","url":"midas/sdk/netlify/operations.html#create_dns_zone_response"},{"doc":"midas/sdk/netlify/operations","title":"create_env_vars_request","content":"pub fn create_env_vars_request(\n  base: Request(a),\n  account_id: String,\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_env_vars_request\nmidas/sdk/netlify/operations create_env_vars_request","url":"midas/sdk/netlify/operations.html#create_env_vars_request"},{"doc":"midas/sdk/netlify/operations","title":"create_env_vars_response","content":"pub fn create_env_vars_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(EnvVar), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_env_vars_response\nmidas/sdk/netlify/operations create_env_vars_response","url":"midas/sdk/netlify/operations.html#create_env_vars_response"},{"doc":"midas/sdk/netlify/operations","title":"create_hook_by_site_id_request","content":"pub fn create_hook_by_site_id_request(\n  base: Request(a),\n  hook: Hook,\n  site_id site_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_hook_by_site_id_request\nmidas/sdk/netlify/operations create_hook_by_site_id_request","url":"midas/sdk/netlify/operations.html#create_hook_by_site_id_request"},{"doc":"midas/sdk/netlify/operations","title":"create_hook_by_site_id_response","content":"pub fn create_hook_by_site_id_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_hook_by_site_id_response\nmidas/sdk/netlify/operations create_hook_by_site_id_response","url":"midas/sdk/netlify/operations.html#create_hook_by_site_id_response"},{"doc":"midas/sdk/netlify/operations","title":"create_service_instance_request","content":"pub fn create_service_instance_request(\n  base: Request(a),\n  site_id: String,\n  addon: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_service_instance_request\nmidas/sdk/netlify/operations create_service_instance_request","url":"midas/sdk/netlify/operations.html#create_service_instance_request"},{"doc":"midas/sdk/netlify/operations","title":"create_service_instance_response","content":"pub fn create_service_instance_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ServiceInstance, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_service_instance_response\nmidas/sdk/netlify/operations create_service_instance_response","url":"midas/sdk/netlify/operations.html#create_service_instance_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_asset_request","content":"pub fn create_site_asset_request(\n  base: Request(a),\n  site_id: String,\n  name name: String,\n  size size: Int,\n  content_type content_type: String,\n  visibility visibility: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_asset_request\nmidas/sdk/netlify/operations create_site_asset_request","url":"midas/sdk/netlify/operations.html#create_site_asset_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_asset_response","content":"pub fn create_site_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AssetSignature, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_asset_response\nmidas/sdk/netlify/operations create_site_asset_response","url":"midas/sdk/netlify/operations.html#create_site_asset_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_build_hook_request","content":"pub fn create_site_build_hook_request(\n  base: Request(a),\n  site_id: String,\n  build_hook_setup: BuildHookSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_build_hook_request\nmidas/sdk/netlify/operations create_site_build_hook_request","url":"midas/sdk/netlify/operations.html#create_site_build_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_build_hook_response","content":"pub fn create_site_build_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BuildHook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_build_hook_response\nmidas/sdk/netlify/operations create_site_build_hook_response","url":"midas/sdk/netlify/operations.html#create_site_build_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_build_request","content":"pub fn create_site_build_request(\n  base: Request(a),\n  site_id: String,\n  build_setup: BuildSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_build_request\nmidas/sdk/netlify/operations create_site_build_request","url":"midas/sdk/netlify/operations.html#create_site_build_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_build_response","content":"pub fn create_site_build_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Build, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_build_response\nmidas/sdk/netlify/operations create_site_build_response","url":"midas/sdk/netlify/operations.html#create_site_build_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_deploy_request","content":"pub fn create_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_files: DeployFiles,\n  title title: Option(String),\n  deploy_previews deploy_previews: Option(Bool),\n  production production: Option(Bool),\n  state state: Option(String),\n  branch branch: Option(String),\n  latest_published latest_published: Option(Bool),\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_deploy_request\nmidas/sdk/netlify/operations create_site_deploy_request","url":"midas/sdk/netlify/operations.html#create_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_deploy_response","content":"pub fn create_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_deploy_response\nmidas/sdk/netlify/operations create_site_deploy_response","url":"midas/sdk/netlify/operations.html#create_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_dev_server_hook_request","content":"pub fn create_site_dev_server_hook_request(\n  base: Request(a),\n  site_id: String,\n  dev_server_hook_setup: DevServerHookSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_dev_server_hook_request\nmidas/sdk/netlify/operations create_site_dev_server_hook_request","url":"midas/sdk/netlify/operations.html#create_site_dev_server_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_dev_server_hook_response","content":"pub fn create_site_dev_server_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DevServerHook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_dev_server_hook_response\nmidas/sdk/netlify/operations create_site_dev_server_hook_response","url":"midas/sdk/netlify/operations.html#create_site_dev_server_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_dev_server_request","content":"pub fn create_site_dev_server_request(\n  base: Request(a),\n  site_id: String,\n  branch branch: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_dev_server_request\nmidas/sdk/netlify/operations create_site_dev_server_request","url":"midas/sdk/netlify/operations.html#create_site_dev_server_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_dev_server_response","content":"pub fn create_site_dev_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DevServer), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_dev_server_response\nmidas/sdk/netlify/operations create_site_dev_server_response","url":"midas/sdk/netlify/operations.html#create_site_dev_server_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_in_team_request","content":"pub fn create_site_in_team_request(\n  base: Request(a),\n  account_slug: String,\n  site_setup: SiteSetup,\n  configure_dns configure_dns: Option(Bool),\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_in_team_request\nmidas/sdk/netlify/operations create_site_in_team_request","url":"midas/sdk/netlify/operations.html#create_site_in_team_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_in_team_response","content":"pub fn create_site_in_team_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_in_team_response\nmidas/sdk/netlify/operations create_site_in_team_response","url":"midas/sdk/netlify/operations.html#create_site_in_team_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_request","content":"pub fn create_site_request(\n  base: Request(a),\n  site_setup: SiteSetup,\n  configure_dns configure_dns: Option(Bool),\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_request\nmidas/sdk/netlify/operations create_site_request","url":"midas/sdk/netlify/operations.html#create_site_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_response","content":"pub fn create_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_response\nmidas/sdk/netlify/operations create_site_response","url":"midas/sdk/netlify/operations.html#create_site_response"},{"doc":"midas/sdk/netlify/operations","title":"create_site_snippet_request","content":"pub fn create_site_snippet_request(\n  base: Request(a),\n  site_id: String,\n  snippet: Snippet,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_snippet_request\nmidas/sdk/netlify/operations create_site_snippet_request","url":"midas/sdk/netlify/operations.html#create_site_snippet_request"},{"doc":"midas/sdk/netlify/operations","title":"create_site_snippet_response","content":"pub fn create_site_snippet_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Snippet, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_site_snippet_response\nmidas/sdk/netlify/operations create_site_snippet_response","url":"midas/sdk/netlify/operations.html#create_site_snippet_response"},{"doc":"midas/sdk/netlify/operations","title":"create_split_test_request","content":"pub fn create_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_setup: SplitTestSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_split_test_request\nmidas/sdk/netlify/operations create_split_test_request","url":"midas/sdk/netlify/operations.html#create_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"create_split_test_response","content":"pub fn create_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SplitTest, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_split_test_response\nmidas/sdk/netlify/operations create_split_test_response","url":"midas/sdk/netlify/operations.html#create_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"create_ticket_request","content":"pub fn create_ticket_request(\n  base: Request(a),\n  client_id client_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_ticket_request\nmidas/sdk/netlify/operations create_ticket_request","url":"midas/sdk/netlify/operations.html#create_ticket_request"},{"doc":"midas/sdk/netlify/operations","title":"create_ticket_response","content":"pub fn create_ticket_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Ticket, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.create_ticket_response\nmidas/sdk/netlify/operations create_ticket_response","url":"midas/sdk/netlify/operations.html#create_ticket_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_deploy_key_request","content":"pub fn delete_deploy_key_request(\n  base: Request(a),\n  key_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_deploy_key_request\nmidas/sdk/netlify/operations delete_deploy_key_request","url":"midas/sdk/netlify/operations.html#delete_deploy_key_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_deploy_key_response","content":"pub fn delete_deploy_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_deploy_key_response\nmidas/sdk/netlify/operations delete_deploy_key_response","url":"midas/sdk/netlify/operations.html#delete_deploy_key_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_deploy_request","content":"pub fn delete_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_deploy_request\nmidas/sdk/netlify/operations delete_deploy_request","url":"midas/sdk/netlify/operations.html#delete_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_deploy_response","content":"pub fn delete_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_deploy_response\nmidas/sdk/netlify/operations delete_deploy_response","url":"midas/sdk/netlify/operations.html#delete_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_dns_record_request","content":"pub fn delete_dns_record_request(\n  base: Request(a),\n  zone_id: String,\n  dns_record_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_dns_record_request\nmidas/sdk/netlify/operations delete_dns_record_request","url":"midas/sdk/netlify/operations.html#delete_dns_record_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_dns_record_response","content":"pub fn delete_dns_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_dns_record_response\nmidas/sdk/netlify/operations delete_dns_record_response","url":"midas/sdk/netlify/operations.html#delete_dns_record_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_dns_zone_request","content":"pub fn delete_dns_zone_request(\n  base: Request(a),\n  zone_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_dns_zone_request\nmidas/sdk/netlify/operations delete_dns_zone_request","url":"midas/sdk/netlify/operations.html#delete_dns_zone_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_dns_zone_response","content":"pub fn delete_dns_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_dns_zone_response\nmidas/sdk/netlify/operations delete_dns_zone_response","url":"midas/sdk/netlify/operations.html#delete_dns_zone_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_env_var_request","content":"pub fn delete_env_var_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_env_var_request\nmidas/sdk/netlify/operations delete_env_var_request","url":"midas/sdk/netlify/operations.html#delete_env_var_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_env_var_response","content":"pub fn delete_env_var_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_env_var_response\nmidas/sdk/netlify/operations delete_env_var_response","url":"midas/sdk/netlify/operations.html#delete_env_var_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_env_var_value_request","content":"pub fn delete_env_var_value_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  id: String,\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_env_var_value_request\nmidas/sdk/netlify/operations delete_env_var_value_request","url":"midas/sdk/netlify/operations.html#delete_env_var_value_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_env_var_value_response","content":"pub fn delete_env_var_value_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_env_var_value_response\nmidas/sdk/netlify/operations delete_env_var_value_response","url":"midas/sdk/netlify/operations.html#delete_env_var_value_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_hook_request","content":"pub fn delete_hook_request(\n  base: Request(a),\n  hook_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_hook_request\nmidas/sdk/netlify/operations delete_hook_request","url":"midas/sdk/netlify/operations.html#delete_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_hook_response","content":"pub fn delete_hook_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_hook_response\nmidas/sdk/netlify/operations delete_hook_response","url":"midas/sdk/netlify/operations.html#delete_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_service_instance_request","content":"pub fn delete_service_instance_request(\n  base: Request(a),\n  site_id: String,\n  addon: String,\n  instance_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_service_instance_request\nmidas/sdk/netlify/operations delete_service_instance_request","url":"midas/sdk/netlify/operations.html#delete_service_instance_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_service_instance_response","content":"pub fn delete_service_instance_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_service_instance_response\nmidas/sdk/netlify/operations delete_service_instance_response","url":"midas/sdk/netlify/operations.html#delete_service_instance_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_asset_request","content":"pub fn delete_site_asset_request(\n  base: Request(a),\n  site_id: String,\n  asset_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_asset_request\nmidas/sdk/netlify/operations delete_site_asset_request","url":"midas/sdk/netlify/operations.html#delete_site_asset_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_asset_response","content":"pub fn delete_site_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_asset_response\nmidas/sdk/netlify/operations delete_site_asset_response","url":"midas/sdk/netlify/operations.html#delete_site_asset_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_build_hook_request","content":"pub fn delete_site_build_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_build_hook_request\nmidas/sdk/netlify/operations delete_site_build_hook_request","url":"midas/sdk/netlify/operations.html#delete_site_build_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_build_hook_response","content":"pub fn delete_site_build_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_build_hook_response\nmidas/sdk/netlify/operations delete_site_build_hook_response","url":"midas/sdk/netlify/operations.html#delete_site_build_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_deploy_request","content":"pub fn delete_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_deploy_request\nmidas/sdk/netlify/operations delete_site_deploy_request","url":"midas/sdk/netlify/operations.html#delete_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_deploy_response","content":"pub fn delete_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_deploy_response\nmidas/sdk/netlify/operations delete_site_deploy_response","url":"midas/sdk/netlify/operations.html#delete_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_dev_server_hook_request","content":"pub fn delete_site_dev_server_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_dev_server_hook_request\nmidas/sdk/netlify/operations delete_site_dev_server_hook_request","url":"midas/sdk/netlify/operations.html#delete_site_dev_server_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_dev_server_hook_response","content":"pub fn delete_site_dev_server_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_dev_server_hook_response\nmidas/sdk/netlify/operations delete_site_dev_server_hook_response","url":"midas/sdk/netlify/operations.html#delete_site_dev_server_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_dev_servers_request","content":"pub fn delete_site_dev_servers_request(\n  base: Request(a),\n  site_id: String,\n  branch branch: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_dev_servers_request\nmidas/sdk/netlify/operations delete_site_dev_servers_request","url":"midas/sdk/netlify/operations.html#delete_site_dev_servers_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_dev_servers_response","content":"pub fn delete_site_dev_servers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_dev_servers_response\nmidas/sdk/netlify/operations delete_site_dev_servers_response","url":"midas/sdk/netlify/operations.html#delete_site_dev_servers_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_form_request","content":"pub fn delete_site_form_request(\n  base: Request(a),\n  site_id: String,\n  form_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_form_request\nmidas/sdk/netlify/operations delete_site_form_request","url":"midas/sdk/netlify/operations.html#delete_site_form_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_form_response","content":"pub fn delete_site_form_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_form_response\nmidas/sdk/netlify/operations delete_site_form_response","url":"midas/sdk/netlify/operations.html#delete_site_form_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_request","content":"pub fn delete_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_request\nmidas/sdk/netlify/operations delete_site_request","url":"midas/sdk/netlify/operations.html#delete_site_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_response","content":"pub fn delete_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_response\nmidas/sdk/netlify/operations delete_site_response","url":"midas/sdk/netlify/operations.html#delete_site_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_snippet_request","content":"pub fn delete_site_snippet_request(\n  base: Request(a),\n  site_id: String,\n  snippet_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_snippet_request\nmidas/sdk/netlify/operations delete_site_snippet_request","url":"midas/sdk/netlify/operations.html#delete_site_snippet_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_site_snippet_response","content":"pub fn delete_site_snippet_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_site_snippet_response\nmidas/sdk/netlify/operations delete_site_snippet_response","url":"midas/sdk/netlify/operations.html#delete_site_snippet_response"},{"doc":"midas/sdk/netlify/operations","title":"delete_submission_request","content":"pub fn delete_submission_request(\n  base: Request(a),\n  submission_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_submission_request\nmidas/sdk/netlify/operations delete_submission_request","url":"midas/sdk/netlify/operations.html#delete_submission_request"},{"doc":"midas/sdk/netlify/operations","title":"delete_submission_response","content":"pub fn delete_submission_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.delete_submission_response\nmidas/sdk/netlify/operations delete_submission_response","url":"midas/sdk/netlify/operations.html#delete_submission_response"},{"doc":"midas/sdk/netlify/operations","title":"disable_split_test_request","content":"pub fn disable_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.disable_split_test_request\nmidas/sdk/netlify/operations disable_split_test_request","url":"midas/sdk/netlify/operations.html#disable_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"disable_split_test_response","content":"pub fn disable_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.disable_split_test_response\nmidas/sdk/netlify/operations disable_split_test_response","url":"midas/sdk/netlify/operations.html#disable_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"enable_hook_request","content":"pub fn enable_hook_request(\n  base: Request(a),\n  hook_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.enable_hook_request\nmidas/sdk/netlify/operations enable_hook_request","url":"midas/sdk/netlify/operations.html#enable_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"enable_hook_response","content":"pub fn enable_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.enable_hook_response\nmidas/sdk/netlify/operations enable_hook_response","url":"midas/sdk/netlify/operations.html#enable_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"enable_split_test_request","content":"pub fn enable_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.enable_split_test_request\nmidas/sdk/netlify/operations enable_split_test_request","url":"midas/sdk/netlify/operations.html#enable_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"enable_split_test_response","content":"pub fn enable_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.enable_split_test_response\nmidas/sdk/netlify/operations enable_split_test_response","url":"midas/sdk/netlify/operations.html#enable_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"exchange_ticket_request","content":"pub fn exchange_ticket_request(\n  base: Request(a),\n  ticket_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.exchange_ticket_request\nmidas/sdk/netlify/operations exchange_ticket_request","url":"midas/sdk/netlify/operations.html#exchange_ticket_request"},{"doc":"midas/sdk/netlify/operations","title":"exchange_ticket_response","content":"pub fn exchange_ticket_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AccessToken, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.exchange_ticket_response\nmidas/sdk/netlify/operations exchange_ticket_response","url":"midas/sdk/netlify/operations.html#exchange_ticket_response"},{"doc":"midas/sdk/netlify/operations","title":"get_account_build_status_request","content":"pub fn get_account_build_status_request(\n  base: Request(a),\n  account_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_build_status_request\nmidas/sdk/netlify/operations get_account_build_status_request","url":"midas/sdk/netlify/operations.html#get_account_build_status_request"},{"doc":"midas/sdk/netlify/operations","title":"get_account_build_status_response","content":"pub fn get_account_build_status_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BuildStatus), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_build_status_response\nmidas/sdk/netlify/operations get_account_build_status_response","url":"midas/sdk/netlify/operations.html#get_account_build_status_response"},{"doc":"midas/sdk/netlify/operations","title":"get_account_member_request","content":"pub fn get_account_member_request(\n  base: Request(a),\n  account_slug: String,\n  member_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_member_request\nmidas/sdk/netlify/operations get_account_member_request","url":"midas/sdk/netlify/operations.html#get_account_member_request"},{"doc":"midas/sdk/netlify/operations","title":"get_account_member_response","content":"pub fn get_account_member_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Member, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_member_response\nmidas/sdk/netlify/operations get_account_member_response","url":"midas/sdk/netlify/operations.html#get_account_member_response"},{"doc":"midas/sdk/netlify/operations","title":"get_account_request","content":"pub fn get_account_request(\n  base: Request(a),\n  account_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_request\nmidas/sdk/netlify/operations get_account_request","url":"midas/sdk/netlify/operations.html#get_account_request"},{"doc":"midas/sdk/netlify/operations","title":"get_account_response","content":"pub fn get_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(AccountMembership), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_account_response\nmidas/sdk/netlify/operations get_account_response","url":"midas/sdk/netlify/operations.html#get_account_response"},{"doc":"midas/sdk/netlify/operations","title":"get_current_user_request","content":"pub fn get_current_user_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_current_user_request\nmidas/sdk/netlify/operations get_current_user_request","url":"midas/sdk/netlify/operations.html#get_current_user_request"},{"doc":"midas/sdk/netlify/operations","title":"get_current_user_response","content":"pub fn get_current_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(User), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_current_user_response\nmidas/sdk/netlify/operations get_current_user_response","url":"midas/sdk/netlify/operations.html#get_current_user_response"},{"doc":"midas/sdk/netlify/operations","title":"get_deploy_key_request","content":"pub fn get_deploy_key_request(\n  base: Request(a),\n  key_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_deploy_key_request\nmidas/sdk/netlify/operations get_deploy_key_request","url":"midas/sdk/netlify/operations.html#get_deploy_key_request"},{"doc":"midas/sdk/netlify/operations","title":"get_deploy_key_response","content":"pub fn get_deploy_key_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DeployKey, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_deploy_key_response\nmidas/sdk/netlify/operations get_deploy_key_response","url":"midas/sdk/netlify/operations.html#get_deploy_key_response"},{"doc":"midas/sdk/netlify/operations","title":"get_deploy_request","content":"pub fn get_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_deploy_request\nmidas/sdk/netlify/operations get_deploy_request","url":"midas/sdk/netlify/operations.html#get_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"get_deploy_response","content":"pub fn get_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_deploy_response\nmidas/sdk/netlify/operations get_deploy_response","url":"midas/sdk/netlify/operations.html#get_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_records_request","content":"pub fn get_dns_records_request(\n  base: Request(a),\n  zone_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_records_request\nmidas/sdk/netlify/operations get_dns_records_request","url":"midas/sdk/netlify/operations.html#get_dns_records_request"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_records_response","content":"pub fn get_dns_records_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DnsRecord), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_records_response\nmidas/sdk/netlify/operations get_dns_records_response","url":"midas/sdk/netlify/operations.html#get_dns_records_response"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_zone_request","content":"pub fn get_dns_zone_request(\n  base: Request(a),\n  zone_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_zone_request\nmidas/sdk/netlify/operations get_dns_zone_request","url":"midas/sdk/netlify/operations.html#get_dns_zone_request"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_zone_response","content":"pub fn get_dns_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsZone, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_zone_response\nmidas/sdk/netlify/operations get_dns_zone_response","url":"midas/sdk/netlify/operations.html#get_dns_zone_response"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_zones_request","content":"pub fn get_dns_zones_request(\n  base: Request(a),\n  account_slug account_slug: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_zones_request\nmidas/sdk/netlify/operations get_dns_zones_request","url":"midas/sdk/netlify/operations.html#get_dns_zones_request"},{"doc":"midas/sdk/netlify/operations","title":"get_dns_zones_response","content":"pub fn get_dns_zones_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DnsZone), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dns_zones_response\nmidas/sdk/netlify/operations get_dns_zones_response","url":"midas/sdk/netlify/operations.html#get_dns_zones_response"},{"doc":"midas/sdk/netlify/operations","title":"get_dnsfor_site_request","content":"pub fn get_dnsfor_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dnsfor_site_request\nmidas/sdk/netlify/operations get_dnsfor_site_request","url":"midas/sdk/netlify/operations.html#get_dnsfor_site_request"},{"doc":"midas/sdk/netlify/operations","title":"get_dnsfor_site_response","content":"pub fn get_dnsfor_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DnsZone), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_dnsfor_site_response\nmidas/sdk/netlify/operations get_dnsfor_site_response","url":"midas/sdk/netlify/operations.html#get_dnsfor_site_response"},{"doc":"midas/sdk/netlify/operations","title":"get_env_var_request","content":"pub fn get_env_var_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_env_var_request\nmidas/sdk/netlify/operations get_env_var_request","url":"midas/sdk/netlify/operations.html#get_env_var_request"},{"doc":"midas/sdk/netlify/operations","title":"get_env_var_response","content":"pub fn get_env_var_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EnvVar, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_env_var_response\nmidas/sdk/netlify/operations get_env_var_response","url":"midas/sdk/netlify/operations.html#get_env_var_response"},{"doc":"midas/sdk/netlify/operations","title":"get_env_vars_request","content":"pub fn get_env_vars_request(\n  base: Request(a),\n  account_id: String,\n  context_name context_name: Option(String),\n  scope scope: Option(String),\n  site_id site_id: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_env_vars_request\nmidas/sdk/netlify/operations get_env_vars_request","url":"midas/sdk/netlify/operations.html#get_env_vars_request"},{"doc":"midas/sdk/netlify/operations","title":"get_env_vars_response","content":"pub fn get_env_vars_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(EnvVar), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_env_vars_response\nmidas/sdk/netlify/operations get_env_vars_response","url":"midas/sdk/netlify/operations.html#get_env_vars_response"},{"doc":"midas/sdk/netlify/operations","title":"get_hook_request","content":"pub fn get_hook_request(\n  base: Request(a),\n  hook_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_hook_request\nmidas/sdk/netlify/operations get_hook_request","url":"midas/sdk/netlify/operations.html#get_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"get_hook_response","content":"pub fn get_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_hook_response\nmidas/sdk/netlify/operations get_hook_response","url":"midas/sdk/netlify/operations.html#get_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"get_individual_dns_record_request","content":"pub fn get_individual_dns_record_request(\n  base: Request(a),\n  zone_id: String,\n  dns_record_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_individual_dns_record_request\nmidas/sdk/netlify/operations get_individual_dns_record_request","url":"midas/sdk/netlify/operations.html#get_individual_dns_record_request"},{"doc":"midas/sdk/netlify/operations","title":"get_individual_dns_record_response","content":"pub fn get_individual_dns_record_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsRecord, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_individual_dns_record_response\nmidas/sdk/netlify/operations get_individual_dns_record_response","url":"midas/sdk/netlify/operations.html#get_individual_dns_record_response"},{"doc":"midas/sdk/netlify/operations","title":"get_services_request","content":"pub fn get_services_request(\n  base: Request(a),\n  search search: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_services_request\nmidas/sdk/netlify/operations get_services_request","url":"midas/sdk/netlify/operations.html#get_services_request"},{"doc":"midas/sdk/netlify/operations","title":"get_services_response","content":"pub fn get_services_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Service), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_services_response\nmidas/sdk/netlify/operations get_services_response","url":"midas/sdk/netlify/operations.html#get_services_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_asset_info_request","content":"pub fn get_site_asset_info_request(\n  base: Request(a),\n  site_id: String,\n  asset_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_asset_info_request\nmidas/sdk/netlify/operations get_site_asset_info_request","url":"midas/sdk/netlify/operations.html#get_site_asset_info_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_asset_info_response","content":"pub fn get_site_asset_info_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Asset, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_asset_info_response\nmidas/sdk/netlify/operations get_site_asset_info_response","url":"midas/sdk/netlify/operations.html#get_site_asset_info_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_asset_public_signature_request","content":"pub fn get_site_asset_public_signature_request(\n  base: Request(a),\n  site_id: String,\n  asset_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_asset_public_signature_request\nmidas/sdk/netlify/operations get_site_asset_public_signature_request","url":"midas/sdk/netlify/operations.html#get_site_asset_public_signature_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_asset_public_signature_response","content":"pub fn get_site_asset_public_signature_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AssetPublicSignature, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_asset_public_signature_response\nmidas/sdk/netlify/operations get_site_asset_public_signature_response","url":"midas/sdk/netlify/operations.html#get_site_asset_public_signature_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_build_hook_request","content":"pub fn get_site_build_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_build_hook_request\nmidas/sdk/netlify/operations get_site_build_hook_request","url":"midas/sdk/netlify/operations.html#get_site_build_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_build_hook_response","content":"pub fn get_site_build_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(BuildHook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_build_hook_response\nmidas/sdk/netlify/operations get_site_build_hook_response","url":"midas/sdk/netlify/operations.html#get_site_build_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_build_request","content":"pub fn get_site_build_request(\n  base: Request(a),\n  build_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_build_request\nmidas/sdk/netlify/operations get_site_build_request","url":"midas/sdk/netlify/operations.html#get_site_build_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_build_response","content":"pub fn get_site_build_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Build, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_build_response\nmidas/sdk/netlify/operations get_site_build_response","url":"midas/sdk/netlify/operations.html#get_site_build_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_deploy_request","content":"pub fn get_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_deploy_request\nmidas/sdk/netlify/operations get_site_deploy_request","url":"midas/sdk/netlify/operations.html#get_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_deploy_response","content":"pub fn get_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_deploy_response\nmidas/sdk/netlify/operations get_site_deploy_response","url":"midas/sdk/netlify/operations.html#get_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_dev_server_hook_request","content":"pub fn get_site_dev_server_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_dev_server_hook_request\nmidas/sdk/netlify/operations get_site_dev_server_hook_request","url":"midas/sdk/netlify/operations.html#get_site_dev_server_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_dev_server_hook_response","content":"pub fn get_site_dev_server_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DevServerHook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_dev_server_hook_response\nmidas/sdk/netlify/operations get_site_dev_server_hook_response","url":"midas/sdk/netlify/operations.html#get_site_dev_server_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_dev_server_request","content":"pub fn get_site_dev_server_request(\n  base: Request(a),\n  site_id: String,\n  dev_server_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_dev_server_request\nmidas/sdk/netlify/operations get_site_dev_server_request","url":"midas/sdk/netlify/operations.html#get_site_dev_server_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_dev_server_response","content":"pub fn get_site_dev_server_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DevServer, String), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_dev_server_response\nmidas/sdk/netlify/operations get_site_dev_server_response","url":"midas/sdk/netlify/operations.html#get_site_dev_server_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_env_vars_request","content":"pub fn get_site_env_vars_request(\n  base: Request(a),\n  site_id: String,\n  context_name context_name: Option(String),\n  scope scope: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_env_vars_request\nmidas/sdk/netlify/operations get_site_env_vars_request","url":"midas/sdk/netlify/operations.html#get_site_env_vars_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_env_vars_response","content":"pub fn get_site_env_vars_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(EnvVar), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_env_vars_response\nmidas/sdk/netlify/operations get_site_env_vars_response","url":"midas/sdk/netlify/operations.html#get_site_env_vars_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_file_by_path_name_request","content":"pub fn get_site_file_by_path_name_request(\n  base: Request(a),\n  site_id: String,\n  file_path: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_file_by_path_name_request\nmidas/sdk/netlify/operations get_site_file_by_path_name_request","url":"midas/sdk/netlify/operations.html#get_site_file_by_path_name_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_file_by_path_name_response","content":"pub fn get_site_file_by_path_name_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(File, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_file_by_path_name_response\nmidas/sdk/netlify/operations get_site_file_by_path_name_response","url":"midas/sdk/netlify/operations.html#get_site_file_by_path_name_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_metadata_request","content":"pub fn get_site_metadata_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_metadata_request\nmidas/sdk/netlify/operations get_site_metadata_request","url":"midas/sdk/netlify/operations.html#get_site_metadata_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_metadata_response","content":"pub fn get_site_metadata_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Metadata, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_metadata_response\nmidas/sdk/netlify/operations get_site_metadata_response","url":"midas/sdk/netlify/operations.html#get_site_metadata_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_request","content":"pub fn get_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_request\nmidas/sdk/netlify/operations get_site_request","url":"midas/sdk/netlify/operations.html#get_site_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_response","content":"pub fn get_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_response\nmidas/sdk/netlify/operations get_site_response","url":"midas/sdk/netlify/operations.html#get_site_response"},{"doc":"midas/sdk/netlify/operations","title":"get_site_snippet_request","content":"pub fn get_site_snippet_request(\n  base: Request(a),\n  site_id: String,\n  snippet_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_snippet_request\nmidas/sdk/netlify/operations get_site_snippet_request","url":"midas/sdk/netlify/operations.html#get_site_snippet_request"},{"doc":"midas/sdk/netlify/operations","title":"get_site_snippet_response","content":"pub fn get_site_snippet_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Snippet, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_site_snippet_response\nmidas/sdk/netlify/operations get_site_snippet_response","url":"midas/sdk/netlify/operations.html#get_site_snippet_response"},{"doc":"midas/sdk/netlify/operations","title":"get_split_test_request","content":"pub fn get_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_split_test_request\nmidas/sdk/netlify/operations get_split_test_request","url":"midas/sdk/netlify/operations.html#get_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"get_split_test_response","content":"pub fn get_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SplitTest, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_split_test_response\nmidas/sdk/netlify/operations get_split_test_response","url":"midas/sdk/netlify/operations.html#get_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"get_split_tests_request","content":"pub fn get_split_tests_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_split_tests_request\nmidas/sdk/netlify/operations get_split_tests_request","url":"midas/sdk/netlify/operations.html#get_split_tests_request"},{"doc":"midas/sdk/netlify/operations","title":"get_split_tests_response","content":"pub fn get_split_tests_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SplitTest), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.get_split_tests_response\nmidas/sdk/netlify/operations get_split_tests_response","url":"midas/sdk/netlify/operations.html#get_split_tests_response"},{"doc":"midas/sdk/netlify/operations","title":"list_account_audit_events_request","content":"pub fn list_account_audit_events_request(\n  base: Request(a),\n  account_id: String,\n  query query: Option(String),\n  log_type log_type: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_account_audit_events_request\nmidas/sdk/netlify/operations list_account_audit_events_request","url":"midas/sdk/netlify/operations.html#list_account_audit_events_request"},{"doc":"midas/sdk/netlify/operations","title":"list_account_audit_events_response","content":"pub fn list_account_audit_events_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(AuditLog), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_account_audit_events_response\nmidas/sdk/netlify/operations list_account_audit_events_response","url":"midas/sdk/netlify/operations.html#list_account_audit_events_response"},{"doc":"midas/sdk/netlify/operations","title":"list_account_types_for_user_request","content":"pub fn list_account_types_for_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_account_types_for_user_request\nmidas/sdk/netlify/operations list_account_types_for_user_request","url":"midas/sdk/netlify/operations.html#list_account_types_for_user_request"},{"doc":"midas/sdk/netlify/operations","title":"list_account_types_for_user_response","content":"pub fn list_account_types_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(AccountType), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_account_types_for_user_response\nmidas/sdk/netlify/operations list_account_types_for_user_response","url":"midas/sdk/netlify/operations.html#list_account_types_for_user_response"},{"doc":"midas/sdk/netlify/operations","title":"list_accounts_for_user_request","content":"pub fn list_accounts_for_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_accounts_for_user_request\nmidas/sdk/netlify/operations list_accounts_for_user_request","url":"midas/sdk/netlify/operations.html#list_accounts_for_user_request"},{"doc":"midas/sdk/netlify/operations","title":"list_accounts_for_user_response","content":"pub fn list_accounts_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(AccountMembership), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_accounts_for_user_response\nmidas/sdk/netlify/operations list_accounts_for_user_response","url":"midas/sdk/netlify/operations.html#list_accounts_for_user_response"},{"doc":"midas/sdk/netlify/operations","title":"list_deploy_keys_request","content":"pub fn list_deploy_keys_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_deploy_keys_request\nmidas/sdk/netlify/operations list_deploy_keys_request","url":"midas/sdk/netlify/operations.html#list_deploy_keys_request"},{"doc":"midas/sdk/netlify/operations","title":"list_deploy_keys_response","content":"pub fn list_deploy_keys_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DeployKey), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_deploy_keys_response\nmidas/sdk/netlify/operations list_deploy_keys_response","url":"midas/sdk/netlify/operations.html#list_deploy_keys_response"},{"doc":"midas/sdk/netlify/operations","title":"list_form_submission_request","content":"pub fn list_form_submission_request(\n  base: Request(a),\n  submission_id: String,\n  query query: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_form_submission_request\nmidas/sdk/netlify/operations list_form_submission_request","url":"midas/sdk/netlify/operations.html#list_form_submission_request"},{"doc":"midas/sdk/netlify/operations","title":"list_form_submission_response","content":"pub fn list_form_submission_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Submission), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_form_submission_response\nmidas/sdk/netlify/operations list_form_submission_response","url":"midas/sdk/netlify/operations.html#list_form_submission_response"},{"doc":"midas/sdk/netlify/operations","title":"list_form_submissions_request","content":"pub fn list_form_submissions_request(\n  base: Request(a),\n  form_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_form_submissions_request\nmidas/sdk/netlify/operations list_form_submissions_request","url":"midas/sdk/netlify/operations.html#list_form_submissions_request"},{"doc":"midas/sdk/netlify/operations","title":"list_form_submissions_response","content":"pub fn list_form_submissions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Submission), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_form_submissions_response\nmidas/sdk/netlify/operations list_form_submissions_response","url":"midas/sdk/netlify/operations.html#list_form_submissions_response"},{"doc":"midas/sdk/netlify/operations","title":"list_hook_types_request","content":"pub fn list_hook_types_request(base: Request(a)) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_hook_types_request\nmidas/sdk/netlify/operations list_hook_types_request","url":"midas/sdk/netlify/operations.html#list_hook_types_request"},{"doc":"midas/sdk/netlify/operations","title":"list_hook_types_response","content":"pub fn list_hook_types_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(HookType), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_hook_types_response\nmidas/sdk/netlify/operations list_hook_types_response","url":"midas/sdk/netlify/operations.html#list_hook_types_response"},{"doc":"midas/sdk/netlify/operations","title":"list_hooks_by_site_id_request","content":"pub fn list_hooks_by_site_id_request(\n  base: Request(a),\n  site_id site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_hooks_by_site_id_request\nmidas/sdk/netlify/operations list_hooks_by_site_id_request","url":"midas/sdk/netlify/operations.html#list_hooks_by_site_id_request"},{"doc":"midas/sdk/netlify/operations","title":"list_hooks_by_site_id_response","content":"pub fn list_hooks_by_site_id_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Hook), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_hooks_by_site_id_response\nmidas/sdk/netlify/operations list_hooks_by_site_id_response","url":"midas/sdk/netlify/operations.html#list_hooks_by_site_id_response"},{"doc":"midas/sdk/netlify/operations","title":"list_members_for_account_request","content":"pub fn list_members_for_account_request(\n  base: Request(a),\n  account_slug: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_members_for_account_request\nmidas/sdk/netlify/operations list_members_for_account_request","url":"midas/sdk/netlify/operations.html#list_members_for_account_request"},{"doc":"midas/sdk/netlify/operations","title":"list_members_for_account_response","content":"pub fn list_members_for_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Member), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_members_for_account_response\nmidas/sdk/netlify/operations list_members_for_account_response","url":"midas/sdk/netlify/operations.html#list_members_for_account_response"},{"doc":"midas/sdk/netlify/operations","title":"list_payment_methods_for_user_request","content":"pub fn list_payment_methods_for_user_request(\n  base: Request(a),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_payment_methods_for_user_request\nmidas/sdk/netlify/operations list_payment_methods_for_user_request","url":"midas/sdk/netlify/operations.html#list_payment_methods_for_user_request"},{"doc":"midas/sdk/netlify/operations","title":"list_payment_methods_for_user_response","content":"pub fn list_payment_methods_for_user_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(PaymentMethod), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_payment_methods_for_user_response\nmidas/sdk/netlify/operations list_payment_methods_for_user_response","url":"midas/sdk/netlify/operations.html#list_payment_methods_for_user_response"},{"doc":"midas/sdk/netlify/operations","title":"list_service_instances_for_site_request","content":"pub fn list_service_instances_for_site_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_service_instances_for_site_request\nmidas/sdk/netlify/operations list_service_instances_for_site_request","url":"midas/sdk/netlify/operations.html#list_service_instances_for_site_request"},{"doc":"midas/sdk/netlify/operations","title":"list_service_instances_for_site_response","content":"pub fn list_service_instances_for_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(ServiceInstance), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_service_instances_for_site_response\nmidas/sdk/netlify/operations list_service_instances_for_site_response","url":"midas/sdk/netlify/operations.html#list_service_instances_for_site_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_assets_request","content":"pub fn list_site_assets_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_assets_request\nmidas/sdk/netlify/operations list_site_assets_request","url":"midas/sdk/netlify/operations.html#list_site_assets_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_assets_response","content":"pub fn list_site_assets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Asset), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_assets_response\nmidas/sdk/netlify/operations list_site_assets_response","url":"midas/sdk/netlify/operations.html#list_site_assets_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_build_hooks_request","content":"pub fn list_site_build_hooks_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_build_hooks_request\nmidas/sdk/netlify/operations list_site_build_hooks_request","url":"midas/sdk/netlify/operations.html#list_site_build_hooks_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_build_hooks_response","content":"pub fn list_site_build_hooks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(BuildHook), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_build_hooks_response\nmidas/sdk/netlify/operations list_site_build_hooks_response","url":"midas/sdk/netlify/operations.html#list_site_build_hooks_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_builds_request","content":"pub fn list_site_builds_request(\n  base: Request(a),\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_builds_request\nmidas/sdk/netlify/operations list_site_builds_request","url":"midas/sdk/netlify/operations.html#list_site_builds_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_builds_response","content":"pub fn list_site_builds_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Build), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_builds_response\nmidas/sdk/netlify/operations list_site_builds_response","url":"midas/sdk/netlify/operations.html#list_site_builds_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_deployed_branches_request","content":"pub fn list_site_deployed_branches_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_deployed_branches_request\nmidas/sdk/netlify/operations list_site_deployed_branches_request","url":"midas/sdk/netlify/operations.html#list_site_deployed_branches_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_deployed_branches_response","content":"pub fn list_site_deployed_branches_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DeployedBranch), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_deployed_branches_response\nmidas/sdk/netlify/operations list_site_deployed_branches_response","url":"midas/sdk/netlify/operations.html#list_site_deployed_branches_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_deploys_request","content":"pub fn list_site_deploys_request(\n  base: Request(a),\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  deploy_previews deploy_previews: Option(Bool),\n  production production: Option(Bool),\n  state state: Option(String),\n  branch branch: Option(String),\n  latest_published latest_published: Option(Bool),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_deploys_request\nmidas/sdk/netlify/operations list_site_deploys_request","url":"midas/sdk/netlify/operations.html#list_site_deploys_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_deploys_response","content":"pub fn list_site_deploys_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Deploy), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_deploys_response\nmidas/sdk/netlify/operations list_site_deploys_response","url":"midas/sdk/netlify/operations.html#list_site_deploys_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_dev_server_hooks_request","content":"pub fn list_site_dev_server_hooks_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_dev_server_hooks_request\nmidas/sdk/netlify/operations list_site_dev_server_hooks_request","url":"midas/sdk/netlify/operations.html#list_site_dev_server_hooks_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_dev_server_hooks_response","content":"pub fn list_site_dev_server_hooks_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DevServerHook), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_dev_server_hooks_response\nmidas/sdk/netlify/operations list_site_dev_server_hooks_response","url":"midas/sdk/netlify/operations.html#list_site_dev_server_hooks_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_dev_servers_request","content":"pub fn list_site_dev_servers_request(\n  base: Request(a),\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_dev_servers_request\nmidas/sdk/netlify/operations list_site_dev_servers_request","url":"midas/sdk/netlify/operations.html#list_site_dev_servers_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_dev_servers_response","content":"pub fn list_site_dev_servers_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(DevServer), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_dev_servers_response\nmidas/sdk/netlify/operations list_site_dev_servers_response","url":"midas/sdk/netlify/operations.html#list_site_dev_servers_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_files_request","content":"pub fn list_site_files_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_files_request\nmidas/sdk/netlify/operations list_site_files_request","url":"midas/sdk/netlify/operations.html#list_site_files_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_files_response","content":"pub fn list_site_files_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(File), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_files_response\nmidas/sdk/netlify/operations list_site_files_response","url":"midas/sdk/netlify/operations.html#list_site_files_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_forms_request","content":"pub fn list_site_forms_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_forms_request\nmidas/sdk/netlify/operations list_site_forms_request","url":"midas/sdk/netlify/operations.html#list_site_forms_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_forms_response","content":"pub fn list_site_forms_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Form), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_forms_response\nmidas/sdk/netlify/operations list_site_forms_response","url":"midas/sdk/netlify/operations.html#list_site_forms_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_snippets_request","content":"pub fn list_site_snippets_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_snippets_request\nmidas/sdk/netlify/operations list_site_snippets_request","url":"midas/sdk/netlify/operations.html#list_site_snippets_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_snippets_response","content":"pub fn list_site_snippets_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Snippet), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_snippets_response\nmidas/sdk/netlify/operations list_site_snippets_response","url":"midas/sdk/netlify/operations.html#list_site_snippets_response"},{"doc":"midas/sdk/netlify/operations","title":"list_site_submissions_request","content":"pub fn list_site_submissions_request(\n  base: Request(a),\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_submissions_request\nmidas/sdk/netlify/operations list_site_submissions_request","url":"midas/sdk/netlify/operations.html#list_site_submissions_request"},{"doc":"midas/sdk/netlify/operations","title":"list_site_submissions_response","content":"pub fn list_site_submissions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Submission), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_site_submissions_response\nmidas/sdk/netlify/operations list_site_submissions_response","url":"midas/sdk/netlify/operations.html#list_site_submissions_response"},{"doc":"midas/sdk/netlify/operations","title":"list_sites_for_account_request","content":"pub fn list_sites_for_account_request(\n  base: Request(a),\n  account_slug: String,\n  name name: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_sites_for_account_request\nmidas/sdk/netlify/operations list_sites_for_account_request","url":"midas/sdk/netlify/operations.html#list_sites_for_account_request"},{"doc":"midas/sdk/netlify/operations","title":"list_sites_for_account_response","content":"pub fn list_sites_for_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Site), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_sites_for_account_response\nmidas/sdk/netlify/operations list_sites_for_account_response","url":"midas/sdk/netlify/operations.html#list_sites_for_account_response"},{"doc":"midas/sdk/netlify/operations","title":"list_sites_request","content":"pub fn list_sites_request(\n  base: Request(a),\n  name name: Option(String),\n  filter filter: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_sites_request\nmidas/sdk/netlify/operations list_sites_request","url":"midas/sdk/netlify/operations.html#list_sites_request"},{"doc":"midas/sdk/netlify/operations","title":"list_sites_response","content":"pub fn list_sites_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(Site), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.list_sites_response\nmidas/sdk/netlify/operations list_sites_response","url":"midas/sdk/netlify/operations.html#list_sites_response"},{"doc":"midas/sdk/netlify/operations","title":"lock_deploy_request","content":"pub fn lock_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.lock_deploy_request\nmidas/sdk/netlify/operations lock_deploy_request","url":"midas/sdk/netlify/operations.html#lock_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"lock_deploy_response","content":"pub fn lock_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.lock_deploy_response\nmidas/sdk/netlify/operations lock_deploy_response","url":"midas/sdk/netlify/operations.html#lock_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"notify_build_start_request","content":"pub fn notify_build_start_request(\n  base: Request(a),\n  build_id: String,\n  buildbot_version buildbot_version: Option(String),\n  build_version build_version: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.notify_build_start_request\nmidas/sdk/netlify/operations notify_build_start_request","url":"midas/sdk/netlify/operations.html#notify_build_start_request"},{"doc":"midas/sdk/netlify/operations","title":"notify_build_start_response","content":"pub fn notify_build_start_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.notify_build_start_response\nmidas/sdk/netlify/operations notify_build_start_response","url":"midas/sdk/netlify/operations.html#notify_build_start_response"},{"doc":"midas/sdk/netlify/operations","title":"provision_site_tlscertificate_request","content":"pub fn provision_site_tlscertificate_request(\n  base: Request(a),\n  site_id: String,\n  certificate certificate: Option(String),\n  key key: Option(String),\n  ca_certificates ca_certificates: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.provision_site_tlscertificate_request\nmidas/sdk/netlify/operations provision_site_tlscertificate_request","url":"midas/sdk/netlify/operations.html#provision_site_tlscertificate_request"},{"doc":"midas/sdk/netlify/operations","title":"provision_site_tlscertificate_response","content":"pub fn provision_site_tlscertificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SniCertificate, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.provision_site_tlscertificate_response\nmidas/sdk/netlify/operations provision_site_tlscertificate_response","url":"midas/sdk/netlify/operations.html#provision_site_tlscertificate_response"},{"doc":"midas/sdk/netlify/operations","title":"purge_cache_request","content":"pub fn purge_cache_request(\n  base: Request(a),\n  purge: Purge,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.purge_cache_request\nmidas/sdk/netlify/operations purge_cache_request","url":"midas/sdk/netlify/operations.html#purge_cache_request"},{"doc":"midas/sdk/netlify/operations","title":"purge_cache_response","content":"pub fn purge_cache_response(\n  response: Response(a),\n) -&gt; Result(Result(Nil, String), b)\n\nSynonyms:\nmidas/sdk/netlify/operations.purge_cache_response\nmidas/sdk/netlify/operations purge_cache_response","url":"midas/sdk/netlify/operations.html#purge_cache_response"},{"doc":"midas/sdk/netlify/operations","title":"remove_account_member_request","content":"pub fn remove_account_member_request(\n  base: Request(a),\n  account_slug: String,\n  member_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.remove_account_member_request\nmidas/sdk/netlify/operations remove_account_member_request","url":"midas/sdk/netlify/operations.html#remove_account_member_request"},{"doc":"midas/sdk/netlify/operations","title":"remove_account_member_response","content":"pub fn remove_account_member_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.remove_account_member_response\nmidas/sdk/netlify/operations remove_account_member_response","url":"midas/sdk/netlify/operations.html#remove_account_member_response"},{"doc":"midas/sdk/netlify/operations","title":"restore_site_deploy_request","content":"pub fn restore_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.restore_site_deploy_request\nmidas/sdk/netlify/operations restore_site_deploy_request","url":"midas/sdk/netlify/operations.html#restore_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"restore_site_deploy_response","content":"pub fn restore_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.restore_site_deploy_response\nmidas/sdk/netlify/operations restore_site_deploy_response","url":"midas/sdk/netlify/operations.html#restore_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"rollback_site_deploy_request","content":"pub fn rollback_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.rollback_site_deploy_request\nmidas/sdk/netlify/operations rollback_site_deploy_request","url":"midas/sdk/netlify/operations.html#rollback_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"rollback_site_deploy_response","content":"pub fn rollback_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.rollback_site_deploy_response\nmidas/sdk/netlify/operations rollback_site_deploy_response","url":"midas/sdk/netlify/operations.html#rollback_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"search_site_functions_request","content":"pub fn search_site_functions_request(\n  base: Request(a),\n  site_id: String,\n  filter filter: Option(String),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.search_site_functions_request\nmidas/sdk/netlify/operations search_site_functions_request","url":"midas/sdk/netlify/operations.html#search_site_functions_request"},{"doc":"midas/sdk/netlify/operations","title":"search_site_functions_response","content":"pub fn search_site_functions_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(List(SiteFunction), Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.search_site_functions_response\nmidas/sdk/netlify/operations search_site_functions_response","url":"midas/sdk/netlify/operations.html#search_site_functions_response"},{"doc":"midas/sdk/netlify/operations","title":"set_env_var_value_request","content":"pub fn set_env_var_value_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  data: b,\n  site_id site_id: Option(String),\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/netlify/operations.set_env_var_value_request\nmidas/sdk/netlify/operations set_env_var_value_request","url":"midas/sdk/netlify/operations.html#set_env_var_value_request"},{"doc":"midas/sdk/netlify/operations","title":"set_env_var_value_response","content":"pub fn set_env_var_value_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EnvVar, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.set_env_var_value_response\nmidas/sdk/netlify/operations set_env_var_value_response","url":"midas/sdk/netlify/operations.html#set_env_var_value_response"},{"doc":"midas/sdk/netlify/operations","title":"show_service_instance_request","content":"pub fn show_service_instance_request(\n  base: Request(a),\n  site_id: String,\n  addon: String,\n  instance_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_instance_request\nmidas/sdk/netlify/operations show_service_instance_request","url":"midas/sdk/netlify/operations.html#show_service_instance_request"},{"doc":"midas/sdk/netlify/operations","title":"show_service_instance_response","content":"pub fn show_service_instance_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(ServiceInstance, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_instance_response\nmidas/sdk/netlify/operations show_service_instance_response","url":"midas/sdk/netlify/operations.html#show_service_instance_response"},{"doc":"midas/sdk/netlify/operations","title":"show_service_manifest_request","content":"pub fn show_service_manifest_request(\n  base: Request(a),\n  addon_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_manifest_request\nmidas/sdk/netlify/operations show_service_manifest_request","url":"midas/sdk/netlify/operations.html#show_service_manifest_request"},{"doc":"midas/sdk/netlify/operations","title":"show_service_manifest_response","content":"pub fn show_service_manifest_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Dynamic, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_manifest_response\nmidas/sdk/netlify/operations show_service_manifest_response","url":"midas/sdk/netlify/operations.html#show_service_manifest_response"},{"doc":"midas/sdk/netlify/operations","title":"show_service_request","content":"pub fn show_service_request(\n  base: Request(a),\n  addon_name: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_request\nmidas/sdk/netlify/operations show_service_request","url":"midas/sdk/netlify/operations.html#show_service_request"},{"doc":"midas/sdk/netlify/operations","title":"show_service_response","content":"pub fn show_service_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Service, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_service_response\nmidas/sdk/netlify/operations show_service_response","url":"midas/sdk/netlify/operations.html#show_service_response"},{"doc":"midas/sdk/netlify/operations","title":"show_site_tlscertificate_request","content":"pub fn show_site_tlscertificate_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_site_tlscertificate_request\nmidas/sdk/netlify/operations show_site_tlscertificate_request","url":"midas/sdk/netlify/operations.html#show_site_tlscertificate_request"},{"doc":"midas/sdk/netlify/operations","title":"show_site_tlscertificate_response","content":"pub fn show_site_tlscertificate_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SniCertificate, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_site_tlscertificate_response\nmidas/sdk/netlify/operations show_site_tlscertificate_response","url":"midas/sdk/netlify/operations.html#show_site_tlscertificate_response"},{"doc":"midas/sdk/netlify/operations","title":"show_ticket_request","content":"pub fn show_ticket_request(\n  base: Request(a),\n  ticket_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_ticket_request\nmidas/sdk/netlify/operations show_ticket_request","url":"midas/sdk/netlify/operations.html#show_ticket_request"},{"doc":"midas/sdk/netlify/operations","title":"show_ticket_response","content":"pub fn show_ticket_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Ticket, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.show_ticket_response\nmidas/sdk/netlify/operations show_ticket_response","url":"midas/sdk/netlify/operations.html#show_ticket_response"},{"doc":"midas/sdk/netlify/operations","title":"transfer_dns_zone_request","content":"pub fn transfer_dns_zone_request(\n  base: Request(a),\n  zone_id: String,\n  account_id account_id: String,\n  transfer_account_id transfer_account_id: String,\n  transfer_user_id transfer_user_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.transfer_dns_zone_request\nmidas/sdk/netlify/operations transfer_dns_zone_request","url":"midas/sdk/netlify/operations.html#transfer_dns_zone_request"},{"doc":"midas/sdk/netlify/operations","title":"transfer_dns_zone_response","content":"pub fn transfer_dns_zone_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(DnsZone, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.transfer_dns_zone_response\nmidas/sdk/netlify/operations transfer_dns_zone_response","url":"midas/sdk/netlify/operations.html#transfer_dns_zone_response"},{"doc":"midas/sdk/netlify/operations","title":"unlink_site_repo_request","content":"pub fn unlink_site_repo_request(\n  base: Request(a),\n  site_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.unlink_site_repo_request\nmidas/sdk/netlify/operations unlink_site_repo_request","url":"midas/sdk/netlify/operations.html#unlink_site_repo_request"},{"doc":"midas/sdk/netlify/operations","title":"unlink_site_repo_response","content":"pub fn unlink_site_repo_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, String), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.unlink_site_repo_response\nmidas/sdk/netlify/operations unlink_site_repo_response","url":"midas/sdk/netlify/operations.html#unlink_site_repo_response"},{"doc":"midas/sdk/netlify/operations","title":"unlock_deploy_request","content":"pub fn unlock_deploy_request(\n  base: Request(a),\n  deploy_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.unlock_deploy_request\nmidas/sdk/netlify/operations unlock_deploy_request","url":"midas/sdk/netlify/operations.html#unlock_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"unlock_deploy_response","content":"pub fn unlock_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.unlock_deploy_response\nmidas/sdk/netlify/operations unlock_deploy_response","url":"midas/sdk/netlify/operations.html#unlock_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"update_account_member_request","content":"pub fn update_account_member_request(\n  base: Request(a),\n  account_slug: String,\n  member_id: String,\n  account_update_member_setup: AccountUpdateMemberSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_account_member_request\nmidas/sdk/netlify/operations update_account_member_request","url":"midas/sdk/netlify/operations.html#update_account_member_request"},{"doc":"midas/sdk/netlify/operations","title":"update_account_member_response","content":"pub fn update_account_member_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Member, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_account_member_response\nmidas/sdk/netlify/operations update_account_member_response","url":"midas/sdk/netlify/operations.html#update_account_member_response"},{"doc":"midas/sdk/netlify/operations","title":"update_account_request","content":"pub fn update_account_request(\n  base: Request(a),\n  account_id: String,\n  account_update_setup: AccountUpdateSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_account_request\nmidas/sdk/netlify/operations update_account_request","url":"midas/sdk/netlify/operations.html#update_account_request"},{"doc":"midas/sdk/netlify/operations","title":"update_account_response","content":"pub fn update_account_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(AccountMembership, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_account_response\nmidas/sdk/netlify/operations update_account_response","url":"midas/sdk/netlify/operations.html#update_account_response"},{"doc":"midas/sdk/netlify/operations","title":"update_env_var_request","content":"pub fn update_env_var_request(\n  base: Request(a),\n  account_id: String,\n  key: String,\n  data: b,\n  site_id site_id: Option(String),\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_env_var_request\nmidas/sdk/netlify/operations update_env_var_request","url":"midas/sdk/netlify/operations.html#update_env_var_request"},{"doc":"midas/sdk/netlify/operations","title":"update_env_var_response","content":"pub fn update_env_var_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(EnvVar, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_env_var_response\nmidas/sdk/netlify/operations update_env_var_response","url":"midas/sdk/netlify/operations.html#update_env_var_response"},{"doc":"midas/sdk/netlify/operations","title":"update_hook_request","content":"pub fn update_hook_request(\n  base: Request(a),\n  hook_id: String,\n  hook: Hook,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_hook_request\nmidas/sdk/netlify/operations update_hook_request","url":"midas/sdk/netlify/operations.html#update_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"update_hook_response","content":"pub fn update_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Hook, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_hook_response\nmidas/sdk/netlify/operations update_hook_response","url":"midas/sdk/netlify/operations.html#update_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"update_service_instance_request","content":"pub fn update_service_instance_request(\n  base: Request(a),\n  site_id: String,\n  addon: String,\n  instance_id: String,\n  data: b,\n) -&gt; Request(b)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_service_instance_request\nmidas/sdk/netlify/operations update_service_instance_request","url":"midas/sdk/netlify/operations.html#update_service_instance_request"},{"doc":"midas/sdk/netlify/operations","title":"update_service_instance_response","content":"pub fn update_service_instance_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_service_instance_response\nmidas/sdk/netlify/operations update_service_instance_response","url":"midas/sdk/netlify/operations.html#update_service_instance_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_asset_request","content":"pub fn update_site_asset_request(\n  base: Request(a),\n  site_id: String,\n  asset_id: String,\n  state state: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_asset_request\nmidas/sdk/netlify/operations update_site_asset_request","url":"midas/sdk/netlify/operations.html#update_site_asset_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_asset_response","content":"pub fn update_site_asset_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Asset, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_asset_response\nmidas/sdk/netlify/operations update_site_asset_response","url":"midas/sdk/netlify/operations.html#update_site_asset_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_build_hook_request","content":"pub fn update_site_build_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n  build_hook_setup: BuildHookSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_build_hook_request\nmidas/sdk/netlify/operations update_site_build_hook_request","url":"midas/sdk/netlify/operations.html#update_site_build_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_build_hook_response","content":"pub fn update_site_build_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_build_hook_response\nmidas/sdk/netlify/operations update_site_build_hook_response","url":"midas/sdk/netlify/operations.html#update_site_build_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_build_log_request","content":"pub fn update_site_build_log_request(\n  base: Request(a),\n  build_id: String,\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_build_log_request\nmidas/sdk/netlify/operations update_site_build_log_request","url":"midas/sdk/netlify/operations.html#update_site_build_log_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_build_log_response","content":"pub fn update_site_build_log_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_build_log_response\nmidas/sdk/netlify/operations update_site_build_log_response","url":"midas/sdk/netlify/operations.html#update_site_build_log_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_deploy_request","content":"pub fn update_site_deploy_request(\n  base: Request(a),\n  site_id: String,\n  deploy_id: String,\n  deploy_files: DeployFiles,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_deploy_request\nmidas/sdk/netlify/operations update_site_deploy_request","url":"midas/sdk/netlify/operations.html#update_site_deploy_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_deploy_response","content":"pub fn update_site_deploy_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Deploy, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_deploy_response\nmidas/sdk/netlify/operations update_site_deploy_response","url":"midas/sdk/netlify/operations.html#update_site_deploy_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_dev_server_hook_request","content":"pub fn update_site_dev_server_hook_request(\n  base: Request(a),\n  site_id: String,\n  id: String,\n  dev_server_hook_setup: DevServerHookSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_dev_server_hook_request\nmidas/sdk/netlify/operations update_site_dev_server_hook_request","url":"midas/sdk/netlify/operations.html#update_site_dev_server_hook_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_dev_server_hook_response","content":"pub fn update_site_dev_server_hook_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_dev_server_hook_response\nmidas/sdk/netlify/operations update_site_dev_server_hook_response","url":"midas/sdk/netlify/operations.html#update_site_dev_server_hook_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_metadata_request","content":"pub fn update_site_metadata_request(\n  base: Request(a),\n  site_id: String,\n  metadata: Metadata,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_metadata_request\nmidas/sdk/netlify/operations update_site_metadata_request","url":"midas/sdk/netlify/operations.html#update_site_metadata_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_metadata_response","content":"pub fn update_site_metadata_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_metadata_response\nmidas/sdk/netlify/operations update_site_metadata_response","url":"midas/sdk/netlify/operations.html#update_site_metadata_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_request","content":"pub fn update_site_request(\n  base: Request(a),\n  site_id: String,\n  site_setup: SiteSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_request\nmidas/sdk/netlify/operations update_site_request","url":"midas/sdk/netlify/operations.html#update_site_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_response","content":"pub fn update_site_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Site, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_response\nmidas/sdk/netlify/operations update_site_response","url":"midas/sdk/netlify/operations.html#update_site_response"},{"doc":"midas/sdk/netlify/operations","title":"update_site_snippet_request","content":"pub fn update_site_snippet_request(\n  base: Request(a),\n  site_id: String,\n  snippet_id: String,\n  snippet: Snippet,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_snippet_request\nmidas/sdk/netlify/operations update_site_snippet_request","url":"midas/sdk/netlify/operations.html#update_site_snippet_request"},{"doc":"midas/sdk/netlify/operations","title":"update_site_snippet_response","content":"pub fn update_site_snippet_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Nil, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_site_snippet_response\nmidas/sdk/netlify/operations update_site_snippet_response","url":"midas/sdk/netlify/operations.html#update_site_snippet_response"},{"doc":"midas/sdk/netlify/operations","title":"update_split_test_request","content":"pub fn update_split_test_request(\n  base: Request(a),\n  site_id: String,\n  split_test_id: String,\n  split_test_setup: SplitTestSetup,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_split_test_request\nmidas/sdk/netlify/operations update_split_test_request","url":"midas/sdk/netlify/operations.html#update_split_test_request"},{"doc":"midas/sdk/netlify/operations","title":"update_split_test_response","content":"pub fn update_split_test_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(SplitTest, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.update_split_test_response\nmidas/sdk/netlify/operations update_split_test_response","url":"midas/sdk/netlify/operations.html#update_split_test_response"},{"doc":"midas/sdk/netlify/operations","title":"upload_deploy_file_request","content":"pub fn upload_deploy_file_request(\n  base: Request(a),\n  deploy_id: String,\n  path: String,\n  size size: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.upload_deploy_file_request\nmidas/sdk/netlify/operations upload_deploy_file_request","url":"midas/sdk/netlify/operations.html#upload_deploy_file_request"},{"doc":"midas/sdk/netlify/operations","title":"upload_deploy_file_response","content":"pub fn upload_deploy_file_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(File, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.upload_deploy_file_response\nmidas/sdk/netlify/operations upload_deploy_file_response","url":"midas/sdk/netlify/operations.html#upload_deploy_file_response"},{"doc":"midas/sdk/netlify/operations","title":"upload_deploy_function_request","content":"pub fn upload_deploy_function_request(\n  base: Request(a),\n  deploy_id: String,\n  name: String,\n  runtime runtime: Option(String),\n  invocation_mode invocation_mode: Option(String),\n  timeout timeout: Option(Int),\n  size size: Option(Int),\n) -&gt; Request(a)\n\nSynonyms:\nmidas/sdk/netlify/operations.upload_deploy_function_request\nmidas/sdk/netlify/operations upload_deploy_function_request","url":"midas/sdk/netlify/operations.html#upload_deploy_function_request"},{"doc":"midas/sdk/netlify/operations","title":"upload_deploy_function_response","content":"pub fn upload_deploy_function_response(\n  response: Response(BitArray),\n) -&gt; Result(Result(Function, Error), DecodeError)\n\nSynonyms:\nmidas/sdk/netlify/operations.upload_deploy_function_response\nmidas/sdk/netlify/operations upload_deploy_function_response","url":"midas/sdk/netlify/operations.html#upload_deploy_function_response"},{"doc":"midas/sdk/netlify/operations","title":"midas/sdk/netlify/operations","content":"","url":"midas/sdk/netlify/operations.html"},{"doc":"midas/sdk/netlify","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/netlify.App\nmidas/sdk/netlify App","url":"midas/sdk/netlify.html#App"},{"doc":"midas/sdk/netlify","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/netlify.api_host\nmidas/sdk/netlify api_host","url":"midas/sdk/netlify.html#api_host"},{"doc":"midas/sdk/netlify","title":"add_member_to_account","content":"pub fn add_member_to_account(\n  token: String,\n  account_slug: String,\n  account_add_member_setup: AccountAddMemberSetup,\n) -&gt; Effect(List(Member))\n\nSynonyms:\nmidas/sdk/netlify.add_member_to_account\nmidas/sdk/netlify add_member_to_account","url":"midas/sdk/netlify.html#add_member_to_account"},{"doc":"midas/sdk/netlify","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/netlify.auth_redirect\nmidas/sdk/netlify auth_redirect","url":"midas/sdk/netlify.html#auth_redirect"},{"doc":"midas/sdk/netlify","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/netlify.authenticate\nmidas/sdk/netlify authenticate","url":"midas/sdk/netlify.html#authenticate"},{"doc":"midas/sdk/netlify","title":"cancel_account","content":"pub fn cancel_account(\n  token: String,\n  account_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.cancel_account\nmidas/sdk/netlify cancel_account","url":"midas/sdk/netlify.html#cancel_account"},{"doc":"midas/sdk/netlify","title":"cancel_site_deploy","content":"pub fn cancel_site_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.cancel_site_deploy\nmidas/sdk/netlify cancel_site_deploy","url":"midas/sdk/netlify.html#cancel_site_deploy"},{"doc":"midas/sdk/netlify","title":"configure_dnsfor_site","content":"pub fn configure_dnsfor_site(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(DnsZone))\n\nSynonyms:\nmidas/sdk/netlify.configure_dnsfor_site\nmidas/sdk/netlify configure_dnsfor_site","url":"midas/sdk/netlify.html#configure_dnsfor_site"},{"doc":"midas/sdk/netlify","title":"create_account","content":"pub fn create_account(\n  token: String,\n  account_setup: AccountSetup,\n) -&gt; Effect(AccountMembership)\n\nSynonyms:\nmidas/sdk/netlify.create_account\nmidas/sdk/netlify create_account","url":"midas/sdk/netlify.html#create_account"},{"doc":"midas/sdk/netlify","title":"create_deploy_key","content":"pub fn create_deploy_key(token: String) -&gt; Effect(DeployKey)\n\nSynonyms:\nmidas/sdk/netlify.create_deploy_key\nmidas/sdk/netlify create_deploy_key","url":"midas/sdk/netlify.html#create_deploy_key"},{"doc":"midas/sdk/netlify","title":"create_dns_record","content":"pub fn create_dns_record(\n  token: String,\n  zone_id: String,\n  dns_record_create: DnsRecordCreate,\n) -&gt; Effect(DnsRecord)\n\nSynonyms:\nmidas/sdk/netlify.create_dns_record\nmidas/sdk/netlify create_dns_record","url":"midas/sdk/netlify.html#create_dns_record"},{"doc":"midas/sdk/netlify","title":"create_dns_zone","content":"pub fn create_dns_zone(\n  token: String,\n  dns_zone_setup: DnsZoneSetup,\n) -&gt; Effect(DnsZone)\n\nSynonyms:\nmidas/sdk/netlify.create_dns_zone\nmidas/sdk/netlify create_dns_zone","url":"midas/sdk/netlify.html#create_dns_zone"},{"doc":"midas/sdk/netlify","title":"create_env_vars","content":"pub fn create_env_vars(\n  token: String,\n  account_id: String,\n  site_id site_id: Option(String),\n) -&gt; Effect(List(EnvVar))\n\nSynonyms:\nmidas/sdk/netlify.create_env_vars\nmidas/sdk/netlify create_env_vars","url":"midas/sdk/netlify.html#create_env_vars"},{"doc":"midas/sdk/netlify","title":"create_hook_by_site_id","content":"pub fn create_hook_by_site_id(\n  token: String,\n  hook: Hook,\n  site_id site_id: String,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/netlify.create_hook_by_site_id\nmidas/sdk/netlify create_hook_by_site_id","url":"midas/sdk/netlify.html#create_hook_by_site_id"},{"doc":"midas/sdk/netlify","title":"create_service_instance","content":"pub fn create_service_instance(\n  token: String,\n  site_id: String,\n  addon: String,\n  data: BitArray,\n) -&gt; Effect(ServiceInstance)\n\nSynonyms:\nmidas/sdk/netlify.create_service_instance\nmidas/sdk/netlify create_service_instance","url":"midas/sdk/netlify.html#create_service_instance"},{"doc":"midas/sdk/netlify","title":"create_site","content":"pub fn create_site(\n  token: String,\n  site_setup: SiteSetup,\n  configure_dns configure_dns: Option(Bool),\n) -&gt; Effect(Site)\n\nSynonyms:\nmidas/sdk/netlify.create_site\nmidas/sdk/netlify create_site","url":"midas/sdk/netlify.html#create_site"},{"doc":"midas/sdk/netlify","title":"create_site_asset","content":"pub fn create_site_asset(\n  token: String,\n  site_id: String,\n  name name: String,\n  size size: Int,\n  content_type content_type: String,\n  visibility visibility: Option(String),\n) -&gt; Effect(AssetSignature)\n\nSynonyms:\nmidas/sdk/netlify.create_site_asset\nmidas/sdk/netlify create_site_asset","url":"midas/sdk/netlify.html#create_site_asset"},{"doc":"midas/sdk/netlify","title":"create_site_build","content":"pub fn create_site_build(\n  token: String,\n  site_id: String,\n  build_setup: BuildSetup,\n) -&gt; Effect(Build)\n\nSynonyms:\nmidas/sdk/netlify.create_site_build\nmidas/sdk/netlify create_site_build","url":"midas/sdk/netlify.html#create_site_build"},{"doc":"midas/sdk/netlify","title":"create_site_build_hook","content":"pub fn create_site_build_hook(\n  token: String,\n  site_id: String,\n  build_hook_setup: BuildHookSetup,\n) -&gt; Effect(BuildHook)\n\nSynonyms:\nmidas/sdk/netlify.create_site_build_hook\nmidas/sdk/netlify create_site_build_hook","url":"midas/sdk/netlify.html#create_site_build_hook"},{"doc":"midas/sdk/netlify","title":"create_site_deploy","content":"pub fn create_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_files: DeployFiles,\n  title title: Option(String),\n  deploy_previews deploy_previews: Option(Bool),\n  production production: Option(Bool),\n  state state: Option(String),\n  branch branch: Option(String),\n  latest_published latest_published: Option(Bool),\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.create_site_deploy\nmidas/sdk/netlify create_site_deploy","url":"midas/sdk/netlify.html#create_site_deploy"},{"doc":"midas/sdk/netlify","title":"create_site_dev_server","content":"pub fn create_site_dev_server(\n  token: String,\n  site_id: String,\n  branch branch: Option(String),\n) -&gt; Effect(List(DevServer))\n\nSynonyms:\nmidas/sdk/netlify.create_site_dev_server\nmidas/sdk/netlify create_site_dev_server","url":"midas/sdk/netlify.html#create_site_dev_server"},{"doc":"midas/sdk/netlify","title":"create_site_dev_server_hook","content":"pub fn create_site_dev_server_hook(\n  token: String,\n  site_id: String,\n  dev_server_hook_setup: DevServerHookSetup,\n) -&gt; Effect(DevServerHook)\n\nSynonyms:\nmidas/sdk/netlify.create_site_dev_server_hook\nmidas/sdk/netlify create_site_dev_server_hook","url":"midas/sdk/netlify.html#create_site_dev_server_hook"},{"doc":"midas/sdk/netlify","title":"create_site_in_team","content":"pub fn create_site_in_team(\n  token: String,\n  account_slug: String,\n  site_setup: SiteSetup,\n  configure_dns configure_dns: Option(Bool),\n) -&gt; Effect(Site)\n\nSynonyms:\nmidas/sdk/netlify.create_site_in_team\nmidas/sdk/netlify create_site_in_team","url":"midas/sdk/netlify.html#create_site_in_team"},{"doc":"midas/sdk/netlify","title":"create_site_snippet","content":"pub fn create_site_snippet(\n  token: String,\n  site_id: String,\n  snippet: Snippet,\n) -&gt; Effect(Snippet)\n\nSynonyms:\nmidas/sdk/netlify.create_site_snippet\nmidas/sdk/netlify create_site_snippet","url":"midas/sdk/netlify.html#create_site_snippet"},{"doc":"midas/sdk/netlify","title":"create_split_test","content":"pub fn create_split_test(\n  token: String,\n  site_id: String,\n  split_test_setup: SplitTestSetup,\n) -&gt; Effect(SplitTest)\n\nSynonyms:\nmidas/sdk/netlify.create_split_test\nmidas/sdk/netlify create_split_test","url":"midas/sdk/netlify.html#create_split_test"},{"doc":"midas/sdk/netlify","title":"create_ticket","content":"pub fn create_ticket(\n  token: String,\n  client_id client_id: String,\n) -&gt; Effect(Ticket)\n\nSynonyms:\nmidas/sdk/netlify.create_ticket\nmidas/sdk/netlify create_ticket","url":"midas/sdk/netlify.html#create_ticket"},{"doc":"midas/sdk/netlify","title":"delete_deploy","content":"pub fn delete_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_deploy\nmidas/sdk/netlify delete_deploy","url":"midas/sdk/netlify.html#delete_deploy"},{"doc":"midas/sdk/netlify","title":"delete_deploy_key","content":"pub fn delete_deploy_key(\n  token: String,\n  key_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_deploy_key\nmidas/sdk/netlify delete_deploy_key","url":"midas/sdk/netlify.html#delete_deploy_key"},{"doc":"midas/sdk/netlify","title":"delete_dns_record","content":"pub fn delete_dns_record(\n  token: String,\n  zone_id: String,\n  dns_record_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_dns_record\nmidas/sdk/netlify delete_dns_record","url":"midas/sdk/netlify.html#delete_dns_record"},{"doc":"midas/sdk/netlify","title":"delete_dns_zone","content":"pub fn delete_dns_zone(\n  token: String,\n  zone_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_dns_zone\nmidas/sdk/netlify delete_dns_zone","url":"midas/sdk/netlify.html#delete_dns_zone"},{"doc":"midas/sdk/netlify","title":"delete_env_var","content":"pub fn delete_env_var(\n  token: String,\n  account_id: String,\n  key: String,\n  site_id site_id: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_env_var\nmidas/sdk/netlify delete_env_var","url":"midas/sdk/netlify.html#delete_env_var"},{"doc":"midas/sdk/netlify","title":"delete_env_var_value","content":"pub fn delete_env_var_value(\n  token: String,\n  account_id: String,\n  key: String,\n  id: String,\n  site_id site_id: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_env_var_value\nmidas/sdk/netlify delete_env_var_value","url":"midas/sdk/netlify.html#delete_env_var_value"},{"doc":"midas/sdk/netlify","title":"delete_service_instance","content":"pub fn delete_service_instance(\n  token: String,\n  site_id: String,\n  addon: String,\n  instance_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_service_instance\nmidas/sdk/netlify delete_service_instance","url":"midas/sdk/netlify.html#delete_service_instance"},{"doc":"midas/sdk/netlify","title":"delete_site","content":"pub fn delete_site(token: String, site_id: String) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site\nmidas/sdk/netlify delete_site","url":"midas/sdk/netlify.html#delete_site"},{"doc":"midas/sdk/netlify","title":"delete_site_asset","content":"pub fn delete_site_asset(\n  token: String,\n  site_id: String,\n  asset_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_asset\nmidas/sdk/netlify delete_site_asset","url":"midas/sdk/netlify.html#delete_site_asset"},{"doc":"midas/sdk/netlify","title":"delete_site_build_hook","content":"pub fn delete_site_build_hook(\n  token: String,\n  site_id: String,\n  id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_build_hook\nmidas/sdk/netlify delete_site_build_hook","url":"midas/sdk/netlify.html#delete_site_build_hook"},{"doc":"midas/sdk/netlify","title":"delete_site_deploy","content":"pub fn delete_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_deploy\nmidas/sdk/netlify delete_site_deploy","url":"midas/sdk/netlify.html#delete_site_deploy"},{"doc":"midas/sdk/netlify","title":"delete_site_dev_server_hook","content":"pub fn delete_site_dev_server_hook(\n  token: String,\n  site_id: String,\n  id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_dev_server_hook\nmidas/sdk/netlify delete_site_dev_server_hook","url":"midas/sdk/netlify.html#delete_site_dev_server_hook"},{"doc":"midas/sdk/netlify","title":"delete_site_dev_servers","content":"pub fn delete_site_dev_servers(\n  token: String,\n  site_id: String,\n  branch branch: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_dev_servers\nmidas/sdk/netlify delete_site_dev_servers","url":"midas/sdk/netlify.html#delete_site_dev_servers"},{"doc":"midas/sdk/netlify","title":"delete_site_form","content":"pub fn delete_site_form(\n  token: String,\n  site_id: String,\n  form_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_form\nmidas/sdk/netlify delete_site_form","url":"midas/sdk/netlify.html#delete_site_form"},{"doc":"midas/sdk/netlify","title":"delete_site_snippet","content":"pub fn delete_site_snippet(\n  token: String,\n  site_id: String,\n  snippet_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_site_snippet\nmidas/sdk/netlify delete_site_snippet","url":"midas/sdk/netlify.html#delete_site_snippet"},{"doc":"midas/sdk/netlify","title":"delete_submission","content":"pub fn delete_submission(\n  token: String,\n  submission_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.delete_submission\nmidas/sdk/netlify delete_submission","url":"midas/sdk/netlify.html#delete_submission"},{"doc":"midas/sdk/netlify","title":"deploy_site","content":"pub fn deploy_site(\n  token: String,\n  site_id: String,\n  files: List(#(String, BitArray)),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/netlify.deploy_site\nmidas/sdk/netlify deploy_site","url":"midas/sdk/netlify.html#deploy_site"},{"doc":"midas/sdk/netlify","title":"disable_split_test","content":"pub fn disable_split_test(\n  token: String,\n  site_id: String,\n  split_test_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.disable_split_test\nmidas/sdk/netlify disable_split_test","url":"midas/sdk/netlify.html#disable_split_test"},{"doc":"midas/sdk/netlify","title":"enable_hook","content":"pub fn enable_hook(\n  token: String,\n  hook_id: String,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/netlify.enable_hook\nmidas/sdk/netlify enable_hook","url":"midas/sdk/netlify.html#enable_hook"},{"doc":"midas/sdk/netlify","title":"enable_split_test","content":"pub fn enable_split_test(\n  token: String,\n  site_id: String,\n  split_test_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.enable_split_test\nmidas/sdk/netlify enable_split_test","url":"midas/sdk/netlify.html#enable_split_test"},{"doc":"midas/sdk/netlify","title":"exchange_ticket","content":"pub fn exchange_ticket(\n  token: String,\n  ticket_id: String,\n) -&gt; Effect(AccessToken)\n\nSynonyms:\nmidas/sdk/netlify.exchange_ticket\nmidas/sdk/netlify exchange_ticket","url":"midas/sdk/netlify.html#exchange_ticket"},{"doc":"midas/sdk/netlify","title":"get_account","content":"pub fn get_account(\n  token: String,\n  account_id: String,\n) -&gt; Effect(List(AccountMembership))\n\nSynonyms:\nmidas/sdk/netlify.get_account\nmidas/sdk/netlify get_account","url":"midas/sdk/netlify.html#get_account"},{"doc":"midas/sdk/netlify","title":"get_account_build_status","content":"pub fn get_account_build_status(\n  token: String,\n  account_id: String,\n) -&gt; Effect(List(BuildStatus))\n\nSynonyms:\nmidas/sdk/netlify.get_account_build_status\nmidas/sdk/netlify get_account_build_status","url":"midas/sdk/netlify.html#get_account_build_status"},{"doc":"midas/sdk/netlify","title":"get_account_member","content":"pub fn get_account_member(\n  token: String,\n  account_slug: String,\n  member_id: String,\n) -&gt; Effect(Member)\n\nSynonyms:\nmidas/sdk/netlify.get_account_member\nmidas/sdk/netlify get_account_member","url":"midas/sdk/netlify.html#get_account_member"},{"doc":"midas/sdk/netlify","title":"get_current_user","content":"pub fn get_current_user(token: String) -&gt; Effect(List(User))\n\nSynonyms:\nmidas/sdk/netlify.get_current_user\nmidas/sdk/netlify get_current_user","url":"midas/sdk/netlify.html#get_current_user"},{"doc":"midas/sdk/netlify","title":"get_deploy","content":"pub fn get_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.get_deploy\nmidas/sdk/netlify get_deploy","url":"midas/sdk/netlify.html#get_deploy"},{"doc":"midas/sdk/netlify","title":"get_deploy_key","content":"pub fn get_deploy_key(\n  token: String,\n  key_id: String,\n) -&gt; Effect(DeployKey)\n\nSynonyms:\nmidas/sdk/netlify.get_deploy_key\nmidas/sdk/netlify get_deploy_key","url":"midas/sdk/netlify.html#get_deploy_key"},{"doc":"midas/sdk/netlify","title":"get_dns_records","content":"pub fn get_dns_records(\n  token: String,\n  zone_id: String,\n) -&gt; Effect(List(DnsRecord))\n\nSynonyms:\nmidas/sdk/netlify.get_dns_records\nmidas/sdk/netlify get_dns_records","url":"midas/sdk/netlify.html#get_dns_records"},{"doc":"midas/sdk/netlify","title":"get_dns_zone","content":"pub fn get_dns_zone(\n  token: String,\n  zone_id: String,\n) -&gt; Effect(DnsZone)\n\nSynonyms:\nmidas/sdk/netlify.get_dns_zone\nmidas/sdk/netlify get_dns_zone","url":"midas/sdk/netlify.html#get_dns_zone"},{"doc":"midas/sdk/netlify","title":"get_dns_zones","content":"pub fn get_dns_zones(\n  token: String,\n  account_slug account_slug: Option(String),\n) -&gt; Effect(List(DnsZone))\n\nSynonyms:\nmidas/sdk/netlify.get_dns_zones\nmidas/sdk/netlify get_dns_zones","url":"midas/sdk/netlify.html#get_dns_zones"},{"doc":"midas/sdk/netlify","title":"get_dnsfor_site","content":"pub fn get_dnsfor_site(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(DnsZone))\n\nSynonyms:\nmidas/sdk/netlify.get_dnsfor_site\nmidas/sdk/netlify get_dnsfor_site","url":"midas/sdk/netlify.html#get_dnsfor_site"},{"doc":"midas/sdk/netlify","title":"get_env_var","content":"pub fn get_env_var(\n  token: String,\n  account_id: String,\n  key: String,\n  site_id site_id: Option(String),\n) -&gt; Effect(EnvVar)\n\nSynonyms:\nmidas/sdk/netlify.get_env_var\nmidas/sdk/netlify get_env_var","url":"midas/sdk/netlify.html#get_env_var"},{"doc":"midas/sdk/netlify","title":"get_env_vars","content":"pub fn get_env_vars(\n  token: String,\n  account_id: String,\n  context_name context_name: Option(String),\n  scope scope: Option(String),\n  site_id site_id: Option(String),\n) -&gt; Effect(List(EnvVar))\n\nSynonyms:\nmidas/sdk/netlify.get_env_vars\nmidas/sdk/netlify get_env_vars","url":"midas/sdk/netlify.html#get_env_vars"},{"doc":"midas/sdk/netlify","title":"get_hook","content":"pub fn get_hook(token: String, hook_id: String) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/netlify.get_hook\nmidas/sdk/netlify get_hook","url":"midas/sdk/netlify.html#get_hook"},{"doc":"midas/sdk/netlify","title":"get_individual_dns_record","content":"pub fn get_individual_dns_record(\n  token: String,\n  zone_id: String,\n  dns_record_id: String,\n) -&gt; Effect(DnsRecord)\n\nSynonyms:\nmidas/sdk/netlify.get_individual_dns_record\nmidas/sdk/netlify get_individual_dns_record","url":"midas/sdk/netlify.html#get_individual_dns_record"},{"doc":"midas/sdk/netlify","title":"get_services","content":"pub fn get_services(\n  token: String,\n  search search: Option(String),\n) -&gt; Effect(List(Service))\n\nSynonyms:\nmidas/sdk/netlify.get_services\nmidas/sdk/netlify get_services","url":"midas/sdk/netlify.html#get_services"},{"doc":"midas/sdk/netlify","title":"get_site","content":"pub fn get_site(token: String, site_id: String) -&gt; Effect(Site)\n\nSynonyms:\nmidas/sdk/netlify.get_site\nmidas/sdk/netlify get_site","url":"midas/sdk/netlify.html#get_site"},{"doc":"midas/sdk/netlify","title":"get_site_asset_info","content":"pub fn get_site_asset_info(\n  token: String,\n  site_id: String,\n  asset_id: String,\n) -&gt; Effect(Asset)\n\nSynonyms:\nmidas/sdk/netlify.get_site_asset_info\nmidas/sdk/netlify get_site_asset_info","url":"midas/sdk/netlify.html#get_site_asset_info"},{"doc":"midas/sdk/netlify","title":"get_site_asset_public_signature","content":"pub fn get_site_asset_public_signature(\n  token: String,\n  site_id: String,\n  asset_id: String,\n) -&gt; Effect(AssetPublicSignature)\n\nSynonyms:\nmidas/sdk/netlify.get_site_asset_public_signature\nmidas/sdk/netlify get_site_asset_public_signature","url":"midas/sdk/netlify.html#get_site_asset_public_signature"},{"doc":"midas/sdk/netlify","title":"get_site_build","content":"pub fn get_site_build(\n  token: String,\n  build_id: String,\n) -&gt; Effect(Build)\n\nSynonyms:\nmidas/sdk/netlify.get_site_build\nmidas/sdk/netlify get_site_build","url":"midas/sdk/netlify.html#get_site_build"},{"doc":"midas/sdk/netlify","title":"get_site_build_hook","content":"pub fn get_site_build_hook(\n  token: String,\n  site_id: String,\n  id: String,\n) -&gt; Effect(BuildHook)\n\nSynonyms:\nmidas/sdk/netlify.get_site_build_hook\nmidas/sdk/netlify get_site_build_hook","url":"midas/sdk/netlify.html#get_site_build_hook"},{"doc":"midas/sdk/netlify","title":"get_site_deploy","content":"pub fn get_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.get_site_deploy\nmidas/sdk/netlify get_site_deploy","url":"midas/sdk/netlify.html#get_site_deploy"},{"doc":"midas/sdk/netlify","title":"get_site_dev_server_hook","content":"pub fn get_site_dev_server_hook(\n  token: String,\n  site_id: String,\n  id: String,\n) -&gt; Effect(DevServerHook)\n\nSynonyms:\nmidas/sdk/netlify.get_site_dev_server_hook\nmidas/sdk/netlify get_site_dev_server_hook","url":"midas/sdk/netlify.html#get_site_dev_server_hook"},{"doc":"midas/sdk/netlify","title":"get_site_env_vars","content":"pub fn get_site_env_vars(\n  token: String,\n  site_id: String,\n  context_name context_name: Option(String),\n  scope scope: Option(String),\n) -&gt; Effect(List(EnvVar))\n\nSynonyms:\nmidas/sdk/netlify.get_site_env_vars\nmidas/sdk/netlify get_site_env_vars","url":"midas/sdk/netlify.html#get_site_env_vars"},{"doc":"midas/sdk/netlify","title":"get_site_file_by_path_name","content":"pub fn get_site_file_by_path_name(\n  token: String,\n  site_id: String,\n  file_path: String,\n) -&gt; Effect(File)\n\nSynonyms:\nmidas/sdk/netlify.get_site_file_by_path_name\nmidas/sdk/netlify get_site_file_by_path_name","url":"midas/sdk/netlify.html#get_site_file_by_path_name"},{"doc":"midas/sdk/netlify","title":"get_site_metadata","content":"pub fn get_site_metadata(\n  token: String,\n  site_id: String,\n) -&gt; Effect(Metadata)\n\nSynonyms:\nmidas/sdk/netlify.get_site_metadata\nmidas/sdk/netlify get_site_metadata","url":"midas/sdk/netlify.html#get_site_metadata"},{"doc":"midas/sdk/netlify","title":"get_site_snippet","content":"pub fn get_site_snippet(\n  token: String,\n  site_id: String,\n  snippet_id: String,\n) -&gt; Effect(Snippet)\n\nSynonyms:\nmidas/sdk/netlify.get_site_snippet\nmidas/sdk/netlify get_site_snippet","url":"midas/sdk/netlify.html#get_site_snippet"},{"doc":"midas/sdk/netlify","title":"get_split_test","content":"pub fn get_split_test(\n  token: String,\n  site_id: String,\n  split_test_id: String,\n) -&gt; Effect(SplitTest)\n\nSynonyms:\nmidas/sdk/netlify.get_split_test\nmidas/sdk/netlify get_split_test","url":"midas/sdk/netlify.html#get_split_test"},{"doc":"midas/sdk/netlify","title":"get_split_tests","content":"pub fn get_split_tests(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(SplitTest))\n\nSynonyms:\nmidas/sdk/netlify.get_split_tests\nmidas/sdk/netlify get_split_tests","url":"midas/sdk/netlify.html#get_split_tests"},{"doc":"midas/sdk/netlify","title":"list_account_audit_events","content":"pub fn list_account_audit_events(\n  token: String,\n  account_id: String,\n  query query: Option(String),\n  log_type log_type: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(AuditLog))\n\nSynonyms:\nmidas/sdk/netlify.list_account_audit_events\nmidas/sdk/netlify list_account_audit_events","url":"midas/sdk/netlify.html#list_account_audit_events"},{"doc":"midas/sdk/netlify","title":"list_account_types_for_user","content":"pub fn list_account_types_for_user(\n  token: String,\n) -&gt; Effect(List(AccountType))\n\nSynonyms:\nmidas/sdk/netlify.list_account_types_for_user\nmidas/sdk/netlify list_account_types_for_user","url":"midas/sdk/netlify.html#list_account_types_for_user"},{"doc":"midas/sdk/netlify","title":"list_accounts_for_user","content":"pub fn list_accounts_for_user(\n  token: String,\n) -&gt; Effect(List(AccountMembership))\n\nSynonyms:\nmidas/sdk/netlify.list_accounts_for_user\nmidas/sdk/netlify list_accounts_for_user","url":"midas/sdk/netlify.html#list_accounts_for_user"},{"doc":"midas/sdk/netlify","title":"list_deploy_keys","content":"pub fn list_deploy_keys(token: String) -&gt; Effect(List(DeployKey))\n\nSynonyms:\nmidas/sdk/netlify.list_deploy_keys\nmidas/sdk/netlify list_deploy_keys","url":"midas/sdk/netlify.html#list_deploy_keys"},{"doc":"midas/sdk/netlify","title":"list_form_submission","content":"pub fn list_form_submission(\n  token: String,\n  submission_id: String,\n  query query: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Submission))\n\nSynonyms:\nmidas/sdk/netlify.list_form_submission\nmidas/sdk/netlify list_form_submission","url":"midas/sdk/netlify.html#list_form_submission"},{"doc":"midas/sdk/netlify","title":"list_form_submissions","content":"pub fn list_form_submissions(\n  token: String,\n  form_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Submission))\n\nSynonyms:\nmidas/sdk/netlify.list_form_submissions\nmidas/sdk/netlify list_form_submissions","url":"midas/sdk/netlify.html#list_form_submissions"},{"doc":"midas/sdk/netlify","title":"list_hook_types","content":"pub fn list_hook_types(token: String) -&gt; Effect(List(HookType))\n\nSynonyms:\nmidas/sdk/netlify.list_hook_types\nmidas/sdk/netlify list_hook_types","url":"midas/sdk/netlify.html#list_hook_types"},{"doc":"midas/sdk/netlify","title":"list_hooks_by_site_id","content":"pub fn list_hooks_by_site_id(\n  token: String,\n  site_id site_id: String,\n) -&gt; Effect(List(Hook))\n\nSynonyms:\nmidas/sdk/netlify.list_hooks_by_site_id\nmidas/sdk/netlify list_hooks_by_site_id","url":"midas/sdk/netlify.html#list_hooks_by_site_id"},{"doc":"midas/sdk/netlify","title":"list_members_for_account","content":"pub fn list_members_for_account(\n  token: String,\n  account_slug: String,\n) -&gt; Effect(List(Member))\n\nSynonyms:\nmidas/sdk/netlify.list_members_for_account\nmidas/sdk/netlify list_members_for_account","url":"midas/sdk/netlify.html#list_members_for_account"},{"doc":"midas/sdk/netlify","title":"list_payment_methods_for_user","content":"pub fn list_payment_methods_for_user(\n  token: String,\n) -&gt; Effect(List(PaymentMethod))\n\nSynonyms:\nmidas/sdk/netlify.list_payment_methods_for_user\nmidas/sdk/netlify list_payment_methods_for_user","url":"midas/sdk/netlify.html#list_payment_methods_for_user"},{"doc":"midas/sdk/netlify","title":"list_service_instances_for_site","content":"pub fn list_service_instances_for_site(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(ServiceInstance))\n\nSynonyms:\nmidas/sdk/netlify.list_service_instances_for_site\nmidas/sdk/netlify list_service_instances_for_site","url":"midas/sdk/netlify.html#list_service_instances_for_site"},{"doc":"midas/sdk/netlify","title":"list_site_assets","content":"pub fn list_site_assets(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(Asset))\n\nSynonyms:\nmidas/sdk/netlify.list_site_assets\nmidas/sdk/netlify list_site_assets","url":"midas/sdk/netlify.html#list_site_assets"},{"doc":"midas/sdk/netlify","title":"list_site_build_hooks","content":"pub fn list_site_build_hooks(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(BuildHook))\n\nSynonyms:\nmidas/sdk/netlify.list_site_build_hooks\nmidas/sdk/netlify list_site_build_hooks","url":"midas/sdk/netlify.html#list_site_build_hooks"},{"doc":"midas/sdk/netlify","title":"list_site_builds","content":"pub fn list_site_builds(\n  token: String,\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Build))\n\nSynonyms:\nmidas/sdk/netlify.list_site_builds\nmidas/sdk/netlify list_site_builds","url":"midas/sdk/netlify.html#list_site_builds"},{"doc":"midas/sdk/netlify","title":"list_site_deployed_branches","content":"pub fn list_site_deployed_branches(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(DeployedBranch))\n\nSynonyms:\nmidas/sdk/netlify.list_site_deployed_branches\nmidas/sdk/netlify list_site_deployed_branches","url":"midas/sdk/netlify.html#list_site_deployed_branches"},{"doc":"midas/sdk/netlify","title":"list_site_deploys","content":"pub fn list_site_deploys(\n  token: String,\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n  deploy_previews deploy_previews: Option(Bool),\n  production production: Option(Bool),\n  state state: Option(String),\n  branch branch: Option(String),\n  latest_published latest_published: Option(Bool),\n) -&gt; Effect(List(Deploy))\n\nSynonyms:\nmidas/sdk/netlify.list_site_deploys\nmidas/sdk/netlify list_site_deploys","url":"midas/sdk/netlify.html#list_site_deploys"},{"doc":"midas/sdk/netlify","title":"list_site_dev_server_hooks","content":"pub fn list_site_dev_server_hooks(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(DevServerHook))\n\nSynonyms:\nmidas/sdk/netlify.list_site_dev_server_hooks\nmidas/sdk/netlify list_site_dev_server_hooks","url":"midas/sdk/netlify.html#list_site_dev_server_hooks"},{"doc":"midas/sdk/netlify","title":"list_site_dev_servers","content":"pub fn list_site_dev_servers(\n  token: String,\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(DevServer))\n\nSynonyms:\nmidas/sdk/netlify.list_site_dev_servers\nmidas/sdk/netlify list_site_dev_servers","url":"midas/sdk/netlify.html#list_site_dev_servers"},{"doc":"midas/sdk/netlify","title":"list_site_files","content":"pub fn list_site_files(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(File))\n\nSynonyms:\nmidas/sdk/netlify.list_site_files\nmidas/sdk/netlify list_site_files","url":"midas/sdk/netlify.html#list_site_files"},{"doc":"midas/sdk/netlify","title":"list_site_forms","content":"pub fn list_site_forms(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(Form))\n\nSynonyms:\nmidas/sdk/netlify.list_site_forms\nmidas/sdk/netlify list_site_forms","url":"midas/sdk/netlify.html#list_site_forms"},{"doc":"midas/sdk/netlify","title":"list_site_snippets","content":"pub fn list_site_snippets(\n  token: String,\n  site_id: String,\n) -&gt; Effect(List(Snippet))\n\nSynonyms:\nmidas/sdk/netlify.list_site_snippets\nmidas/sdk/netlify list_site_snippets","url":"midas/sdk/netlify.html#list_site_snippets"},{"doc":"midas/sdk/netlify","title":"list_site_submissions","content":"pub fn list_site_submissions(\n  token: String,\n  site_id: String,\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Submission))\n\nSynonyms:\nmidas/sdk/netlify.list_site_submissions\nmidas/sdk/netlify list_site_submissions","url":"midas/sdk/netlify.html#list_site_submissions"},{"doc":"midas/sdk/netlify","title":"list_sites","content":"pub fn list_sites(\n  token: String,\n  name name: Option(String),\n  filter filter: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Site))\n\nSynonyms:\nmidas/sdk/netlify.list_sites\nmidas/sdk/netlify list_sites","url":"midas/sdk/netlify.html#list_sites"},{"doc":"midas/sdk/netlify","title":"list_sites_for_account","content":"pub fn list_sites_for_account(\n  token: String,\n  account_slug: String,\n  name name: Option(String),\n  page page: Option(Int),\n  per_page per_page: Option(Int),\n) -&gt; Effect(List(Site))\n\nSynonyms:\nmidas/sdk/netlify.list_sites_for_account\nmidas/sdk/netlify list_sites_for_account","url":"midas/sdk/netlify.html#list_sites_for_account"},{"doc":"midas/sdk/netlify","title":"lock_deploy","content":"pub fn lock_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.lock_deploy\nmidas/sdk/netlify lock_deploy","url":"midas/sdk/netlify.html#lock_deploy"},{"doc":"midas/sdk/netlify","title":"notify_build_start","content":"pub fn notify_build_start(\n  token: String,\n  build_id: String,\n  buildbot_version buildbot_version: Option(String),\n  build_version build_version: Option(String),\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.notify_build_start\nmidas/sdk/netlify notify_build_start","url":"midas/sdk/netlify.html#notify_build_start"},{"doc":"midas/sdk/netlify","title":"provision_site_tlscertificate","content":"pub fn provision_site_tlscertificate(\n  token: String,\n  site_id: String,\n  certificate certificate: Option(String),\n  key key: Option(String),\n  ca_certificates ca_certificates: Option(String),\n) -&gt; Effect(SniCertificate)\n\nSynonyms:\nmidas/sdk/netlify.provision_site_tlscertificate\nmidas/sdk/netlify provision_site_tlscertificate","url":"midas/sdk/netlify.html#provision_site_tlscertificate"},{"doc":"midas/sdk/netlify","title":"remove_account_member","content":"pub fn remove_account_member(\n  token: String,\n  account_slug: String,\n  member_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.remove_account_member\nmidas/sdk/netlify remove_account_member","url":"midas/sdk/netlify.html#remove_account_member"},{"doc":"midas/sdk/netlify","title":"restore_site_deploy","content":"pub fn restore_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.restore_site_deploy\nmidas/sdk/netlify restore_site_deploy","url":"midas/sdk/netlify.html#restore_site_deploy"},{"doc":"midas/sdk/netlify","title":"rollback_site_deploy","content":"pub fn rollback_site_deploy(\n  token: String,\n  site_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.rollback_site_deploy\nmidas/sdk/netlify rollback_site_deploy","url":"midas/sdk/netlify.html#rollback_site_deploy"},{"doc":"midas/sdk/netlify","title":"search_site_functions","content":"pub fn search_site_functions(\n  token: String,\n  site_id: String,\n  filter filter: Option(String),\n) -&gt; Effect(List(SiteFunction))\n\nSynonyms:\nmidas/sdk/netlify.search_site_functions\nmidas/sdk/netlify search_site_functions","url":"midas/sdk/netlify.html#search_site_functions"},{"doc":"midas/sdk/netlify","title":"set_env_var_value","content":"pub fn set_env_var_value(\n  token: String,\n  account_id: String,\n  key: String,\n  data: BitArray,\n  site_id site_id: Option(String),\n) -&gt; Effect(EnvVar)\n\nSynonyms:\nmidas/sdk/netlify.set_env_var_value\nmidas/sdk/netlify set_env_var_value","url":"midas/sdk/netlify.html#set_env_var_value"},{"doc":"midas/sdk/netlify","title":"show_service","content":"pub fn show_service(\n  token: String,\n  addon_name: String,\n) -&gt; Effect(Service)\n\nSynonyms:\nmidas/sdk/netlify.show_service\nmidas/sdk/netlify show_service","url":"midas/sdk/netlify.html#show_service"},{"doc":"midas/sdk/netlify","title":"show_service_instance","content":"pub fn show_service_instance(\n  token: String,\n  site_id: String,\n  addon: String,\n  instance_id: String,\n) -&gt; Effect(ServiceInstance)\n\nSynonyms:\nmidas/sdk/netlify.show_service_instance\nmidas/sdk/netlify show_service_instance","url":"midas/sdk/netlify.html#show_service_instance"},{"doc":"midas/sdk/netlify","title":"show_service_manifest","content":"pub fn show_service_manifest(\n  token: String,\n  addon_name: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/netlify.show_service_manifest\nmidas/sdk/netlify show_service_manifest","url":"midas/sdk/netlify.html#show_service_manifest"},{"doc":"midas/sdk/netlify","title":"show_site_tlscertificate","content":"pub fn show_site_tlscertificate(\n  token: String,\n  site_id: String,\n) -&gt; Effect(SniCertificate)\n\nSynonyms:\nmidas/sdk/netlify.show_site_tlscertificate\nmidas/sdk/netlify show_site_tlscertificate","url":"midas/sdk/netlify.html#show_site_tlscertificate"},{"doc":"midas/sdk/netlify","title":"show_ticket","content":"pub fn show_ticket(\n  token: String,\n  ticket_id: String,\n) -&gt; Effect(Ticket)\n\nSynonyms:\nmidas/sdk/netlify.show_ticket\nmidas/sdk/netlify show_ticket","url":"midas/sdk/netlify.html#show_ticket"},{"doc":"midas/sdk/netlify","title":"transfer_dns_zone","content":"pub fn transfer_dns_zone(\n  token: String,\n  zone_id: String,\n  account_id account_id: String,\n  transfer_account_id transfer_account_id: String,\n  transfer_user_id transfer_user_id: String,\n) -&gt; Effect(DnsZone)\n\nSynonyms:\nmidas/sdk/netlify.transfer_dns_zone\nmidas/sdk/netlify transfer_dns_zone","url":"midas/sdk/netlify.html#transfer_dns_zone"},{"doc":"midas/sdk/netlify","title":"unlock_deploy","content":"pub fn unlock_deploy(\n  token: String,\n  deploy_id: String,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.unlock_deploy\nmidas/sdk/netlify unlock_deploy","url":"midas/sdk/netlify.html#unlock_deploy"},{"doc":"midas/sdk/netlify","title":"update_account","content":"pub fn update_account(\n  token: String,\n  account_id: String,\n  account_update_setup: AccountUpdateSetup,\n) -&gt; Effect(AccountMembership)\n\nSynonyms:\nmidas/sdk/netlify.update_account\nmidas/sdk/netlify update_account","url":"midas/sdk/netlify.html#update_account"},{"doc":"midas/sdk/netlify","title":"update_account_member","content":"pub fn update_account_member(\n  token: String,\n  account_slug: String,\n  member_id: String,\n  account_update_member_setup: AccountUpdateMemberSetup,\n) -&gt; Effect(Member)\n\nSynonyms:\nmidas/sdk/netlify.update_account_member\nmidas/sdk/netlify update_account_member","url":"midas/sdk/netlify.html#update_account_member"},{"doc":"midas/sdk/netlify","title":"update_env_var","content":"pub fn update_env_var(\n  token: String,\n  account_id: String,\n  key: String,\n  data: BitArray,\n  site_id site_id: Option(String),\n) -&gt; Effect(EnvVar)\n\nSynonyms:\nmidas/sdk/netlify.update_env_var\nmidas/sdk/netlify update_env_var","url":"midas/sdk/netlify.html#update_env_var"},{"doc":"midas/sdk/netlify","title":"update_hook","content":"pub fn update_hook(\n  token: String,\n  hook_id: String,\n  hook: Hook,\n) -&gt; Effect(Hook)\n\nSynonyms:\nmidas/sdk/netlify.update_hook\nmidas/sdk/netlify update_hook","url":"midas/sdk/netlify.html#update_hook"},{"doc":"midas/sdk/netlify","title":"update_service_instance","content":"pub fn update_service_instance(\n  token: String,\n  site_id: String,\n  addon: String,\n  instance_id: String,\n  data: BitArray,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_service_instance\nmidas/sdk/netlify update_service_instance","url":"midas/sdk/netlify.html#update_service_instance"},{"doc":"midas/sdk/netlify","title":"update_site","content":"pub fn update_site(\n  token: String,\n  site_id: String,\n  site_setup: SiteSetup,\n) -&gt; Effect(Site)\n\nSynonyms:\nmidas/sdk/netlify.update_site\nmidas/sdk/netlify update_site","url":"midas/sdk/netlify.html#update_site"},{"doc":"midas/sdk/netlify","title":"update_site_asset","content":"pub fn update_site_asset(\n  token: String,\n  site_id: String,\n  asset_id: String,\n  state state: String,\n) -&gt; Effect(Asset)\n\nSynonyms:\nmidas/sdk/netlify.update_site_asset\nmidas/sdk/netlify update_site_asset","url":"midas/sdk/netlify.html#update_site_asset"},{"doc":"midas/sdk/netlify","title":"update_site_build_hook","content":"pub fn update_site_build_hook(\n  token: String,\n  site_id: String,\n  id: String,\n  build_hook_setup: BuildHookSetup,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_build_hook\nmidas/sdk/netlify update_site_build_hook","url":"midas/sdk/netlify.html#update_site_build_hook"},{"doc":"midas/sdk/netlify","title":"update_site_build_log","content":"pub fn update_site_build_log(\n  token: String,\n  build_id: String,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_build_log\nmidas/sdk/netlify update_site_build_log","url":"midas/sdk/netlify.html#update_site_build_log"},{"doc":"midas/sdk/netlify","title":"update_site_deploy","content":"pub fn update_site_deploy(\n  token: String,\n  site_id: String,\n  deploy_id: String,\n  deploy_files: DeployFiles,\n) -&gt; Effect(Deploy)\n\nSynonyms:\nmidas/sdk/netlify.update_site_deploy\nmidas/sdk/netlify update_site_deploy","url":"midas/sdk/netlify.html#update_site_deploy"},{"doc":"midas/sdk/netlify","title":"update_site_dev_server_hook","content":"pub fn update_site_dev_server_hook(\n  token: String,\n  site_id: String,\n  id: String,\n  dev_server_hook_setup: DevServerHookSetup,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_dev_server_hook\nmidas/sdk/netlify update_site_dev_server_hook","url":"midas/sdk/netlify.html#update_site_dev_server_hook"},{"doc":"midas/sdk/netlify","title":"update_site_metadata","content":"pub fn update_site_metadata(\n  token: String,\n  site_id: String,\n  metadata: Metadata,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_metadata\nmidas/sdk/netlify update_site_metadata","url":"midas/sdk/netlify.html#update_site_metadata"},{"doc":"midas/sdk/netlify","title":"update_site_snippet","content":"pub fn update_site_snippet(\n  token: String,\n  site_id: String,\n  snippet_id: String,\n  snippet: Snippet,\n) -&gt; Effect(Nil)\n\nSynonyms:\nmidas/sdk/netlify.update_site_snippet\nmidas/sdk/netlify update_site_snippet","url":"midas/sdk/netlify.html#update_site_snippet"},{"doc":"midas/sdk/netlify","title":"update_split_test","content":"pub fn update_split_test(\n  token: String,\n  site_id: String,\n  split_test_id: String,\n  split_test_setup: SplitTestSetup,\n) -&gt; Effect(SplitTest)\n\nSynonyms:\nmidas/sdk/netlify.update_split_test\nmidas/sdk/netlify update_split_test","url":"midas/sdk/netlify.html#update_split_test"},{"doc":"midas/sdk/netlify","title":"upload_deploy_file","content":"pub fn upload_deploy_file(\n  token: String,\n  deploy_id: String,\n  path: String,\n  size size: Option(Int),\n) -&gt; Effect(File)\n\nSynonyms:\nmidas/sdk/netlify.upload_deploy_file\nmidas/sdk/netlify upload_deploy_file","url":"midas/sdk/netlify.html#upload_deploy_file"},{"doc":"midas/sdk/netlify","title":"upload_deploy_function","content":"pub fn upload_deploy_function(\n  token: String,\n  deploy_id: String,\n  name: String,\n  runtime runtime: Option(String),\n  invocation_mode invocation_mode: Option(String),\n  timeout timeout: Option(Int),\n  size size: Option(Int),\n) -&gt; Effect(Function)\n\nSynonyms:\nmidas/sdk/netlify.upload_deploy_function\nmidas/sdk/netlify upload_deploy_function","url":"midas/sdk/netlify.html#upload_deploy_function"},{"doc":"midas/sdk/netlify","title":"midas/sdk/netlify","content":"","url":"midas/sdk/netlify.html"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"BusDeparture","content":"pub type BusDeparture {\n  BusDeparture(\n    journey_direction: Int,\n    destination: String,\n    timetabled: String,\n    expected: String,\n    display: String,\n  )\n}\n\nBusDeparture(\n  journey_direction: Int,\n  destination: String,\n  timetabled: String,\n  expected: String,\n  display: String,\n)\n\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.BusDeparture\nmidas/sdk/trafiklab/realtidsinformation_4 BusDeparture","url":"midas/sdk/trafiklab/realtidsinformation_4.html#BusDeparture"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"eyvind_johnsons_gata","content":"pub const eyvind_johnsons_gata: String\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.eyvind_johnsons_gata\nmidas/sdk/trafiklab/realtidsinformation_4 eyvind_johnsons_gata","url":"midas/sdk/trafiklab/realtidsinformation_4.html#eyvind_johnsons_gata"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"moa_martinsons_torg","content":"pub const moa_martinsons_torg: String\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.moa_martinsons_torg\nmidas/sdk/trafiklab/realtidsinformation_4 moa_martinsons_torg","url":"midas/sdk/trafiklab/realtidsinformation_4.html#moa_martinsons_torg"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"bus_departure_decoder","content":"pub fn bus_departure_decoder(\n  raw: Dynamic,\n) -&gt; Result(BusDeparture, List(DecodeError))\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.bus_departure_decoder\nmidas/sdk/trafiklab/realtidsinformation_4 bus_departure_decoder","url":"midas/sdk/trafiklab/realtidsinformation_4.html#bus_departure_decoder"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures","content":"pub fn departures(\n  api_key: String,\n  site_id: String,\n  time_window: Int,\n) -&gt; Effect(List(BusDeparture))\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures\nmidas/sdk/trafiklab/realtidsinformation_4 departures","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures_request","content":"pub fn departures_request(\n  api_key: String,\n  site_id: String,\n  time_window: Int,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures_request\nmidas/sdk/trafiklab/realtidsinformation_4 departures_request","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures_request"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures_response","content":"pub fn departures_response(\n  response: Response(BitArray),\n) -&gt; Result(List(BusDeparture), Snag)\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures_response\nmidas/sdk/trafiklab/realtidsinformation_4 departures_response","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures_response"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"midas/sdk/trafiklab/realtidsinformation_4","content":"","url":"midas/sdk/trafiklab/realtidsinformation_4.html"},{"doc":"midas/sdk/twitter","title":"api_host","content":"pub const api_host: String\n\nSynonyms:\nmidas/sdk/twitter.api_host\nmidas/sdk/twitter api_host","url":"midas/sdk/twitter.html#api_host"},{"doc":"midas/sdk/twitter","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/twitter.auth_redirect\nmidas/sdk/twitter auth_redirect","url":"midas/sdk/twitter.html#auth_redirect"},{"doc":"midas/sdk/twitter","title":"auth_url","content":"pub fn auth_url(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n  state: String,\n  challenge: String,\n) -&gt; String\n\nSynonyms:\nmidas/sdk/twitter.auth_url\nmidas/sdk/twitter auth_url","url":"midas/sdk/twitter.html#auth_url"},{"doc":"midas/sdk/twitter","title":"authenticate","content":"pub fn authenticate(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/twitter.authenticate\nmidas/sdk/twitter authenticate","url":"midas/sdk/twitter.html#authenticate"},{"doc":"midas/sdk/twitter","title":"create_tweet","content":"pub fn create_tweet(\n  token: String,\n  text: String,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/twitter.create_tweet\nmidas/sdk/twitter create_tweet","url":"midas/sdk/twitter.html#create_tweet"},{"doc":"midas/sdk/twitter","title":"create_tweet_request","content":"pub fn create_tweet_request(\n  token: String,\n  text: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.create_tweet_request\nmidas/sdk/twitter create_tweet_request","url":"midas/sdk/twitter.html#create_tweet_request"},{"doc":"midas/sdk/twitter","title":"do_authenticate","content":"pub fn do_authenticate(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n  state: String,\n  challenge: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/twitter.do_authenticate\nmidas/sdk/twitter do_authenticate","url":"midas/sdk/twitter.html#do_authenticate"},{"doc":"midas/sdk/twitter","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  redirect_uri: String,\n  code_verifier: String,\n  code: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.token_request\nmidas/sdk/twitter token_request","url":"midas/sdk/twitter.html#token_request"},{"doc":"midas/sdk/twitter","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, a)\n\nSynonyms:\nmidas/sdk/twitter.token_response\nmidas/sdk/twitter token_response","url":"midas/sdk/twitter.html#token_response"},{"doc":"midas/sdk/twitter","title":"user_by_username","content":"pub fn user_by_username(\n  token: String,\n  username: String,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/twitter.user_by_username\nmidas/sdk/twitter user_by_username","url":"midas/sdk/twitter.html#user_by_username"},{"doc":"midas/sdk/twitter","title":"user_by_username_request","content":"pub fn user_by_username_request(\n  token: String,\n  username: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.user_by_username_request\nmidas/sdk/twitter user_by_username_request","url":"midas/sdk/twitter.html#user_by_username_request"},{"doc":"midas/sdk/twitter","title":"user_timeline","content":"pub fn user_timeline(\n  token: String,\n  user_id: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline\nmidas/sdk/twitter user_timeline","url":"midas/sdk/twitter.html#user_timeline"},{"doc":"midas/sdk/twitter","title":"user_timeline_request","content":"pub fn user_timeline_request(\n  token: String,\n  user_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline_request\nmidas/sdk/twitter user_timeline_request","url":"midas/sdk/twitter.html#user_timeline_request"},{"doc":"midas/sdk/twitter","title":"user_timeline_response","content":"pub fn user_timeline_response(\n  response: Response(BitArray),\n) -&gt; Result(Dynamic, a)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline_response\nmidas/sdk/twitter user_timeline_response","url":"midas/sdk/twitter.html#user_timeline_response"},{"doc":"midas/sdk/twitter","title":"midas/sdk/twitter","content":"","url":"midas/sdk/twitter.html"},{"doc":"midas/sdk/vimeo","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/vimeo.App\nmidas/sdk/vimeo App","url":"midas/sdk/vimeo.html#App"},{"doc":"midas/sdk/vimeo","title":"Video","content":"pub type Video {\n  Video(\n    name: String,\n    link: String,\n    duration: Int,\n    created_time: String,\n    plays: Int,\n    has_audio: Bool,\n  )\n}\n\nVideo(\n  name: String,\n  link: String,\n  duration: Int,\n  created_time: String,\n  plays: Int,\n  has_audio: Bool,\n)\n\n\nSynonyms:\nmidas/sdk/vimeo.Video\nmidas/sdk/vimeo Video","url":"midas/sdk/vimeo.html#Video"},{"doc":"midas/sdk/vimeo","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/vimeo.auth_redirect\nmidas/sdk/vimeo auth_redirect","url":"midas/sdk/vimeo.html#auth_redirect"},{"doc":"midas/sdk/vimeo","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/vimeo.authenticate\nmidas/sdk/vimeo authenticate","url":"midas/sdk/vimeo.html#authenticate"},{"doc":"midas/sdk/vimeo","title":"my_videos","content":"pub fn my_videos(token: String) -&gt; Effect(List(Video))\n\nSynonyms:\nmidas/sdk/vimeo.my_videos\nmidas/sdk/vimeo my_videos","url":"midas/sdk/vimeo.html#my_videos"},{"doc":"midas/sdk/vimeo","title":"my_videos_request","content":"pub fn my_videos_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/vimeo.my_videos_request\nmidas/sdk/vimeo my_videos_request","url":"midas/sdk/vimeo.html#my_videos_request"},{"doc":"midas/sdk/vimeo","title":"my_videos_response","content":"pub fn my_videos_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Video), Snag)\n\nSynonyms:\nmidas/sdk/vimeo.my_videos_response\nmidas/sdk/vimeo my_videos_response","url":"midas/sdk/vimeo.html#my_videos_response"},{"doc":"midas/sdk/vimeo","title":"video_decoder","content":"pub fn video_decoder(\n  data: Dynamic,\n) -&gt; Result(Video, List(DecodeError))\n\nSynonyms:\nmidas/sdk/vimeo.video_decoder\nmidas/sdk/vimeo video_decoder","url":"midas/sdk/vimeo.html#video_decoder"},{"doc":"midas/sdk/vimeo","title":"midas/sdk/vimeo","content":"","url":"midas/sdk/vimeo.html"}]);